/**
 * vis-data
 * http://visjs.org/
 *
 * Manage unstructured data using DataSet. Add, update, and remove data, and listen for changes in the data.
 *
 * @version 7.1.9
 * @date    2023-11-24T17:53:34.179Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
 *
 * @license
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */function gu(r,n){if(!(r instanceof n))throw new TypeError("Cannot call a class as a function")}var bl=typeof globalThis<"u"?globalThis:typeof window<"u"?window:typeof global<"u"?global:typeof self<"u"?self:{};function G(r){return r&&r.__esModule&&Object.prototype.hasOwnProperty.call(r,"default")?r.default:r}var R$={exports:{}},jo=function(r){return r&&r.Math===Math&&r},ve=jo(typeof globalThis=="object"&&globalThis)||jo(typeof window=="object"&&window)||jo(typeof self=="object"&&self)||jo(typeof bl=="object"&&bl)||function(){return this}()||bl||Function("return this")(),ne=function(r){try{return!!r()}catch{return!0}},BO=ne,Ka=!BO(function(){var r=function(){}.bind();return typeof r!="function"||r.hasOwnProperty("prototype")}),LO=Ka,D$=Function.prototype,wv=D$.apply,_v=D$.call,Mn=typeof Reflect=="object"&&Reflect.apply||(LO?_v.bind(wv):function(){return _v.apply(wv,arguments)}),M$=Ka,N$=Function.prototype,Ad=N$.call,jO=M$&&N$.bind.bind(Ad,Ad),fe=M$?jO:function(r){return function(){return Ad.apply(r,arguments)}},F$=fe,zO=F$({}.toString),HO=F$("".slice),Yr=function(r){return HO(zO(r),8,-1)},WO=Yr,UO=fe,B$=function(r){if(WO(r)==="Function")return UO(r)},Rd=typeof document=="object"&&document.all,VO=typeof Rd>"u"&&Rd!==void 0,L$={all:Rd,IS_HTMLDDA:VO},j$=L$,GO=j$.all,$e=j$.IS_HTMLDDA?function(r){return typeof r=="function"||r===GO}:function(r){return typeof r=="function"},xi={},KO=ne,Le=!KO(function(){return Object.defineProperty({},1,{get:function(){return 7}})[1]!==7}),qO=Ka,zo=Function.prototype.call,je=qO?zo.bind(zo):function(){return zo.apply(zo,arguments)},yu={},z$={}.propertyIsEnumerable,H$=Object.getOwnPropertyDescriptor,YO=H$&&!z$.call({1:2},1);yu.f=YO?function(n){var e=H$(this,n);return!!e&&e.enumerable}:z$;var Ai=function(r,n){return{enumerable:!(r&1),configurable:!(r&2),writable:!(r&4),value:n}},XO=fe,QO=ne,JO=Yr,$l=Object,ZO=XO("".split),mu=QO(function(){return!$l("z").propertyIsEnumerable(0)})?function(r){return JO(r)==="String"?ZO(r,""):$l(r)}:$l,Nn=function(r){return r==null},eT=Nn,tT=TypeError,Uc=function(r){if(eT(r))throw new tT("Can't call method on "+r);return r},rT=mu,iT=Uc,ur=function(r){return rT(iT(r))},Ev=$e,W$=L$,nT=W$.all,Xe=W$.IS_HTMLDDA?function(r){return typeof r=="object"?r!==null:Ev(r)||r===nT}:function(r){return typeof r=="object"?r!==null:Ev(r)},pe={},wl=pe,_l=ve,aT=$e,Sv=function(r){return aT(r)?r:void 0},lt=function(r,n){return arguments.length<2?Sv(wl[r])||Sv(_l[r]):wl[r]&&wl[r][n]||_l[r]&&_l[r][n]},oT=fe,De=oT({}.isPrototypeOf),Xr=typeof navigator<"u"&&String(navigator.userAgent)||"",U$=ve,El=Xr,Ov=U$.process,Tv=U$.Deno,Pv=Ov&&Ov.versions||Tv&&Tv.version,Iv=Pv&&Pv.v8,Ut,Us;Iv&&(Ut=Iv.split("."),Us=Ut[0]>0&&Ut[0]<4?1:+(Ut[0]+Ut[1]));!Us&&El&&(Ut=El.match(/Edge\/(\d+)/),(!Ut||Ut[1]>=74)&&(Ut=El.match(/Chrome\/(\d+)/),Ut&&(Us=+Ut[1])));var Fn=Us,kv=Fn,sT=ne,uT=ve,lT=uT.String,Bn=!!Object.getOwnPropertySymbols&&!sT(function(){var r=Symbol("symbol detection");return!lT(r)||!(Object(r)instanceof Symbol)||!Symbol.sham&&kv&&kv<41}),hT=Bn,V$=hT&&!Symbol.sham&&typeof Symbol.iterator=="symbol",dT=lt,cT=$e,fT=De,vT=V$,pT=Object,qa=vT?function(r){return typeof r=="symbol"}:function(r){var n=dT("Symbol");return cT(n)&&fT(n.prototype,pT(r))},gT=String,Ln=function(r){try{return gT(r)}catch{return"Object"}},yT=$e,mT=Ln,bT=TypeError,$t=function(r){if(yT(r))return r;throw new bT(mT(r)+" is not a function")},$T=$t,wT=Nn,Vc=function(r,n){var e=r[n];return wT(e)?void 0:$T(e)},Sl=je,Ol=$e,Tl=Xe,_T=TypeError,ET=function(r,n){var e,t;if(n==="string"&&Ol(e=r.toString)&&!Tl(t=Sl(e,r))||Ol(e=r.valueOf)&&!Tl(t=Sl(e,r))||n!=="string"&&Ol(e=r.toString)&&!Tl(t=Sl(e,r)))return t;throw new _T("Can't convert object to primitive value")},G$={exports:{}},ST=!0,Cv=ve,OT=Object.defineProperty,TT=function(r,n){try{OT(Cv,r,{value:n,configurable:!0,writable:!0})}catch{Cv[r]=n}return n},PT=ve,IT=TT,xv="__core-js_shared__",kT=PT[xv]||IT(xv,{}),Gc=kT,Av=Gc;(G$.exports=function(r,n){return Av[r]||(Av[r]=n!==void 0?n:{})})("versions",[]).push({version:"3.33.2",mode:"pure",copyright:"© 2014-2023 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.33.2/LICENSE",source:"https://github.com/zloirock/core-js"});var jn=G$.exports,CT=Uc,xT=Object,wt=function(r){return xT(CT(r))},AT=fe,RT=wt,DT=AT({}.hasOwnProperty),Me=Object.hasOwn||function(n,e){return DT(RT(n),e)},MT=fe,NT=0,FT=Math.random(),BT=MT(1 .toString),bu=function(r){return"Symbol("+(r===void 0?"":r)+")_"+BT(++NT+FT,36)},LT=ve,jT=jn,Rv=Me,zT=bu,HT=Bn,WT=V$,an=LT.Symbol,Pl=jT("wks"),UT=WT?an.for||an:an&&an.withoutSetter||zT,ye=function(r){return Rv(Pl,r)||(Pl[r]=HT&&Rv(an,r)?an[r]:UT("Symbol."+r)),Pl[r]},VT=je,Dv=Xe,Mv=qa,GT=Vc,KT=ET,qT=ye,YT=TypeError,XT=qT("toPrimitive"),QT=function(r,n){if(!Dv(r)||Mv(r))return r;var e=GT(r,XT),t;if(e){if(n===void 0&&(n="default"),t=VT(e,r,n),!Dv(t)||Mv(t))return t;throw new YT("Can't convert object to primitive value")}return n===void 0&&(n="number"),KT(r,n)},JT=QT,ZT=qa,$u=function(r){var n=JT(r,"string");return ZT(n)?n:n+""},eP=ve,Nv=Xe,Dd=eP.document,tP=Nv(Dd)&&Nv(Dd.createElement),Kc=function(r){return tP?Dd.createElement(r):{}},rP=Le,iP=ne,nP=Kc,K$=!rP&&!iP(function(){return Object.defineProperty(nP("div"),"a",{get:function(){return 7}}).a!==7}),aP=Le,oP=je,sP=yu,uP=Ai,lP=ur,hP=$u,dP=Me,cP=K$,Fv=Object.getOwnPropertyDescriptor;xi.f=aP?Fv:function(n,e){if(n=lP(n),e=hP(e),cP)try{return Fv(n,e)}catch{}if(dP(n,e))return uP(!oP(sP.f,n,e),n[e])};var fP=ne,vP=$e,pP=/#|\.prototype\./,Ya=function(r,n){var e=yP[gP(r)];return e===bP?!0:e===mP?!1:vP(n)?fP(n):!!n},gP=Ya.normalize=function(r){return String(r).replace(pP,".").toLowerCase()},yP=Ya.data={},mP=Ya.NATIVE="N",bP=Ya.POLYFILL="P",q$=Ya,Bv=B$,$P=$t,wP=Ka,_P=Bv(Bv.bind),Qr=function(r,n){return $P(r),n===void 0?r:wP?_P(r,n):function(){return r.apply(n,arguments)}},_t={},EP=Le,SP=ne,Y$=EP&&SP(function(){return Object.defineProperty(function(){},"prototype",{value:42,writable:!1}).prototype!==42}),OP=Xe,TP=String,PP=TypeError,Ct=function(r){if(OP(r))return r;throw new PP(TP(r)+" is not an object")},IP=Le,kP=K$,CP=Y$,Ho=Ct,Lv=$u,xP=TypeError,Il=Object.defineProperty,AP=Object.getOwnPropertyDescriptor,kl="enumerable",Cl="configurable",xl="writable";_t.f=IP?CP?function(n,e,t){if(Ho(n),e=Lv(e),Ho(t),typeof n=="function"&&e==="prototype"&&"value"in t&&xl in t&&!t[xl]){var i=AP(n,e);i&&i[xl]&&(n[e]=t.value,t={configurable:Cl in t?t[Cl]:i[Cl],enumerable:kl in t?t[kl]:i[kl],writable:!1})}return Il(n,e,t)}:Il:function(n,e,t){if(Ho(n),e=Lv(e),Ho(t),kP)try{return Il(n,e,t)}catch{}if("get"in t||"set"in t)throw new xP("Accessors not supported");return"value"in t&&(n[e]=t.value),n};var RP=Le,DP=_t,MP=Ai,Pr=RP?function(r,n,e){return DP.f(r,n,MP(1,e))}:function(r,n,e){return r[n]=e,r},Wo=ve,NP=Mn,FP=B$,BP=$e,LP=xi.f,jP=q$,Gi=pe,zP=Qr,Ki=Pr,jv=Me,HP=function(r){var n=function(e,t,i){if(this instanceof n){switch(arguments.length){case 0:return new r;case 1:return new r(e);case 2:return new r(e,t)}return new r(e,t,i)}return NP(r,this,arguments)};return n.prototype=r.prototype,n},H=function(r,n){var e=r.target,t=r.global,i=r.stat,a=r.proto,o=t?Wo:i?Wo[e]:(Wo[e]||{}).prototype,s=t?Gi:Gi[e]||Ki(Gi,e,{})[e],u=s.prototype,l,h,d,c,f,v,p,g,y;for(c in n)l=jP(t?c:e+(i?".":"#")+c,r.forced),h=!l&&o&&jv(o,c),v=s[c],h&&(r.dontCallGetSet?(y=LP(o,c),p=y&&y.value):p=o[c]),f=h&&p?p:n[c],!(h&&typeof v==typeof f)&&(r.bind&&h?g=zP(f,Wo):r.wrap&&h?g=HP(f):a&&BP(f)?g=FP(f):g=f,(r.sham||f&&f.sham||v&&v.sham)&&Ki(g,"sham",!0),Ki(s,c,g),a&&(d=e+"Prototype",jv(Gi,d)||Ki(Gi,d,{}),Ki(Gi[d],c,f),r.real&&u&&(l||!u[c])&&Ki(u,c,f)))},WP=H,UP=Le,zv=_t.f;WP({target:"Object",stat:!0,forced:Object.defineProperty!==zv,sham:!UP},{defineProperty:zv});var VP=pe,X$=VP.Object,GP=R$.exports=function(n,e,t){return X$.defineProperty(n,e,t)};X$.defineProperty.sham&&(GP.sham=!0);var KP=R$.exports,qP=KP,Q$=qP,YP=Q$,XP=YP,QP=XP,JP=QP,J$=JP,wu=G(J$),ZP=Yr,Jr=Array.isArray||function(n){return ZP(n)==="Array"},eI=Math.ceil,tI=Math.floor,rI=Math.trunc||function(n){var e=+n;return(e>0?tI:eI)(e)},iI=rI,_u=function(r){var n=+r;return n!==n||n===0?0:iI(n)},nI=_u,aI=Math.min,oI=function(r){return r>0?aI(nI(r),9007199254740991):0},sI=oI,xt=function(r){return sI(r.length)},uI=TypeError,lI=9007199254740991,Eu=function(r){if(r>lI)throw uI("Maximum allowed index exceeded");return r},hI=$u,dI=_t,cI=Ai,zn=function(r,n,e){var t=hI(n);t in r?dI.f(r,t,cI(0,e)):r[t]=e},fI=ye,vI=fI("toStringTag"),Z$={};Z$[vI]="z";var qc=String(Z$)==="[object z]",pI=qc,gI=$e,Ts=Yr,yI=ye,mI=yI("toStringTag"),bI=Object,$I=Ts(function(){return arguments}())==="Arguments",wI=function(r,n){try{return r[n]}catch{}},Ir=pI?Ts:function(r){var n,e,t;return r===void 0?"Undefined":r===null?"Null":typeof(e=wI(n=bI(r),mI))=="string"?e:$I?Ts(n):(t=Ts(n))==="Object"&&gI(n.callee)?"Arguments":t},_I=fe,EI=$e,Md=Gc,SI=_I(Function.toString);EI(Md.inspectSource)||(Md.inspectSource=function(r){return SI(r)});var e1=Md.inspectSource,OI=fe,TI=ne,t1=$e,PI=Ir,II=lt,kI=e1,r1=function(){},CI=[],i1=II("Reflect","construct"),Yc=/^\s*(?:class|function)\b/,xI=OI(Yc.exec),AI=!Yc.test(r1),ua=function(n){if(!t1(n))return!1;try{return i1(r1,CI,n),!0}catch{return!1}},n1=function(n){if(!t1(n))return!1;switch(PI(n)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return!1}try{return AI||!!xI(Yc,kI(n))}catch{return!0}};n1.sham=!0;var Su=!i1||TI(function(){var r;return ua(ua.call)||!ua(Object)||!ua(function(){r=!0})||r})?n1:ua,Hv=Jr,RI=Su,DI=Xe,MI=ye,NI=MI("species"),Wv=Array,FI=function(r){var n;return Hv(r)&&(n=r.constructor,RI(n)&&(n===Wv||Hv(n.prototype))?n=void 0:DI(n)&&(n=n[NI],n===null&&(n=void 0))),n===void 0?Wv:n},BI=FI,Ou=function(r,n){return new(BI(r))(n===0?0:n)},LI=ne,jI=ye,zI=Fn,HI=jI("species"),Xa=function(r){return zI>=51||!LI(function(){var n=[],e=n.constructor={};return e[HI]=function(){return{foo:1}},n[r](Boolean).foo!==1})},WI=H,UI=ne,VI=Jr,GI=Xe,KI=wt,qI=xt,Uv=Eu,Vv=zn,YI=Ou,XI=Xa,QI=ye,JI=Fn,a1=QI("isConcatSpreadable"),ZI=JI>=51||!UI(function(){var r=[];return r[a1]=!1,r.concat()[0]!==r}),ek=function(r){if(!GI(r))return!1;var n=r[a1];return n!==void 0?!!n:VI(r)},tk=!ZI||!XI("concat");WI({target:"Array",proto:!0,forced:tk},{concat:function(n){var e=KI(this),t=YI(e,0),i=0,a,o,s,u,l;for(a=-1,s=arguments.length;a<s;a++)if(l=a===-1?e:arguments[a],ek(l))for(u=qI(l),Uv(i+u),o=0;o<u;o++,i++)o in l&&Vv(t,i,l[o]);else Uv(i+1),Vv(t,i++,l);return t.length=i,t}});var rk=Ir,ik=String,Ri=function(r){if(rk(r)==="Symbol")throw new TypeError("Cannot convert a Symbol value to a string");return ik(r)},Tu={},nk=_u,ak=Math.max,ok=Math.min,Pu=function(r,n){var e=nk(r);return e<0?ak(e+n,0):ok(e,n)},sk=ur,uk=Pu,lk=xt,hk=function(r){return function(n,e,t){var i=sk(n),a=lk(i),o=uk(t,a),s;if(r&&e!==e){for(;a>o;)if(s=i[o++],s!==s)return!0}else for(;a>o;o++)if((r||o in i)&&i[o]===e)return r||o||0;return!r&&-1}},dk={indexOf:hk(!1)},Qa={},ck=fe,Al=Me,fk=ur,vk=dk.indexOf,pk=Qa,Gv=ck([].push),o1=function(r,n){var e=fk(r),t=0,i=[],a;for(a in e)!Al(pk,a)&&Al(e,a)&&Gv(i,a);for(;n.length>t;)Al(e,a=n[t++])&&(~vk(i,a)||Gv(i,a));return i},Xc=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],gk=o1,yk=Xc,Iu=Object.keys||function(n){return gk(n,yk)},mk=Le,bk=Y$,$k=_t,wk=Ct,_k=ur,Ek=Iu;Tu.f=mk&&!bk?Object.defineProperties:function(n,e){wk(n);for(var t=_k(e),i=Ek(e),a=i.length,o=0,s;a>o;)$k.f(n,s=i[o++],t[s]);return n};var Sk=lt,s1=Sk("document","documentElement"),Ok=jn,Tk=bu,Kv=Ok("keys"),ku=function(r){return Kv[r]||(Kv[r]=Tk(r))},Pk=Ct,Ik=Tu,qv=Xc,kk=Qa,Ck=s1,xk=Kc,Ak=ku,Yv=">",Xv="<",Nd="prototype",Fd="script",u1=Ak("IE_PROTO"),Rl=function(){},l1=function(r){return Xv+Fd+Yv+r+Xv+"/"+Fd+Yv},Qv=function(r){r.write(l1("")),r.close();var n=r.parentWindow.Object;return r=null,n},Rk=function(){var r=xk("iframe"),n="java"+Fd+":",e;return r.style.display="none",Ck.appendChild(r),r.src=String(n),e=r.contentWindow.document,e.open(),e.write(l1("document.F=Object")),e.close(),e.F},Uo,Ps=function(){try{Uo=new ActiveXObject("htmlfile")}catch{}Ps=typeof document<"u"?document.domain&&Uo?Qv(Uo):Rk():Qv(Uo);for(var r=qv.length;r--;)delete Ps[Nd][qv[r]];return Ps()};kk[u1]=!0;var Di=Object.create||function(n,e){var t;return n!==null?(Rl[Nd]=Pk(n),t=new Rl,Rl[Nd]=null,t[u1]=n):t=Ps(),e===void 0?t:Ik.f(t,e)},Ja={},Dk=o1,Mk=Xc,Nk=Mk.concat("length","prototype");Ja.f=Object.getOwnPropertyNames||function(n){return Dk(n,Nk)};var Qc={},Jv=Pu,Fk=xt,Bk=zn,Lk=Array,jk=Math.max,h1=function(r,n,e){for(var t=Fk(r),i=Jv(n,t),a=Jv(e===void 0?t:e,t),o=Lk(jk(a-i,0)),s=0;i<a;i++,s++)Bk(o,s,r[i]);return o.length=s,o},zk=Yr,Hk=ur,d1=Ja.f,Wk=h1,c1=typeof window=="object"&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],Uk=function(r){try{return d1(r)}catch{return Wk(c1)}};Qc.f=function(n){return c1&&zk(n)==="Window"?Uk(n):d1(Hk(n))};var Za={};Za.f=Object.getOwnPropertySymbols;var Vk=Pr,Hn=function(r,n,e,t){return t&&t.enumerable?r[n]=e:Vk(r,n,e),r},Gk=_t,Jc=function(r,n,e){return Gk.f(r,n,e)},eo={},Kk=ye;eo.f=Kk;var Zv=pe,qk=Me,Yk=eo,Xk=_t.f,we=function(r){var n=Zv.Symbol||(Zv.Symbol={});qk(n,r)||Xk(n,r,{value:Yk.f(r)})},Qk=je,Jk=lt,Zk=ye,eC=Hn,f1=function(){var r=Jk("Symbol"),n=r&&r.prototype,e=n&&n.valueOf,t=Zk("toPrimitive");n&&!n[t]&&eC(n,t,function(i){return Qk(e,this)},{})},tC=qc,rC=Ir,iC=tC?{}.toString:function(){return"[object "+rC(this)+"]"},nC=qc,aC=_t.f,oC=Pr,sC=Me,uC=iC,lC=ye,ep=lC("toStringTag"),Mi=function(r,n,e,t){if(r){var i=e?r:r.prototype;sC(i,ep)||aC(i,ep,{configurable:!0,value:n}),t&&!nC&&oC(i,"toString",uC)}},hC=ve,dC=$e,tp=hC.WeakMap,cC=dC(tp)&&/native code/.test(String(tp)),fC=cC,v1=ve,vC=Xe,pC=Pr,Dl=Me,Ml=Gc,gC=ku,yC=Qa,rp="Object already initialized",Bd=v1.TypeError,mC=v1.WeakMap,Vs,Ca,Gs,bC=function(r){return Gs(r)?Ca(r):Vs(r,{})},$C=function(r){return function(n){var e;if(!vC(n)||(e=Ca(n)).type!==r)throw new Bd("Incompatible receiver, "+r+" required");return e}};if(fC||Ml.state){var Jt=Ml.state||(Ml.state=new mC);Jt.get=Jt.get,Jt.has=Jt.has,Jt.set=Jt.set,Vs=function(r,n){if(Jt.has(r))throw new Bd(rp);return n.facade=r,Jt.set(r,n),n},Ca=function(r){return Jt.get(r)||{}},Gs=function(r){return Jt.has(r)}}else{var qi=gC("state");yC[qi]=!0,Vs=function(r,n){if(Dl(r,qi))throw new Bd(rp);return n.facade=r,pC(r,qi,n),n},Ca=function(r){return Dl(r,qi)?r[qi]:{}},Gs=function(r){return Dl(r,qi)}}var Wn={set:Vs,get:Ca,has:Gs,enforce:bC,getterFor:$C},wC=Qr,_C=fe,EC=mu,SC=wt,OC=xt,TC=Ou,ip=_C([].push),Vo=function(r){var n=r===1,e=r===2,t=r===3,i=r===4,a=r===6,o=r===7,s=r===5||a;return function(u,l,h,d){for(var c=SC(u),f=EC(c),v=wC(l,h),p=OC(f),g=0,y=d||TC,m=n?y(u,p):e||o?y(u,0):void 0,w,$;p>g;g++)if((s||g in f)&&(w=f[g],$=v(w,g,c),r))if(n)m[g]=$;else if($)switch(r){case 3:return!0;case 5:return w;case 6:return g;case 2:ip(m,w)}else switch(r){case 4:return!1;case 7:ip(m,w)}return a?-1:t||i?i:m}},Un={forEach:Vo(0),map:Vo(1),filter:Vo(2),some:Vo(3)},Cu=H,to=ve,Zc=je,PC=fe,wn=Le,_n=Bn,IC=ne,Fe=Me,kC=De,Ld=Ct,xu=ur,ef=$u,CC=Ri,jd=Ai,xa=Di,p1=Iu,xC=Ja,g1=Qc,AC=Za,y1=xi,m1=_t,RC=Tu,b1=yu,np=Hn,DC=Jc,tf=jn,MC=ku,$1=Qa,ap=bu,NC=ye,FC=eo,BC=we,LC=f1,jC=Mi,w1=Wn,Au=Un.forEach,vt=MC("hidden"),Ru="Symbol",Aa="prototype",zC=w1.set,op=w1.getterFor(Ru),qt=Object[Aa],ci=to.Symbol,pa=ci&&ci[Aa],HC=to.RangeError,WC=to.TypeError,Nl=to.QObject,_1=y1.f,fi=m1.f,E1=g1.f,UC=b1.f,S1=PC([].push),Er=tf("symbols"),ro=tf("op-symbols"),VC=tf("wks"),zd=!Nl||!Nl[Aa]||!Nl[Aa].findChild,O1=function(r,n,e){var t=_1(qt,n);t&&delete qt[n],fi(r,n,e),t&&r!==qt&&fi(qt,n,t)},Hd=wn&&IC(function(){return xa(fi({},"a",{get:function(){return fi(this,"a",{value:7}).a}})).a!==7})?O1:fi,Fl=function(r,n){var e=Er[r]=xa(pa);return zC(e,{type:Ru,tag:r,description:n}),wn||(e.description=n),e},Du=function(n,e,t){n===qt&&Du(ro,e,t),Ld(n);var i=ef(e);return Ld(t),Fe(Er,i)?(t.enumerable?(Fe(n,vt)&&n[vt][i]&&(n[vt][i]=!1),t=xa(t,{enumerable:jd(0,!1)})):(Fe(n,vt)||fi(n,vt,jd(1,{})),n[vt][i]=!0),Hd(n,i,t)):fi(n,i,t)},rf=function(n,e){Ld(n);var t=xu(e),i=p1(t).concat(k1(t));return Au(i,function(a){(!wn||Zc(T1,t,a))&&Du(n,a,t[a])}),n},GC=function(n,e){return e===void 0?xa(n):rf(xa(n),e)},T1=function(n){var e=ef(n),t=Zc(UC,this,e);return this===qt&&Fe(Er,e)&&!Fe(ro,e)?!1:t||!Fe(this,e)||!Fe(Er,e)||Fe(this,vt)&&this[vt][e]?t:!0},P1=function(n,e){var t=xu(n),i=ef(e);if(!(t===qt&&Fe(Er,i)&&!Fe(ro,i))){var a=_1(t,i);return a&&Fe(Er,i)&&!(Fe(t,vt)&&t[vt][i])&&(a.enumerable=!0),a}},I1=function(n){var e=E1(xu(n)),t=[];return Au(e,function(i){!Fe(Er,i)&&!Fe($1,i)&&S1(t,i)}),t},k1=function(r){var n=r===qt,e=E1(n?ro:xu(r)),t=[];return Au(e,function(i){Fe(Er,i)&&(!n||Fe(qt,i))&&S1(t,Er[i])}),t};_n||(ci=function(){if(kC(pa,this))throw new WC("Symbol is not a constructor");var n=!arguments.length||arguments[0]===void 0?void 0:CC(arguments[0]),e=ap(n),t=function(i){var a=this===void 0?to:this;a===qt&&Zc(t,ro,i),Fe(a,vt)&&Fe(a[vt],e)&&(a[vt][e]=!1);var o=jd(1,i);try{Hd(a,e,o)}catch(s){if(!(s instanceof HC))throw s;O1(a,e,o)}};return wn&&zd&&Hd(qt,e,{configurable:!0,set:t}),Fl(e,n)},pa=ci[Aa],np(pa,"toString",function(){return op(this).tag}),np(ci,"withoutSetter",function(r){return Fl(ap(r),r)}),b1.f=T1,m1.f=Du,RC.f=rf,y1.f=P1,xC.f=g1.f=I1,AC.f=k1,FC.f=function(r){return Fl(NC(r),r)},wn&&DC(pa,"description",{configurable:!0,get:function(){return op(this).description}}));Cu({global:!0,wrap:!0,forced:!_n,sham:!_n},{Symbol:ci});Au(p1(VC),function(r){BC(r)});Cu({target:Ru,stat:!0,forced:!_n},{useSetter:function(){zd=!0},useSimple:function(){zd=!1}});Cu({target:"Object",stat:!0,forced:!_n,sham:!wn},{create:GC,defineProperty:Du,defineProperties:rf,getOwnPropertyDescriptor:P1});Cu({target:"Object",stat:!0,forced:!_n},{getOwnPropertyNames:I1});LC();jC(ci,Ru);$1[vt]=!0;var KC=Bn,C1=KC&&!!Symbol.for&&!!Symbol.keyFor,qC=H,YC=lt,XC=Me,QC=Ri,x1=jn,JC=C1,Bl=x1("string-to-symbol-registry"),ZC=x1("symbol-to-string-registry");qC({target:"Symbol",stat:!0,forced:!JC},{for:function(r){var n=QC(r);if(XC(Bl,n))return Bl[n];var e=YC("Symbol")(n);return Bl[n]=e,ZC[e]=n,e}});var ex=H,tx=Me,rx=qa,ix=Ln,nx=jn,ax=C1,sp=nx("symbol-to-string-registry");ex({target:"Symbol",stat:!0,forced:!ax},{keyFor:function(n){if(!rx(n))throw new TypeError(ix(n)+" is not a symbol");if(tx(sp,n))return sp[n]}});var ox=fe,io=ox([].slice),sx=fe,up=Jr,ux=$e,lp=Yr,lx=Ri,hp=sx([].push),hx=function(r){if(ux(r))return r;if(up(r)){for(var n=r.length,e=[],t=0;t<n;t++){var i=r[t];typeof i=="string"?hp(e,i):(typeof i=="number"||lp(i)==="Number"||lp(i)==="String")&&hp(e,lx(i))}var a=e.length,o=!0;return function(s,u){if(o)return o=!1,u;if(up(this))return u;for(var l=0;l<a;l++)if(e[l]===s)return u}}},dx=H,A1=lt,R1=Mn,cx=je,no=fe,D1=ne,dp=$e,cp=qa,M1=io,fx=hx,vx=Bn,px=String,Br=A1("JSON","stringify"),Go=no(/./.exec),fp=no("".charAt),gx=no("".charCodeAt),yx=no("".replace),mx=no(1 .toString),bx=/[\uD800-\uDFFF]/g,vp=/^[\uD800-\uDBFF]$/,pp=/^[\uDC00-\uDFFF]$/,gp=!vx||D1(function(){var r=A1("Symbol")("stringify detection");return Br([r])!=="[null]"||Br({a:r})!=="{}"||Br(Object(r))!=="{}"}),yp=D1(function(){return Br("\uDF06\uD834")!=='"\\udf06\\ud834"'||Br("\uDEAD")!=='"\\udead"'}),$x=function(r,n){var e=M1(arguments),t=fx(n);if(!(!dp(t)&&(r===void 0||cp(r))))return e[1]=function(i,a){if(dp(t)&&(a=cx(t,this,px(i),a)),!cp(a))return a},R1(Br,null,e)},wx=function(r,n,e){var t=fp(e,n-1),i=fp(e,n+1);return Go(vp,r)&&!Go(pp,i)||Go(pp,r)&&!Go(vp,t)?"\\u"+mx(gx(r,0),16):r};Br&&dx({target:"JSON",stat:!0,forced:gp||yp},{stringify:function(n,e,t){var i=M1(arguments),a=R1(gp?$x:Br,null,i);return yp&&typeof a=="string"?yx(a,bx,wx):a}});var _x=H,Ex=Bn,Sx=ne,N1=Za,Ox=wt,Tx=!Ex||Sx(function(){N1.f(1)});_x({target:"Object",stat:!0,forced:Tx},{getOwnPropertySymbols:function(n){var e=N1.f;return e?e(Ox(n)):[]}});var Px=we;Px("asyncIterator");var Ix=we;Ix("hasInstance");var kx=we;kx("isConcatSpreadable");var Cx=we;Cx("iterator");var xx=we;xx("match");var Ax=we;Ax("matchAll");var Rx=we;Rx("replace");var Dx=we;Dx("search");var Mx=we;Mx("species");var Nx=we;Nx("split");var Fx=we,Bx=f1;Fx("toPrimitive");Bx();var Lx=lt,jx=we,zx=Mi;jx("toStringTag");zx(Lx("Symbol"),"Symbol");var Hx=we;Hx("unscopables");var Wx=ve,Ux=Mi;Ux(Wx.JSON,"JSON",!0);var Vx=pe,Gx=Vx.Symbol,Vn={},Wd=Le,Kx=Me,F1=Function.prototype,qx=Wd&&Object.getOwnPropertyDescriptor,B1=Kx(F1,"name"),Yx=B1&&function(){}.name==="something";B1&&(!Wd||Wd&&qx(F1,"name").configurable);var Xx={PROPER:Yx},Qx=ne,L1=!Qx(function(){function r(){}return r.prototype.constructor=null,Object.getPrototypeOf(new r)!==r.prototype}),Jx=Me,Zx=$e,eA=wt,tA=ku,rA=L1,mp=tA("IE_PROTO"),Ud=Object,iA=Ud.prototype,Mu=rA?Ud.getPrototypeOf:function(r){var n=eA(r);if(Jx(n,mp))return n[mp];var e=n.constructor;return Zx(e)&&n instanceof e?e.prototype:n instanceof Ud?iA:null},nA=ne,aA=$e,oA=Xe,sA=Di,bp=Mu,uA=Hn,lA=ye,Vd=lA("iterator"),j1=!1,vr,Ll,jl;[].keys&&(jl=[].keys(),"next"in jl?(Ll=bp(bp(jl)),Ll!==Object.prototype&&(vr=Ll)):j1=!0);var hA=!oA(vr)||nA(function(){var r={};return vr[Vd].call(r)!==r});hA?vr={}:vr=sA(vr);aA(vr[Vd])||uA(vr,Vd,function(){return this});var z1={IteratorPrototype:vr,BUGGY_SAFARI_ITERATORS:j1},dA=z1.IteratorPrototype,cA=Di,fA=Ai,vA=Mi,pA=Vn,gA=function(){return this},yA=function(r,n,e,t){var i=n+" Iterator";return r.prototype=cA(dA,{next:fA(+!t,e)}),vA(r,i,!1,!0),pA[i]=gA,r},mA=fe,bA=$t,$A=function(r,n,e){try{return mA(bA(Object.getOwnPropertyDescriptor(r,n)[e]))}catch{}},wA=$e,_A=String,EA=TypeError,SA=function(r){if(typeof r=="object"||wA(r))return r;throw new EA("Can't set "+_A(r)+" as a prototype")},OA=$A,TA=Ct,PA=SA,H1=Object.setPrototypeOf||("__proto__"in{}?function(){var r=!1,n={},e;try{e=OA(Object.prototype,"__proto__","set"),e(n,[]),r=n instanceof Array}catch{}return function(i,a){return TA(i),PA(a),r?e(i,a):i.__proto__=a,i}}():void 0),IA=H,kA=je,CA=Xx,xA=yA,AA=Mu,RA=Mi,$p=Hn,DA=ye,wp=Vn,MA=z1,NA=CA.PROPER,Ko=MA.BUGGY_SAFARI_ITERATORS,zl=DA("iterator"),_p="keys",qo="values",Ep="entries",FA=function(){return this},nf=function(r,n,e,t,i,a,o){xA(e,n,t);var s=function(y){if(y===i&&c)return c;if(!Ko&&y&&y in h)return h[y];switch(y){case _p:return function(){return new e(this,y)};case qo:return function(){return new e(this,y)};case Ep:return function(){return new e(this,y)}}return function(){return new e(this)}},u=n+" Iterator",l=!1,h=r.prototype,d=h[zl]||h["@@iterator"]||i&&h[i],c=!Ko&&d||s(i),f=n==="Array"&&h.entries||d,v,p,g;if(f&&(v=AA(f.call(new r)),v!==Object.prototype&&v.next&&(RA(v,u,!0,!0),wp[u]=FA)),NA&&i===qo&&d&&d.name!==qo&&(l=!0,c=function(){return kA(d,this)}),i)if(p={values:s(qo),keys:a?c:s(_p),entries:s(Ep)},o)for(g in p)(Ko||l||!(g in h))&&$p(h,g,p[g]);else IA({target:n,proto:!0,forced:Ko||l},p);return o&&h[zl]!==c&&$p(h,zl,c,{}),wp[n]=c,p},af=function(r,n){return{value:r,done:n}},BA=ur,Sp=Vn,W1=Wn;_t.f;var LA=nf,Yo=af,U1="Array Iterator",jA=W1.set,zA=W1.getterFor(U1);LA(Array,"Array",function(r,n){jA(this,{type:U1,target:BA(r),index:0,kind:n})},function(){var r=zA(this),n=r.target,e=r.index++;if(!n||e>=n.length)return r.target=void 0,Yo(void 0,!0);switch(r.kind){case"keys":return Yo(e,!1);case"values":return Yo(n[e],!1)}return Yo([e,n[e]],!1)},"values");Sp.Arguments=Sp.Array;var HA={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},WA=HA,UA=ve,VA=Ir,GA=Pr,Op=Vn,KA=ye,Tp=KA("toStringTag");for(var Hl in WA){var Pp=UA[Hl],Wl=Pp&&Pp.prototype;Wl&&VA(Wl)!==Tp&&GA(Wl,Tp,Hl),Op[Hl]=Op.Array}var qA=Gx,V1=qA,YA=ye,XA=_t.f,Ip=YA("metadata"),kp=Function.prototype;kp[Ip]===void 0&&XA(kp,Ip,{value:null});var QA=we;QA("asyncDispose");var JA=we;JA("dispose");var ZA=we;ZA("metadata");var eR=V1,tR=eR,rR=lt,iR=fe,of=rR("Symbol"),nR=of.keyFor,aR=iR(of.prototype.valueOf),G1=of.isRegisteredSymbol||function(n){try{return nR(aR(n))!==void 0}catch{return!1}},oR=H,sR=G1;oR({target:"Symbol",stat:!0},{isRegisteredSymbol:sR});var uR=jn,K1=lt,lR=fe,hR=qa,dR=ye,Ks=K1("Symbol"),Cp=Ks.isWellKnownSymbol,q1=K1("Object","getOwnPropertyNames"),cR=lR(Ks.prototype.valueOf),xp=uR("wks");for(var Ul=0,Ap=q1(Ks),fR=Ap.length;Ul<fR;Ul++)try{var Rp=Ap[Ul];hR(Ks[Rp])&&dR(Rp)}catch{}var Y1=function(n){if(Cp&&Cp(n))return!0;try{for(var e=cR(n),t=0,i=q1(xp),a=i.length;t<a;t++)if(xp[i[t]]==e)return!0}catch{}return!1},vR=H,pR=Y1;vR({target:"Symbol",stat:!0,forced:!0},{isWellKnownSymbol:pR});var gR=we;gR("matcher");var yR=we;yR("observable");var mR=H,bR=G1;mR({target:"Symbol",stat:!0},{isRegistered:bR});var $R=H,wR=Y1;$R({target:"Symbol",stat:!0,forced:!0},{isWellKnown:wR});var _R=we;_R("metadataKey");var ER=we;ER("patternMatch");var SR=we;SR("replaceAll");var OR=tR,TR=OR,sf=TR,on=G(sf),uf=fe,PR=_u,IR=Ri,kR=Uc,CR=uf("".charAt),Dp=uf("".charCodeAt),xR=uf("".slice),AR=function(r){return function(n,e){var t=IR(kR(n)),i=PR(e),a=t.length,o,s;return i<0||i>=a?r?"":void 0:(o=Dp(t,i),o<55296||o>56319||i+1===a||(s=Dp(t,i+1))<56320||s>57343?r?CR(t,i):o:r?xR(t,i,i+2):(o-55296<<10)+(s-56320)+65536)}},RR={charAt:AR(!0)},DR=RR.charAt,MR=Ri,X1=Wn,NR=nf,Mp=af,Q1="String Iterator",FR=X1.set,BR=X1.getterFor(Q1);NR(String,"String",function(r){FR(this,{type:Q1,string:MR(r),index:0})},function(){var n=BR(this),e=n.string,t=n.index,i;return t>=e.length?Mp(void 0,!0):(i=DR(e,t),n.index+=i.length,Mp(i,!1))});var LR=eo,jR=LR.f("iterator"),zR=jR,J1=zR,HR=J1,WR=HR,UR=WR,VR=UR,Z1=VR,GR=G(Z1);function En(r){"@babel/helpers - typeof";return En=typeof on=="function"&&typeof GR=="symbol"?function(n){return typeof n}:function(n){return n&&typeof on=="function"&&n.constructor===on&&n!==on.prototype?"symbol":typeof n},En(r)}var KR=eo,qR=KR.f("toPrimitive"),YR=qR,XR=YR,QR=XR,JR=QR,ZR=JR,eD=ZR,tD=eD,rD=G(tD);function iD(r,n){if(En(r)!=="object"||r===null)return r;var e=r[rD];if(e!==void 0){var t=e.call(r,n);if(En(t)!=="object")return t;throw new TypeError("@@toPrimitive must return a primitive value.")}return(n==="string"?String:Number)(r)}function ew(r){var n=iD(r,"string");return En(n)==="symbol"?n:String(n)}function Np(r,n){for(var e=0;e<n.length;e++){var t=n[e];t.enumerable=t.enumerable||!1,t.configurable=!0,"value"in t&&(t.writable=!0),wu(r,ew(t.key),t)}}function Nu(r,n,e){return n&&Np(r.prototype,n),e&&Np(r,e),wu(r,"prototype",{writable:!1}),r}function Lr(r,n,e){return n=ew(n),n in r?wu(r,n,{value:e,enumerable:!0,configurable:!0,writable:!0}):r[n]=e,r}var tw=fe,nD=$t,aD=Xe,oD=Me,Fp=io,sD=Ka,rw=Function,uD=tw([].concat),lD=tw([].join),Vl={},hD=function(r,n,e){if(!oD(Vl,n)){for(var t=[],i=0;i<n;i++)t[i]="a["+i+"]";Vl[n]=rw("C,a","return new C("+lD(t,",")+")")}return Vl[n](r,e)},iw=sD?rw.bind:function(n){var e=nD(this),t=e.prototype,i=Fp(arguments,1),a=function(){var s=uD(i,Fp(arguments));return this instanceof a?hD(e,s.length,s):e.apply(n,s)};return aD(t)&&(a.prototype=t),a},dD=H,Bp=iw;dD({target:"Function",proto:!0,forced:Function.bind!==Bp},{bind:Bp});var cD=ve,fD=pe,tt=function(r,n){var e=fD[r+"Prototype"],t=e&&e[n];if(t)return t;var i=cD[r],a=i&&i.prototype;return a&&a[n]},vD=tt,pD=vD("Function","bind"),gD=De,yD=pD,Gl=Function.prototype,mD=function(r){var n=r.bind;return r===Gl||gD(Gl,r)&&n===Gl.bind?yD:n},bD=mD,nw=bD,$D=nw,aw=G($D),wD=$t,_D=wt,ED=mu,SD=xt,OD=TypeError,TD=function(r){return function(n,e,t,i){wD(e);var a=_D(n),o=ED(a),s=SD(a),u=r?s-1:0,l=r?-1:1;if(t<2)for(;;){if(u in o){i=o[u],u+=l;break}if(u+=l,r?u<0:s<=u)throw new OD("Reduce of empty array with no initial value")}for(;r?u>=0:s>u;u+=l)u in o&&(i=e(i,o[u],u,a));return i}},PD={left:TD(!1)},ID=ne,Fu=function(r,n){var e=[][r];return!!e&&ID(function(){e.call(null,n||function(){return 1},1)})},kD=ve,CD=Yr,ao=CD(kD.process)==="process",xD=H,AD=PD.left,RD=Fu,Lp=Fn,DD=ao,MD=!DD&&Lp>79&&Lp<83,ND=MD||!RD("reduce");xD({target:"Array",proto:!0,forced:ND},{reduce:function(n){var e=arguments.length;return AD(this,n,e,e>1?arguments[1]:void 0)}});var FD=tt,BD=FD("Array","reduce"),LD=De,jD=BD,Kl=Array.prototype,zD=function(r){var n=r.reduce;return r===Kl||LD(Kl,r)&&n===Kl.reduce?jD:n},HD=zD,WD=HD,UD=WD,VD=G(UD),GD=H,KD=Un.filter,qD=Xa,YD=qD("filter");GD({target:"Array",proto:!0,forced:!YD},{filter:function(n){return KD(this,n,arguments.length>1?arguments[1]:void 0)}});var XD=tt,QD=XD("Array","filter"),JD=De,ZD=QD,ql=Array.prototype,eM=function(r){var n=r.filter;return r===ql||JD(ql,r)&&n===ql.filter?ZD:n},tM=eM,rM=tM,iM=rM,sn=G(iM),nM=H,aM=Un.map,oM=Xa,sM=oM("map");nM({target:"Array",proto:!0,forced:!sM},{map:function(n){return aM(this,n,arguments.length>1?arguments[1]:void 0)}});var uM=tt,lM=uM("Array","map"),hM=De,dM=lM,Yl=Array.prototype,cM=function(r){var n=r.map;return r===Yl||hM(Yl,r)&&n===Yl.map?dM:n},fM=cM,vM=fM,pM=vM,Vt=G(pM),gM=Jr,yM=xt,mM=Eu,bM=Qr,ow=function(r,n,e,t,i,a,o,s){for(var u=i,l=0,h=o?bM(o,s):!1,d,c;l<t;)l in e&&(d=h?h(e[l],l,n):e[l],a>0&&gM(d)?(c=yM(d),u=ow(r,n,d,c,u,a-1)-1):(mM(u+1),r[u]=d),u++),l++;return u},$M=ow,wM=H,_M=$M,EM=$t,SM=wt,OM=xt,TM=Ou;wM({target:"Array",proto:!0},{flatMap:function(n){var e=SM(this),t=OM(e),i;return EM(n),i=TM(e,0),i.length=_M(i,e,e,t,0,1,n,arguments.length>1?arguments[1]:void 0),i}});var PM=tt;PM("Array","flatMap");var IM=je,jp=Ct,kM=Vc,sw=function(r,n,e){var t,i;jp(r);try{if(t=kM(r,"return"),!t){if(n==="throw")throw e;return e}t=IM(t,r)}catch(a){i=!0,t=a}if(n==="throw")throw e;if(i)throw t;return jp(t),e},CM=Ct,xM=sw,AM=function(r,n,e,t){try{return t?n(CM(e)[0],e[1]):n(e)}catch(i){xM(r,"throw",i)}},RM=ye,DM=Vn,MM=RM("iterator"),NM=Array.prototype,uw=function(r){return r!==void 0&&(DM.Array===r||NM[MM]===r)},FM=Ir,zp=Vc,BM=Nn,LM=Vn,jM=ye,zM=jM("iterator"),Bu=function(r){if(!BM(r))return zp(r,zM)||zp(r,"@@iterator")||LM[FM(r)]},HM=je,WM=$t,UM=Ct,VM=Ln,GM=Bu,KM=TypeError,lf=function(r,n){var e=arguments.length<2?GM(r):n;if(WM(e))return UM(HM(e,r));throw new KM(VM(r)+" is not iterable")},qM=Qr,YM=je,XM=wt,QM=AM,JM=uw,ZM=Su,eN=xt,Hp=zn,tN=lf,rN=Bu,Wp=Array,iN=function(n){var e=XM(n),t=ZM(this),i=arguments.length,a=i>1?arguments[1]:void 0,o=a!==void 0;o&&(a=qM(a,i>2?arguments[2]:void 0));var s=rN(e),u=0,l,h,d,c,f,v;if(s&&!(this===Wp&&JM(s)))for(c=tN(e,s),f=c.next,h=t?new this:[];!(d=YM(f,c)).done;u++)v=o?QM(c,a,[d.value,u],!0):d.value,Hp(h,u,v);else for(l=eN(e),h=t?new this(l):Wp(l);l>u;u++)v=o?a(e[u],u):e[u],Hp(h,u,v);return h.length=u,h},nN=ye,lw=nN("iterator"),hw=!1;try{var aN=0,Up={next:function(){return{done:!!aN++}},return:function(){hw=!0}};Up[lw]=function(){return this},Array.from(Up,function(){throw 2})}catch{}var dw=function(r,n){try{if(!n&&!hw)return!1}catch{return!1}var e=!1;try{var t={};t[lw]=function(){return{next:function(){return{done:e=!0}}}},r(t)}catch{}return e},oN=H,sN=iN,uN=dw,lN=!uN(function(r){Array.from(r)});oN({target:"Array",stat:!0,forced:lN},{from:sN});var hN=pe,dN=hN.Array.from,cN=dN,cw=cN,fN=cw,hf=G(fN),vN=Bu,pN=vN,gN=pN,yN=gN,mN=yN,bN=mN,$N=bN,wN=$N,fw=wN,vw=G(fw),_N=fw,df=G(_N),EN=H,SN=Jr;EN({target:"Array",stat:!0},{isArray:SN});var ON=pe,TN=ON.Array.isArray,PN=TN,pw=PN,IN=pw,kN=IN,CN=kN,xN=CN,AN=xN,gw=G(AN);function RN(r){if(gw(r))return r}var DN=Le,MN=Jr,NN=TypeError,FN=Object.getOwnPropertyDescriptor,BN=DN&&!function(){if(this!==void 0)return!0;try{Object.defineProperty([],"length",{writable:!1}).length=1}catch(r){return r instanceof TypeError}}(),yw=BN?function(r,n){if(MN(r)&&!FN(r,"length").writable)throw new NN("Cannot set read only .length");return r.length=n}:function(r,n){return r.length=n},LN=H,jN=wt,zN=xt,HN=yw,WN=Eu,UN=ne,VN=UN(function(){return[].push.call({length:4294967296},1)!==4294967297}),GN=function(){try{Object.defineProperty([],"length",{writable:!1}).push()}catch(r){return r instanceof TypeError}},KN=VN||!GN();LN({target:"Array",proto:!0,forced:KN},{push:function(n){var e=jN(this),t=zN(e),i=arguments.length;WN(t+i);for(var a=0;a<i;a++)e[t]=arguments[a],t++;return HN(e,t),t}});var qN=tt,YN=qN("Array","push"),XN=De,QN=YN,Xl=Array.prototype,JN=function(r){var n=r.push;return r===Xl||XN(Xl,r)&&n===Xl.push?QN:n},ZN=JN,e2=ZN,t2=e2,r2=t2,i2=r2,n2=i2,mw=n2,a2=G(mw);function o2(r,n){var e=r==null?null:typeof on<"u"&&vw(r)||r["@@iterator"];if(e!=null){var t,i,a,o,s=[],u=!0,l=!1;try{if(a=(e=e.call(r)).next,n===0){if(Object(e)!==e)return;u=!1}else for(;!(u=(t=a.call(e)).done)&&(a2(s).call(s,t.value),s.length!==n);u=!0);}catch(h){l=!0,i=h}finally{try{if(!u&&e.return!=null&&(o=e.return(),Object(o)!==o))return}finally{if(l)throw i}}return s}}var s2=H,Vp=Jr,u2=Su,l2=Xe,Gp=Pu,h2=xt,d2=ur,c2=zn,f2=ye,v2=Xa,p2=io,g2=v2("slice"),y2=f2("species"),Ql=Array,m2=Math.max;s2({target:"Array",proto:!0,forced:!g2},{slice:function(n,e){var t=d2(this),i=h2(t),a=Gp(n,i),o=Gp(e===void 0?i:e,i),s,u,l;if(Vp(t)&&(s=t.constructor,u2(s)&&(s===Ql||Vp(s.prototype))?s=void 0:l2(s)&&(s=s[y2],s===null&&(s=void 0)),s===Ql||s===void 0))return p2(t,a,o);for(u=new(s===void 0?Ql:s)(m2(o-a,0)),l=0;a<o;a++,l++)a in t&&c2(u,l,t[a]);return u.length=l,u}});var b2=tt,$2=b2("Array","slice"),w2=De,_2=$2,Jl=Array.prototype,E2=function(r){var n=r.slice;return r===Jl||w2(Jl,r)&&n===Jl.slice?_2:n},S2=E2,bw=S2,O2=bw,T2=O2,P2=T2,I2=P2,$w=I2,k2=G($w),C2=cw,x2=C2,A2=x2,R2=A2,D2=R2,ww=G(D2);function Gd(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}function _w(r,n){var e;if(r){if(typeof r=="string")return Gd(r,n);var t=k2(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return ww(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return Gd(r,n)}}function M2(){throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function dt(r,n){return RN(r)||o2(r,n)||_w(r,n)||M2()}function N2(r){if(gw(r))return Gd(r)}function F2(r){if(typeof on<"u"&&vw(r)!=null||r["@@iterator"]!=null)return ww(r)}function B2(){throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function pt(r){return N2(r)||F2(r)||_w(r)||B2()}var L2=V1,Lu=G(L2),j2=tt,z2=j2("Array","concat"),H2=De,W2=z2,Zl=Array.prototype,U2=function(r){var n=r.concat;return r===Zl||H2(Zl,r)&&n===Zl.concat?W2:n},V2=U2,G2=V2,K2=G2,ju=G(K2),q2=bw,zu=G(q2),Y2=lt,X2=fe,Q2=Ja,J2=Za,Z2=Ct,eF=X2([].concat),cf=Y2("Reflect","ownKeys")||function(n){var e=Q2.f(Z2(n)),t=J2.f;return t?eF(e,t(n)):e},tF=H,rF=cf;tF({target:"Reflect",stat:!0},{ownKeys:rF});var iF=pe,nF=iF.Reflect.ownKeys,aF=nF,oF=aF,sF=oF,uF=G(sF),lF=pw,It=G(lF),hF=H,dF=wt,Ew=Iu,cF=ne,fF=cF(function(){Ew(1)});hF({target:"Object",stat:!0,forced:fF},{keys:function(n){return Ew(dF(n))}});var vF=pe,pF=vF.Object.keys,gF=pF,yF=gF,mF=yF,ff=G(mF),bF=Un.forEach,$F=Fu,wF=$F("forEach"),_F=wF?[].forEach:function(n){return bF(this,n,arguments.length>1?arguments[1]:void 0)},EF=H,Kp=_F;EF({target:"Array",proto:!0,forced:[].forEach!==Kp},{forEach:Kp});var SF=tt,OF=SF("Array","forEach"),TF=OF,PF=TF,IF=Ir,kF=Me,CF=De,xF=PF,eh=Array.prototype,AF={DOMTokenList:!0,NodeList:!0},Sw=function(r){var n=r.forEach;return r===eh||CF(eh,r)&&n===eh.forEach||kF(AF,IF(r))?xF:n},RF=Sw,_i=G(RF),DF=H,MF=fe,NF=Jr,FF=MF([].reverse),qp=[1,2];DF({target:"Array",proto:!0,forced:String(qp)===String(qp.reverse())},{reverse:function(){return NF(this)&&(this.length=this.length),FF(this)}});var BF=tt,LF=BF("Array","reverse"),jF=De,zF=LF,th=Array.prototype,HF=function(r){var n=r.reverse;return r===th||jF(th,r)&&n===th.reverse?zF:n},WF=HF,Ow=WF,UF=Ow,VF=G(UF),Yp=Ln,GF=TypeError,Tw=function(r,n){if(!delete r[n])throw new GF("Cannot delete property "+Yp(n)+" of "+Yp(r))},KF=H,qF=wt,YF=Pu,XF=_u,QF=xt,JF=yw,ZF=Eu,eB=Ou,tB=zn,rh=Tw,rB=Xa,iB=rB("splice"),nB=Math.max,aB=Math.min;KF({target:"Array",proto:!0,forced:!iB},{splice:function(n,e){var t=qF(this),i=QF(t),a=YF(n,i),o=arguments.length,s,u,l,h,d,c;for(o===0?s=u=0:o===1?(s=0,u=i-a):(s=o-2,u=aB(nB(XF(e),0),i-a)),ZF(i+s-u),l=eB(t,u),h=0;h<u;h++)d=a+h,d in t&&tB(l,h,t[d]);if(l.length=u,s<u){for(h=a;h<i-u;h++)d=h+u,c=h+s,d in t?t[c]=t[d]:rh(t,c);for(h=i;h>i-u+s;h--)rh(t,h-1)}else if(s>u)for(h=i-u;h>a;h--)d=h+u-1,c=h+s-1,d in t?t[c]=t[d]:rh(t,c);for(h=0;h<s;h++)t[h+a]=arguments[h+2];return JF(t,i-u+s),l}});var oB=tt,sB=oB("Array","splice"),uB=De,lB=sB,ih=Array.prototype,hB=function(r){var n=r.splice;return r===ih||uB(ih,r)&&n===ih.splice?lB:n},dB=hB,cB=dB,fB=cB,Pw=G(fB),Xp=Le,vB=fe,pB=je,gB=ne,nh=Iu,yB=Za,mB=yu,bB=wt,$B=mu,Yi=Object.assign,Qp=Object.defineProperty,wB=vB([].concat),_B=!Yi||gB(function(){if(Xp&&Yi({b:1},Yi(Qp({},"a",{enumerable:!0,get:function(){Qp(this,"b",{value:3,enumerable:!1})}}),{b:2})).b!==1)return!0;var r={},n={},e=Symbol("assign detection"),t="abcdefghijklmnopqrst";return r[e]=7,t.split("").forEach(function(i){n[i]=i}),Yi({},r)[e]!==7||nh(Yi({},n)).join("")!==t})?function(n,e){for(var t=bB(n),i=arguments.length,a=1,o=yB.f,s=mB.f;i>a;)for(var u=$B(arguments[a++]),l=o?wB(nh(u),o(u)):nh(u),h=l.length,d=0,c;h>d;)c=l[d++],(!Xp||pB(s,u,c))&&(t[c]=u[c]);return t}:Yi,EB=H,Jp=_B;EB({target:"Object",stat:!0,forced:Object.assign!==Jp},{assign:Jp});var SB=pe,OB=SB.Object.assign,TB=OB,PB=TB,IB=PB,kB=G(IB),CB=H,xB=ne,AB=wt,Iw=Mu,RB=L1,DB=xB(function(){Iw(1)});CB({target:"Object",stat:!0,forced:DB,sham:!RB},{getPrototypeOf:function(n){return Iw(AB(n))}});var MB=pe,NB=MB.Object.getPrototypeOf,FB=NB,BB=FB,LB=H,jB=Le,zB=Di;LB({target:"Object",stat:!0,sham:!jB},{create:zB});var HB=pe,WB=HB.Object,UB=function(n,e){return WB.create(n,e)},VB=UB,kw=VB,GB=kw,KB=G(GB),Kd=pe,qB=Mn;Kd.JSON||(Kd.JSON={stringify:JSON.stringify});var YB=function(n,e,t){return qB(Kd.JSON.stringify,null,arguments)},XB=YB,QB=XB,JB=QB,ZB=G(JB),eL=typeof Bun=="function"&&Bun&&typeof Bun.version=="string",tL=TypeError,Cw=function(r,n){if(r<n)throw new tL("Not enough arguments");return r},xw=ve,rL=Mn,iL=$e,nL=eL,aL=Xr,oL=io,sL=Cw,uL=xw.Function,lL=/MSIE .\./.test(aL)||nL&&function(){var r=xw.Bun.version.split(".");return r.length<3||r[0]==="0"&&(r[1]<3||r[1]==="3"&&r[2]==="0")}(),Aw=function(r,n){var e=n?2:1;return lL?function(t,i){var a=sL(arguments.length,1)>e,o=iL(t)?t:uL(t),s=a?oL(arguments,e):[],u=a?function(){rL(o,this,s)}:o;return n?r(u,i):r(u)}:r},hL=H,Rw=ve,dL=Aw,Zp=dL(Rw.setInterval,!0);hL({global:!0,bind:!0,forced:Rw.setInterval!==Zp},{setInterval:Zp});var cL=H,Dw=ve,fL=Aw,eg=fL(Dw.setTimeout,!0);cL({global:!0,bind:!0,forced:Dw.setTimeout!==eg},{setTimeout:eg});var vL=pe,pL=vL.setTimeout,gL=pL,yL=G(gL),Mw={exports:{}};(function(r){function n(t){if(t)return e(t);this._callbacks=new Map}function e(t){return Object.assign(t,n.prototype),t._callbacks=new Map,t}n.prototype.on=function(t,i){const a=this._callbacks.get(t)??[];return a.push(i),this._callbacks.set(t,a),this},n.prototype.once=function(t,i){const a=(...o)=>{this.off(t,a),i.apply(this,o)};return a.fn=i,this.on(t,a),this},n.prototype.off=function(t,i){if(t===void 0&&i===void 0)return this._callbacks.clear(),this;if(i===void 0)return this._callbacks.delete(t),this;const a=this._callbacks.get(t);if(a){for(const[o,s]of a.entries())if(s===i||s.fn===i){a.splice(o,1);break}a.length===0?this._callbacks.delete(t):this._callbacks.set(t,a)}return this},n.prototype.emit=function(t,...i){const a=this._callbacks.get(t);if(a){const o=[...a];for(const s of o)s.apply(this,i)}return this},n.prototype.listeners=function(t){return this._callbacks.get(t)??[]},n.prototype.listenerCount=function(t){if(t)return this.listeners(t).length;let i=0;for(const a of this._callbacks.values())i+=a.length;return i},n.prototype.hasListeners=function(t){return this.listenerCount(t)>0},n.prototype.addEventListener=n.prototype.on,n.prototype.removeListener=n.prototype.off,n.prototype.removeEventListener=n.prototype.off,n.prototype.removeAllListeners=n.prototype.off,r.exports=n})(Mw);var mL=Mw.exports,bL=G(mL);/*! Hammer.JS - v2.0.17-rc - 2019-12-16
 * http://naver.github.io/egjs
 *
 * Forked By Naver egjs
 * Copyright (c) hammerjs
 * Licensed under the MIT license */function Xt(){return Xt=Object.assign||function(r){for(var n=1;n<arguments.length;n++){var e=arguments[n];for(var t in e)Object.prototype.hasOwnProperty.call(e,t)&&(r[t]=e[t])}return r},Xt.apply(this,arguments)}function jt(r,n){r.prototype=Object.create(n.prototype),r.prototype.constructor=r,r.__proto__=n}function Xo(r){if(r===void 0)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return r}var qd;typeof Object.assign!="function"?qd=function(n){if(n==null)throw new TypeError("Cannot convert undefined or null to object");for(var e=Object(n),t=1;t<arguments.length;t++){var i=arguments[t];if(i!=null)for(var a in i)i.hasOwnProperty(a)&&(e[a]=i[a])}return e}:qd=Object.assign;var Ei=qd,tg=["","webkit","Moz","MS","ms","o"],$L=typeof document>"u"?{style:{}}:document.createElement("div"),wL="function",un=Math.round,Si=Math.abs,vf=Date.now;function Hu(r,n){for(var e,t,i=n[0].toUpperCase()+n.slice(1),a=0;a<tg.length;){if(e=tg[a],t=e?e+i:n,t in r)return t;a++}}var pr;typeof window>"u"?pr={}:pr=window;var Nw=Hu($L.style,"touchAction"),Fw=Nw!==void 0;function _L(){if(!Fw)return!1;var r={},n=pr.CSS&&pr.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach(function(e){return r[e]=n?pr.CSS.supports("touch-action",e):!0}),r}var Bw="compute",Lw="auto",Yd="manipulation",vi="none",Ra="pan-x",Da="pan-y",Qo=_L(),EL=/mobile|tablet|ip(ad|hone|od)|android/i,jw="ontouchstart"in pr,SL=Hu(pr,"PointerEvent")!==void 0,OL=jw&&EL.test(navigator.userAgent),oo="touch",TL="pen",pf="mouse",PL="kinect",IL=25,st=1,Ni=2,xe=4,mt=8,qs=1,so=2,uo=4,lo=8,Sn=16,ar=so|uo,pi=lo|Sn,zw=ar|pi,Hw=["x","y"],Ys=["clientX","clientY"];function gr(r,n,e){var t;if(r)if(r.forEach)r.forEach(n,e);else if(r.length!==void 0)for(t=0;t<r.length;)n.call(e,r[t],t,r),t++;else for(t in r)r.hasOwnProperty(t)&&n.call(e,r[t],t,r)}function Wu(r,n){return typeof r===wL?r.apply(n&&n[0]||void 0,n):r}function li(r,n){return r.indexOf(n)>-1}function kL(r){if(li(r,vi))return vi;var n=li(r,Ra),e=li(r,Da);return n&&e?vi:n||e?n?Ra:Da:li(r,Yd)?Yd:Lw}var Ww=function(){function r(e,t){this.manager=e,this.set(t)}var n=r.prototype;return n.set=function(t){t===Bw&&(t=this.compute()),Fw&&this.manager.element.style&&Qo[t]&&(this.manager.element.style[Nw]=t),this.actions=t.toLowerCase().trim()},n.update=function(){this.set(this.manager.options.touchAction)},n.compute=function(){var t=[];return gr(this.manager.recognizers,function(i){Wu(i.options.enable,[i])&&(t=t.concat(i.getTouchAction()))}),kL(t.join(" "))},n.preventDefaults=function(t){var i=t.srcEvent,a=t.offsetDirection;if(this.manager.session.prevented){i.preventDefault();return}var o=this.actions,s=li(o,vi)&&!Qo[vi],u=li(o,Da)&&!Qo[Da],l=li(o,Ra)&&!Qo[Ra];if(s){var h=t.pointers.length===1,d=t.distance<2,c=t.deltaTime<250;if(h&&d&&c)return}if(!(l&&u)&&(s||u&&a&ar||l&&a&pi))return this.preventSrc(i)},n.preventSrc=function(t){this.manager.session.prevented=!0,t.preventDefault()},r}();function gf(r,n){for(;r;){if(r===n)return!0;r=r.parentNode}return!1}function Uw(r){var n=r.length;if(n===1)return{x:un(r[0].clientX),y:un(r[0].clientY)};for(var e=0,t=0,i=0;i<n;)e+=r[i].clientX,t+=r[i].clientY,i++;return{x:un(e/n),y:un(t/n)}}function rg(r){for(var n=[],e=0;e<r.pointers.length;)n[e]={clientX:un(r.pointers[e].clientX),clientY:un(r.pointers[e].clientY)},e++;return{timeStamp:vf(),pointers:n,center:Uw(n),deltaX:r.deltaX,deltaY:r.deltaY}}function Xs(r,n,e){e||(e=Hw);var t=n[e[0]]-r[e[0]],i=n[e[1]]-r[e[1]];return Math.sqrt(t*t+i*i)}function Xd(r,n,e){e||(e=Hw);var t=n[e[0]]-r[e[0]],i=n[e[1]]-r[e[1]];return Math.atan2(i,t)*180/Math.PI}function Vw(r,n){return r===n?qs:Si(r)>=Si(n)?r<0?so:uo:n<0?lo:Sn}function CL(r,n){var e=n.center,t=r.offsetDelta||{},i=r.prevDelta||{},a=r.prevInput||{};(n.eventType===st||a.eventType===xe)&&(i=r.prevDelta={x:a.deltaX||0,y:a.deltaY||0},t=r.offsetDelta={x:e.x,y:e.y}),n.deltaX=i.x+(e.x-t.x),n.deltaY=i.y+(e.y-t.y)}function Gw(r,n,e){return{x:n/r||0,y:e/r||0}}function xL(r,n){return Xs(n[0],n[1],Ys)/Xs(r[0],r[1],Ys)}function AL(r,n){return Xd(n[1],n[0],Ys)+Xd(r[1],r[0],Ys)}function RL(r,n){var e=r.lastInterval||n,t=n.timeStamp-e.timeStamp,i,a,o,s;if(n.eventType!==mt&&(t>IL||e.velocity===void 0)){var u=n.deltaX-e.deltaX,l=n.deltaY-e.deltaY,h=Gw(t,u,l);a=h.x,o=h.y,i=Si(h.x)>Si(h.y)?h.x:h.y,s=Vw(u,l),r.lastInterval=n}else i=e.velocity,a=e.velocityX,o=e.velocityY,s=e.direction;n.velocity=i,n.velocityX=a,n.velocityY=o,n.direction=s}function DL(r,n){var e=r.session,t=n.pointers,i=t.length;e.firstInput||(e.firstInput=rg(n)),i>1&&!e.firstMultiple?e.firstMultiple=rg(n):i===1&&(e.firstMultiple=!1);var a=e.firstInput,o=e.firstMultiple,s=o?o.center:a.center,u=n.center=Uw(t);n.timeStamp=vf(),n.deltaTime=n.timeStamp-a.timeStamp,n.angle=Xd(s,u),n.distance=Xs(s,u),CL(e,n),n.offsetDirection=Vw(n.deltaX,n.deltaY);var l=Gw(n.deltaTime,n.deltaX,n.deltaY);n.overallVelocityX=l.x,n.overallVelocityY=l.y,n.overallVelocity=Si(l.x)>Si(l.y)?l.x:l.y,n.scale=o?xL(o.pointers,t):1,n.rotation=o?AL(o.pointers,t):0,n.maxPointers=e.prevInput?n.pointers.length>e.prevInput.maxPointers?n.pointers.length:e.prevInput.maxPointers:n.pointers.length,RL(e,n);var h=r.element,d=n.srcEvent,c;d.composedPath?c=d.composedPath()[0]:d.path?c=d.path[0]:c=d.target,gf(c,h)&&(h=c),n.target=h}function ML(r,n,e){var t=e.pointers.length,i=e.changedPointers.length,a=n&st&&t-i===0,o=n&(xe|mt)&&t-i===0;e.isFirst=!!a,e.isFinal=!!o,a&&(r.session={}),e.eventType=n,DL(r,e),r.emit("hammer.input",e),r.recognize(e),r.session.prevInput=e}function Ma(r){return r.trim().split(/\s+/g)}function ba(r,n,e){gr(Ma(n),function(t){r.addEventListener(t,e,!1)})}function $a(r,n,e){gr(Ma(n),function(t){r.removeEventListener(t,e,!1)})}function ig(r){var n=r.ownerDocument||r;return n.defaultView||n.parentWindow||window}var Gn=function(){function r(e,t){var i=this;this.manager=e,this.callback=t,this.element=e.element,this.target=e.options.inputTarget,this.domHandler=function(a){Wu(e.options.enable,[e])&&i.handler(a)},this.init()}var n=r.prototype;return n.handler=function(){},n.init=function(){this.evEl&&ba(this.element,this.evEl,this.domHandler),this.evTarget&&ba(this.target,this.evTarget,this.domHandler),this.evWin&&ba(ig(this.element),this.evWin,this.domHandler)},n.destroy=function(){this.evEl&&$a(this.element,this.evEl,this.domHandler),this.evTarget&&$a(this.target,this.evTarget,this.domHandler),this.evWin&&$a(ig(this.element),this.evWin,this.domHandler)},r}();function Oi(r,n,e){if(r.indexOf&&!e)return r.indexOf(n);for(var t=0;t<r.length;){if(e&&r[t][e]==n||!e&&r[t]===n)return t;t++}return-1}var NL={pointerdown:st,pointermove:Ni,pointerup:xe,pointercancel:mt,pointerout:mt},FL={2:oo,3:TL,4:pf,5:PL},Kw="pointerdown",qw="pointermove pointerup pointercancel";pr.MSPointerEvent&&!pr.PointerEvent&&(Kw="MSPointerDown",qw="MSPointerMove MSPointerUp MSPointerCancel");var Yw=function(r){jt(n,r);function n(){var t,i=n.prototype;return i.evEl=Kw,i.evWin=qw,t=r.apply(this,arguments)||this,t.store=t.manager.session.pointerEvents=[],t}var e=n.prototype;return e.handler=function(i){var a=this.store,o=!1,s=i.type.toLowerCase().replace("ms",""),u=NL[s],l=FL[i.pointerType]||i.pointerType,h=l===oo,d=Oi(a,i.pointerId,"pointerId");u&st&&(i.button===0||h)?d<0&&(a.push(i),d=a.length-1):u&(xe|mt)&&(o=!0),!(d<0)&&(a[d]=i,this.callback(this.manager,u,{pointers:a,changedPointers:[i],pointerType:l,srcEvent:i}),o&&a.splice(d,1))},n}(Gn);function Na(r){return Array.prototype.slice.call(r,0)}function yf(r,n,e){for(var t=[],i=[],a=0;a<r.length;){var o=n?r[a][n]:r[a];Oi(i,o)<0&&t.push(r[a]),i[a]=o,a++}return e&&(n?t=t.sort(function(s,u){return s[n]>u[n]}):t=t.sort()),t}var BL={touchstart:st,touchmove:Ni,touchend:xe,touchcancel:mt},LL="touchstart touchmove touchend touchcancel",mf=function(r){jt(n,r);function n(){var t;return n.prototype.evTarget=LL,t=r.apply(this,arguments)||this,t.targetIds={},t}var e=n.prototype;return e.handler=function(i){var a=BL[i.type],o=jL.call(this,i,a);o&&this.callback(this.manager,a,{pointers:o[0],changedPointers:o[1],pointerType:oo,srcEvent:i})},n}(Gn);function jL(r,n){var e=Na(r.touches),t=this.targetIds;if(n&(st|Ni)&&e.length===1)return t[e[0].identifier]=!0,[e,e];var i,a,o=Na(r.changedTouches),s=[],u=this.target;if(a=e.filter(function(l){return gf(l.target,u)}),n===st)for(i=0;i<a.length;)t[a[i].identifier]=!0,i++;for(i=0;i<o.length;)t[o[i].identifier]&&s.push(o[i]),n&(xe|mt)&&delete t[o[i].identifier],i++;if(s.length)return[yf(a.concat(s),"identifier",!0),s]}var zL={mousedown:st,mousemove:Ni,mouseup:xe},HL="mousedown",WL="mousemove mouseup",bf=function(r){jt(n,r);function n(){var t,i=n.prototype;return i.evEl=HL,i.evWin=WL,t=r.apply(this,arguments)||this,t.pressed=!1,t}var e=n.prototype;return e.handler=function(i){var a=zL[i.type];a&st&&i.button===0&&(this.pressed=!0),a&Ni&&i.which!==1&&(a=xe),this.pressed&&(a&xe&&(this.pressed=!1),this.callback(this.manager,a,{pointers:[i],changedPointers:[i],pointerType:pf,srcEvent:i}))},n}(Gn),UL=2500,ng=25;function ag(r){var n=r.changedPointers,e=n[0];if(e.identifier===this.primaryTouch){var t={x:e.clientX,y:e.clientY},i=this.lastTouches;this.lastTouches.push(t);var a=function(){var s=i.indexOf(t);s>-1&&i.splice(s,1)};setTimeout(a,UL)}}function VL(r,n){r&st?(this.primaryTouch=n.changedPointers[0].identifier,ag.call(this,n)):r&(xe|mt)&&ag.call(this,n)}function GL(r){for(var n=r.srcEvent.clientX,e=r.srcEvent.clientY,t=0;t<this.lastTouches.length;t++){var i=this.lastTouches[t],a=Math.abs(n-i.x),o=Math.abs(e-i.y);if(a<=ng&&o<=ng)return!0}return!1}var Xw=function(){var r=function(n){jt(e,n);function e(i,a){var o;return o=n.call(this,i,a)||this,o.handler=function(s,u,l){var h=l.pointerType===oo,d=l.pointerType===pf;if(!(d&&l.sourceCapabilities&&l.sourceCapabilities.firesTouchEvents)){if(h)VL.call(Xo(Xo(o)),u,l);else if(d&&GL.call(Xo(Xo(o)),l))return;o.callback(s,u,l)}},o.touch=new mf(o.manager,o.handler),o.mouse=new bf(o.manager,o.handler),o.primaryTouch=null,o.lastTouches=[],o}var t=e.prototype;return t.destroy=function(){this.touch.destroy(),this.mouse.destroy()},e}(Gn);return r}();function KL(r){var n,e=r.options.inputClass;return e?n=e:SL?n=Yw:OL?n=mf:jw?n=Xw:n=bf,new n(r,ML)}function ln(r,n,e){return Array.isArray(r)?(gr(r,e[n],e),!0):!1}var Is=1,Bt=2,On=4,jr=8,yr=jr,Fa=16,rr=32,qL=1;function YL(){return qL++}function Jo(r,n){var e=n.manager;return e?e.get(r):r}function og(r){return r&Fa?"cancel":r&jr?"end":r&On?"move":r&Bt?"start":""}var ho=function(){function r(e){e===void 0&&(e={}),this.options=Xt({enable:!0},e),this.id=YL(),this.manager=null,this.state=Is,this.simultaneous={},this.requireFail=[]}var n=r.prototype;return n.set=function(t){return Ei(this.options,t),this.manager&&this.manager.touchAction.update(),this},n.recognizeWith=function(t){if(ln(t,"recognizeWith",this))return this;var i=this.simultaneous;return t=Jo(t,this),i[t.id]||(i[t.id]=t,t.recognizeWith(this)),this},n.dropRecognizeWith=function(t){return ln(t,"dropRecognizeWith",this)?this:(t=Jo(t,this),delete this.simultaneous[t.id],this)},n.requireFailure=function(t){if(ln(t,"requireFailure",this))return this;var i=this.requireFail;return t=Jo(t,this),Oi(i,t)===-1&&(i.push(t),t.requireFailure(this)),this},n.dropRequireFailure=function(t){if(ln(t,"dropRequireFailure",this))return this;t=Jo(t,this);var i=Oi(this.requireFail,t);return i>-1&&this.requireFail.splice(i,1),this},n.hasRequireFailures=function(){return this.requireFail.length>0},n.canRecognizeWith=function(t){return!!this.simultaneous[t.id]},n.emit=function(t){var i=this,a=this.state;function o(s){i.manager.emit(s,t)}a<jr&&o(i.options.event+og(a)),o(i.options.event),t.additionalEvent&&o(t.additionalEvent),a>=jr&&o(i.options.event+og(a))},n.tryEmit=function(t){if(this.canEmit())return this.emit(t);this.state=rr},n.canEmit=function(){for(var t=0;t<this.requireFail.length;){if(!(this.requireFail[t].state&(rr|Is)))return!1;t++}return!0},n.recognize=function(t){var i=Ei({},t);if(!Wu(this.options.enable,[this,i])){this.reset(),this.state=rr;return}this.state&(yr|Fa|rr)&&(this.state=Is),this.state=this.process(i),this.state&(Bt|On|jr|Fa)&&this.tryEmit(i)},n.process=function(t){},n.getTouchAction=function(){},n.reset=function(){},r}(),Qd=function(r){jt(n,r);function n(t){var i;return t===void 0&&(t={}),i=r.call(this,Xt({event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},t))||this,i.pTime=!1,i.pCenter=!1,i._timer=null,i._input=null,i.count=0,i}var e=n.prototype;return e.getTouchAction=function(){return[Yd]},e.process=function(i){var a=this,o=this.options,s=i.pointers.length===o.pointers,u=i.distance<o.threshold,l=i.deltaTime<o.time;if(this.reset(),i.eventType&st&&this.count===0)return this.failTimeout();if(u&&l&&s){if(i.eventType!==xe)return this.failTimeout();var h=this.pTime?i.timeStamp-this.pTime<o.interval:!0,d=!this.pCenter||Xs(this.pCenter,i.center)<o.posThreshold;this.pTime=i.timeStamp,this.pCenter=i.center,!d||!h?this.count=1:this.count+=1,this._input=i;var c=this.count%o.taps;if(c===0)return this.hasRequireFailures()?(this._timer=setTimeout(function(){a.state=yr,a.tryEmit()},o.interval),Bt):yr}return rr},e.failTimeout=function(){var i=this;return this._timer=setTimeout(function(){i.state=rr},this.options.interval),rr},e.reset=function(){clearTimeout(this._timer)},e.emit=function(){this.state===yr&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))},n}(ho),Tn=function(r){jt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Xt({pointers:1},t))||this}var e=n.prototype;return e.attrTest=function(i){var a=this.options.pointers;return a===0||i.pointers.length===a},e.process=function(i){var a=this.state,o=i.eventType,s=a&(Bt|On),u=this.attrTest(i);return s&&(o&mt||!u)?a|Fa:s||u?o&xe?a|jr:a&Bt?a|On:Bt:rr},n}(ho);function Qw(r){return r===Sn?"down":r===lo?"up":r===so?"left":r===uo?"right":""}var $f=function(r){jt(n,r);function n(t){var i;return t===void 0&&(t={}),i=r.call(this,Xt({event:"pan",threshold:10,pointers:1,direction:zw},t))||this,i.pX=null,i.pY=null,i}var e=n.prototype;return e.getTouchAction=function(){var i=this.options.direction,a=[];return i&ar&&a.push(Da),i&pi&&a.push(Ra),a},e.directionTest=function(i){var a=this.options,o=!0,s=i.distance,u=i.direction,l=i.deltaX,h=i.deltaY;return u&a.direction||(a.direction&ar?(u=l===0?qs:l<0?so:uo,o=l!==this.pX,s=Math.abs(i.deltaX)):(u=h===0?qs:h<0?lo:Sn,o=h!==this.pY,s=Math.abs(i.deltaY))),i.direction=u,o&&s>a.threshold&&u&a.direction},e.attrTest=function(i){return Tn.prototype.attrTest.call(this,i)&&(this.state&Bt||!(this.state&Bt)&&this.directionTest(i))},e.emit=function(i){this.pX=i.deltaX,this.pY=i.deltaY;var a=Qw(i.direction);a&&(i.additionalEvent=this.options.event+a),r.prototype.emit.call(this,i)},n}(Tn),Jw=function(r){jt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Xt({event:"swipe",threshold:10,velocity:.3,direction:ar|pi,pointers:1},t))||this}var e=n.prototype;return e.getTouchAction=function(){return $f.prototype.getTouchAction.call(this)},e.attrTest=function(i){var a=this.options.direction,o;return a&(ar|pi)?o=i.overallVelocity:a&ar?o=i.overallVelocityX:a&pi&&(o=i.overallVelocityY),r.prototype.attrTest.call(this,i)&&a&i.offsetDirection&&i.distance>this.options.threshold&&i.maxPointers===this.options.pointers&&Si(o)>this.options.velocity&&i.eventType&xe},e.emit=function(i){var a=Qw(i.offsetDirection);a&&this.manager.emit(this.options.event+a,i),this.manager.emit(this.options.event,i)},n}(Tn),Zw=function(r){jt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Xt({event:"pinch",threshold:0,pointers:2},t))||this}var e=n.prototype;return e.getTouchAction=function(){return[vi]},e.attrTest=function(i){return r.prototype.attrTest.call(this,i)&&(Math.abs(i.scale-1)>this.options.threshold||this.state&Bt)},e.emit=function(i){if(i.scale!==1){var a=i.scale<1?"in":"out";i.additionalEvent=this.options.event+a}r.prototype.emit.call(this,i)},n}(Tn),e0=function(r){jt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Xt({event:"rotate",threshold:0,pointers:2},t))||this}var e=n.prototype;return e.getTouchAction=function(){return[vi]},e.attrTest=function(i){return r.prototype.attrTest.call(this,i)&&(Math.abs(i.rotation)>this.options.threshold||this.state&Bt)},n}(Tn),t0=function(r){jt(n,r);function n(t){var i;return t===void 0&&(t={}),i=r.call(this,Xt({event:"press",pointers:1,time:251,threshold:9},t))||this,i._timer=null,i._input=null,i}var e=n.prototype;return e.getTouchAction=function(){return[Lw]},e.process=function(i){var a=this,o=this.options,s=i.pointers.length===o.pointers,u=i.distance<o.threshold,l=i.deltaTime>o.time;if(this._input=i,!u||!s||i.eventType&(xe|mt)&&!l)this.reset();else if(i.eventType&st)this.reset(),this._timer=setTimeout(function(){a.state=yr,a.tryEmit()},o.time);else if(i.eventType&xe)return yr;return rr},e.reset=function(){clearTimeout(this._timer)},e.emit=function(i){this.state===yr&&(i&&i.eventType&xe?this.manager.emit(this.options.event+"up",i):(this._input.timeStamp=vf(),this.manager.emit(this.options.event,this._input)))},n}(ho),r0={domEvents:!1,touchAction:Bw,enable:!0,inputTarget:null,inputClass:null,cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},sg=[[e0,{enable:!1}],[Zw,{enable:!1},["rotate"]],[Jw,{direction:ar}],[$f,{direction:ar},["swipe"]],[Qd],[Qd,{event:"doubletap",taps:2},["tap"]],[t0]],XL=1,ug=2;function lg(r,n){var e=r.element;if(e.style){var t;gr(r.options.cssProps,function(i,a){t=Hu(e.style,a),n?(r.oldCssProps[t]=e.style[t],e.style[t]=i):e.style[t]=r.oldCssProps[t]||""}),n||(r.oldCssProps={})}}function QL(r,n){var e=document.createEvent("Event");e.initEvent(r,!0,!0),e.gesture=n,n.target.dispatchEvent(e)}var hg=function(){function r(e,t){var i=this;this.options=Ei({},r0,t||{}),this.options.inputTarget=this.options.inputTarget||e,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=e,this.input=KL(this),this.touchAction=new Ww(this,this.options.touchAction),lg(this,!0),gr(this.options.recognizers,function(a){var o=i.add(new a[0](a[1]));a[2]&&o.recognizeWith(a[2]),a[3]&&o.requireFailure(a[3])},this)}var n=r.prototype;return n.set=function(t){return Ei(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},n.stop=function(t){this.session.stopped=t?ug:XL},n.recognize=function(t){var i=this.session;if(!i.stopped){this.touchAction.preventDefaults(t);var a,o=this.recognizers,s=i.curRecognizer;(!s||s&&s.state&yr)&&(i.curRecognizer=null,s=null);for(var u=0;u<o.length;)a=o[u],i.stopped!==ug&&(!s||a===s||a.canRecognizeWith(s))?a.recognize(t):a.reset(),!s&&a.state&(Bt|On|jr)&&(i.curRecognizer=a,s=a),u++}},n.get=function(t){if(t instanceof ho)return t;for(var i=this.recognizers,a=0;a<i.length;a++)if(i[a].options.event===t)return i[a];return null},n.add=function(t){if(ln(t,"add",this))return this;var i=this.get(t.options.event);return i&&this.remove(i),this.recognizers.push(t),t.manager=this,this.touchAction.update(),t},n.remove=function(t){if(ln(t,"remove",this))return this;var i=this.get(t);if(t){var a=this.recognizers,o=Oi(a,i);o!==-1&&(a.splice(o,1),this.touchAction.update())}return this},n.on=function(t,i){if(t===void 0||i===void 0)return this;var a=this.handlers;return gr(Ma(t),function(o){a[o]=a[o]||[],a[o].push(i)}),this},n.off=function(t,i){if(t===void 0)return this;var a=this.handlers;return gr(Ma(t),function(o){i?a[o]&&a[o].splice(Oi(a[o],i),1):delete a[o]}),this},n.emit=function(t,i){this.options.domEvents&&QL(t,i);var a=this.handlers[t]&&this.handlers[t].slice();if(!(!a||!a.length)){i.type=t,i.preventDefault=function(){i.srcEvent.preventDefault()};for(var o=0;o<a.length;)a[o](i),o++}},n.destroy=function(){this.element&&lg(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null},r}(),JL={touchstart:st,touchmove:Ni,touchend:xe,touchcancel:mt},ZL="touchstart",ej="touchstart touchmove touchend touchcancel",tj=function(r){jt(n,r);function n(){var t,i=n.prototype;return i.evTarget=ZL,i.evWin=ej,t=r.apply(this,arguments)||this,t.started=!1,t}var e=n.prototype;return e.handler=function(i){var a=JL[i.type];if(a===st&&(this.started=!0),!!this.started){var o=rj.call(this,i,a);a&(xe|mt)&&o[0].length-o[1].length===0&&(this.started=!1),this.callback(this.manager,a,{pointers:o[0],changedPointers:o[1],pointerType:oo,srcEvent:i})}},n}(Gn);function rj(r,n){var e=Na(r.touches),t=Na(r.changedTouches);return n&(xe|mt)&&(e=yf(e.concat(t),"identifier",!0)),[e,t]}function i0(r,n,e){var t="DEPRECATED METHOD: "+n+`
`+e+` AT 
`;return function(){var i=new Error("get-stack-trace"),a=i&&i.stack?i.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",o=window.console&&(window.console.warn||window.console.log);return o&&o.call(window.console,t,a),r.apply(this,arguments)}}var n0=i0(function(r,n,e){for(var t=Object.keys(n),i=0;i<t.length;)(!e||e&&r[t[i]]===void 0)&&(r[t[i]]=n[t[i]]),i++;return r},"extend","Use `assign`."),ij=i0(function(r,n){return n0(r,n,!0)},"merge","Use `assign`.");function nj(r,n,e){var t=n.prototype,i;i=r.prototype=Object.create(t),i.constructor=r,i._super=t,e&&Ei(i,e)}function dg(r,n){return function(){return r.apply(n,arguments)}}var aj=function(){var r=function(e,t){return t===void 0&&(t={}),new hg(e,Xt({recognizers:sg.concat()},t))};return r.VERSION="2.0.17-rc",r.DIRECTION_ALL=zw,r.DIRECTION_DOWN=Sn,r.DIRECTION_LEFT=so,r.DIRECTION_RIGHT=uo,r.DIRECTION_UP=lo,r.DIRECTION_HORIZONTAL=ar,r.DIRECTION_VERTICAL=pi,r.DIRECTION_NONE=qs,r.DIRECTION_DOWN=Sn,r.INPUT_START=st,r.INPUT_MOVE=Ni,r.INPUT_END=xe,r.INPUT_CANCEL=mt,r.STATE_POSSIBLE=Is,r.STATE_BEGAN=Bt,r.STATE_CHANGED=On,r.STATE_ENDED=jr,r.STATE_RECOGNIZED=yr,r.STATE_CANCELLED=Fa,r.STATE_FAILED=rr,r.Manager=hg,r.Input=Gn,r.TouchAction=Ww,r.TouchInput=mf,r.MouseInput=bf,r.PointerEventInput=Yw,r.TouchMouseInput=Xw,r.SingleTouchInput=tj,r.Recognizer=ho,r.AttrRecognizer=Tn,r.Tap=Qd,r.Pan=$f,r.Swipe=Jw,r.Pinch=Zw,r.Rotate=e0,r.Press=t0,r.on=ba,r.off=$a,r.each=gr,r.merge=ij,r.extend=n0,r.bindFn=dg,r.assign=Ei,r.inherit=nj,r.bindFn=dg,r.prefixed=Hu,r.toArray=Na,r.inArray=Oi,r.uniqueArray=yf,r.splitStr=Ma,r.boolOrFn=Wu,r.hasParent=gf,r.addEventListeners=ba,r.removeEventListeners=$a,r.defaults=Ei({},r0,{preset:sg}),r}(),oj=aj;function a0(r,n){var e=typeof Lu<"u"&&df(r)||r["@@iterator"];if(!e){if(It(r)||(e=sj(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function sj(r,n){var e;if(r){if(typeof r=="string")return cg(r,n);var t=zu(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return hf(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return cg(r,n)}}function cg(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var o0=Lu("DELETE");function uj(r){for(var n,e=arguments.length,t=new Array(e>1?e-1:0),i=1;i<e;i++)t[i-1]=arguments[i];return s0.apply(void 0,ju(n=[{},r]).call(n,t))}function s0(){var r=Qs.apply(void 0,arguments);return l0(r),r}function Qs(){for(var r=arguments.length,n=new Array(r),e=0;e<r;e++)n[e]=arguments[e];if(n.length<2)return n[0];if(n.length>2){var t;return Qs.apply(void 0,ju(t=[s0(n[0],n[1])]).call(t,pt(zu(n).call(n,2))))}var i=n[0],a=n[1];if(i instanceof Date&&a instanceof Date)return i.setTime(a.getTime()),i;var o=a0(uF(a)),s;try{for(o.s();!(s=o.n()).done;){var u=s.value;Object.prototype.propertyIsEnumerable.call(a,u)&&(a[u]===o0?delete i[u]:i[u]!==null&&a[u]!==null&&typeof i[u]=="object"&&typeof a[u]=="object"&&!It(i[u])&&!It(a[u])?i[u]=Qs(i[u],a[u]):i[u]=u0(a[u]))}}catch(l){o.e(l)}finally{o.f()}return i}function u0(r){return It(r)?Vt(r).call(r,function(n){return u0(n)}):typeof r=="object"&&r!==null?r instanceof Date?new Date(r.getTime()):Qs({},r):r}function l0(r){for(var n=0,e=ff(r);n<e.length;n++){var t=e[n];r[t]===o0?delete r[t]:typeof r[t]=="object"&&r[t]!==null&&l0(r[t])}}function lj(){var r=function(){};return{on:r,off:r,destroy:r,emit:r,get(){return{set:r}}}}var hj=typeof window<"u"?window.Hammer||oj:function(){return lj()};function fr(r){var n=this,e;this._cleanupQueue=[],this.active=!1,this._dom={container:r,overlay:document.createElement("div")},this._dom.overlay.classList.add("vis-overlay"),this._dom.container.appendChild(this._dom.overlay),this._cleanupQueue.push(function(){n._dom.overlay.parentNode.removeChild(n._dom.overlay)});var t=hj(this._dom.overlay);t.on("tap",aw(e=this._onTapOverlay).call(e,this)),this._cleanupQueue.push(function(){t.destroy()});var i=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];_i(i).call(i,function(a){t.on(a,function(o){o.srcEvent.stopPropagation()})}),document&&document.body&&(this._onClick=function(a){dj(a.target,r)||n.deactivate()},document.body.addEventListener("click",this._onClick),this._cleanupQueue.push(function(){document.body.removeEventListener("click",n._onClick)})),this._escListener=function(a){("key"in a?a.key==="Escape":a.keyCode===27)&&n.deactivate()}}bL(fr.prototype);fr.current=null;fr.prototype.destroy=function(){var r,n;this.deactivate();var e=a0(VF(r=Pw(n=this._cleanupQueue).call(n,0)).call(r)),t;try{for(e.s();!(t=e.n()).done;){var i=t.value;i()}}catch(a){e.e(a)}finally{e.f()}};fr.prototype.activate=function(){fr.current&&fr.current.deactivate(),fr.current=this,this.active=!0,this._dom.overlay.style.display="none",this._dom.container.classList.add("vis-active"),this.emit("change"),this.emit("activate"),document.body.addEventListener("keydown",this._escListener)};fr.prototype.deactivate=function(){this.active=!1,this._dom.overlay.style.display="block",this._dom.container.classList.remove("vis-active"),document.body.removeEventListener("keydown",this._escListener),this.emit("change"),this.emit("deactivate")};fr.prototype._onTapOverlay=function(r){this.activate(),r.srcEvent.stopPropagation()};function dj(r,n){for(;r;){if(r===n)return!0;r=r.parentNode}return!1}var cj=Su,fj=Ln,vj=TypeError,h0=function(r){if(cj(r))return r;throw new vj(fj(r)+" is not a constructor")},pj=H,gj=lt,ah=Mn,yj=iw,fg=h0,mj=Ct,vg=Xe,bj=Di,d0=ne,wf=gj("Reflect","construct"),$j=Object.prototype,wj=[].push,c0=d0(function(){function r(){}return!(wf(function(){},[],r)instanceof r)}),f0=!d0(function(){wf(function(){})}),pg=c0||f0;pj({target:"Reflect",stat:!0,forced:pg,sham:pg},{construct:function(n,e){fg(n),mj(e);var t=arguments.length<3?n:fg(arguments[2]);if(f0&&!c0)return wf(n,e,t);if(n===t){switch(e.length){case 0:return new n;case 1:return new n(e[0]);case 2:return new n(e[0],e[1]);case 3:return new n(e[0],e[1],e[2]);case 4:return new n(e[0],e[1],e[2],e[3])}var i=[null];return ah(wj,i,e),new(ah(yj,n,i))}var a=t.prototype,o=bj(vg(a)?a:$j),s=ah(n,o,e);return vg(s)?s:o}});var _j=pe,Ej=_j.Reflect.construct,Sj=Ej,Oj=Sj,Tj=Oj,ks=G(Tj),Pj=pe,Ij=Pj.Object.getOwnPropertySymbols,kj=Ij,Cj=kj,xj=Cj,gg=G(xj),v0={exports:{}},Aj=H,Rj=ne,Dj=ur,p0=xi.f,g0=Le,Mj=!g0||Rj(function(){p0(1)});Aj({target:"Object",stat:!0,forced:Mj,sham:!g0},{getOwnPropertyDescriptor:function(n,e){return p0(Dj(n),e)}});var Nj=pe,y0=Nj.Object,Fj=v0.exports=function(n,e){return y0.getOwnPropertyDescriptor(n,e)};y0.getOwnPropertyDescriptor.sham&&(Fj.sham=!0);var Bj=v0.exports,Lj=Bj,jj=Lj,zj=jj,m0=G(zj),Hj=H,Wj=Le,Uj=cf,Vj=ur,Gj=xi,Kj=zn;Hj({target:"Object",stat:!0,sham:!Wj},{getOwnPropertyDescriptors:function(n){for(var e=Vj(n),t=Gj.f,i=Uj(e),a={},o=0,s,u;i.length>o;)u=t(e,s=i[o++]),u!==void 0&&Kj(a,s,u);return a}});var qj=pe,Yj=qj.Object.getOwnPropertyDescriptors,Xj=Yj,Qj=Xj,Jj=Qj,yg=G(Jj),b0={exports:{}},Zj=H,ez=Le,mg=Tu.f;Zj({target:"Object",stat:!0,forced:Object.defineProperties!==mg,sham:!ez},{defineProperties:mg});var tz=pe,$0=tz.Object,rz=b0.exports=function(n,e){return $0.defineProperties(n,e)};$0.defineProperties.sham&&(rz.sham=!0);var iz=b0.exports,nz=iz,az=nz,oz=az,sz=G(oz),uz=Q$,lz=G(uz);function w0(r){if(r===void 0)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return r}var hz=kw,dz=hz,cz=dz,fz=cz,_0=fz,vz=G(_0),pz=H,gz=H1;pz({target:"Object",stat:!0},{setPrototypeOf:gz});var yz=pe,mz=yz.Object.setPrototypeOf,bz=mz,$z=bz,wz=$z,_z=wz,Ez=_z,Sz=Ez,E0=Sz,Jd=G(E0),Oz=nw,Tz=Oz,Pz=Tz,Iz=Pz,kz=Iz,S0=G(kz);function Zd(r,n){var e;return Zd=Jd?S0(e=Jd).call(e):function(i,a){return i.__proto__=a,i},Zd(r,n)}function Cz(r,n){if(typeof n!="function"&&n!==null)throw new TypeError("Super expression must either be null or a function");r.prototype=vz(n&&n.prototype,{constructor:{value:r,writable:!0,configurable:!0}}),wu(r,"prototype",{writable:!1}),n&&Zd(r,n)}function xz(r,n){if(n&&(En(n)==="object"||typeof n=="function"))return n;if(n!==void 0)throw new TypeError("Derived constructors may only return object or undefined");return w0(r)}var Az=BB,Rz=Az,Dz=Rz,Mz=Dz,O0=Mz,bg=G(O0);function Js(r){var n;return Js=Jd?S0(n=bg).call(n):function(t){return t.__proto__||bg(t)},Js(r)}var T0={exports:{}},P0={exports:{}};(function(r){var n=sf,e=Z1;function t(i){"@babel/helpers - typeof";return r.exports=t=typeof n=="function"&&typeof e=="symbol"?function(a){return typeof a}:function(a){return a&&typeof n=="function"&&a.constructor===n&&a!==n.prototype?"symbol":typeof a},r.exports.__esModule=!0,r.exports.default=r.exports,t(i)}r.exports=t,r.exports.__esModule=!0,r.exports.default=r.exports})(P0);var Nz=P0.exports,Fz=Sw,Bz=Fz,Lz=Bz,jz=Lz,zz=jz,$g=Me,Hz=cf,Wz=xi,Uz=_t,Vz=function(r,n,e){for(var t=Hz(n),i=Uz.f,a=Wz.f,o=0;o<t.length;o++){var s=t[o];!$g(r,s)&&!(e&&$g(e,s))&&i(r,s,a(n,s))}},Gz=Xe,Kz=Pr,qz=function(r,n){Gz(n)&&"cause"in n&&Kz(r,"cause",n.cause)},Yz=fe,I0=Error,Xz=Yz("".replace),Qz=function(r){return String(new I0(r).stack)}("zxcasd"),k0=/\n\s*at [^:]*:[^\n]*/,Jz=k0.test(Qz),Zz=function(r,n){if(Jz&&typeof r=="string"&&!I0.prepareStackTrace)for(;n--;)r=Xz(r,k0,"");return r},e3=ne,t3=Ai,r3=!e3(function(){var r=new Error("a");return"stack"in r?(Object.defineProperty(r,"stack",t3(1,7)),r.stack!==7):!0}),i3=Pr,n3=Zz,a3=r3,wg=Error.captureStackTrace,o3=function(r,n,e,t){a3&&(wg?wg(r,n):i3(r,"stack",n3(e,t)))},s3=Qr,u3=je,l3=Ct,h3=Ln,d3=uw,c3=xt,_g=De,f3=lf,v3=Bu,Eg=sw,p3=TypeError,Cs=function(r,n){this.stopped=r,this.result=n},Sg=Cs.prototype,Fi=function(r,n,e){var t=e&&e.that,i=!!(e&&e.AS_ENTRIES),a=!!(e&&e.IS_RECORD),o=!!(e&&e.IS_ITERATOR),s=!!(e&&e.INTERRUPTED),u=s3(n,t),l,h,d,c,f,v,p,g=function(m){return l&&Eg(l,"normal",m),new Cs(!0,m)},y=function(m){return i?(l3(m),s?u(m[0],m[1],g):u(m[0],m[1])):s?u(m,g):u(m)};if(a)l=r.iterator;else if(o)l=r;else{if(h=v3(r),!h)throw new p3(h3(r)+" is not iterable");if(d3(h)){for(d=0,c=c3(r);c>d;d++)if(f=y(r[d]),f&&_g(Sg,f))return f;return new Cs(!1)}l=f3(r,h)}for(v=a?r.next:l.next;!(p=u3(v,l)).done;){try{f=y(p.value)}catch(m){Eg(l,"throw",m)}if(typeof f=="object"&&f&&_g(Sg,f))return f}return new Cs(!1)},g3=Ri,y3=function(r,n){return r===void 0?arguments.length<2?"":n:g3(r)},m3=H,b3=De,$3=Mu,Zs=H1,w3=Vz,C0=Di,oh=Pr,sh=Ai,_3=qz,E3=o3,S3=Fi,O3=y3,T3=ye,P3=T3("toStringTag"),eu=Error,I3=[].push,Pn=function(n,e){var t=b3(uh,this),i;Zs?i=Zs(new eu,t?$3(this):uh):(i=t?this:C0(uh),oh(i,P3,"Error")),e!==void 0&&oh(i,"message",O3(e)),E3(i,Pn,i.stack,1),arguments.length>2&&_3(i,arguments[2]);var a=[];return S3(n,I3,{that:a}),oh(i,"errors",a),i};Zs?Zs(Pn,eu):w3(Pn,eu,{name:!0});var uh=Pn.prototype=C0(eu.prototype,{constructor:sh(1,Pn),message:sh(1,""),name:sh(1,"AggregateError")});m3({global:!0},{AggregateError:Pn});var k3=lt,C3=Jc,x3=ye,A3=Le,Og=x3("species"),x0=function(r){var n=k3(r);A3&&n&&!n[Og]&&C3(n,Og,{configurable:!0,get:function(){return this}})},R3=De,D3=TypeError,_f=function(r,n){if(R3(n,r))return r;throw new D3("Incorrect invocation")},Tg=Ct,M3=h0,N3=Nn,F3=ye,B3=F3("species"),A0=function(r,n){var e=Tg(r).constructor,t;return e===void 0||N3(t=Tg(e)[B3])?n:M3(t)},L3=Xr,R0=/(?:ipad|iphone|ipod).*applewebkit/i.test(L3),kt=ve,j3=Mn,z3=Qr,Pg=$e,H3=Me,D0=ne,Ig=s1,W3=io,kg=Kc,U3=Cw,V3=R0,G3=ao,ec=kt.setImmediate,Cg=kt.clearImmediate,K3=kt.process,lh=kt.Dispatch,q3=kt.Function,xg=kt.MessageChannel,Y3=kt.String,hh=0,wa={},Ag="onreadystatechange",Ba,ai,dh,ch;D0(function(){Ba=kt.location});var Ef=function(r){if(H3(wa,r)){var n=wa[r];delete wa[r],n()}},fh=function(r){return function(){Ef(r)}},Rg=function(r){Ef(r.data)},Dg=function(r){kt.postMessage(Y3(r),Ba.protocol+"//"+Ba.host)};(!ec||!Cg)&&(ec=function(n){U3(arguments.length,1);var e=Pg(n)?n:q3(n),t=W3(arguments,1);return wa[++hh]=function(){j3(e,void 0,t)},ai(hh),hh},Cg=function(n){delete wa[n]},G3?ai=function(r){K3.nextTick(fh(r))}:lh&&lh.now?ai=function(r){lh.now(fh(r))}:xg&&!V3?(dh=new xg,ch=dh.port2,dh.port1.onmessage=Rg,ai=z3(ch.postMessage,ch)):kt.addEventListener&&Pg(kt.postMessage)&&!kt.importScripts&&Ba&&Ba.protocol!=="file:"&&!D0(Dg)?(ai=Dg,kt.addEventListener("message",Rg,!1)):Ag in kg("script")?ai=function(r){Ig.appendChild(kg("script"))[Ag]=function(){Ig.removeChild(this),Ef(r)}}:ai=function(r){setTimeout(fh(r),0)});var M0={set:ec},N0=function(){this.head=null,this.tail=null};N0.prototype={add:function(r){var n={item:r,next:null},e=this.tail;e?e.next=n:this.head=n,this.tail=n},get:function(){var r=this.head;if(r){var n=this.head=r.next;return n===null&&(this.tail=null),r.item}}};var F0=N0,X3=Xr,Q3=/ipad|iphone|ipod/i.test(X3)&&typeof Pebble<"u",J3=Xr,Z3=/web0s(?!.*chrome)/i.test(J3),Ti=ve,Mg=Qr,e5=xi.f,vh=M0.set,t5=F0,r5=R0,i5=Q3,n5=Z3,ph=ao,Ng=Ti.MutationObserver||Ti.WebKitMutationObserver,Fg=Ti.document,Bg=Ti.process,Zo=Ti.Promise,Lg=e5(Ti,"queueMicrotask"),tc=Lg&&Lg.value,Xi,gh,yh,es,jg;if(!tc){var ts=new t5,rs=function(){var r,n;for(ph&&(r=Bg.domain)&&r.exit();n=ts.get();)try{n()}catch(e){throw ts.head&&Xi(),e}r&&r.enter()};!r5&&!ph&&!n5&&Ng&&Fg?(gh=!0,yh=Fg.createTextNode(""),new Ng(rs).observe(yh,{characterData:!0}),Xi=function(){yh.data=gh=!gh}):!i5&&Zo&&Zo.resolve?(es=Zo.resolve(void 0),es.constructor=Zo,jg=Mg(es.then,es),Xi=function(){jg(rs)}):ph?Xi=function(){Bg.nextTick(rs)}:(vh=Mg(vh,Ti),Xi=function(){vh(rs)}),tc=function(r){ts.head||Xi(),ts.add(r)}}var a5=tc,o5=function(r,n){try{arguments.length===1?console.error(r):console.error(r,n)}catch{}},Kn=function(r){try{return{error:!1,value:r()}}catch(n){return{error:!0,value:n}}},s5=ve,qn=s5.Promise,B0=typeof Deno=="object"&&Deno&&typeof Deno.version=="object",u5=B0,l5=ao,h5=!u5&&!l5&&typeof window=="object"&&typeof document=="object",d5=ve,_a=qn,c5=$e,f5=q$,v5=e1,p5=ye,g5=h5,y5=B0,mh=Fn,zg=_a&&_a.prototype,m5=p5("species"),Hg=!1,L0=c5(d5.PromiseRejectionEvent),b5=f5("Promise",function(){var r=v5(_a),n=r!==String(_a);if(!n&&mh===66||!(zg.catch&&zg.finally))return!0;if(!mh||mh<51||!/native code/.test(r)){var e=new _a(function(a){a(1)}),t=function(a){a(function(){},function(){})},i=e.constructor={};if(i[m5]=t,Hg=e.then(function(){})instanceof t,!Hg)return!0}return!n&&(g5||y5)&&!L0}),co={CONSTRUCTOR:b5,REJECTION_EVENT:L0},lr={},Wg=$t,$5=TypeError,w5=function(r){var n,e;this.promise=new r(function(t,i){if(n!==void 0||e!==void 0)throw new $5("Bad Promise constructor");n=t,e=i}),this.resolve=Wg(n),this.reject=Wg(e)};lr.f=function(r){return new w5(r)};var _5=H,tu=ao,Vr=ve,fo=je,E5=Hn,S5=Mi,O5=x0,T5=$t,rc=$e,P5=Xe,I5=_f,k5=A0,j0=M0.set,Sf=a5,C5=o5,x5=Kn,A5=F0,z0=Wn,ic=qn,H0=co,W0=lr,Uu="Promise",U0=H0.CONSTRUCTOR,R5=H0.REJECTION_EVENT,bh=z0.getterFor(Uu),D5=z0.set,M5=ic&&ic.prototype,hn=ic,$h=M5,V0=Vr.TypeError,nc=Vr.document,Of=Vr.process,ac=W0.f,N5=ac,F5=!!(nc&&nc.createEvent&&Vr.dispatchEvent),G0="unhandledrejection",B5="rejectionhandled",Ug=0,K0=1,L5=2,Tf=1,q0=2,is,Vg,j5,Y0=function(r){var n;return P5(r)&&rc(n=r.then)?n:!1},X0=function(r,n){var e=n.value,t=n.state===K0,i=t?r.ok:r.fail,a=r.resolve,o=r.reject,s=r.domain,u,l,h;try{i?(t||(n.rejection===q0&&H5(n),n.rejection=Tf),i===!0?u=e:(s&&s.enter(),u=i(e),s&&(s.exit(),h=!0)),u===r.promise?o(new V0("Promise-chain cycle")):(l=Y0(u))?fo(l,u,a,o):a(u)):o(e)}catch(d){s&&!h&&s.exit(),o(d)}},Q0=function(r,n){r.notified||(r.notified=!0,Sf(function(){for(var e=r.reactions,t;t=e.get();)X0(t,r);r.notified=!1,n&&!r.rejection&&z5(r)}))},J0=function(r,n,e){var t,i;F5?(t=nc.createEvent("Event"),t.promise=n,t.reason=e,t.initEvent(r,!1,!0),Vr.dispatchEvent(t)):t={promise:n,reason:e},!R5&&(i=Vr["on"+r])?i(t):r===G0&&C5("Unhandled promise rejection",e)},z5=function(r){fo(j0,Vr,function(){var n=r.facade,e=r.value,t=Gg(r),i;if(t&&(i=x5(function(){tu?Of.emit("unhandledRejection",e,n):J0(G0,n,e)}),r.rejection=tu||Gg(r)?q0:Tf,i.error))throw i.value})},Gg=function(r){return r.rejection!==Tf&&!r.parent},H5=function(r){fo(j0,Vr,function(){var n=r.facade;tu?Of.emit("rejectionHandled",n):J0(B5,n,r.value)})},dn=function(r,n,e){return function(t){r(n,t,e)}},yn=function(r,n,e){r.done||(r.done=!0,e&&(r=e),r.value=n,r.state=L5,Q0(r,!0))},oc=function(r,n,e){if(!r.done){r.done=!0,e&&(r=e);try{if(r.facade===n)throw new V0("Promise can't be resolved itself");var t=Y0(n);t?Sf(function(){var i={done:!1};try{fo(t,n,dn(oc,i,r),dn(yn,i,r))}catch(a){yn(i,a,r)}}):(r.value=n,r.state=K0,Q0(r,!1))}catch(i){yn({done:!1},i,r)}}};U0&&(hn=function(n){I5(this,$h),T5(n),fo(is,this);var e=bh(this);try{n(dn(oc,e),dn(yn,e))}catch(t){yn(e,t)}},$h=hn.prototype,is=function(n){D5(this,{type:Uu,done:!1,notified:!1,parent:!1,reactions:new A5,rejection:!1,state:Ug,value:void 0})},is.prototype=E5($h,"then",function(n,e){var t=bh(this),i=ac(k5(this,hn));return t.parent=!0,i.ok=rc(n)?n:!0,i.fail=rc(e)&&e,i.domain=tu?Of.domain:void 0,t.state===Ug?t.reactions.add(i):Sf(function(){X0(i,t)}),i.promise}),Vg=function(){var r=new is,n=bh(r);this.promise=r,this.resolve=dn(oc,n),this.reject=dn(yn,n)},W0.f=ac=function(r){return r===hn||r===j5?new Vg(r):N5(r)});_5({global:!0,wrap:!0,forced:U0},{Promise:hn});S5(hn,Uu,!1,!0);O5(Uu);var W5=qn,U5=dw,V5=co.CONSTRUCTOR,Vu=V5||!U5(function(r){W5.all(r).then(void 0,function(){})}),G5=H,K5=je,q5=$t,Y5=lr,X5=Kn,Q5=Fi,J5=Vu;G5({target:"Promise",stat:!0,forced:J5},{all:function(n){var e=this,t=Y5.f(e),i=t.resolve,a=t.reject,o=X5(function(){var s=q5(e.resolve),u=[],l=0,h=1;Q5(n,function(d){var c=l++,f=!1;h++,K5(s,e,d).then(function(v){f||(f=!0,u[c]=v,--h||i(u))},a)}),--h||i(u)});return o.error&&a(o.value),t.promise}});var Z5=H,eH=co.CONSTRUCTOR,Kg=qn;Kg&&Kg.prototype;Z5({target:"Promise",proto:!0,forced:eH,real:!0},{catch:function(r){return this.then(void 0,r)}});var tH=H,rH=je,iH=$t,nH=lr,aH=Kn,oH=Fi,sH=Vu;tH({target:"Promise",stat:!0,forced:sH},{race:function(n){var e=this,t=nH.f(e),i=t.reject,a=aH(function(){var o=iH(e.resolve);oH(n,function(s){rH(o,e,s).then(t.resolve,i)})});return a.error&&i(a.value),t.promise}});var uH=H,lH=je,hH=lr,dH=co.CONSTRUCTOR;uH({target:"Promise",stat:!0,forced:dH},{reject:function(n){var e=hH.f(this);return lH(e.reject,void 0,n),e.promise}});var cH=Ct,fH=Xe,vH=lr,Z0=function(r,n){if(cH(r),fH(n)&&n.constructor===r)return n;var e=vH.f(r),t=e.resolve;return t(n),e.promise},pH=H,gH=lt,yH=ST,mH=qn,bH=co.CONSTRUCTOR,$H=Z0,wH=gH("Promise"),_H=!bH;pH({target:"Promise",stat:!0,forced:yH},{resolve:function(n){return $H(_H&&this===wH?mH:this,n)}});var EH=H,SH=je,OH=$t,TH=lr,PH=Kn,IH=Fi,kH=Vu;EH({target:"Promise",stat:!0,forced:kH},{allSettled:function(n){var e=this,t=TH.f(e),i=t.resolve,a=t.reject,o=PH(function(){var s=OH(e.resolve),u=[],l=0,h=1;IH(n,function(d){var c=l++,f=!1;h++,SH(s,e,d).then(function(v){f||(f=!0,u[c]={status:"fulfilled",value:v},--h||i(u))},function(v){f||(f=!0,u[c]={status:"rejected",reason:v},--h||i(u))})}),--h||i(u)});return o.error&&a(o.value),t.promise}});var CH=H,xH=je,AH=$t,RH=lt,DH=lr,MH=Kn,NH=Fi,FH=Vu,qg="No one promise resolved";CH({target:"Promise",stat:!0,forced:FH},{any:function(n){var e=this,t=RH("AggregateError"),i=DH.f(e),a=i.resolve,o=i.reject,s=MH(function(){var u=AH(e.resolve),l=[],h=0,d=1,c=!1;NH(n,function(f){var v=h++,p=!1;d++,xH(u,e,f).then(function(g){p||c||(c=!0,a(g))},function(g){p||c||(p=!0,l[v]=g,--d||o(new t(l,qg)))})}),--d||o(new t(l,qg))});return s.error&&o(s.value),i.promise}});var BH=H,sc=qn,LH=ne,jH=lt,zH=$e,HH=A0,Yg=Z0,WH=sc&&sc.prototype,UH=!!sc&&LH(function(){WH.finally.call({then:function(){}},function(){})});BH({target:"Promise",proto:!0,real:!0,forced:UH},{finally:function(r){var n=HH(this,jH("Promise")),e=zH(r);return this.then(e?function(t){return Yg(n,r()).then(function(){return t})}:r,e?function(t){return Yg(n,r()).then(function(){throw t})}:r)}});var VH=pe,GH=VH.Promise,KH=GH,qH=KH,YH=H,XH=lr;YH({target:"Promise",stat:!0},{withResolvers:function(){var n=XH.f(this);return{promise:n.promise,resolve:n.resolve,reject:n.reject}}});var QH=qH,JH=QH,ZH=H,eW=lr,tW=Kn;ZH({target:"Promise",stat:!0,forced:!0},{try:function(r){var n=eW.f(this),e=tW(r);return(e.error?n.reject:n.resolve)(e.value),n.promise}});var rW=JH,iW=rW,nW=iW,aW=Ow,oW=aW,sW=oW,uW=sW,lW=uW;(function(r){var n=Nz.default,e=J$,t=sf,i=_0,a=O0,o=zz,s=mw,u=E0,l=nW,h=lW,d=$w;function c(){r.exports=c=function(){return v},r.exports.__esModule=!0,r.exports.default=r.exports;var f,v={},p=Object.prototype,g=p.hasOwnProperty,y=e||function(A,T,P){A[T]=P.value},m=typeof t=="function"?t:{},w=m.iterator||"@@iterator",$=m.asyncIterator||"@@asyncIterator",E=m.toStringTag||"@@toStringTag";function k(A,T,P){return e(A,T,{value:P,enumerable:!0,configurable:!0,writable:!0}),A[T]}try{k({},"")}catch{k=function(P,z,q){return P[z]=q}}function D(A,T,P,z){var q=T&&T.prototype instanceof ge?T:ge,K=i(q.prototype),Te=new Tt(z||[]);return y(K,"_invoke",{value:Ce(A,P,Te)}),K}function j(A,T,P){try{return{type:"normal",arg:A.call(T,P)}}catch(z){return{type:"throw",arg:z}}}v.wrap=D;var R="suspendedStart",M="suspendedYield",W="executing",X="completed",Y={};function ge(){}function Ge(){}function ke(){}var St={};k(St,w,function(){return this});var rt=a,Qe=rt&&rt(rt(et([])));Qe&&Qe!==p&&g.call(Qe,w)&&(St=Qe);var Ot=ke.prototype=ge.prototype=i(St);function Je(A){var T;o(T=["next","throw","return"]).call(T,function(P){k(A,P,function(z){return this._invoke(P,z)})})}function ce(A,T){function P(q,K,Te,it){var ht=j(A[q],A,K);if(ht.type!=="throw"){var ii=ht.arg,Cr=ii.value;return Cr&&n(Cr)=="object"&&g.call(Cr,"__await")?T.resolve(Cr.__await).then(function(ni){P("next",ni,Te,it)},function(ni){P("throw",ni,Te,it)}):T.resolve(Cr).then(function(ni){ii.value=ni,Te(ii)},function(ni){return P("throw",ni,Te,it)})}it(ht.arg)}var z;y(this,"_invoke",{value:function(K,Te){function it(){return new T(function(ht,ii){P(K,Te,ht,ii)})}return z=z?z.then(it,it):it()}})}function Ce(A,T,P){var z=R;return function(q,K){if(z===W)throw new Error("Generator is already running");if(z===X){if(q==="throw")throw K;return{value:f,done:!0}}for(P.method=q,P.arg=K;;){var Te=P.delegate;if(Te){var it=Oe(Te,P);if(it){if(it===Y)continue;return it}}if(P.method==="next")P.sent=P._sent=P.arg;else if(P.method==="throw"){if(z===R)throw z=X,P.arg;P.dispatchException(P.arg)}else P.method==="return"&&P.abrupt("return",P.arg);z=W;var ht=j(A,T,P);if(ht.type==="normal"){if(z=P.done?X:M,ht.arg===Y)continue;return{value:ht.arg,done:P.done}}ht.type==="throw"&&(z=X,P.method="throw",P.arg=ht.arg)}}}function Oe(A,T){var P=T.method,z=A.iterator[P];if(z===f)return T.delegate=null,P==="throw"&&A.iterator.return&&(T.method="return",T.arg=f,Oe(A,T),T.method==="throw")||P!=="return"&&(T.method="throw",T.arg=new TypeError("The iterator does not provide a '"+P+"' method")),Y;var q=j(z,A.iterator,T.arg);if(q.type==="throw")return T.method="throw",T.arg=q.arg,T.delegate=null,Y;var K=q.arg;return K?K.done?(T[A.resultName]=K.value,T.next=A.nextLoc,T.method!=="return"&&(T.method="next",T.arg=f),T.delegate=null,Y):K:(T.method="throw",T.arg=new TypeError("iterator result is not an object"),T.delegate=null,Y)}function Ze(A){var T,P={tryLoc:A[0]};1 in A&&(P.catchLoc=A[1]),2 in A&&(P.finallyLoc=A[2],P.afterLoc=A[3]),s(T=this.tryEntries).call(T,P)}function cr(A){var T=A.completion||{};T.type="normal",delete T.arg,A.completion=T}function Tt(A){this.tryEntries=[{tryLoc:"root"}],o(A).call(A,Ze,this),this.reset(!0)}function et(A){if(A||A===""){var T=A[w];if(T)return T.call(A);if(typeof A.next=="function")return A;if(!isNaN(A.length)){var P=-1,z=function q(){for(;++P<A.length;)if(g.call(A,P))return q.value=A[P],q.done=!1,q;return q.value=f,q.done=!0,q};return z.next=z}}throw new TypeError(n(A)+" is not iterable")}return Ge.prototype=ke,y(Ot,"constructor",{value:ke,configurable:!0}),y(ke,"constructor",{value:Ge,configurable:!0}),Ge.displayName=k(ke,E,"GeneratorFunction"),v.isGeneratorFunction=function(A){var T=typeof A=="function"&&A.constructor;return!!T&&(T===Ge||(T.displayName||T.name)==="GeneratorFunction")},v.mark=function(A){return u?u(A,ke):(A.__proto__=ke,k(A,E,"GeneratorFunction")),A.prototype=i(Ot),A},v.awrap=function(A){return{__await:A}},Je(ce.prototype),k(ce.prototype,$,function(){return this}),v.AsyncIterator=ce,v.async=function(A,T,P,z,q){q===void 0&&(q=l);var K=new ce(D(A,T,P,z),q);return v.isGeneratorFunction(T)?K:K.next().then(function(Te){return Te.done?Te.value:K.next()})},Je(Ot),k(Ot,E,"Generator"),k(Ot,w,function(){return this}),k(Ot,"toString",function(){return"[object Generator]"}),v.keys=function(A){var T=Object(A),P=[];for(var z in T)s(P).call(P,z);return h(P).call(P),function q(){for(;P.length;){var K=P.pop();if(K in T)return q.value=K,q.done=!1,q}return q.done=!0,q}},v.values=et,Tt.prototype={constructor:Tt,reset:function(T){var P;if(this.prev=0,this.next=0,this.sent=this._sent=f,this.done=!1,this.delegate=null,this.method="next",this.arg=f,o(P=this.tryEntries).call(P,cr),!T)for(var z in this)z.charAt(0)==="t"&&g.call(this,z)&&!isNaN(+d(z).call(z,1))&&(this[z]=f)},stop:function(){this.done=!0;var T=this.tryEntries[0].completion;if(T.type==="throw")throw T.arg;return this.rval},dispatchException:function(T){if(this.done)throw T;var P=this;function z(ii,Cr){return Te.type="throw",Te.arg=T,P.next=ii,Cr&&(P.method="next",P.arg=f),!!Cr}for(var q=this.tryEntries.length-1;q>=0;--q){var K=this.tryEntries[q],Te=K.completion;if(K.tryLoc==="root")return z("end");if(K.tryLoc<=this.prev){var it=g.call(K,"catchLoc"),ht=g.call(K,"finallyLoc");if(it&&ht){if(this.prev<K.catchLoc)return z(K.catchLoc,!0);if(this.prev<K.finallyLoc)return z(K.finallyLoc)}else if(it){if(this.prev<K.catchLoc)return z(K.catchLoc,!0)}else{if(!ht)throw new Error("try statement without catch or finally");if(this.prev<K.finallyLoc)return z(K.finallyLoc)}}}},abrupt:function(T,P){for(var z=this.tryEntries.length-1;z>=0;--z){var q=this.tryEntries[z];if(q.tryLoc<=this.prev&&g.call(q,"finallyLoc")&&this.prev<q.finallyLoc){var K=q;break}}K&&(T==="break"||T==="continue")&&K.tryLoc<=P&&P<=K.finallyLoc&&(K=null);var Te=K?K.completion:{};return Te.type=T,Te.arg=P,K?(this.method="next",this.next=K.finallyLoc,Y):this.complete(Te)},complete:function(T,P){if(T.type==="throw")throw T.arg;return T.type==="break"||T.type==="continue"?this.next=T.arg:T.type==="return"?(this.rval=this.arg=T.arg,this.method="return",this.next="end"):T.type==="normal"&&P&&(this.next=P),Y},finish:function(T){for(var P=this.tryEntries.length-1;P>=0;--P){var z=this.tryEntries[P];if(z.finallyLoc===T)return this.complete(z.completion,z.afterLoc),cr(z),Y}},catch:function(T){for(var P=this.tryEntries.length-1;P>=0;--P){var z=this.tryEntries[P];if(z.tryLoc===T){var q=z.completion;if(q.type==="throw"){var K=q.arg;cr(z)}return K}}throw new Error("illegal catch attempt")},delegateYield:function(T,P,z){return this.delegate={iterator:et(T),resultName:P,nextLoc:z},this.method==="next"&&(this.arg=f),Y}},v}r.exports=c,r.exports.__esModule=!0,r.exports.default=r.exports})(T0);var hW=T0.exports,xs=hW(),dW=xs;try{regeneratorRuntime=xs}catch{typeof globalThis=="object"?globalThis.regeneratorRuntime=xs:Function("r","regeneratorRuntime = r")(xs)}var ct=G(dW),e_={exports:{}},cW=ne,fW=cW(function(){if(typeof ArrayBuffer=="function"){var r=new ArrayBuffer(8);Object.isExtensible(r)&&Object.defineProperty(r,"a",{value:8})}}),vW=ne,pW=Xe,gW=Yr,Xg=fW,As=Object.isExtensible,yW=vW(function(){As(1)}),mW=yW||Xg?function(n){return!pW(n)||Xg&&gW(n)==="ArrayBuffer"?!1:As?As(n):!0}:As,bW=ne,$W=!bW(function(){return Object.isExtensible(Object.preventExtensions({}))}),wW=H,_W=fe,EW=Qa,SW=Xe,Pf=Me,OW=_t.f,Qg=Ja,TW=Qc,If=mW,PW=bu,IW=$W,t_=!1,Sr=PW("meta"),kW=0,kf=function(r){OW(r,Sr,{value:{objectID:"O"+kW++,weakData:{}}})},CW=function(r,n){if(!SW(r))return typeof r=="symbol"?r:(typeof r=="string"?"S":"P")+r;if(!Pf(r,Sr)){if(!If(r))return"F";if(!n)return"E";kf(r)}return r[Sr].objectID},xW=function(r,n){if(!Pf(r,Sr)){if(!If(r))return!0;if(!n)return!1;kf(r)}return r[Sr].weakData},AW=function(r){return IW&&t_&&If(r)&&!Pf(r,Sr)&&kf(r),r},RW=function(){DW.enable=function(){},t_=!0;var r=Qg.f,n=_W([].splice),e={};e[Sr]=1,r(e).length&&(Qg.f=function(t){for(var i=r(t),a=0,o=i.length;a<o;a++)if(i[a]===Sr){n(i,a,1);break}return i},wW({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:TW.f}))},DW=e_.exports={enable:RW,fastKey:CW,getWeakData:xW,onFreeze:AW};EW[Sr]=!0;var r_=e_.exports,MW=H,NW=ve,FW=r_,BW=ne,LW=Pr,jW=Fi,zW=_f,HW=$e,WW=Xe,UW=Nn,VW=Mi,GW=_t.f,KW=Un.forEach,qW=Le,i_=Wn,YW=i_.set,XW=i_.getterFor,n_=function(r,n,e){var t=r.indexOf("Map")!==-1,i=r.indexOf("Weak")!==-1,a=t?"set":"add",o=NW[r],s=o&&o.prototype,u={},l;if(!qW||!HW(o)||!(i||s.forEach&&!BW(function(){new o().entries().next()})))l=e.getConstructor(n,r,t,a),FW.enable();else{l=n(function(c,f){YW(zW(c,h),{type:r,collection:new o}),UW(f)||jW(f,c[a],{that:c,AS_ENTRIES:t})});var h=l.prototype,d=XW(r);KW(["add","clear","delete","forEach","get","has","set","keys","values","entries"],function(c){var f=c==="add"||c==="set";c in s&&!(i&&c==="clear")&&LW(h,c,function(v,p){var g=d(this).collection;if(!f&&i&&!WW(v))return c==="get"?void 0:!1;var y=g[c](v===0?0:v,p);return f?this:y})}),i||GW(h,"size",{configurable:!0,get:function(){return d(this).collection.size}})}return VW(l,r,!1,!0),u[r]=l,MW({global:!0,forced:!0},u),i||e.setStrong(l,r,t),l},QW=Hn,JW=function(r,n,e){for(var t in n)e&&e.unsafe&&r[t]?r[t]=n[t]:QW(r,t,n[t],e);return r},ZW=Di,e4=Jc,Jg=JW,t4=Qr,r4=_f,i4=Nn,n4=Fi,a4=nf,ns=af,o4=x0,la=Le,Zg=r_.fastKey,a_=Wn,ey=a_.set,wh=a_.getterFor,o_={getConstructor:function(r,n,e,t){var i=r(function(l,h){r4(l,a),ey(l,{type:n,index:ZW(null),first:void 0,last:void 0,size:0}),la||(l.size=0),i4(h)||n4(h,l[t],{that:l,AS_ENTRIES:e})}),a=i.prototype,o=wh(n),s=function(l,h,d){var c=o(l),f=u(l,h),v,p;return f?f.value=d:(c.last=f={index:p=Zg(h,!0),key:h,value:d,previous:v=c.last,next:void 0,removed:!1},c.first||(c.first=f),v&&(v.next=f),la?c.size++:l.size++,p!=="F"&&(c.index[p]=f)),l},u=function(l,h){var d=o(l),c=Zg(h),f;if(c!=="F")return d.index[c];for(f=d.first;f;f=f.next)if(f.key===h)return f};return Jg(a,{clear:function(){for(var h=this,d=o(h),c=d.index,f=d.first;f;)f.removed=!0,f.previous&&(f.previous=f.previous.next=void 0),delete c[f.index],f=f.next;d.first=d.last=void 0,la?d.size=0:h.size=0},delete:function(l){var h=this,d=o(h),c=u(h,l);if(c){var f=c.next,v=c.previous;delete d.index[c.index],c.removed=!0,v&&(v.next=f),f&&(f.previous=v),d.first===c&&(d.first=f),d.last===c&&(d.last=v),la?d.size--:h.size--}return!!c},forEach:function(h){for(var d=o(this),c=t4(h,arguments.length>1?arguments[1]:void 0),f;f=f?f.next:d.first;)for(c(f.value,f.key,this);f&&f.removed;)f=f.previous},has:function(h){return!!u(this,h)}}),Jg(a,e?{get:function(h){var d=u(this,h);return d&&d.value},set:function(h,d){return s(this,h===0?0:h,d)}}:{add:function(h){return s(this,h=h===0?0:h,h)}}),la&&e4(a,"size",{configurable:!0,get:function(){return o(this).size}}),i},setStrong:function(r,n,e){var t=n+" Iterator",i=wh(n),a=wh(t);a4(r,n,function(o,s){ey(this,{type:t,target:o,state:i(o),kind:s,last:void 0})},function(){for(var o=a(this),s=o.kind,u=o.last;u&&u.removed;)u=u.previous;return!o.target||!(o.last=u=u?u.next:o.state.first)?(o.target=void 0,ns(void 0,!0)):ns(s==="keys"?u.key:s==="values"?u.value:[u.key,u.value],!1)},e?"entries":"values",!e,!0),o4(n)}},s4=n_,u4=o_;s4("Map",function(r){return function(){return r(this,arguments.length?arguments[0]:void 0)}},u4);var l4=pe,h4=l4.Map,d4=h4,c4=d4,f4=c4,s_=G(f4),v4=H,p4=Un.some,g4=Fu,y4=g4("some");v4({target:"Array",proto:!0,forced:!y4},{some:function(n){return p4(this,n,arguments.length>1?arguments[1]:void 0)}});var m4=tt,b4=m4("Array","some"),$4=De,w4=b4,_h=Array.prototype,_4=function(r){var n=r.some;return r===_h||$4(_h,r)&&n===_h.some?w4:n},E4=_4,S4=E4,O4=S4,T4=G(O4),P4=tt,I4=P4("Array","keys"),k4=I4,C4=k4,x4=Ir,A4=Me,R4=De,D4=C4,Eh=Array.prototype,M4={DOMTokenList:!0,NodeList:!0},N4=function(r){var n=r.keys;return r===Eh||R4(Eh,r)&&n===Eh.keys||A4(M4,x4(r))?D4:n},F4=N4,Qi=G(F4),ty=h1,B4=Math.floor,uc=function(r,n){var e=r.length,t=B4(e/2);return e<8?L4(r,n):j4(r,uc(ty(r,0,t),n),uc(ty(r,t),n),n)},L4=function(r,n){for(var e=r.length,t=1,i,a;t<e;){for(a=t,i=r[t];a&&n(r[a-1],i)>0;)r[a]=r[--a];a!==t++&&(r[a]=i)}return r},j4=function(r,n,e,t){for(var i=n.length,a=e.length,o=0,s=0;o<i||s<a;)r[o+s]=o<i&&s<a?t(n[o],e[s])<=0?n[o++]:e[s++]:o<i?n[o++]:e[s++];return r},z4=uc,H4=Xr,ry=H4.match(/firefox\/(\d+)/i),W4=!!ry&&+ry[1],U4=Xr,V4=/MSIE|Trident/.test(U4),G4=Xr,iy=G4.match(/AppleWebKit\/(\d+)\./),K4=!!iy&&+iy[1],q4=H,u_=fe,Y4=$t,X4=wt,ny=xt,Q4=Tw,ay=Ri,Cf=ne,J4=z4,Z4=Fu,oy=W4,e6=V4,sy=Fn,uy=K4,Mr=[],ly=u_(Mr.sort),t6=u_(Mr.push),r6=Cf(function(){Mr.sort(void 0)}),i6=Cf(function(){Mr.sort(null)}),n6=Z4("sort"),l_=!Cf(function(){if(sy)return sy<70;if(!(oy&&oy>3)){if(e6)return!0;if(uy)return uy<603;var r="",n,e,t,i;for(n=65;n<76;n++){switch(e=String.fromCharCode(n),n){case 66:case 69:case 70:case 72:t=3;break;case 68:case 71:t=4;break;default:t=2}for(i=0;i<47;i++)Mr.push({k:e+i,v:t})}for(Mr.sort(function(a,o){return o.v-a.v}),i=0;i<Mr.length;i++)e=Mr[i].k.charAt(0),r.charAt(r.length-1)!==e&&(r+=e);return r!=="DGBEFHACIJK"}}),a6=r6||!i6||!n6||!l_,o6=function(r){return function(n,e){return e===void 0?-1:n===void 0?1:r!==void 0?+r(n,e)||0:ay(n)>ay(e)?1:-1}};q4({target:"Array",proto:!0,forced:a6},{sort:function(n){n!==void 0&&Y4(n);var e=X4(this);if(l_)return n===void 0?ly(e):ly(e,n);var t=[],i=ny(e),a,o;for(o=0;o<i;o++)o in e&&t6(t,e[o]);for(J4(t,o6(n)),a=ny(t),o=0;o<a;)e[o]=t[o++];for(;o<i;)Q4(e,o++);return e}});var s6=tt,u6=s6("Array","sort"),l6=De,h6=u6,Sh=Array.prototype,d6=function(r){var n=r.sort;return r===Sh||l6(Sh,r)&&n===Sh.sort?h6:n},c6=d6,f6=c6,v6=f6,lc=G(v6),p6=tt,g6=p6("Array","values"),y6=g6,m6=y6,b6=Ir,$6=Me,w6=De,_6=m6,Oh=Array.prototype,E6={DOMTokenList:!0,NodeList:!0},S6=function(r){var n=r.values;return r===Oh||w6(Oh,r)&&n===Oh.values||$6(E6,b6(r))?_6:n},O6=S6,hy=G(O6),T6=J1,cn=G(T6),P6=tt,I6=P6("Array","entries"),k6=I6,C6=k6,x6=Ir,A6=Me,R6=De,D6=C6,Th=Array.prototype,M6={DOMTokenList:!0,NodeList:!0},N6=function(r){var n=r.entries;return r===Th||R6(Th,r)&&n===Th.entries||A6(M6,x6(r))?D6:n},F6=N6,B6=G(F6);let as;const L6=new Uint8Array(16);function j6(){if(!as&&(as=typeof crypto<"u"&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto),!as))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return as(L6)}const Ke=[];for(let r=0;r<256;++r)Ke.push((r+256).toString(16).slice(1));function z6(r,n=0){return Ke[r[n+0]]+Ke[r[n+1]]+Ke[r[n+2]]+Ke[r[n+3]]+"-"+Ke[r[n+4]]+Ke[r[n+5]]+"-"+Ke[r[n+6]]+Ke[r[n+7]]+"-"+Ke[r[n+8]]+Ke[r[n+9]]+"-"+Ke[r[n+10]]+Ke[r[n+11]]+Ke[r[n+12]]+Ke[r[n+13]]+Ke[r[n+14]]+Ke[r[n+15]]}const H6=typeof crypto<"u"&&crypto.randomUUID&&crypto.randomUUID.bind(crypto);var dy={randomUUID:H6};function W6(r,n,e){if(dy.randomUUID&&!r)return dy.randomUUID();r=r||{};const t=r.random||(r.rng||j6)();return t[6]=t[6]&15|64,t[8]=t[8]&63|128,z6(t)}function cy(r){return typeof r=="string"||typeof r=="number"}var U6=function(){function r(n){gu(this,r),Lr(this,"_queue",[]),Lr(this,"_timeout",null),Lr(this,"_extended",null),this.delay=null,this.max=1/0,this.setOptions(n)}return Nu(r,[{key:"setOptions",value:function(e){e&&typeof e.delay<"u"&&(this.delay=e.delay),e&&typeof e.max<"u"&&(this.max=e.max),this._flushIfNeeded()}},{key:"destroy",value:function(){if(this.flush(),this._extended){for(var e=this._extended.object,t=this._extended.methods,i=0;i<t.length;i++){var a=t[i];a.original?e[a.name]=a.original:delete e[a.name]}this._extended=null}}},{key:"replace",value:function(e,t){var i=this,a=e[t];if(!a)throw new Error("Method "+t+" undefined");e[t]=function(){for(var o=arguments.length,s=new Array(o),u=0;u<o;u++)s[u]=arguments[u];i.queue({args:s,fn:a,context:this})}}},{key:"queue",value:function(e){typeof e=="function"?this._queue.push({fn:e}):this._queue.push(e),this._flushIfNeeded()}},{key:"_flushIfNeeded",value:function(){var e=this;this._queue.length>this.max&&this.flush(),this._timeout!=null&&(clearTimeout(this._timeout),this._timeout=null),this.queue.length>0&&typeof this.delay=="number"&&(this._timeout=yL(function(){e.flush()},this.delay))}},{key:"flush",value:function(){var e,t;_i(e=Pw(t=this._queue).call(t,0)).call(e,function(i){i.fn.apply(i.context||i.fn,i.args||[])})}}],[{key:"extend",value:function(e,t){var i=new r(t);if(e.flush!==void 0)throw new Error("Target object already has a property flush");e.flush=function(){i.flush()};var a=[{name:"flush",original:void 0}];if(t&&t.replace)for(var o=0;o<t.replace.length;o++){var s=t.replace[o];a.push({name:s,original:e[s]}),i.replace(e,s)}return i._extended={object:e,methods:a},i}}]),r}(),V6=function(){function r(){gu(this,r),Lr(this,"_subscribers",{"*":[],add:[],remove:[],update:[]}),Lr(this,"subscribe",r.prototype.on),Lr(this,"unsubscribe",r.prototype.off)}return Nu(r,[{key:"_trigger",value:function(e,t,i){var a,o;if(e==="*")throw new Error("Cannot trigger event *");_i(a=ju(o=[]).call(o,pt(this._subscribers[e]),pt(this._subscribers["*"]))).call(a,function(s){s(e,t,i??null)})}},{key:"on",value:function(e,t){typeof t=="function"&&this._subscribers[e].push(t)}},{key:"off",value:function(e,t){var i;this._subscribers[e]=sn(i=this._subscribers[e]).call(i,function(a){return a!==t})}}]),r}(),G6=n_,K6=o_;G6("Set",function(r){return function(){return r(this,arguments.length?arguments[0]:void 0)}},K6);var q6=pe,Y6=q6.Set,X6=Y6,Q6=X6,J6=Q6,Ph=G(J6),Z6=lf,eU=Z6,tU=eU,rU=tU,iU=rU,nU=iU,aU=nU,oU=aU,sU=oU,uU=sU,Ih=G(uU);function Zt(r,n){var e=typeof Lu<"u"&&df(r)||r["@@iterator"];if(!e){if(It(r)||(e=lU(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function lU(r,n){var e;if(r){if(typeof r=="string")return fy(r,n);var t=zu(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return hf(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return fy(r,n)}}function fy(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var vy=function(r){function n(e){gu(this,n),this._pairs=e}return Nu(n,[{key:r,value:ct.mark(function e(){var t,i,a,o,s;return ct.wrap(function(l){for(;;)switch(l.prev=l.next){case 0:t=Zt(this._pairs),l.prev=1,t.s();case 3:if((i=t.n()).done){l.next=9;break}return a=dt(i.value,2),o=a[0],s=a[1],l.next=7,[o,s];case 7:l.next=3;break;case 9:l.next=14;break;case 11:l.prev=11,l.t0=l.catch(1),t.e(l.t0);case 14:return l.prev=14,t.f(),l.finish(14);case 17:case"end":return l.stop()}},e,this,[[1,11,14,17]])})},{key:"entries",value:ct.mark(function e(){var t,i,a,o,s;return ct.wrap(function(l){for(;;)switch(l.prev=l.next){case 0:t=Zt(this._pairs),l.prev=1,t.s();case 3:if((i=t.n()).done){l.next=9;break}return a=dt(i.value,2),o=a[0],s=a[1],l.next=7,[o,s];case 7:l.next=3;break;case 9:l.next=14;break;case 11:l.prev=11,l.t0=l.catch(1),t.e(l.t0);case 14:return l.prev=14,t.f(),l.finish(14);case 17:case"end":return l.stop()}},e,this,[[1,11,14,17]])})},{key:"keys",value:ct.mark(function e(){var t,i,a,o;return ct.wrap(function(u){for(;;)switch(u.prev=u.next){case 0:t=Zt(this._pairs),u.prev=1,t.s();case 3:if((i=t.n()).done){u.next=9;break}return a=dt(i.value,1),o=a[0],u.next=7,o;case 7:u.next=3;break;case 9:u.next=14;break;case 11:u.prev=11,u.t0=u.catch(1),t.e(u.t0);case 14:return u.prev=14,t.f(),u.finish(14);case 17:case"end":return u.stop()}},e,this,[[1,11,14,17]])})},{key:"values",value:ct.mark(function e(){var t,i,a,o;return ct.wrap(function(u){for(;;)switch(u.prev=u.next){case 0:t=Zt(this._pairs),u.prev=1,t.s();case 3:if((i=t.n()).done){u.next=9;break}return a=dt(i.value,2),o=a[1],u.next=7,o;case 7:u.next=3;break;case 9:u.next=14;break;case 11:u.prev=11,u.t0=u.catch(1),t.e(u.t0);case 14:return u.prev=14,t.f(),u.finish(14);case 17:case"end":return u.stop()}},e,this,[[1,11,14,17]])})},{key:"toIdArray",value:function(){var t;return Vt(t=pt(this._pairs)).call(t,function(i){return i[0]})}},{key:"toItemArray",value:function(){var t;return Vt(t=pt(this._pairs)).call(t,function(i){return i[1]})}},{key:"toEntryArray",value:function(){return pt(this._pairs)}},{key:"toObjectMap",value:function(){var t=KB(null),i=Zt(this._pairs),a;try{for(i.s();!(a=i.n()).done;){var o=dt(a.value,2),s=o[0],u=o[1];t[s]=u}}catch(l){i.e(l)}finally{i.f()}return t}},{key:"toMap",value:function(){return new s_(this._pairs)}},{key:"toIdSet",value:function(){return new Ph(this.toIdArray())}},{key:"toItemSet",value:function(){return new Ph(this.toItemArray())}},{key:"cache",value:function(){return new n(pt(this._pairs))}},{key:"distinct",value:function(t){var i=new Ph,a=Zt(this._pairs),o;try{for(a.s();!(o=a.n()).done;){var s=dt(o.value,2),u=s[0],l=s[1];i.add(t(l,u))}}catch(h){a.e(h)}finally{a.f()}return i}},{key:"filter",value:function(t){var i=this._pairs;return new n({[cn](){return ct.mark(function a(){var o,s,u,l,h;return ct.wrap(function(c){for(;;)switch(c.prev=c.next){case 0:o=Zt(i),c.prev=1,o.s();case 3:if((s=o.n()).done){c.next=10;break}if(u=dt(s.value,2),l=u[0],h=u[1],!t(h,l)){c.next=8;break}return c.next=8,[l,h];case 8:c.next=3;break;case 10:c.next=15;break;case 12:c.prev=12,c.t0=c.catch(1),o.e(c.t0);case 15:return c.prev=15,o.f(),c.finish(15);case 18:case"end":return c.stop()}},a,null,[[1,12,15,18]])})()}})}},{key:"forEach",value:function(t){var i=Zt(this._pairs),a;try{for(i.s();!(a=i.n()).done;){var o=dt(a.value,2),s=o[0],u=o[1];t(u,s)}}catch(l){i.e(l)}finally{i.f()}}},{key:"map",value:function(t){var i=this._pairs;return new n({[cn](){return ct.mark(function a(){var o,s,u,l,h;return ct.wrap(function(c){for(;;)switch(c.prev=c.next){case 0:o=Zt(i),c.prev=1,o.s();case 3:if((s=o.n()).done){c.next=9;break}return u=dt(s.value,2),l=u[0],h=u[1],c.next=7,[l,t(h,l)];case 7:c.next=3;break;case 9:c.next=14;break;case 11:c.prev=11,c.t0=c.catch(1),o.e(c.t0);case 14:return c.prev=14,o.f(),c.finish(14);case 17:case"end":return c.stop()}},a,null,[[1,11,14,17]])})()}})}},{key:"max",value:function(t){var i=Ih(this._pairs),a=i.next();if(a.done)return null;for(var o=a.value[1],s=t(a.value[1],a.value[0]);!(a=i.next()).done;){var u=dt(a.value,2),l=u[0],h=u[1],d=t(h,l);d>s&&(s=d,o=h)}return o}},{key:"min",value:function(t){var i=Ih(this._pairs),a=i.next();if(a.done)return null;for(var o=a.value[1],s=t(a.value[1],a.value[0]);!(a=i.next()).done;){var u=dt(a.value,2),l=u[0],h=u[1],d=t(h,l);d<s&&(s=d,o=h)}return o}},{key:"reduce",value:function(t,i){var a=Zt(this._pairs),o;try{for(a.s();!(o=a.n()).done;){var s=dt(o.value,2),u=s[0],l=s[1];i=t(i,l,u)}}catch(h){a.e(h)}finally{a.f()}return i}},{key:"sort",value:function(t){var i=this;return new n({[cn]:function(){var a;return Ih(lc(a=pt(i._pairs)).call(a,function(o,s){var u=dt(o,2),l=u[0],h=u[1],d=dt(s,2),c=d[0],f=d[1];return t(h,f,l,c)}))}})}}]),n}(cn);function py(r,n){var e=ff(r);if(gg){var t=gg(r);n&&(t=sn(t).call(t,function(i){return m0(r,i).enumerable})),e.push.apply(e,t)}return e}function gy(r){for(var n=1;n<arguments.length;n++){var e,t,i=arguments[n]!=null?arguments[n]:{};n%2?_i(e=py(Object(i),!0)).call(e,function(a){Lr(r,a,i[a])}):yg?sz(r,yg(i)):_i(t=py(Object(i))).call(t,function(a){lz(r,a,m0(i,a))})}return r}function kh(r,n){var e=typeof Lu<"u"&&df(r)||r["@@iterator"];if(!e){if(It(r)||(e=hU(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function hU(r,n){var e;if(r){if(typeof r=="string")return yy(r,n);var t=zu(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return hf(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return yy(r,n)}}function yy(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}function dU(r){var n=cU();return function(){var t=Js(r),i;if(n){var a=Js(this).constructor;i=ks(t,arguments,a)}else i=t.apply(this,arguments);return xz(this,i)}}function cU(){if(typeof Reflect>"u"||!ks||ks.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(ks(Boolean,[],function(){})),!0}catch{return!1}}function fU(r,n){return r[n]==null&&(r[n]=W6()),r}var ru=function(r){Cz(e,r);var n=dU(e);function e(t,i){var a;return gu(this,e),a=n.call(this),Lr(w0(a),"_queue",null),t&&!It(t)&&(i=t,t=[]),a._options=i||{},a._data=new s_,a.length=0,a._idProp=a._options.fieldId||"id",t&&t.length&&a.add(t),a.setOptions(i),a}return Nu(e,[{key:"idProp",get:function(){return this._idProp}},{key:"setOptions",value:function(i){i&&i.queue!==void 0&&(i.queue===!1?this._queue&&(this._queue.destroy(),this._queue=null):(this._queue||(this._queue=U6.extend(this,{replace:["add","update","remove"]})),i.queue&&typeof i.queue=="object"&&this._queue.setOptions(i.queue)))}},{key:"add",value:function(i,a){var o=this,s=[],u;if(It(i)){var l=Vt(i).call(i,function(c){return c[o._idProp]});if(T4(l).call(l,function(c){return o._data.has(c)}))throw new Error("A duplicate id was found in the parameter array.");for(var h=0,d=i.length;h<d;h++)u=this._addItem(i[h]),s.push(u)}else if(i&&typeof i=="object")u=this._addItem(i),s.push(u);else throw new Error("Unknown dataType");return s.length&&this._trigger("add",{items:s},a),s}},{key:"update",value:function(i,a){var o=this,s=[],u=[],l=[],h=[],d=this._idProp,c=function(y){var m=y[d];if(m!=null&&o._data.has(m)){var w=y,$=kB({},o._data.get(m)),E=o._updateItem(w);u.push(E),h.push(w),l.push($)}else{var k=o._addItem(y);s.push(k)}};if(It(i))for(var f=0,v=i.length;f<v;f++)i[f]&&typeof i[f]=="object"?c(i[f]):console.warn("Ignoring input item, which is not an object at index "+f);else if(i&&typeof i=="object")c(i);else throw new Error("Unknown dataType");if(s.length&&this._trigger("add",{items:s},a),u.length){var p={items:u,oldData:l,data:h};this._trigger("update",p,a)}return ju(s).call(s,u)}},{key:"updateOnly",value:function(i,a){var o,s=this;It(i)||(i=[i]);var u=Vt(o=Vt(i).call(i,function(h){var d=s._data.get(h[s._idProp]);if(d==null)throw new Error("Updating non-existent items is not allowed.");return{oldData:d,update:h}})).call(o,function(h){var d=h.oldData,c=h.update,f=d[s._idProp],v=uj(d,c);return s._data.set(f,v),{id:f,oldData:d,updatedData:v}});if(u.length){var l={items:Vt(u).call(u,function(h){return h.id}),oldData:Vt(u).call(u,function(h){return h.oldData}),data:Vt(u).call(u,function(h){return h.updatedData})};return this._trigger("update",l,a),l.items}else return[]}},{key:"get",value:function(i,a){var o=void 0,s=void 0,u=void 0;cy(i)?(o=i,u=a):It(i)?(s=i,u=a):u=i;var l=u&&u.returnType==="Object"?"Object":"Array",h=u&&sn(u),d=[],c=void 0,f=void 0,v=void 0;if(o!=null)c=this._data.get(o),c&&h&&!h(c)&&(c=void 0);else if(s!=null)for(var p=0,g=s.length;p<g;p++)c=this._data.get(s[p]),c!=null&&(!h||h(c))&&d.push(c);else{var y;f=pt(Qi(y=this._data).call(y));for(var m=0,w=f.length;m<w;m++)v=f[m],c=this._data.get(v),c!=null&&(!h||h(c))&&d.push(c)}if(u&&u.order&&o==null&&this._sort(d,u.order),u&&u.fields){var $=u.fields;if(o!=null&&c!=null)c=this._filterFields(c,$);else for(var E=0,k=d.length;E<k;E++)d[E]=this._filterFields(d[E],$)}if(l=="Object"){for(var D={},j=0,R=d.length;j<R;j++){var M=d[j],W=M[this._idProp];D[W]=M}return D}else if(o!=null){var X;return(X=c)!==null&&X!==void 0?X:null}else return d}},{key:"getIds",value:function(i){var a=this._data,o=i&&sn(i),s=i&&i.order,u=pt(Qi(a).call(a)),l=[];if(o)if(s){for(var h=[],d=0,c=u.length;d<c;d++){var f=u[d],v=this._data.get(f);v!=null&&o(v)&&h.push(v)}this._sort(h,s);for(var p=0,g=h.length;p<g;p++)l.push(h[p][this._idProp])}else for(var y=0,m=u.length;y<m;y++){var w=u[y],$=this._data.get(w);$!=null&&o($)&&l.push($[this._idProp])}else if(s){for(var E=[],k=0,D=u.length;k<D;k++){var j=u[k];E.push(a.get(j))}this._sort(E,s);for(var R=0,M=E.length;R<M;R++)l.push(E[R][this._idProp])}else for(var W=0,X=u.length;W<X;W++){var Y=u[W],ge=a.get(Y);ge!=null&&l.push(ge[this._idProp])}return l}},{key:"getDataSet",value:function(){return this}},{key:"forEach",value:function(i,a){var o=a&&sn(a),s=this._data,u=pt(Qi(s).call(s));if(a&&a.order)for(var l=this.get(a),h=0,d=l.length;h<d;h++){var c=l[h],f=c[this._idProp];i(c,f)}else for(var v=0,p=u.length;v<p;v++){var g=u[v],y=this._data.get(g);y!=null&&(!o||o(y))&&i(y,g)}}},{key:"map",value:function(i,a){for(var o=a&&sn(a),s=[],u=this._data,l=pt(Qi(u).call(u)),h=0,d=l.length;h<d;h++){var c=l[h],f=this._data.get(c);f!=null&&(!o||o(f))&&s.push(i(f,c))}return a&&a.order&&this._sort(s,a.order),s}},{key:"_filterFields",value:function(i,a){var o;return i&&VD(o=It(a)?a:ff(a)).call(o,function(s,u){return s[u]=i[u],s},{})}},{key:"_sort",value:function(i,a){if(typeof a=="string"){var o=a;lc(i).call(i,function(s,u){var l=s[o],h=u[o];return l>h?1:l<h?-1:0})}else if(typeof a=="function")lc(i).call(i,a);else throw new TypeError("Order must be a function or a string")}},{key:"remove",value:function(i,a){for(var o=[],s=[],u=It(i)?i:[i],l=0,h=u.length;l<h;l++){var d=this._remove(u[l]);if(d){var c=d[this._idProp];c!=null&&(o.push(c),s.push(d))}}return o.length&&this._trigger("remove",{items:o,oldData:s},a),o}},{key:"_remove",value:function(i){var a;if(cy(i)?a=i:i&&typeof i=="object"&&(a=i[this._idProp]),a!=null&&this._data.has(a)){var o=this._data.get(a)||null;return this._data.delete(a),--this.length,o}return null}},{key:"clear",value:function(i){for(var a,o=pt(Qi(a=this._data).call(a)),s=[],u=0,l=o.length;u<l;u++)s.push(this._data.get(o[u]));return this._data.clear(),this.length=0,this._trigger("remove",{items:o,oldData:s},i),o}},{key:"max",value:function(i){var a,o=null,s=null,u=kh(hy(a=this._data).call(a)),l;try{for(u.s();!(l=u.n()).done;){var h=l.value,d=h[i];typeof d=="number"&&(s==null||d>s)&&(o=h,s=d)}}catch(c){u.e(c)}finally{u.f()}return o||null}},{key:"min",value:function(i){var a,o=null,s=null,u=kh(hy(a=this._data).call(a)),l;try{for(u.s();!(l=u.n()).done;){var h=l.value,d=h[i];typeof d=="number"&&(s==null||d<s)&&(o=h,s=d)}}catch(c){u.e(c)}finally{u.f()}return o||null}},{key:"distinct",value:function(i){for(var a=this._data,o=pt(Qi(a).call(a)),s=[],u=0,l=0,h=o.length;l<h;l++){for(var d=o[l],c=a.get(d),f=c[i],v=!1,p=0;p<u;p++)if(s[p]==f){v=!0;break}!v&&f!==void 0&&(s[u]=f,u++)}return s}},{key:"_addItem",value:function(i){var a=fU(i,this._idProp),o=a[this._idProp];if(this._data.has(o))throw new Error("Cannot add item: item with id "+o+" already exists");return this._data.set(o,a),++this.length,o}},{key:"_updateItem",value:function(i){var a=i[this._idProp];if(a==null)throw new Error("Cannot update item: item has no id (item: "+ZB(i)+")");var o=this._data.get(a);if(!o)throw new Error("Cannot update item: no item with id "+a+" found");return this._data.set(a,gy(gy({},o),i)),a}},{key:"stream",value:function(i){if(i){var a=this._data;return new vy({[cn](){return ct.mark(function s(){var u,l,h,d;return ct.wrap(function(f){for(;;)switch(f.prev=f.next){case 0:u=kh(i),f.prev=1,u.s();case 3:if((l=u.n()).done){f.next=11;break}if(h=l.value,d=a.get(h),d==null){f.next=9;break}return f.next=9,[h,d];case 9:f.next=3;break;case 11:f.next=16;break;case 13:f.prev=13,f.t0=f.catch(1),u.e(f.t0);case 16:return f.prev=16,u.f(),f.finish(16);case 19:case"end":return f.stop()}},s,null,[[1,13,16,19]])})()}})}else{var o;return new vy({[cn]:aw(o=B6(this._data)).call(o,this._data)})}}}]),e}(V6);function vU(r,n){return typeof n=="object"&&n!==null&&r===n.idProp&&typeof n.add=="function"&&typeof n.clear=="function"&&typeof n.distinct=="function"&&typeof _i(n)=="function"&&typeof n.get=="function"&&typeof n.getDataSet=="function"&&typeof n.getIds=="function"&&typeof n.length=="number"&&typeof Vt(n)=="function"&&typeof n.max=="function"&&typeof n.min=="function"&&typeof n.off=="function"&&typeof n.on=="function"&&typeof n.remove=="function"&&typeof n.setOptions=="function"&&typeof n.stream=="function"&&typeof n.update=="function"&&typeof n.updateOnly=="function"}function h_(r,n){return typeof n=="object"&&n!==null&&r===n.idProp&&typeof _i(n)=="function"&&typeof n.get=="function"&&typeof n.getDataSet=="function"&&typeof n.getIds=="function"&&typeof n.length=="number"&&typeof Vt(n)=="function"&&typeof n.off=="function"&&typeof n.on=="function"&&typeof n.stream=="function"&&vU(r,n.getDataSet())}/**
 * vis-network
 * https://visjs.github.io/vis-network/
 *
 * A dynamic, browser-based visualization library.
 *
 * @version 9.1.10
 * @date    2025-05-10T16:57:42.930Z
 *
 * @copyright (c) 2011-2017 Almende B.V, http://almende.com
 * @copyright (c) 2017-2019 visjs contributors, https://github.com/visjs
 *
 * @license
 * vis.js is dual licensed under both
 *
 *   1. The Apache 2.0 License
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *   and
 *
 *   2. The MIT License
 *      http://opensource.org/licenses/MIT
 *
 * vis.js may be distributed under either license.
 */var Ch=typeof globalThis<"u"?globalThis:typeof window<"u"?window:typeof global<"u"?global:typeof self<"u"?self:{};function L(r){return r&&r.__esModule&&Object.prototype.hasOwnProperty.call(r,"default")?r.default:r}var os=function(r){return r&&r.Math===Math&&r},_e=os(typeof globalThis=="object"&&globalThis)||os(typeof window=="object"&&window)||os(typeof self=="object"&&self)||os(typeof Ch=="object"&&Ch)||function(){return this}()||Ch||Function("return this")(),ee=function(r){try{return!!r()}catch{return!0}},pU=ee,vo=!pU(function(){var r=function(){}.bind();return typeof r!="function"||r.hasOwnProperty("prototype")}),gU=vo,d_=Function.prototype,my=d_.apply,by=d_.call,po=typeof Reflect=="object"&&Reflect.apply||(gU?by.bind(my):function(){return by.apply(my,arguments)}),c_=vo,f_=Function.prototype,hc=f_.call,yU=c_&&f_.bind.bind(hc,hc),re=c_?yU:function(r){return function(){return hc.apply(r,arguments)}},v_=re,mU=v_({}.toString),bU=v_("".slice),kr=function(r){return bU(mU(r),8,-1)},$U=kr,wU=re,xf=function(r){if($U(r)==="Function")return wU(r)},dc=typeof document=="object"&&document.all,_U=typeof dc>"u"&&dc!==void 0,p_={all:dc,IS_HTMLDDA:_U},g_=p_,EU=g_.all,ze=g_.IS_HTMLDDA?function(r){return typeof r=="function"||r===EU}:function(r){return typeof r=="function"},Yn={},SU=ee,He=!SU(function(){return Object.defineProperty({},1,{get:function(){return 7}})[1]!==7}),OU=vo,ss=Function.prototype.call,At=OU?ss.bind(ss):function(){return ss.apply(ss,arguments)},Gu={},y_={}.propertyIsEnumerable,m_=Object.getOwnPropertyDescriptor,TU=m_&&!y_.call({1:2},1);Gu.f=TU?function(n){var e=m_(this,n);return!!e&&e.enumerable}:y_;var go=function(r,n){return{enumerable:!(r&1),configurable:!(r&2),writable:!(r&4),value:n}},PU=re,IU=ee,kU=kr,xh=Object,CU=PU("".split),Ku=IU(function(){return!xh("z").propertyIsEnumerable(0)})?function(r){return kU(r)==="String"?CU(r,""):xh(r)}:xh,Xn=function(r){return r==null},xU=Xn,AU=TypeError,yo=function(r){if(xU(r))throw new AU("Can't call method on "+r);return r},RU=Ku,DU=yo,hr=function(r){return RU(DU(r))},$y=ze,b_=p_,MU=b_.all,We=b_.IS_HTMLDDA?function(r){return typeof r=="object"?r!==null:$y(r)||r===MU}:function(r){return typeof r=="object"?r!==null:$y(r)},te={},Ah=te,Rh=_e,NU=ze,wy=function(r){return NU(r)?r:void 0},zt=function(r,n){return arguments.length<2?wy(Ah[r])||wy(Rh[r]):Ah[r]&&Ah[r][n]||Rh[r]&&Rh[r][n]},FU=re,Ie=FU({}.isPrototypeOf),mo=typeof navigator<"u"&&String(navigator.userAgent)||"",$_=_e,Dh=mo,_y=$_.process,Ey=$_.Deno,Sy=_y&&_y.versions||Ey&&Ey.version,Oy=Sy&&Sy.v8,Gt,iu;Oy&&(Gt=Oy.split("."),iu=Gt[0]>0&&Gt[0]<4?1:+(Gt[0]+Gt[1]));!iu&&Dh&&(Gt=Dh.match(/Edge\/(\d+)/),(!Gt||Gt[1]>=74)&&(Gt=Dh.match(/Chrome\/(\d+)/),Gt&&(iu=+Gt[1])));var bo=iu,Ty=bo,BU=ee,LU=_e,jU=LU.String,Qn=!!Object.getOwnPropertySymbols&&!BU(function(){var r=Symbol("symbol detection");return!jU(r)||!(Object(r)instanceof Symbol)||!Symbol.sham&&Ty&&Ty<41}),zU=Qn,w_=zU&&!Symbol.sham&&typeof Symbol.iterator=="symbol",HU=zt,WU=ze,UU=Ie,VU=w_,GU=Object,$o=VU?function(r){return typeof r=="symbol"}:function(r){var n=HU("Symbol");return WU(n)&&UU(n.prototype,GU(r))},KU=String,Jn=function(r){try{return KU(r)}catch{return"Object"}},qU=ze,YU=Jn,XU=TypeError,Bi=function(r){if(qU(r))return r;throw new XU(YU(r)+" is not a function")},QU=Bi,JU=Xn,Af=function(r,n){var e=r[n];return JU(e)?void 0:QU(e)},Mh=At,Nh=ze,Fh=We,ZU=TypeError,eV=function(r,n){var e,t;if(n==="string"&&Nh(e=r.toString)&&!Fh(t=Mh(e,r))||Nh(e=r.valueOf)&&!Fh(t=Mh(e,r))||n!=="string"&&Nh(e=r.toString)&&!Fh(t=Mh(e,r)))return t;throw new ZU("Can't convert object to primitive value")},__={exports:{}},Py=_e,tV=Object.defineProperty,rV=function(r,n){try{tV(Py,r,{value:n,configurable:!0,writable:!0})}catch{Py[r]=n}return n},iV=_e,nV=rV,Iy="__core-js_shared__",aV=iV[Iy]||nV(Iy,{}),Rf=aV,ky=Rf;(__.exports=function(r,n){return ky[r]||(ky[r]=n!==void 0?n:{})})("versions",[]).push({version:"3.33.0",mode:"pure",copyright:"© 2014-2023 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.33.0/LICENSE",source:"https://github.com/zloirock/core-js"});var Zn=__.exports,oV=yo,sV=Object,Et=function(r){return sV(oV(r))},uV=re,lV=Et,hV=uV({}.hasOwnProperty),Ue=Object.hasOwn||function(n,e){return hV(lV(n),e)},dV=re,cV=0,fV=Math.random(),vV=dV(1 .toString),qu=function(r){return"Symbol("+(r===void 0?"":r)+")_"+vV(++cV+fV,36)},pV=_e,gV=Zn,Cy=Ue,yV=qu,mV=Qn,bV=w_,fn=pV.Symbol,Bh=gV("wks"),$V=bV?fn.for||fn:fn&&fn.withoutSetter||yV,Ee=function(r){return Cy(Bh,r)||(Bh[r]=mV&&Cy(fn,r)?fn[r]:$V("Symbol."+r)),Bh[r]},wV=At,xy=We,Ay=$o,_V=Af,EV=eV,SV=Ee,OV=TypeError,TV=SV("toPrimitive"),PV=function(r,n){if(!xy(r)||Ay(r))return r;var e=_V(r,TV),t;if(e){if(n===void 0&&(n="default"),t=wV(e,r,n),!xy(t)||Ay(t))return t;throw new OV("Can't convert object to primitive value")}return n===void 0&&(n="number"),EV(r,n)},IV=PV,kV=$o,Yu=function(r){var n=IV(r,"string");return kV(n)?n:n+""},CV=_e,Ry=We,cc=CV.document,xV=Ry(cc)&&Ry(cc.createElement),E_=function(r){return xV?cc.createElement(r):{}},AV=He,RV=ee,DV=E_,S_=!AV&&!RV(function(){return Object.defineProperty(DV("div"),"a",{get:function(){return 7}}).a!==7}),MV=He,NV=At,FV=Gu,BV=go,LV=hr,jV=Yu,zV=Ue,HV=S_,Dy=Object.getOwnPropertyDescriptor;Yn.f=MV?Dy:function(n,e){if(n=LV(n),e=jV(e),HV)try{return Dy(n,e)}catch{}if(zV(n,e))return BV(!NV(FV.f,n,e),n[e])};var WV=ee,UV=ze,VV=/#|\.prototype\./,wo=function(r,n){var e=KV[GV(r)];return e===YV?!0:e===qV?!1:UV(n)?WV(n):!!n},GV=wo.normalize=function(r){return String(r).replace(VV,".").toLowerCase()},KV=wo.data={},qV=wo.NATIVE="N",YV=wo.POLYFILL="P",XV=wo,My=xf,QV=Bi,JV=vo,ZV=My(My.bind),_o=function(r,n){return QV(r),n===void 0?r:JV?ZV(r,n):function(){return r.apply(n,arguments)}},Rt={},e8=He,t8=ee,O_=e8&&t8(function(){return Object.defineProperty(function(){},"prototype",{value:42,writable:!1}).prototype!==42}),r8=We,i8=String,n8=TypeError,Dt=function(r){if(r8(r))return r;throw new n8(i8(r)+" is not an object")},a8=He,o8=S_,s8=O_,us=Dt,Ny=Yu,u8=TypeError,Lh=Object.defineProperty,l8=Object.getOwnPropertyDescriptor,jh="enumerable",zh="configurable",Hh="writable";Rt.f=a8?s8?function(n,e,t){if(us(n),e=Ny(e),us(t),typeof n=="function"&&e==="prototype"&&"value"in t&&Hh in t&&!t[Hh]){var i=l8(n,e);i&&i[Hh]&&(n[e]=t.value,t={configurable:zh in t?t[zh]:i[zh],enumerable:jh in t?t[jh]:i[jh],writable:!1})}return Lh(n,e,t)}:Lh:function(n,e,t){if(us(n),e=Ny(e),us(t),o8)try{return Lh(n,e,t)}catch{}if("get"in t||"set"in t)throw new u8("Accessors not supported");return"value"in t&&(n[e]=t.value),n};var h8=He,d8=Rt,c8=go,ea=h8?function(r,n,e){return d8.f(r,n,c8(1,e))}:function(r,n,e){return r[n]=e,r},ls=_e,f8=po,v8=xf,p8=ze,g8=Yn.f,y8=XV,Ji=te,m8=_o,Zi=ea,Fy=Ue,b8=function(r){var n=function(e,t,i){if(this instanceof n){switch(arguments.length){case 0:return new r;case 1:return new r(e);case 2:return new r(e,t)}return new r(e,t,i)}return f8(r,this,arguments)};return n.prototype=r.prototype,n},V=function(r,n){var e=r.target,t=r.global,i=r.stat,a=r.proto,o=t?ls:i?ls[e]:(ls[e]||{}).prototype,s=t?Ji:Ji[e]||Zi(Ji,e,{})[e],u=s.prototype,l,h,d,c,f,v,p,g,y;for(c in n)l=y8(t?c:e+(i?".":"#")+c,r.forced),h=!l&&o&&Fy(o,c),v=s[c],h&&(r.dontCallGetSet?(y=g8(o,c),p=y&&y.value):p=o[c]),f=h&&p?p:n[c],!(h&&typeof v==typeof f)&&(r.bind&&h?g=m8(f,ls):r.wrap&&h?g=b8(f):a&&p8(f)?g=v8(f):g=f,(r.sham||f&&f.sham||v&&v.sham)&&Zi(g,"sham",!0),Zi(s,c,g),a&&(d=e+"Prototype",Fy(Ji,d)||Zi(Ji,d,{}),Zi(Ji[d],c,f),r.real&&u&&(l||!u[c])&&Zi(u,c,f)))},$8=Math.ceil,w8=Math.floor,_8=Math.trunc||function(n){var e=+n;return(e>0?w8:$8)(e)},E8=_8,Xu=function(r){var n=+r;return n!==n||n===0?0:E8(n)},S8=Xu,O8=Math.max,T8=Math.min,Eo=function(r,n){var e=S8(r);return e<0?O8(e+n,0):T8(e,n)},P8=Xu,I8=Math.min,k8=function(r){return r>0?I8(P8(r),9007199254740991):0},C8=k8,Ht=function(r){return C8(r.length)},x8=hr,A8=Eo,R8=Ht,By=function(r){return function(n,e,t){var i=x8(n),a=R8(i),o=A8(t,a),s;if(r&&e!==e){for(;a>o;)if(s=i[o++],s!==s)return!0}else for(;a>o;o++)if((r||o in i)&&i[o]===e)return r||o||0;return!r&&-1}},Df={includes:By(!0),indexOf:By(!1)},So={},D8=re,Wh=Ue,M8=hr,N8=Df.indexOf,F8=So,Ly=D8([].push),T_=function(r,n){var e=M8(r),t=0,i=[],a;for(a in e)!Wh(F8,a)&&Wh(e,a)&&Ly(i,a);for(;n.length>t;)Wh(e,a=n[t++])&&(~N8(i,a)||Ly(i,a));return i},Mf=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],B8=T_,L8=Mf,Qu=Object.keys||function(n){return B8(n,L8)},Oo={};Oo.f=Object.getOwnPropertySymbols;var jy=He,j8=re,z8=At,H8=ee,Uh=Qu,W8=Oo,U8=Gu,V8=Et,G8=Ku,en=Object.assign,zy=Object.defineProperty,K8=j8([].concat),q8=!en||H8(function(){if(jy&&en({b:1},en(zy({},"a",{enumerable:!0,get:function(){zy(this,"b",{value:3,enumerable:!1})}}),{b:2})).b!==1)return!0;var r={},n={},e=Symbol("assign detection"),t="abcdefghijklmnopqrst";return r[e]=7,t.split("").forEach(function(i){n[i]=i}),en({},r)[e]!==7||Uh(en({},n)).join("")!==t})?function(n,e){for(var t=V8(n),i=arguments.length,a=1,o=W8.f,s=U8.f;i>a;)for(var u=G8(arguments[a++]),l=o?K8(Uh(u),o(u)):Uh(u),h=l.length,d=0,c;h>d;)c=l[d++],(!jy||z8(s,u,c))&&(t[c]=u[c]);return t}:en,Y8=V,Hy=q8;Y8({target:"Object",stat:!0,forced:Object.assign!==Hy},{assign:Hy});var X8=te,Q8=X8.Object.assign,J8=Q8,Z8=J8,e9=Z8,Ae=L(e9),t9=re,Ju=t9([].slice),P_=re,r9=Bi,i9=We,n9=Ue,Wy=Ju,a9=vo,I_=Function,o9=P_([].concat),s9=P_([].join),Vh={},u9=function(r,n,e){if(!n9(Vh,n)){for(var t=[],i=0;i<n;i++)t[i]="a["+i+"]";Vh[n]=I_("C,a","return new C("+s9(t,",")+")")}return Vh[n](r,e)},k_=a9?I_.bind:function(n){var e=r9(this),t=e.prototype,i=Wy(arguments,1),a=function(){var s=o9(i,Wy(arguments));return this instanceof a?u9(e,s.length,s):e.apply(n,s)};return i9(t)&&(a.prototype=t),a},l9=V,Uy=k_;l9({target:"Function",proto:!0,forced:Function.bind!==Uy},{bind:Uy});var h9=te,Ve=function(r){return h9[r+"Prototype"]},d9=Ve,c9=d9("Function").bind,f9=Ie,v9=c9,Gh=Function.prototype,p9=function(r){var n=r.bind;return r===Gh||f9(Gh,r)&&n===Gh.bind?v9:n},g9=p9,C_=g9,y9=C_,O=L(y9);function Nf(r,n,e,t){r.beginPath(),r.arc(n,e,t,0,2*Math.PI,!1),r.closePath()}function m9(r,n,e,t){r.beginPath(),r.rect(n-t,e-t,t*2,t*2),r.closePath()}function b9(r,n,e,t){r.beginPath(),t*=1.15,e+=.275*t;var i=t*2,a=i/2,o=Math.sqrt(3)/6*i,s=Math.sqrt(i*i-a*a);r.moveTo(n,e-(s-o)),r.lineTo(n+a,e+o),r.lineTo(n-a,e+o),r.lineTo(n,e-(s-o)),r.closePath()}function $9(r,n,e,t){r.beginPath(),t*=1.15,e-=.275*t;var i=t*2,a=i/2,o=Math.sqrt(3)/6*i,s=Math.sqrt(i*i-a*a);r.moveTo(n,e+(s-o)),r.lineTo(n+a,e-o),r.lineTo(n-a,e-o),r.lineTo(n,e+(s-o)),r.closePath()}function w9(r,n,e,t){r.beginPath(),t*=.82,e+=.1*t;for(var i=0;i<10;i++){var a=i%2===0?t*1.3:t*.5;r.lineTo(n+a*Math.sin(i*2*Math.PI/10),e-a*Math.cos(i*2*Math.PI/10))}r.closePath()}function _9(r,n,e,t){r.beginPath(),r.lineTo(n,e+t),r.lineTo(n+t,e),r.lineTo(n,e-t),r.lineTo(n-t,e),r.closePath()}function x_(r,n,e,t,i,a){var o=Math.PI/180;t-2*a<0&&(a=t/2),i-2*a<0&&(a=i/2),r.beginPath(),r.moveTo(n+a,e),r.lineTo(n+t-a,e),r.arc(n+t-a,e+a,a,o*270,o*360,!1),r.lineTo(n+t,e+i-a),r.arc(n+t-a,e+i-a,a,0,o*90,!1),r.lineTo(n+a,e+i),r.arc(n+a,e+i-a,a,o*90,o*180,!1),r.lineTo(n,e+a),r.arc(n+a,e+a,a,o*180,o*270,!1),r.closePath()}function fc(r,n,e,t,i){var a=.5522848,o=t/2*a,s=i/2*a,u=n+t,l=e+i,h=n+t/2,d=e+i/2;r.beginPath(),r.moveTo(n,d),r.bezierCurveTo(n,d-s,h-o,e,h,e),r.bezierCurveTo(h+o,e,u,d-s,u,d),r.bezierCurveTo(u,d+s,h+o,l,h,l),r.bezierCurveTo(h-o,l,n,d+s,n,d),r.closePath()}function A_(r,n,e,t,i){var a=.3333333333333333,o=t,s=i*a,u=.5522848,l=o/2*u,h=s/2*u,d=n+o,c=e+s,f=n+o/2,v=e+s/2,p=e+(i-s/2),g=e+i;r.beginPath(),r.moveTo(d,v),r.bezierCurveTo(d,v+h,f+l,c,f,c),r.bezierCurveTo(f-l,c,n,v+h,n,v),r.bezierCurveTo(n,v-h,f-l,e,f,e),r.bezierCurveTo(f+l,e,d,v-h,d,v),r.lineTo(d,p),r.bezierCurveTo(d,p+h,f+l,g,f,g),r.bezierCurveTo(f-l,g,n,p+h,n,p),r.lineTo(n,v)}function R_(r,n,e,t,i,a){r.beginPath(),r.moveTo(n,e);for(var o=a.length,s=t-n,u=i-e,l=u/s,h=Math.sqrt(s*s+u*u),d=0,c=!0,f=0,v=+a[0];h>=.1;)v=+a[d++%o],v>h&&(v=h),f=Math.sqrt(v*v/(1+l*l)),f=s<0?-f:f,n+=f,e+=l*f,c===!0?r.lineTo(n,e):r.moveTo(n,e),h-=v,c=!c}function E9(r,n,e,t){r.beginPath();var i=6,a=Math.PI*2/i;r.moveTo(n+t,e);for(var o=1;o<i;o++)r.lineTo(n+t*Math.cos(a*o),e+t*Math.sin(a*o));r.closePath()}var Vy={circle:Nf,dashedLine:R_,database:A_,diamond:_9,ellipse:fc,ellipse_vis:fc,hexagon:E9,roundRect:x_,square:m9,star:w9,triangle:b9,triangleDown:$9};function S9(r){return Object.prototype.hasOwnProperty.call(Vy,r)?Vy[r]:function(n){for(var e=arguments.length,t=new Array(e>1?e-1:0),i=1;i<e;i++)t[i-1]=arguments[i];CanvasRenderingContext2D.prototype[r].call(n,t)}}var D_={exports:{}};(function(r){r.exports=n;function n(t){if(t)return e(t)}function e(t){for(var i in n.prototype)t[i]=n.prototype[i];return t}n.prototype.on=n.prototype.addEventListener=function(t,i){return this._callbacks=this._callbacks||{},(this._callbacks["$"+t]=this._callbacks["$"+t]||[]).push(i),this},n.prototype.once=function(t,i){function a(){this.off(t,a),i.apply(this,arguments)}return a.fn=i,this.on(t,a),this},n.prototype.off=n.prototype.removeListener=n.prototype.removeAllListeners=n.prototype.removeEventListener=function(t,i){if(this._callbacks=this._callbacks||{},arguments.length==0)return this._callbacks={},this;var a=this._callbacks["$"+t];if(!a)return this;if(arguments.length==1)return delete this._callbacks["$"+t],this;for(var o,s=0;s<a.length;s++)if(o=a[s],o===i||o.fn===i){a.splice(s,1);break}return a.length===0&&delete this._callbacks["$"+t],this},n.prototype.emit=function(t){this._callbacks=this._callbacks||{};for(var i=new Array(arguments.length-1),a=this._callbacks["$"+t],o=1;o<arguments.length;o++)i[o-1]=arguments[o];if(a){a=a.slice(0);for(var o=0,s=a.length;o<s;++o)a[o].apply(this,i)}return this},n.prototype.listeners=function(t){return this._callbacks=this._callbacks||{},this._callbacks["$"+t]||[]},n.prototype.hasListeners=function(t){return!!this.listeners(t).length}})(D_);var O9=D_.exports,M_=L(O9),T9=Ee,P9=T9("toStringTag"),N_={};N_[P9]="z";var Ff=String(N_)==="[object z]",I9=Ff,k9=ze,Rs=kr,C9=Ee,x9=C9("toStringTag"),A9=Object,R9=Rs(function(){return arguments}())==="Arguments",D9=function(r,n){try{return r[n]}catch{}},Li=I9?Rs:function(r){var n,e,t;return r===void 0?"Undefined":r===null?"Null":typeof(e=D9(n=A9(r),x9))=="string"?e:R9?Rs(n):(t=Rs(n))==="Object"&&k9(n.callee)?"Arguments":t},M9=Li,N9=String,dr=function(r){if(M9(r)==="Symbol")throw new TypeError("Cannot convert a Symbol value to a string");return N9(r)},Bf=re,F9=Xu,B9=dr,L9=yo,j9=Bf("".charAt),Gy=Bf("".charCodeAt),z9=Bf("".slice),H9=function(r){return function(n,e){var t=B9(L9(n)),i=F9(e),a=t.length,o,s;return i<0||i>=a?r?"":void 0:(o=Gy(t,i),o<55296||o>56319||i+1===a||(s=Gy(t,i+1))<56320||s>57343?r?j9(t,i):o:r?z9(t,i,i+2):(o-55296<<10)+(s-56320)+65536)}},W9={charAt:H9(!0)},U9=_e,V9=ze,Ky=U9.WeakMap,F_=V9(Ky)&&/native code/.test(String(Ky)),G9=Zn,K9=qu,qy=G9("keys"),Zu=function(r){return qy[r]||(qy[r]=K9(r))},q9=F_,B_=_e,Y9=We,X9=ea,Kh=Ue,qh=Rf,Q9=Zu,J9=So,Yy="Object already initialized",vc=B_.TypeError,Z9=B_.WeakMap,nu,La,au,eG=function(r){return au(r)?La(r):nu(r,{})},tG=function(r){return function(n){var e;if(!Y9(n)||(e=La(n)).type!==r)throw new vc("Incompatible receiver, "+r+" required");return e}};if(q9||qh.state){var er=qh.state||(qh.state=new Z9);er.get=er.get,er.has=er.has,er.set=er.set,nu=function(r,n){if(er.has(r))throw new vc(Yy);return n.facade=r,er.set(r,n),n},La=function(r){return er.get(r)||{}},au=function(r){return er.has(r)}}else{var tn=Q9("state");J9[tn]=!0,nu=function(r,n){if(Kh(r,tn))throw new vc(Yy);return n.facade=r,X9(r,tn,n),n},La=function(r){return Kh(r,tn)?r[tn]:{}},au=function(r){return Kh(r,tn)}}var ji={set:nu,get:La,has:au,enforce:eG,getterFor:tG},pc=He,rG=Ue,L_=Function.prototype,iG=pc&&Object.getOwnPropertyDescriptor,j_=rG(L_,"name"),nG=j_&&function(){}.name==="something";j_&&(!pc||pc&&iG(L_,"name").configurable);var aG={PROPER:nG},el={},oG=He,sG=O_,uG=Rt,lG=Dt,hG=hr,dG=Qu;el.f=oG&&!sG?Object.defineProperties:function(n,e){lG(n);for(var t=hG(e),i=dG(e),a=i.length,o=0,s;a>o;)uG.f(n,s=i[o++],t[s]);return n};var cG=zt,fG=cG("document","documentElement"),vG=Dt,pG=el,Xy=Mf,gG=So,yG=fG,mG=E_,bG=Zu,Qy=">",Jy="<",gc="prototype",yc="script",z_=bG("IE_PROTO"),Yh=function(){},H_=function(r){return Jy+yc+Qy+r+Jy+"/"+yc+Qy},Zy=function(r){r.write(H_("")),r.close();var n=r.parentWindow.Object;return r=null,n},$G=function(){var r=mG("iframe"),n="java"+yc+":",e;return r.style.display="none",yG.appendChild(r),r.src=String(n),e=r.contentWindow.document,e.open(),e.write(H_("document.F=Object")),e.close(),e.F},hs,Ds=function(){try{hs=new ActiveXObject("htmlfile")}catch{}Ds=typeof document<"u"?document.domain&&hs?Zy(hs):$G():Zy(hs);for(var r=Xy.length;r--;)delete Ds[gc][Xy[r]];return Ds()};gG[z_]=!0;var ta=Object.create||function(n,e){var t;return n!==null?(Yh[gc]=vG(n),t=new Yh,Yh[gc]=null,t[z_]=n):t=Ds(),e===void 0?t:pG.f(t,e)},wG=ee,W_=!wG(function(){function r(){}return r.prototype.constructor=null,Object.getPrototypeOf(new r)!==r.prototype}),_G=Ue,EG=ze,SG=Et,OG=Zu,TG=W_,em=OG("IE_PROTO"),mc=Object,PG=mc.prototype,tl=TG?mc.getPrototypeOf:function(r){var n=SG(r);if(_G(n,em))return n[em];var e=n.constructor;return EG(e)&&n instanceof e?e.prototype:n instanceof mc?PG:null},IG=ea,To=function(r,n,e,t){return t&&t.enumerable?r[n]=e:IG(r,n,e),r},kG=ee,CG=ze,xG=We,AG=ta,tm=tl,RG=To,DG=Ee,bc=DG("iterator"),U_=!1,mr,Xh,Qh;[].keys&&(Qh=[].keys(),"next"in Qh?(Xh=tm(tm(Qh)),Xh!==Object.prototype&&(mr=Xh)):U_=!0);var MG=!xG(mr)||kG(function(){var r={};return mr[bc].call(r)!==r});MG?mr={}:mr=AG(mr);CG(mr[bc])||RG(mr,bc,function(){return this});var V_={IteratorPrototype:mr,BUGGY_SAFARI_ITERATORS:U_},NG=Ff,FG=Li,BG=NG?{}.toString:function(){return"[object "+FG(this)+"]"},LG=Ff,jG=Rt.f,zG=ea,HG=Ue,WG=BG,UG=Ee,rm=UG("toStringTag"),ra=function(r,n,e,t){if(r){var i=e?r:r.prototype;HG(i,rm)||jG(i,rm,{configurable:!0,value:n}),t&&!LG&&zG(i,"toString",WG)}},ia={},VG=V_.IteratorPrototype,GG=ta,KG=go,qG=ra,YG=ia,XG=function(){return this},QG=function(r,n,e,t){var i=n+" Iterator";return r.prototype=GG(VG,{next:KG(+!t,e)}),qG(r,i,!1,!0),YG[i]=XG,r},JG=re,ZG=Bi,eK=function(r,n,e){try{return JG(ZG(Object.getOwnPropertyDescriptor(r,n)[e]))}catch{}},tK=ze,rK=String,iK=TypeError,nK=function(r){if(typeof r=="object"||tK(r))return r;throw new iK("Can't set "+rK(r)+" as a prototype")},aK=eK,oK=Dt,sK=nK,uK=Object.setPrototypeOf||("__proto__"in{}?function(){var r=!1,n={},e;try{e=aK(Object.prototype,"__proto__","set"),e(n,[]),r=n instanceof Array}catch{}return function(i,a){return oK(i),sK(a),r?e(i,a):i.__proto__=a,i}}():void 0),lK=V,hK=At,dK=aG,cK=QG,fK=tl,vK=ra,im=To,pK=Ee,nm=ia,gK=V_,yK=dK.PROPER,ds=gK.BUGGY_SAFARI_ITERATORS,Jh=pK("iterator"),am="keys",cs="values",om="entries",mK=function(){return this},Lf=function(r,n,e,t,i,a,o){cK(e,n,t);var s=function(y){if(y===i&&c)return c;if(!ds&&y&&y in h)return h[y];switch(y){case am:return function(){return new e(this,y)};case cs:return function(){return new e(this,y)};case om:return function(){return new e(this,y)}}return function(){return new e(this)}},u=n+" Iterator",l=!1,h=r.prototype,d=h[Jh]||h["@@iterator"]||i&&h[i],c=!ds&&d||s(i),f=n==="Array"&&h.entries||d,v,p,g;if(f&&(v=fK(f.call(new r)),v!==Object.prototype&&v.next&&(vK(v,u,!0,!0),nm[u]=mK)),yK&&i===cs&&d&&d.name!==cs&&(l=!0,c=function(){return hK(d,this)}),i)if(p={values:s(cs),keys:a?c:s(am),entries:s(om)},o)for(g in p)(ds||l||!(g in h))&&im(h,g,p[g]);else lK({target:n,proto:!0,forced:ds||l},p);return o&&h[Jh]!==c&&im(h,Jh,c,{}),nm[n]=c,p},jf=function(r,n){return{value:r,done:n}},bK=W9.charAt,$K=dr,G_=ji,wK=Lf,sm=jf,K_="String Iterator",_K=G_.set,EK=G_.getterFor(K_);wK(String,"String",function(r){_K(this,{type:K_,string:$K(r),index:0})},function(){var n=EK(this),e=n.string,t=n.index,i;return t>=e.length?sm(void 0,!0):(i=bK(e,t),n.index+=i.length,sm(i,!1))});var SK=At,um=Dt,OK=Af,q_=function(r,n,e){var t,i;um(r);try{if(t=OK(r,"return"),!t){if(n==="throw")throw e;return e}t=SK(t,r)}catch(a){i=!0,t=a}if(n==="throw")throw e;if(i)throw t;return um(t),e},TK=Dt,PK=q_,IK=function(r,n,e,t){try{return t?n(TK(e)[0],e[1]):n(e)}catch(i){PK(r,"throw",i)}},kK=Ee,CK=ia,xK=kK("iterator"),AK=Array.prototype,Y_=function(r){return r!==void 0&&(CK.Array===r||AK[xK]===r)},RK=re,DK=ze,$c=Rf,MK=RK(Function.toString);DK($c.inspectSource)||($c.inspectSource=function(r){return MK(r)});var NK=$c.inspectSource,FK=re,BK=ee,X_=ze,LK=Li,jK=zt,zK=NK,Q_=function(){},HK=[],J_=jK("Reflect","construct"),zf=/^\s*(?:class|function)\b/,WK=FK(zf.exec),UK=!zf.test(Q_),ha=function(n){if(!X_(n))return!1;try{return J_(Q_,HK,n),!0}catch{return!1}},Z_=function(n){if(!X_(n))return!1;switch(LK(n)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return!1}try{return UK||!!WK(zf,zK(n))}catch{return!0}};Z_.sham=!0;var rl=!J_||BK(function(){var r;return ha(ha.call)||!ha(Object)||!ha(function(){r=!0})||r})?Z_:ha,VK=Yu,GK=Rt,KK=go,na=function(r,n,e){var t=VK(n);t in r?GK.f(r,t,KK(0,e)):r[t]=e},qK=Li,lm=Af,YK=Xn,XK=ia,QK=Ee,JK=QK("iterator"),il=function(r){if(!YK(r))return lm(r,JK)||lm(r,"@@iterator")||XK[qK(r)]},ZK=At,e7=Bi,t7=Dt,r7=Jn,i7=il,n7=TypeError,eE=function(r,n){var e=arguments.length<2?i7(r):n;if(e7(e))return t7(ZK(e,r));throw new n7(r7(r)+" is not iterable")},a7=_o,o7=At,s7=Et,u7=IK,l7=Y_,h7=rl,d7=Ht,hm=na,c7=eE,f7=il,dm=Array,v7=function(n){var e=s7(n),t=h7(this),i=arguments.length,a=i>1?arguments[1]:void 0,o=a!==void 0;o&&(a=a7(a,i>2?arguments[2]:void 0));var s=f7(e),u=0,l,h,d,c,f,v;if(s&&!(this===dm&&l7(s)))for(c=c7(e,s),f=c.next,h=t?new this:[];!(d=o7(f,c)).done;u++)v=o?u7(c,a,[d.value,u],!0):d.value,hm(h,u,v);else for(l=d7(e),h=t?new this(l):dm(l);l>u;u++)v=o?a(e[u],u):e[u],hm(h,u,v);return h.length=u,h},p7=Ee,tE=p7("iterator"),rE=!1;try{var g7=0,cm={next:function(){return{done:!!g7++}},return:function(){rE=!0}};cm[tE]=function(){return this},Array.from(cm,function(){throw 2})}catch{}var y7=function(r,n){try{if(!n&&!rE)return!1}catch{return!1}var e=!1;try{var t={};t[tE]=function(){return{next:function(){return{done:e=!0}}}},r(t)}catch{}return e},m7=V,b7=v7,$7=y7,w7=!$7(function(r){Array.from(r)});m7({target:"Array",stat:!0,forced:w7},{from:b7});var _7=te,E7=_7.Array.from,S7=E7,iE=S7,O7=iE,zi=L(O7),T7=hr,fm=ia,nE=ji;Rt.f;var P7=Lf,fs=jf,aE="Array Iterator",I7=nE.set,k7=nE.getterFor(aE);P7(Array,"Array",function(r,n){I7(this,{type:aE,target:T7(r),index:0,kind:n})},function(){var r=k7(this),n=r.target,e=r.kind,t=r.index++;if(!n||t>=n.length)return r.target=void 0,fs(void 0,!0);switch(e){case"keys":return fs(t,!1);case"values":return fs(n[t],!1)}return fs([t,n[t]],!1)},"values");fm.Arguments=fm.Array;var C7=il,x7=C7,A7={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},R7=A7,D7=_e,M7=Li,N7=ea,vm=ia,F7=Ee,pm=F7("toStringTag");for(var Zh in R7){var gm=D7[Zh],ed=gm&&gm.prototype;ed&&M7(ed)!==pm&&N7(ed,pm,Zh),vm[Zh]=vm.Array}var B7=x7,L7=B7,j7=L7,z7=j7,H7=z7,W7=H7,oE=W7,sE=L(oE),U7=oE,Hi=L(U7);function C(r,n){if(!(r instanceof n))throw new TypeError("Cannot call a class as a function")}var uE={exports:{}},V7=V,G7=He,ym=Rt.f;V7({target:"Object",stat:!0,forced:Object.defineProperty!==ym,sham:!G7},{defineProperty:ym});var K7=te,lE=K7.Object,q7=uE.exports=function(n,e,t){return lE.defineProperty(n,e,t)};lE.defineProperty.sham&&(q7.sham=!0);var Y7=uE.exports,X7=Y7,hE=X7,Q7=hE,J7=Q7,Z7=J7,eq=Z7,tq=eq,nl=L(tq),rq=kr,Wi=Array.isArray||function(n){return rq(n)==="Array"},iq=TypeError,nq=9007199254740991,Hf=function(r){if(r>nq)throw iq("Maximum allowed index exceeded");return r},mm=Wi,aq=rl,oq=We,sq=Ee,uq=sq("species"),bm=Array,lq=function(r){var n;return mm(r)&&(n=r.constructor,aq(n)&&(n===bm||mm(n.prototype))?n=void 0:oq(n)&&(n=n[uq],n===null&&(n=void 0))),n===void 0?bm:n},hq=lq,Wf=function(r,n){return new(hq(r))(n===0?0:n)},dq=ee,cq=Ee,fq=bo,vq=cq("species"),Po=function(r){return fq>=51||!dq(function(){var n=[],e=n.constructor={};return e[vq]=function(){return{foo:1}},n[r](Boolean).foo!==1})},pq=V,gq=ee,yq=Wi,mq=We,bq=Et,$q=Ht,$m=Hf,wm=na,wq=Wf,_q=Po,Eq=Ee,Sq=bo,dE=Eq("isConcatSpreadable"),Oq=Sq>=51||!gq(function(){var r=[];return r[dE]=!1,r.concat()[0]!==r}),Tq=function(r){if(!mq(r))return!1;var n=r[dE];return n!==void 0?!!n:yq(r)},Pq=!Oq||!_q("concat");pq({target:"Array",proto:!0,forced:Pq},{concat:function(n){var e=bq(this),t=wq(e,0),i=0,a,o,s,u,l;for(a=-1,s=arguments.length;a<s;a++)if(l=a===-1?e:arguments[a],Tq(l))for(u=$q(l),$m(i+u),o=0;o<u;o++,i++)o in l&&wm(t,i,l[o]);else $m(i+1),wm(t,i++,l);return t.length=i,t}});var Io={},Iq=T_,kq=Mf,Cq=kq.concat("length","prototype");Io.f=Object.getOwnPropertyNames||function(n){return Iq(n,Cq)};var al={},_m=Eo,xq=Ht,Aq=na,Rq=Array,Dq=Math.max,cE=function(r,n,e){for(var t=xq(r),i=_m(n,t),a=_m(e===void 0?t:e,t),o=Rq(Dq(a-i,0)),s=0;i<a;i++,s++)Aq(o,s,r[i]);return o.length=s,o},Mq=kr,Nq=hr,fE=Io.f,Fq=cE,vE=typeof window=="object"&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],Bq=function(r){try{return fE(r)}catch{return Fq(vE)}};al.f=function(n){return vE&&Mq(n)==="Window"?Bq(n):fE(Nq(n))};var Lq=Rt,Uf=function(r,n,e){return Lq.f(r,n,e)},ko={},jq=Ee;ko.f=jq;var Em=te,zq=Ue,Hq=ko,Wq=Rt.f,Se=function(r){var n=Em.Symbol||(Em.Symbol={});zq(n,r)||Wq(n,r,{value:Hq.f(r)})},Uq=At,Vq=zt,Gq=Ee,Kq=To,pE=function(){var r=Vq("Symbol"),n=r&&r.prototype,e=n&&n.valueOf,t=Gq("toPrimitive");n&&!n[t]&&Kq(n,t,function(i){return Uq(e,this)},{})},qq=_o,Yq=re,Xq=Ku,Qq=Et,Jq=Ht,Zq=Wf,Sm=Yq([].push),oi=function(r){var n=r===1,e=r===2,t=r===3,i=r===4,a=r===6,o=r===7,s=r===5||a;return function(u,l,h,d){for(var c=Qq(u),f=Xq(c),v=qq(l,h),p=Jq(f),g=0,y=d||Zq,m=n?y(u,p):e||o?y(u,0):void 0,w,$;p>g;g++)if((s||g in f)&&(w=f[g],$=v(w,g,c),r))if(n)m[g]=$;else if($)switch(r){case 3:return!0;case 5:return w;case 6:return g;case 2:Sm(m,w)}else switch(r){case 4:return!1;case 7:Sm(m,w)}return a?-1:t||i?i:m}},Zr={forEach:oi(0),map:oi(1),filter:oi(2),some:oi(3),every:oi(4),find:oi(5),findIndex:oi(6)},ol=V,sl=_e,Vf=At,eY=re,In=He,kn=Qn,tY=ee,Be=Ue,rY=Ie,wc=Dt,ul=hr,Gf=Yu,iY=dr,_c=go,ja=ta,gE=Qu,nY=Io,yE=al,aY=Oo,mE=Yn,bE=Rt,oY=el,$E=Gu,Om=To,sY=Uf,Kf=Zn,uY=Zu,wE=So,Tm=qu,lY=Ee,hY=ko,dY=Se,cY=pE,fY=ra,_E=ji,ll=Zr.forEach,gt=uY("hidden"),hl="Symbol",za="prototype",vY=_E.set,Pm=_E.getterFor(hl),Yt=Object[za],gi=sl.Symbol,ga=gi&&gi[za],pY=sl.RangeError,gY=sl.TypeError,td=sl.QObject,EE=mE.f,yi=bE.f,SE=yE.f,yY=$E.f,OE=eY([].push),Or=Kf("symbols"),Co=Kf("op-symbols"),mY=Kf("wks"),Ec=!td||!td[za]||!td[za].findChild,TE=function(r,n,e){var t=EE(Yt,n);t&&delete Yt[n],yi(r,n,e),t&&r!==Yt&&yi(Yt,n,t)},Sc=In&&tY(function(){return ja(yi({},"a",{get:function(){return yi(this,"a",{value:7}).a}})).a!==7})?TE:yi,rd=function(r,n){var e=Or[r]=ja(ga);return vY(e,{type:hl,tag:r,description:n}),In||(e.description=n),e},dl=function(n,e,t){n===Yt&&dl(Co,e,t),wc(n);var i=Gf(e);return wc(t),Be(Or,i)?(t.enumerable?(Be(n,gt)&&n[gt][i]&&(n[gt][i]=!1),t=ja(t,{enumerable:_c(0,!1)})):(Be(n,gt)||yi(n,gt,_c(1,{})),n[gt][i]=!0),Sc(n,i,t)):yi(n,i,t)},qf=function(n,e){wc(n);var t=ul(e),i=gE(t).concat(CE(t));return ll(i,function(a){(!In||Vf(PE,t,a))&&dl(n,a,t[a])}),n},bY=function(n,e){return e===void 0?ja(n):qf(ja(n),e)},PE=function(n){var e=Gf(n),t=Vf(yY,this,e);return this===Yt&&Be(Or,e)&&!Be(Co,e)?!1:t||!Be(this,e)||!Be(Or,e)||Be(this,gt)&&this[gt][e]?t:!0},IE=function(n,e){var t=ul(n),i=Gf(e);if(!(t===Yt&&Be(Or,i)&&!Be(Co,i))){var a=EE(t,i);return a&&Be(Or,i)&&!(Be(t,gt)&&t[gt][i])&&(a.enumerable=!0),a}},kE=function(n){var e=SE(ul(n)),t=[];return ll(e,function(i){!Be(Or,i)&&!Be(wE,i)&&OE(t,i)}),t},CE=function(r){var n=r===Yt,e=SE(n?Co:ul(r)),t=[];return ll(e,function(i){Be(Or,i)&&(!n||Be(Yt,i))&&OE(t,Or[i])}),t};kn||(gi=function(){if(rY(ga,this))throw new gY("Symbol is not a constructor");var n=!arguments.length||arguments[0]===void 0?void 0:iY(arguments[0]),e=Tm(n),t=function(i){this===Yt&&Vf(t,Co,i),Be(this,gt)&&Be(this[gt],e)&&(this[gt][e]=!1);var a=_c(1,i);try{Sc(this,e,a)}catch(o){if(!(o instanceof pY))throw o;TE(this,e,a)}};return In&&Ec&&Sc(Yt,e,{configurable:!0,set:t}),rd(e,n)},ga=gi[za],Om(ga,"toString",function(){return Pm(this).tag}),Om(gi,"withoutSetter",function(r){return rd(Tm(r),r)}),$E.f=PE,bE.f=dl,oY.f=qf,mE.f=IE,nY.f=yE.f=kE,aY.f=CE,hY.f=function(r){return rd(lY(r),r)},In&&sY(ga,"description",{configurable:!0,get:function(){return Pm(this).description}}));ol({global:!0,wrap:!0,forced:!kn,sham:!kn},{Symbol:gi});ll(gE(mY),function(r){dY(r)});ol({target:hl,stat:!0,forced:!kn},{useSetter:function(){Ec=!0},useSimple:function(){Ec=!1}});ol({target:"Object",stat:!0,forced:!kn,sham:!In},{create:bY,defineProperty:dl,defineProperties:qf,getOwnPropertyDescriptor:IE});ol({target:"Object",stat:!0,forced:!kn},{getOwnPropertyNames:kE});cY();fY(gi,hl);wE[gt]=!0;var $Y=Qn,xE=$Y&&!!Symbol.for&&!!Symbol.keyFor,wY=V,_Y=zt,EY=Ue,SY=dr,AE=Zn,OY=xE,id=AE("string-to-symbol-registry"),TY=AE("symbol-to-string-registry");wY({target:"Symbol",stat:!0,forced:!OY},{for:function(r){var n=SY(r);if(EY(id,n))return id[n];var e=_Y("Symbol")(n);return id[n]=e,TY[e]=n,e}});var PY=V,IY=Ue,kY=$o,CY=Jn,xY=Zn,AY=xE,Im=xY("symbol-to-string-registry");PY({target:"Symbol",stat:!0,forced:!AY},{keyFor:function(n){if(!kY(n))throw new TypeError(CY(n)+" is not a symbol");if(IY(Im,n))return Im[n]}});var RY=re,km=Wi,DY=ze,Cm=kr,MY=dr,xm=RY([].push),NY=function(r){if(DY(r))return r;if(km(r)){for(var n=r.length,e=[],t=0;t<n;t++){var i=r[t];typeof i=="string"?xm(e,i):(typeof i=="number"||Cm(i)==="Number"||Cm(i)==="String")&&xm(e,MY(i))}var a=e.length,o=!0;return function(s,u){if(o)return o=!1,u;if(km(this))return u;for(var l=0;l<a;l++)if(e[l]===s)return u}}},FY=V,RE=zt,DE=po,BY=At,xo=re,ME=ee,Am=ze,Rm=$o,NE=Ju,LY=NY,jY=Qn,zY=String,zr=RE("JSON","stringify"),vs=xo(/./.exec),Dm=xo("".charAt),HY=xo("".charCodeAt),WY=xo("".replace),UY=xo(1 .toString),VY=/[\uD800-\uDFFF]/g,Mm=/^[\uD800-\uDBFF]$/,Nm=/^[\uDC00-\uDFFF]$/,Fm=!jY||ME(function(){var r=RE("Symbol")("stringify detection");return zr([r])!=="[null]"||zr({a:r})!=="{}"||zr(Object(r))!=="{}"}),Bm=ME(function(){return zr("\uDF06\uD834")!=='"\\udf06\\ud834"'||zr("\uDEAD")!=='"\\udead"'}),GY=function(r,n){var e=NE(arguments),t=LY(n);if(!(!Am(t)&&(r===void 0||Rm(r))))return e[1]=function(i,a){if(Am(t)&&(a=BY(t,this,zY(i),a)),!Rm(a))return a},DE(zr,null,e)},KY=function(r,n,e){var t=Dm(e,n-1),i=Dm(e,n+1);return vs(Mm,r)&&!vs(Nm,i)||vs(Nm,r)&&!vs(Mm,t)?"\\u"+UY(HY(r,0),16):r};zr&&FY({target:"JSON",stat:!0,forced:Fm||Bm},{stringify:function(n,e,t){var i=NE(arguments),a=DE(Fm?GY:zr,null,i);return Bm&&typeof a=="string"?WY(a,VY,KY):a}});var qY=V,YY=Qn,XY=ee,FE=Oo,QY=Et,JY=!YY||XY(function(){FE.f(1)});qY({target:"Object",stat:!0,forced:JY},{getOwnPropertySymbols:function(n){var e=FE.f;return e?e(QY(n)):[]}});var ZY=Se;ZY("asyncIterator");var eX=Se;eX("hasInstance");var tX=Se;tX("isConcatSpreadable");var rX=Se;rX("iterator");var iX=Se;iX("match");var nX=Se;nX("matchAll");var aX=Se;aX("replace");var oX=Se;oX("search");var sX=Se;sX("species");var uX=Se;uX("split");var lX=Se,hX=pE;lX("toPrimitive");hX();var dX=zt,cX=Se,fX=ra;cX("toStringTag");fX(dX("Symbol"),"Symbol");var vX=Se;vX("unscopables");var pX=_e,gX=ra;gX(pX.JSON,"JSON",!0);var yX=te,mX=yX.Symbol,bX=mX,BE=bX,$X=Ee,wX=Rt.f,Lm=$X("metadata"),jm=Function.prototype;jm[Lm]===void 0&&wX(jm,Lm,{value:null});var _X=Se;_X("asyncDispose");var EX=Se;EX("dispose");var SX=Se;SX("metadata");var OX=BE,TX=OX,PX=zt,IX=re,Yf=PX("Symbol"),kX=Yf.keyFor,CX=IX(Yf.prototype.valueOf),LE=Yf.isRegisteredSymbol||function(n){try{return kX(CX(n))!==void 0}catch{return!1}},xX=V,AX=LE;xX({target:"Symbol",stat:!0},{isRegisteredSymbol:AX});var RX=Zn,jE=zt,DX=re,MX=$o,NX=Ee,ou=jE("Symbol"),zm=ou.isWellKnownSymbol,zE=jE("Object","getOwnPropertyNames"),FX=DX(ou.prototype.valueOf),Hm=RX("wks");for(var nd=0,Wm=zE(ou),BX=Wm.length;nd<BX;nd++)try{var Um=Wm[nd];MX(ou[Um])&&NX(Um)}catch{}var HE=function(n){if(zm&&zm(n))return!0;try{for(var e=FX(n),t=0,i=zE(Hm),a=i.length;t<a;t++)if(Hm[i[t]]==e)return!0}catch{}return!1},LX=V,jX=HE;LX({target:"Symbol",stat:!0,forced:!0},{isWellKnownSymbol:jX});var zX=Se;zX("matcher");var HX=Se;HX("observable");var WX=V,UX=LE;WX({target:"Symbol",stat:!0},{isRegistered:UX});var VX=V,GX=HE;VX({target:"Symbol",stat:!0,forced:!0},{isWellKnown:GX});var KX=Se;KX("metadataKey");var qX=Se;qX("patternMatch");var YX=Se;YX("replaceAll");var XX=TX,QX=XX,JX=QX,vn=L(JX),ZX=ko,eQ=ZX.f("iterator"),tQ=eQ,rQ=tQ,iQ=rQ,nQ=iQ,aQ=nQ,oQ=aQ,sQ=oQ,uQ=L(sQ);function se(r){"@babel/helpers - typeof";return se=typeof vn=="function"&&typeof uQ=="symbol"?function(n){return typeof n}:function(n){return n&&typeof vn=="function"&&n.constructor===vn&&n!==vn.prototype?"symbol":typeof n},se(r)}var lQ=ko,hQ=lQ.f("toPrimitive"),dQ=hQ,cQ=dQ,fQ=cQ,vQ=fQ,pQ=vQ,gQ=pQ,yQ=gQ,mQ=L(yQ);function bQ(r,n){if(se(r)!=="object"||r===null)return r;var e=r[mQ];if(e!==void 0){var t=e.call(r,n);if(se(t)!=="object")return t;throw new TypeError("@@toPrimitive must return a primitive value.")}return(n==="string"?String:Number)(r)}function WE(r){var n=bQ(r,"string");return se(n)==="symbol"?n:String(n)}function Vm(r,n){for(var e=0;e<n.length;e++){var t=n[e];t.enumerable=t.enumerable||!1,t.configurable=!0,"value"in t&&(t.writable=!0),nl(r,WE(t.key),t)}}function x(r,n,e){return n&&Vm(r.prototype,n),e&&Vm(r,e),nl(r,"prototype",{writable:!1}),r}var $Q=V,wQ=Wi;$Q({target:"Array",stat:!0},{isArray:wQ});var _Q=te,EQ=_Q.Array.isArray,SQ=EQ,UE=SQ,OQ=UE,TQ=OQ,PQ=TQ,IQ=PQ,kQ=IQ,VE=L(kQ);function CQ(r){if(VE(r))return r}var xQ=He,AQ=Wi,RQ=TypeError,DQ=Object.getOwnPropertyDescriptor,MQ=xQ&&!function(){if(this!==void 0)return!0;try{Object.defineProperty([],"length",{writable:!1}).length=1}catch(r){return r instanceof TypeError}}(),GE=MQ?function(r,n){if(AQ(r)&&!DQ(r,"length").writable)throw new RQ("Cannot set read only .length");return r.length=n}:function(r,n){return r.length=n},NQ=V,FQ=Et,BQ=Ht,LQ=GE,jQ=Hf,zQ=ee,HQ=zQ(function(){return[].push.call({length:4294967296},1)!==4294967297}),WQ=function(){try{Object.defineProperty([],"length",{writable:!1}).push()}catch(r){return r instanceof TypeError}},UQ=HQ||!WQ();NQ({target:"Array",proto:!0,forced:UQ},{push:function(n){var e=FQ(this),t=BQ(e),i=arguments.length;jQ(t+i);for(var a=0;a<i;a++)e[t]=arguments[a],t++;return LQ(e,t),t}});var VQ=Ve,GQ=VQ("Array").push,KQ=Ie,qQ=GQ,ad=Array.prototype,YQ=function(r){var n=r.push;return r===ad||KQ(ad,r)&&n===ad.push?qQ:n},XQ=YQ,QQ=XQ,JQ=QQ,ZQ=JQ,eJ=ZQ,tJ=eJ,rJ=tJ,iJ=L(rJ);function nJ(r,n){var e=r==null?null:typeof vn<"u"&&sE(r)||r["@@iterator"];if(e!=null){var t,i,a,o,s=[],u=!0,l=!1;try{if(a=(e=e.call(r)).next,n===0){if(Object(e)!==e)return;u=!1}else for(;!(u=(t=a.call(e)).done)&&(iJ(s).call(s,t.value),s.length!==n);u=!0);}catch(h){l=!0,i=h}finally{try{if(!u&&e.return!=null&&(o=e.return(),Object(o)!==o))return}finally{if(l)throw i}}return s}}var aJ=V,Gm=Wi,oJ=rl,sJ=We,Km=Eo,uJ=Ht,lJ=hr,hJ=na,dJ=Ee,cJ=Po,fJ=Ju,vJ=cJ("slice"),pJ=dJ("species"),od=Array,gJ=Math.max;aJ({target:"Array",proto:!0,forced:!vJ},{slice:function(n,e){var t=lJ(this),i=uJ(t),a=Km(n,i),o=Km(e===void 0?i:e,i),s,u,l;if(Gm(t)&&(s=t.constructor,oJ(s)&&(s===od||Gm(s.prototype))?s=void 0:sJ(s)&&(s=s[pJ],s===null&&(s=void 0)),s===od||s===void 0))return fJ(t,a,o);for(u=new(s===void 0?od:s)(gJ(o-a,0)),l=0;a<o;a++,l++)a in t&&hJ(u,l,t[a]);return u.length=l,u}});var yJ=Ve,mJ=yJ("Array").slice,bJ=Ie,$J=mJ,sd=Array.prototype,wJ=function(r){var n=r.slice;return r===sd||bJ(sd,r)&&n===sd.slice?$J:n},_J=wJ,KE=_J,EJ=KE,SJ=EJ,OJ=SJ,TJ=OJ,PJ=TJ,IJ=L(PJ),kJ=iE,CJ=kJ,xJ=CJ,AJ=xJ,RJ=AJ,qE=L(RJ);function Oc(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}function YE(r,n){var e;if(r){if(typeof r=="string")return Oc(r,n);var t=IJ(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return qE(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return Oc(r,n)}}function DJ(){throw new TypeError(`Invalid attempt to destructure non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function be(r,n){return CQ(r)||nJ(r,n)||YE(r,n)||DJ()}function MJ(r){if(VE(r))return Oc(r)}function NJ(r){if(typeof vn<"u"&&sE(r)!=null||r["@@iterator"]!=null)return qE(r)}function FJ(){throw new TypeError(`Invalid attempt to spread non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function tr(r){return MJ(r)||NJ(r)||YE(r)||FJ()}var BJ=BE,ei=L(BJ),LJ=Ve,jJ=LJ("Array").concat,zJ=Ie,HJ=jJ,ud=Array.prototype,WJ=function(r){var n=r.concat;return r===ud||zJ(ud,r)&&n===ud.concat?HJ:n},UJ=WJ,VJ=UJ,GJ=VJ,Xf=L(GJ),KJ=KE,Ye=L(KJ),qJ=zt,YJ=re,XJ=Io,QJ=Oo,JJ=Dt,ZJ=YJ([].concat),eZ=qJ("Reflect","ownKeys")||function(n){var e=XJ.f(JJ(n)),t=QJ.f;return t?ZJ(e,t(n)):e},tZ=UE,ae=L(tZ),rZ=V,iZ=Zr.map,nZ=Po,aZ=nZ("map");rZ({target:"Array",proto:!0,forced:!aZ},{map:function(n){return iZ(this,n,arguments.length>1?arguments[1]:void 0)}});var oZ=Ve,sZ=oZ("Array").map,uZ=Ie,lZ=sZ,ld=Array.prototype,hZ=function(r){var n=r.map;return r===ld||uZ(ld,r)&&n===ld.map?lZ:n},dZ=hZ,cZ=dZ,fZ=cZ,Cn=L(fZ),vZ=V,pZ=Et,XE=Qu,gZ=ee,yZ=gZ(function(){XE(1)});vZ({target:"Object",stat:!0,forced:yZ},{keys:function(n){return XE(pZ(n))}});var mZ=te,bZ=mZ.Object.keys,$Z=bZ,wZ=$Z,_Z=wZ,me=L(_Z),EZ=V,SZ=re,QE=Date,OZ=SZ(QE.prototype.getTime);EZ({target:"Date",stat:!0},{now:function(){return OZ(new QE)}});var TZ=te,PZ=TZ.Date.now,IZ=PZ,kZ=IZ,CZ=kZ,su=L(CZ),xZ=ee,aa=function(r,n){var e=[][r];return!!e&&xZ(function(){e.call(null,n||function(){return 1},1)})},AZ=Zr.forEach,RZ=aa,DZ=RZ("forEach"),MZ=DZ?[].forEach:function(n){return AZ(this,n,arguments.length>1?arguments[1]:void 0)},NZ=V,qm=MZ;NZ({target:"Array",proto:!0,forced:[].forEach!==qm},{forEach:qm});var FZ=Ve,BZ=FZ("Array").forEach,LZ=BZ,jZ=LZ,zZ=Li,HZ=Ue,WZ=Ie,UZ=jZ,hd=Array.prototype,VZ={DOMTokenList:!0,NodeList:!0},GZ=function(r){var n=r.forEach;return r===hd||WZ(hd,r)&&n===hd.forEach||HZ(VZ,zZ(r))?UZ:n},KZ=GZ,ue=L(KZ),qZ=V,YZ=re,XZ=Wi,QZ=YZ([].reverse),Ym=[1,2];qZ({target:"Array",proto:!0,forced:String(Ym)===String(Ym.reverse())},{reverse:function(){return XZ(this)&&(this.length=this.length),QZ(this)}});var JZ=Ve,ZZ=JZ("Array").reverse,eee=Ie,tee=ZZ,dd=Array.prototype,ree=function(r){var n=r.reverse;return r===dd||eee(dd,r)&&n===dd.reverse?tee:n},iee=ree,nee=iee,aee=nee,mi=L(aee),Xm=Jn,oee=TypeError,JE=function(r,n){if(!delete r[n])throw new oee("Cannot delete property "+Xm(n)+" of "+Xm(r))},see=V,uee=Et,lee=Eo,hee=Xu,dee=Ht,cee=GE,fee=Hf,vee=Wf,pee=na,cd=JE,gee=Po,yee=gee("splice"),mee=Math.max,bee=Math.min;see({target:"Array",proto:!0,forced:!yee},{splice:function(n,e){var t=uee(this),i=dee(t),a=lee(n,i),o=arguments.length,s,u,l,h,d,c;for(o===0?s=u=0:o===1?(s=0,u=i-a):(s=o-2,u=bee(mee(hee(e),0),i-a)),fee(i+s-u),l=vee(t,u),h=0;h<u;h++)d=a+h,d in t&&pee(l,h,t[d]);if(l.length=u,s<u){for(h=a;h<i-u;h++)d=h+u,c=h+s,d in t?t[c]=t[d]:cd(t,c);for(h=i;h>i-u+s;h--)cd(t,h-1)}else if(s>u)for(h=i-u;h>a;h--)d=h+u-1,c=h+s-1,d in t?t[c]=t[d]:cd(t,c);for(h=0;h<s;h++)t[h+a]=arguments[h+2];return cee(t,i-u+s),l}});var $ee=Ve,wee=$ee("Array").splice,_ee=Ie,Eee=wee,fd=Array.prototype,See=function(r){var n=r.splice;return r===fd||_ee(fd,r)&&n===fd.splice?Eee:n},Oee=See,Tee=Oee,Pee=Tee,br=L(Pee),Iee=V,kee=Df.includes,Cee=ee,xee=Cee(function(){return!Array(1).includes()});Iee({target:"Array",proto:!0,forced:xee},{includes:function(n){return kee(this,n,arguments.length>1?arguments[1]:void 0)}});var Aee=Ve,Ree=Aee("Array").includes,Dee=We,Mee=kr,Nee=Ee,Fee=Nee("match"),Bee=function(r){var n;return Dee(r)&&((n=r[Fee])!==void 0?!!n:Mee(r)==="RegExp")},Lee=Bee,jee=TypeError,zee=function(r){if(Lee(r))throw new jee("The method doesn't accept regular expressions");return r},Hee=Ee,Wee=Hee("match"),Uee=function(r){var n=/./;try{"/./"[r](n)}catch{try{return n[Wee]=!1,"/./"[r](n)}catch{}}return!1},Vee=V,Gee=re,Kee=zee,qee=yo,Qm=dr,Yee=Uee,Xee=Gee("".indexOf);Vee({target:"String",proto:!0,forced:!Yee("includes")},{includes:function(n){return!!~Xee(Qm(qee(this)),Qm(Kee(n)),arguments.length>1?arguments[1]:void 0)}});var Qee=Ve,Jee=Qee("String").includes,Jm=Ie,Zee=Ree,ete=Jee,vd=Array.prototype,pd=String.prototype,tte=function(r){var n=r.includes;return r===vd||Jm(vd,r)&&n===vd.includes?Zee:typeof r=="string"||r===pd||Jm(pd,r)&&n===pd.includes?ete:n},rte=tte,ite=rte,nte=ite,Hr=L(nte),ate=V,ote=ee,ste=Et,ZE=tl,ute=W_,lte=ote(function(){ZE(1)});ate({target:"Object",stat:!0,forced:lte,sham:!ute},{getPrototypeOf:function(n){return ZE(ste(n))}});var hte=te,dte=hte.Object.getPrototypeOf,cte=dte,eS=cte,fte=eS,Zm=L(fte),vte=V,pte=Zr.filter,gte=Po,yte=gte("filter");vte({target:"Array",proto:!0,forced:!yte},{filter:function(n){return pte(this,n,arguments.length>1?arguments[1]:void 0)}});var mte=Ve,bte=mte("Array").filter,$te=Ie,wte=bte,gd=Array.prototype,_te=function(r){var n=r.filter;return r===gd||$te(gd,r)&&n===gd.filter?wte:n},Ete=_te,Ste=Ete,Ote=Ste,yt=L(Ote),Qf=`	
\v\f\r                　\u2028\u2029\uFEFF`,Tte=re,Pte=yo,Ite=dr,Tc=Qf,eb=Tte("".replace),kte=RegExp("^["+Tc+"]+"),Cte=RegExp("(^|[^"+Tc+"])["+Tc+"]+$"),xte=function(r){return function(n){var e=Ite(Pte(n));return r&1&&(e=eb(e,kte,"")),r&2&&(e=eb(e,Cte,"$1")),e}},tS={trim:xte(3)},rS=_e,Ate=ee,Rte=re,Dte=dr,Mte=tS.trim,tb=Qf,Ea=rS.parseInt,rb=rS.Symbol,ib=rb&&rb.iterator,iS=/^[+-]?0x/i,Nte=Rte(iS.exec),Fte=Ea(tb+"08")!==8||Ea(tb+"0x16")!==22||ib&&!Ate(function(){Ea(Object(ib))}),Bte=Fte?function(n,e){var t=Mte(Dte(n));return Ea(t,e>>>0||(Nte(iS,t)?16:10))}:Ea,Lte=V,nb=Bte;Lte({global:!0,forced:parseInt!==nb},{parseInt:nb});var jte=te,zte=jte.parseInt,Hte=zte,Wte=Hte,Ute=Wte,Kt=L(Ute),Vte=V,Gte=xf,Kte=Df.indexOf,qte=aa,Pc=Gte([].indexOf),nS=!!Pc&&1/Pc([1],1,-0)<0,Yte=nS||!qte("indexOf");Vte({target:"Array",proto:!0,forced:Yte},{indexOf:function(n){var e=arguments.length>1?arguments[1]:void 0;return nS?Pc(this,n,e)||0:Kte(this,n,e)}});var Xte=Ve,Qte=Xte("Array").indexOf,Jte=Ie,Zte=Qte,yd=Array.prototype,ere=function(r){var n=r.indexOf;return r===yd||Jte(yd,r)&&n===yd.indexOf?Zte:n},tre=ere,rre=tre,ire=rre,Z=L(ire),nre=V,are=He,ore=ta;nre({target:"Object",stat:!0,sham:!are},{create:ore});var sre=te,ure=sre.Object,lre=function(n,e){return ure.create(n,e)},hre=lre,aS=hre,dre=aS,bi=L(dre),Ic=te,cre=po;Ic.JSON||(Ic.JSON={stringify:JSON.stringify});var fre=function(n,e,t){return cre(Ic.JSON.stringify,null,arguments)},vre=fre,pre=vre,gre=pre,Ao=L(gre),yre=typeof Bun=="function"&&Bun&&typeof Bun.version=="string",mre=TypeError,bre=function(r,n){if(r<n)throw new mre("Not enough arguments");return r},oS=_e,$re=po,wre=ze,_re=yre,Ere=mo,Sre=Ju,Ore=bre,Tre=oS.Function,Pre=/MSIE .\./.test(Ere)||_re&&function(){var r=oS.Bun.version.split(".");return r.length<3||r[0]==="0"&&(r[1]<3||r[1]==="3"&&r[2]==="0")}(),sS=function(r,n){var e=n?2:1;return Pre?function(t,i){var a=Ore(arguments.length,1)>e,o=wre(t)?t:Tre(t),s=a?Sre(arguments,e):[],u=a?function(){$re(o,this,s)}:o;return n?r(u,i):r(u)}:r},Ire=V,uS=_e,kre=sS,ab=kre(uS.setInterval,!0);Ire({global:!0,bind:!0,forced:uS.setInterval!==ab},{setInterval:ab});var Cre=V,lS=_e,xre=sS,ob=xre(lS.setTimeout,!0);Cre({global:!0,bind:!0,forced:lS.setTimeout!==ob},{setTimeout:ob});var Are=te,Rre=Are.setTimeout,Dre=Rre,or=L(Dre),Mre=Et,sb=Eo,Nre=Ht,Fre=function(n){for(var e=Mre(this),t=Nre(e),i=arguments.length,a=sb(i>1?arguments[1]:void 0,t),o=i>2?arguments[2]:void 0,s=o===void 0?t:sb(o,t);s>a;)e[a++]=n;return e},Bre=V,Lre=Fre;Bre({target:"Array",proto:!0},{fill:Lre});var jre=Ve,zre=jre("Array").fill,Hre=Ie,Wre=zre,md=Array.prototype,Ure=function(r){var n=r.fill;return r===md||Hre(md,r)&&n===md.fill?Wre:n},Vre=Ure,Gre=Vre,Kre=Gre,Ro=L(Kre);/*! Hammer.JS - v2.0.17-rc - 2019-12-16
 * http://naver.github.io/egjs
 *
 * Forked By Naver egjs
 * Copyright (c) hammerjs
 * Licensed under the MIT license */function Qt(){return Qt=Object.assign||function(r){for(var n=1;n<arguments.length;n++){var e=arguments[n];for(var t in e)Object.prototype.hasOwnProperty.call(e,t)&&(r[t]=e[t])}return r},Qt.apply(this,arguments)}function Wt(r,n){r.prototype=Object.create(n.prototype),r.prototype.constructor=r,r.__proto__=n}function ps(r){if(r===void 0)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return r}var kc;typeof Object.assign!="function"?kc=function(n){if(n==null)throw new TypeError("Cannot convert undefined or null to object");for(var e=Object(n),t=1;t<arguments.length;t++){var i=arguments[t];if(i!=null)for(var a in i)i.hasOwnProperty(a)&&(e[a]=i[a])}return e}:kc=Object.assign;var Pi=kc,ub=["","webkit","Moz","MS","ms","o"],qre=typeof document>"u"?{style:{}}:document.createElement("div"),Yre="function",pn=Math.round,Ii=Math.abs,Jf=Date.now;function cl(r,n){for(var e,t,i=n[0].toUpperCase()+n.slice(1),a=0;a<ub.length;){if(e=ub[a],t=e?e+i:n,t in r)return t;a++}}var $r;typeof window>"u"?$r={}:$r=window;var hS=cl(qre.style,"touchAction"),dS=hS!==void 0;function Xre(){if(!dS)return!1;var r={},n=$r.CSS&&$r.CSS.supports;return["auto","manipulation","pan-y","pan-x","pan-x pan-y","none"].forEach(function(e){return r[e]=n?$r.CSS.supports("touch-action",e):!0}),r}var cS="compute",fS="auto",Cc="manipulation",$i="none",Ha="pan-x",Wa="pan-y",gs=Xre(),Qre=/mobile|tablet|ip(ad|hone|od)|android/i,vS="ontouchstart"in $r,Jre=cl($r,"PointerEvent")!==void 0,Zre=vS&&Qre.test(navigator.userAgent),Do="touch",eie="pen",Zf="mouse",tie="kinect",rie=25,ut=1,Ui=2,Re=4,bt=8,uu=1,Mo=2,No=4,Fo=8,xn=16,sr=Mo|No,wi=Fo|xn,pS=sr|wi,gS=["x","y"],lu=["clientX","clientY"];function wr(r,n,e){var t;if(r)if(r.forEach)r.forEach(n,e);else if(r.length!==void 0)for(t=0;t<r.length;)n.call(e,r[t],t,r),t++;else for(t in r)r.hasOwnProperty(t)&&n.call(e,r[t],t,r)}function fl(r,n){return typeof r===Yre?r.apply(n&&n[0]||void 0,n):r}function hi(r,n){return r.indexOf(n)>-1}function iie(r){if(hi(r,$i))return $i;var n=hi(r,Ha),e=hi(r,Wa);return n&&e?$i:n||e?n?Ha:Wa:hi(r,Cc)?Cc:fS}var yS=function(){function r(e,t){this.manager=e,this.set(t)}var n=r.prototype;return n.set=function(t){t===cS&&(t=this.compute()),dS&&this.manager.element.style&&gs[t]&&(this.manager.element.style[hS]=t),this.actions=t.toLowerCase().trim()},n.update=function(){this.set(this.manager.options.touchAction)},n.compute=function(){var t=[];return wr(this.manager.recognizers,function(i){fl(i.options.enable,[i])&&(t=t.concat(i.getTouchAction()))}),iie(t.join(" "))},n.preventDefaults=function(t){var i=t.srcEvent,a=t.offsetDirection;if(this.manager.session.prevented){i.preventDefault();return}var o=this.actions,s=hi(o,$i)&&!gs[$i],u=hi(o,Wa)&&!gs[Wa],l=hi(o,Ha)&&!gs[Ha];if(s){var h=t.pointers.length===1,d=t.distance<2,c=t.deltaTime<250;if(h&&d&&c)return}if(!(l&&u)&&(s||u&&a&sr||l&&a&wi))return this.preventSrc(i)},n.preventSrc=function(t){this.manager.session.prevented=!0,t.preventDefault()},r}();function ev(r,n){for(;r;){if(r===n)return!0;r=r.parentNode}return!1}function mS(r){var n=r.length;if(n===1)return{x:pn(r[0].clientX),y:pn(r[0].clientY)};for(var e=0,t=0,i=0;i<n;)e+=r[i].clientX,t+=r[i].clientY,i++;return{x:pn(e/n),y:pn(t/n)}}function lb(r){for(var n=[],e=0;e<r.pointers.length;)n[e]={clientX:pn(r.pointers[e].clientX),clientY:pn(r.pointers[e].clientY)},e++;return{timeStamp:Jf(),pointers:n,center:mS(n),deltaX:r.deltaX,deltaY:r.deltaY}}function hu(r,n,e){e||(e=gS);var t=n[e[0]]-r[e[0]],i=n[e[1]]-r[e[1]];return Math.sqrt(t*t+i*i)}function xc(r,n,e){e||(e=gS);var t=n[e[0]]-r[e[0]],i=n[e[1]]-r[e[1]];return Math.atan2(i,t)*180/Math.PI}function bS(r,n){return r===n?uu:Ii(r)>=Ii(n)?r<0?Mo:No:n<0?Fo:xn}function nie(r,n){var e=n.center,t=r.offsetDelta||{},i=r.prevDelta||{},a=r.prevInput||{};(n.eventType===ut||a.eventType===Re)&&(i=r.prevDelta={x:a.deltaX||0,y:a.deltaY||0},t=r.offsetDelta={x:e.x,y:e.y}),n.deltaX=i.x+(e.x-t.x),n.deltaY=i.y+(e.y-t.y)}function $S(r,n,e){return{x:n/r||0,y:e/r||0}}function aie(r,n){return hu(n[0],n[1],lu)/hu(r[0],r[1],lu)}function oie(r,n){return xc(n[1],n[0],lu)+xc(r[1],r[0],lu)}function sie(r,n){var e=r.lastInterval||n,t=n.timeStamp-e.timeStamp,i,a,o,s;if(n.eventType!==bt&&(t>rie||e.velocity===void 0)){var u=n.deltaX-e.deltaX,l=n.deltaY-e.deltaY,h=$S(t,u,l);a=h.x,o=h.y,i=Ii(h.x)>Ii(h.y)?h.x:h.y,s=bS(u,l),r.lastInterval=n}else i=e.velocity,a=e.velocityX,o=e.velocityY,s=e.direction;n.velocity=i,n.velocityX=a,n.velocityY=o,n.direction=s}function uie(r,n){var e=r.session,t=n.pointers,i=t.length;e.firstInput||(e.firstInput=lb(n)),i>1&&!e.firstMultiple?e.firstMultiple=lb(n):i===1&&(e.firstMultiple=!1);var a=e.firstInput,o=e.firstMultiple,s=o?o.center:a.center,u=n.center=mS(t);n.timeStamp=Jf(),n.deltaTime=n.timeStamp-a.timeStamp,n.angle=xc(s,u),n.distance=hu(s,u),nie(e,n),n.offsetDirection=bS(n.deltaX,n.deltaY);var l=$S(n.deltaTime,n.deltaX,n.deltaY);n.overallVelocityX=l.x,n.overallVelocityY=l.y,n.overallVelocity=Ii(l.x)>Ii(l.y)?l.x:l.y,n.scale=o?aie(o.pointers,t):1,n.rotation=o?oie(o.pointers,t):0,n.maxPointers=e.prevInput?n.pointers.length>e.prevInput.maxPointers?n.pointers.length:e.prevInput.maxPointers:n.pointers.length,sie(e,n);var h=r.element,d=n.srcEvent,c;d.composedPath?c=d.composedPath()[0]:d.path?c=d.path[0]:c=d.target,ev(c,h)&&(h=c),n.target=h}function lie(r,n,e){var t=e.pointers.length,i=e.changedPointers.length,a=n&ut&&t-i===0,o=n&(Re|bt)&&t-i===0;e.isFirst=!!a,e.isFinal=!!o,a&&(r.session={}),e.eventType=n,uie(r,e),r.emit("hammer.input",e),r.recognize(e),r.session.prevInput=e}function Ua(r){return r.trim().split(/\s+/g)}function Sa(r,n,e){wr(Ua(n),function(t){r.addEventListener(t,e,!1)})}function Oa(r,n,e){wr(Ua(n),function(t){r.removeEventListener(t,e,!1)})}function hb(r){var n=r.ownerDocument||r;return n.defaultView||n.parentWindow||window}var oa=function(){function r(e,t){var i=this;this.manager=e,this.callback=t,this.element=e.element,this.target=e.options.inputTarget,this.domHandler=function(a){fl(e.options.enable,[e])&&i.handler(a)},this.init()}var n=r.prototype;return n.handler=function(){},n.init=function(){this.evEl&&Sa(this.element,this.evEl,this.domHandler),this.evTarget&&Sa(this.target,this.evTarget,this.domHandler),this.evWin&&Sa(hb(this.element),this.evWin,this.domHandler)},n.destroy=function(){this.evEl&&Oa(this.element,this.evEl,this.domHandler),this.evTarget&&Oa(this.target,this.evTarget,this.domHandler),this.evWin&&Oa(hb(this.element),this.evWin,this.domHandler)},r}();function ki(r,n,e){if(r.indexOf&&!e)return r.indexOf(n);for(var t=0;t<r.length;){if(e&&r[t][e]==n||!e&&r[t]===n)return t;t++}return-1}var hie={pointerdown:ut,pointermove:Ui,pointerup:Re,pointercancel:bt,pointerout:bt},die={2:Do,3:eie,4:Zf,5:tie},wS="pointerdown",_S="pointermove pointerup pointercancel";$r.MSPointerEvent&&!$r.PointerEvent&&(wS="MSPointerDown",_S="MSPointerMove MSPointerUp MSPointerCancel");var ES=function(r){Wt(n,r);function n(){var t,i=n.prototype;return i.evEl=wS,i.evWin=_S,t=r.apply(this,arguments)||this,t.store=t.manager.session.pointerEvents=[],t}var e=n.prototype;return e.handler=function(i){var a=this.store,o=!1,s=i.type.toLowerCase().replace("ms",""),u=hie[s],l=die[i.pointerType]||i.pointerType,h=l===Do,d=ki(a,i.pointerId,"pointerId");u&ut&&(i.button===0||h)?d<0&&(a.push(i),d=a.length-1):u&(Re|bt)&&(o=!0),!(d<0)&&(a[d]=i,this.callback(this.manager,u,{pointers:a,changedPointers:[i],pointerType:l,srcEvent:i}),o&&a.splice(d,1))},n}(oa);function Va(r){return Array.prototype.slice.call(r,0)}function tv(r,n,e){for(var t=[],i=[],a=0;a<r.length;){var o=n?r[a][n]:r[a];ki(i,o)<0&&t.push(r[a]),i[a]=o,a++}return e&&(n?t=t.sort(function(s,u){return s[n]>u[n]}):t=t.sort()),t}var cie={touchstart:ut,touchmove:Ui,touchend:Re,touchcancel:bt},fie="touchstart touchmove touchend touchcancel",rv=function(r){Wt(n,r);function n(){var t;return n.prototype.evTarget=fie,t=r.apply(this,arguments)||this,t.targetIds={},t}var e=n.prototype;return e.handler=function(i){var a=cie[i.type],o=vie.call(this,i,a);o&&this.callback(this.manager,a,{pointers:o[0],changedPointers:o[1],pointerType:Do,srcEvent:i})},n}(oa);function vie(r,n){var e=Va(r.touches),t=this.targetIds;if(n&(ut|Ui)&&e.length===1)return t[e[0].identifier]=!0,[e,e];var i,a,o=Va(r.changedTouches),s=[],u=this.target;if(a=e.filter(function(l){return ev(l.target,u)}),n===ut)for(i=0;i<a.length;)t[a[i].identifier]=!0,i++;for(i=0;i<o.length;)t[o[i].identifier]&&s.push(o[i]),n&(Re|bt)&&delete t[o[i].identifier],i++;if(s.length)return[tv(a.concat(s),"identifier",!0),s]}var pie={mousedown:ut,mousemove:Ui,mouseup:Re},gie="mousedown",yie="mousemove mouseup",iv=function(r){Wt(n,r);function n(){var t,i=n.prototype;return i.evEl=gie,i.evWin=yie,t=r.apply(this,arguments)||this,t.pressed=!1,t}var e=n.prototype;return e.handler=function(i){var a=pie[i.type];a&ut&&i.button===0&&(this.pressed=!0),a&Ui&&i.which!==1&&(a=Re),this.pressed&&(a&Re&&(this.pressed=!1),this.callback(this.manager,a,{pointers:[i],changedPointers:[i],pointerType:Zf,srcEvent:i}))},n}(oa),mie=2500,db=25;function cb(r){var n=r.changedPointers,e=n[0];if(e.identifier===this.primaryTouch){var t={x:e.clientX,y:e.clientY},i=this.lastTouches;this.lastTouches.push(t);var a=function(){var s=i.indexOf(t);s>-1&&i.splice(s,1)};setTimeout(a,mie)}}function bie(r,n){r&ut?(this.primaryTouch=n.changedPointers[0].identifier,cb.call(this,n)):r&(Re|bt)&&cb.call(this,n)}function $ie(r){for(var n=r.srcEvent.clientX,e=r.srcEvent.clientY,t=0;t<this.lastTouches.length;t++){var i=this.lastTouches[t],a=Math.abs(n-i.x),o=Math.abs(e-i.y);if(a<=db&&o<=db)return!0}return!1}var SS=function(){var r=function(n){Wt(e,n);function e(i,a){var o;return o=n.call(this,i,a)||this,o.handler=function(s,u,l){var h=l.pointerType===Do,d=l.pointerType===Zf;if(!(d&&l.sourceCapabilities&&l.sourceCapabilities.firesTouchEvents)){if(h)bie.call(ps(ps(o)),u,l);else if(d&&$ie.call(ps(ps(o)),l))return;o.callback(s,u,l)}},o.touch=new rv(o.manager,o.handler),o.mouse=new iv(o.manager,o.handler),o.primaryTouch=null,o.lastTouches=[],o}var t=e.prototype;return t.destroy=function(){this.touch.destroy(),this.mouse.destroy()},e}(oa);return r}();function wie(r){var n,e=r.options.inputClass;return e?n=e:Jre?n=ES:Zre?n=rv:vS?n=SS:n=iv,new n(r,lie)}function gn(r,n,e){return Array.isArray(r)?(wr(r,e[n],e),!0):!1}var Ms=1,Lt=2,An=4,Wr=8,_r=Wr,Ga=16,ir=32,_ie=1;function Eie(){return _ie++}function ys(r,n){var e=n.manager;return e?e.get(r):r}function fb(r){return r&Ga?"cancel":r&Wr?"end":r&An?"move":r&Lt?"start":""}var Bo=function(){function r(e){e===void 0&&(e={}),this.options=Qt({enable:!0},e),this.id=Eie(),this.manager=null,this.state=Ms,this.simultaneous={},this.requireFail=[]}var n=r.prototype;return n.set=function(t){return Pi(this.options,t),this.manager&&this.manager.touchAction.update(),this},n.recognizeWith=function(t){if(gn(t,"recognizeWith",this))return this;var i=this.simultaneous;return t=ys(t,this),i[t.id]||(i[t.id]=t,t.recognizeWith(this)),this},n.dropRecognizeWith=function(t){return gn(t,"dropRecognizeWith",this)?this:(t=ys(t,this),delete this.simultaneous[t.id],this)},n.requireFailure=function(t){if(gn(t,"requireFailure",this))return this;var i=this.requireFail;return t=ys(t,this),ki(i,t)===-1&&(i.push(t),t.requireFailure(this)),this},n.dropRequireFailure=function(t){if(gn(t,"dropRequireFailure",this))return this;t=ys(t,this);var i=ki(this.requireFail,t);return i>-1&&this.requireFail.splice(i,1),this},n.hasRequireFailures=function(){return this.requireFail.length>0},n.canRecognizeWith=function(t){return!!this.simultaneous[t.id]},n.emit=function(t){var i=this,a=this.state;function o(s){i.manager.emit(s,t)}a<Wr&&o(i.options.event+fb(a)),o(i.options.event),t.additionalEvent&&o(t.additionalEvent),a>=Wr&&o(i.options.event+fb(a))},n.tryEmit=function(t){if(this.canEmit())return this.emit(t);this.state=ir},n.canEmit=function(){for(var t=0;t<this.requireFail.length;){if(!(this.requireFail[t].state&(ir|Ms)))return!1;t++}return!0},n.recognize=function(t){var i=Pi({},t);if(!fl(this.options.enable,[this,i])){this.reset(),this.state=ir;return}this.state&(_r|Ga|ir)&&(this.state=Ms),this.state=this.process(i),this.state&(Lt|An|Wr|Ga)&&this.tryEmit(i)},n.process=function(t){},n.getTouchAction=function(){},n.reset=function(){},r}(),Ac=function(r){Wt(n,r);function n(t){var i;return t===void 0&&(t={}),i=r.call(this,Qt({event:"tap",pointers:1,taps:1,interval:300,time:250,threshold:9,posThreshold:10},t))||this,i.pTime=!1,i.pCenter=!1,i._timer=null,i._input=null,i.count=0,i}var e=n.prototype;return e.getTouchAction=function(){return[Cc]},e.process=function(i){var a=this,o=this.options,s=i.pointers.length===o.pointers,u=i.distance<o.threshold,l=i.deltaTime<o.time;if(this.reset(),i.eventType&ut&&this.count===0)return this.failTimeout();if(u&&l&&s){if(i.eventType!==Re)return this.failTimeout();var h=this.pTime?i.timeStamp-this.pTime<o.interval:!0,d=!this.pCenter||hu(this.pCenter,i.center)<o.posThreshold;this.pTime=i.timeStamp,this.pCenter=i.center,!d||!h?this.count=1:this.count+=1,this._input=i;var c=this.count%o.taps;if(c===0)return this.hasRequireFailures()?(this._timer=setTimeout(function(){a.state=_r,a.tryEmit()},o.interval),Lt):_r}return ir},e.failTimeout=function(){var i=this;return this._timer=setTimeout(function(){i.state=ir},this.options.interval),ir},e.reset=function(){clearTimeout(this._timer)},e.emit=function(){this.state===_r&&(this._input.tapCount=this.count,this.manager.emit(this.options.event,this._input))},n}(Bo),Rn=function(r){Wt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Qt({pointers:1},t))||this}var e=n.prototype;return e.attrTest=function(i){var a=this.options.pointers;return a===0||i.pointers.length===a},e.process=function(i){var a=this.state,o=i.eventType,s=a&(Lt|An),u=this.attrTest(i);return s&&(o&bt||!u)?a|Ga:s||u?o&Re?a|Wr:a&Lt?a|An:Lt:ir},n}(Bo);function OS(r){return r===xn?"down":r===Fo?"up":r===Mo?"left":r===No?"right":""}var nv=function(r){Wt(n,r);function n(t){var i;return t===void 0&&(t={}),i=r.call(this,Qt({event:"pan",threshold:10,pointers:1,direction:pS},t))||this,i.pX=null,i.pY=null,i}var e=n.prototype;return e.getTouchAction=function(){var i=this.options.direction,a=[];return i&sr&&a.push(Wa),i&wi&&a.push(Ha),a},e.directionTest=function(i){var a=this.options,o=!0,s=i.distance,u=i.direction,l=i.deltaX,h=i.deltaY;return u&a.direction||(a.direction&sr?(u=l===0?uu:l<0?Mo:No,o=l!==this.pX,s=Math.abs(i.deltaX)):(u=h===0?uu:h<0?Fo:xn,o=h!==this.pY,s=Math.abs(i.deltaY))),i.direction=u,o&&s>a.threshold&&u&a.direction},e.attrTest=function(i){return Rn.prototype.attrTest.call(this,i)&&(this.state&Lt||!(this.state&Lt)&&this.directionTest(i))},e.emit=function(i){this.pX=i.deltaX,this.pY=i.deltaY;var a=OS(i.direction);a&&(i.additionalEvent=this.options.event+a),r.prototype.emit.call(this,i)},n}(Rn),TS=function(r){Wt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Qt({event:"swipe",threshold:10,velocity:.3,direction:sr|wi,pointers:1},t))||this}var e=n.prototype;return e.getTouchAction=function(){return nv.prototype.getTouchAction.call(this)},e.attrTest=function(i){var a=this.options.direction,o;return a&(sr|wi)?o=i.overallVelocity:a&sr?o=i.overallVelocityX:a&wi&&(o=i.overallVelocityY),r.prototype.attrTest.call(this,i)&&a&i.offsetDirection&&i.distance>this.options.threshold&&i.maxPointers===this.options.pointers&&Ii(o)>this.options.velocity&&i.eventType&Re},e.emit=function(i){var a=OS(i.offsetDirection);a&&this.manager.emit(this.options.event+a,i),this.manager.emit(this.options.event,i)},n}(Rn),PS=function(r){Wt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Qt({event:"pinch",threshold:0,pointers:2},t))||this}var e=n.prototype;return e.getTouchAction=function(){return[$i]},e.attrTest=function(i){return r.prototype.attrTest.call(this,i)&&(Math.abs(i.scale-1)>this.options.threshold||this.state&Lt)},e.emit=function(i){if(i.scale!==1){var a=i.scale<1?"in":"out";i.additionalEvent=this.options.event+a}r.prototype.emit.call(this,i)},n}(Rn),IS=function(r){Wt(n,r);function n(t){return t===void 0&&(t={}),r.call(this,Qt({event:"rotate",threshold:0,pointers:2},t))||this}var e=n.prototype;return e.getTouchAction=function(){return[$i]},e.attrTest=function(i){return r.prototype.attrTest.call(this,i)&&(Math.abs(i.rotation)>this.options.threshold||this.state&Lt)},n}(Rn),kS=function(r){Wt(n,r);function n(t){var i;return t===void 0&&(t={}),i=r.call(this,Qt({event:"press",pointers:1,time:251,threshold:9},t))||this,i._timer=null,i._input=null,i}var e=n.prototype;return e.getTouchAction=function(){return[fS]},e.process=function(i){var a=this,o=this.options,s=i.pointers.length===o.pointers,u=i.distance<o.threshold,l=i.deltaTime>o.time;if(this._input=i,!u||!s||i.eventType&(Re|bt)&&!l)this.reset();else if(i.eventType&ut)this.reset(),this._timer=setTimeout(function(){a.state=_r,a.tryEmit()},o.time);else if(i.eventType&Re)return _r;return ir},e.reset=function(){clearTimeout(this._timer)},e.emit=function(i){this.state===_r&&(i&&i.eventType&Re?this.manager.emit(this.options.event+"up",i):(this._input.timeStamp=Jf(),this.manager.emit(this.options.event,this._input)))},n}(Bo),CS={domEvents:!1,touchAction:cS,enable:!0,inputTarget:null,inputClass:null,cssProps:{userSelect:"none",touchSelect:"none",touchCallout:"none",contentZooming:"none",userDrag:"none",tapHighlightColor:"rgba(0,0,0,0)"}},vb=[[IS,{enable:!1}],[PS,{enable:!1},["rotate"]],[TS,{direction:sr}],[nv,{direction:sr},["swipe"]],[Ac],[Ac,{event:"doubletap",taps:2},["tap"]],[kS]],Sie=1,pb=2;function gb(r,n){var e=r.element;if(e.style){var t;wr(r.options.cssProps,function(i,a){t=cl(e.style,a),n?(r.oldCssProps[t]=e.style[t],e.style[t]=i):e.style[t]=r.oldCssProps[t]||""}),n||(r.oldCssProps={})}}function Oie(r,n){var e=document.createEvent("Event");e.initEvent(r,!0,!0),e.gesture=n,n.target.dispatchEvent(e)}var yb=function(){function r(e,t){var i=this;this.options=Pi({},CS,t||{}),this.options.inputTarget=this.options.inputTarget||e,this.handlers={},this.session={},this.recognizers=[],this.oldCssProps={},this.element=e,this.input=wie(this),this.touchAction=new yS(this,this.options.touchAction),gb(this,!0),wr(this.options.recognizers,function(a){var o=i.add(new a[0](a[1]));a[2]&&o.recognizeWith(a[2]),a[3]&&o.requireFailure(a[3])},this)}var n=r.prototype;return n.set=function(t){return Pi(this.options,t),t.touchAction&&this.touchAction.update(),t.inputTarget&&(this.input.destroy(),this.input.target=t.inputTarget,this.input.init()),this},n.stop=function(t){this.session.stopped=t?pb:Sie},n.recognize=function(t){var i=this.session;if(!i.stopped){this.touchAction.preventDefaults(t);var a,o=this.recognizers,s=i.curRecognizer;(!s||s&&s.state&_r)&&(i.curRecognizer=null,s=null);for(var u=0;u<o.length;)a=o[u],i.stopped!==pb&&(!s||a===s||a.canRecognizeWith(s))?a.recognize(t):a.reset(),!s&&a.state&(Lt|An|Wr)&&(i.curRecognizer=a,s=a),u++}},n.get=function(t){if(t instanceof Bo)return t;for(var i=this.recognizers,a=0;a<i.length;a++)if(i[a].options.event===t)return i[a];return null},n.add=function(t){if(gn(t,"add",this))return this;var i=this.get(t.options.event);return i&&this.remove(i),this.recognizers.push(t),t.manager=this,this.touchAction.update(),t},n.remove=function(t){if(gn(t,"remove",this))return this;var i=this.get(t);if(t){var a=this.recognizers,o=ki(a,i);o!==-1&&(a.splice(o,1),this.touchAction.update())}return this},n.on=function(t,i){if(t===void 0||i===void 0)return this;var a=this.handlers;return wr(Ua(t),function(o){a[o]=a[o]||[],a[o].push(i)}),this},n.off=function(t,i){if(t===void 0)return this;var a=this.handlers;return wr(Ua(t),function(o){i?a[o]&&a[o].splice(ki(a[o],i),1):delete a[o]}),this},n.emit=function(t,i){this.options.domEvents&&Oie(t,i);var a=this.handlers[t]&&this.handlers[t].slice();if(!(!a||!a.length)){i.type=t,i.preventDefault=function(){i.srcEvent.preventDefault()};for(var o=0;o<a.length;)a[o](i),o++}},n.destroy=function(){this.element&&gb(this,!1),this.handlers={},this.session={},this.input.destroy(),this.element=null},r}(),Tie={touchstart:ut,touchmove:Ui,touchend:Re,touchcancel:bt},Pie="touchstart",Iie="touchstart touchmove touchend touchcancel",kie=function(r){Wt(n,r);function n(){var t,i=n.prototype;return i.evTarget=Pie,i.evWin=Iie,t=r.apply(this,arguments)||this,t.started=!1,t}var e=n.prototype;return e.handler=function(i){var a=Tie[i.type];if(a===ut&&(this.started=!0),!!this.started){var o=Cie.call(this,i,a);a&(Re|bt)&&o[0].length-o[1].length===0&&(this.started=!1),this.callback(this.manager,a,{pointers:o[0],changedPointers:o[1],pointerType:Do,srcEvent:i})}},n}(oa);function Cie(r,n){var e=Va(r.touches),t=Va(r.changedTouches);return n&(Re|bt)&&(e=tv(e.concat(t),"identifier",!0)),[e,t]}function xS(r,n,e){var t="DEPRECATED METHOD: "+n+`
`+e+` AT 
`;return function(){var i=new Error("get-stack-trace"),a=i&&i.stack?i.stack.replace(/^[^\(]+?[\n$]/gm,"").replace(/^\s+at\s+/gm,"").replace(/^Object.<anonymous>\s*\(/gm,"{anonymous}()@"):"Unknown Stack Trace",o=window.console&&(window.console.warn||window.console.log);return o&&o.call(window.console,t,a),r.apply(this,arguments)}}var AS=xS(function(r,n,e){for(var t=Object.keys(n),i=0;i<t.length;)(!e||e&&r[t[i]]===void 0)&&(r[t[i]]=n[t[i]]),i++;return r},"extend","Use `assign`."),xie=xS(function(r,n){return AS(r,n,!0)},"merge","Use `assign`.");function Aie(r,n,e){var t=n.prototype,i;i=r.prototype=Object.create(t),i.constructor=r,i._super=t,e&&Pi(i,e)}function mb(r,n){return function(){return r.apply(n,arguments)}}var RS=function(){var r=function(e,t){return t===void 0&&(t={}),new yb(e,Qt({recognizers:vb.concat()},t))};return r.VERSION="2.0.17-rc",r.DIRECTION_ALL=pS,r.DIRECTION_DOWN=xn,r.DIRECTION_LEFT=Mo,r.DIRECTION_RIGHT=No,r.DIRECTION_UP=Fo,r.DIRECTION_HORIZONTAL=sr,r.DIRECTION_VERTICAL=wi,r.DIRECTION_NONE=uu,r.DIRECTION_DOWN=xn,r.INPUT_START=ut,r.INPUT_MOVE=Ui,r.INPUT_END=Re,r.INPUT_CANCEL=bt,r.STATE_POSSIBLE=Ms,r.STATE_BEGAN=Lt,r.STATE_CHANGED=An,r.STATE_ENDED=Wr,r.STATE_RECOGNIZED=_r,r.STATE_CANCELLED=Ga,r.STATE_FAILED=ir,r.Manager=yb,r.Input=oa,r.TouchAction=yS,r.TouchInput=rv,r.MouseInput=iv,r.PointerEventInput=ES,r.TouchMouseInput=SS,r.SingleTouchInput=kie,r.Recognizer=Bo,r.AttrRecognizer=Rn,r.Tap=Ac,r.Pan=nv,r.Swipe=TS,r.Pinch=PS,r.Rotate=IS,r.Press=kS,r.on=Sa,r.off=Oa,r.each=wr,r.merge=xie,r.extend=AS,r.bindFn=mb,r.assign=Pi,r.inherit=Aie,r.bindFn=mb,r.prefixed=cl,r.toArray=Va,r.inArray=ki,r.uniqueArray=tv,r.splitStr=Ua,r.boolOrFn=fl,r.hasParent=ev,r.addEventListeners=Sa,r.removeEventListeners=Oa,r.defaults=Pi({},CS,{preset:vb}),r}();RS.defaults;var Rie=RS;function DS(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=Die(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function Die(r,n){var e;if(r){if(typeof r=="string")return bb(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return bb(r,n)}}function bb(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}ei("DELETE");function vl(){for(var r=arguments.length,n=new Array(r),e=0;e<r;e++)n[e]=arguments[e];return Mie(n.length?n:[su()])}function Mie(r){var n=Nie(r),e=be(n,3),t=e[0],i=e[1],a=e[2],o=1,s=function(){var l=2091639*t+o*23283064365386963e-26;return t=i,i=a,a=l-(o=l|0)};return s.uint32=function(){return s()*4294967296},s.fract53=function(){return s()+(s()*2097152|0)*11102230246251565e-32},s.algorithm="Alea",s.seed=r,s.version="0.9",s}function Nie(){for(var r=Fie(),n=r(" "),e=r(" "),t=r(" "),i=0;i<arguments.length;i++)n-=r(i<0||arguments.length<=i?void 0:arguments[i]),n<0&&(n+=1),e-=r(i<0||arguments.length<=i?void 0:arguments[i]),e<0&&(e+=1),t-=r(i<0||arguments.length<=i?void 0:arguments[i]),t<0&&(t+=1);return[n,e,t]}function Fie(){var r=4022871197;return function(n){for(var e=n.toString(),t=0;t<e.length;t++){r+=e.charCodeAt(t);var i=.02519603282416938*r;r=i>>>0,i-=r,i*=r,r=i>>>0,i-=r,r+=i*4294967296}return(r>>>0)*23283064365386963e-26}}function Bie(){var r=function(){};return{on:r,off:r,destroy:r,emit:r,get:function(){return{set:r}}}}var av=typeof window<"u"?window.Hammer||Rie:function(){return Bie()};function nr(r){var n=this,e;this._cleanupQueue=[],this.active=!1,this._dom={container:r,overlay:document.createElement("div")},this._dom.overlay.classList.add("vis-overlay"),this._dom.container.appendChild(this._dom.overlay),this._cleanupQueue.push(function(){n._dom.overlay.parentNode.removeChild(n._dom.overlay)});var t=av(this._dom.overlay);t.on("tap",O(e=this._onTapOverlay).call(e,this)),this._cleanupQueue.push(function(){t.destroy()});var i=["tap","doubletap","press","pinch","pan","panstart","panmove","panend"];ue(i).call(i,function(a){t.on(a,function(o){o.srcEvent.stopPropagation()})}),document&&document.body&&(this._onClick=function(a){Lie(a.target,r)||n.deactivate()},document.body.addEventListener("click",this._onClick),this._cleanupQueue.push(function(){document.body.removeEventListener("click",n._onClick)})),this._escListener=function(a){("key"in a?a.key==="Escape":a.keyCode===27)&&n.deactivate()}}M_(nr.prototype);nr.current=null;nr.prototype.destroy=function(){var r,n;this.deactivate();var e=DS(mi(r=br(n=this._cleanupQueue).call(n,0)).call(r)),t;try{for(e.s();!(t=e.n()).done;){var i=t.value;i()}}catch(a){e.e(a)}finally{e.f()}};nr.prototype.activate=function(){nr.current&&nr.current.deactivate(),nr.current=this,this.active=!0,this._dom.overlay.style.display="none",this._dom.container.classList.add("vis-active"),this.emit("change"),this.emit("activate"),document.body.addEventListener("keydown",this._escListener)};nr.prototype.deactivate=function(){this.active=!1,this._dom.overlay.style.display="block",this._dom.container.classList.remove("vis-active"),document.body.removeEventListener("keydown",this._escListener),this.emit("change"),this.emit("deactivate")};nr.prototype._onTapOverlay=function(r){this.activate(),r.srcEvent.stopPropagation()};function Lie(r,n){for(;r;){if(r===n)return!0;r=r.parentNode}return!1}var jie=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i,zie=/^#?([a-f\d])([a-f\d])([a-f\d])$/i,Hie=/^rgb\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *\)$/i,Wie=/^rgba\( *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *(1?\d{1,2}|2[0-4]\d|25[0-5]) *, *([01]|0?\.\d+) *\)$/i;function Rr(r){if(r)for(;r.hasChildNodes()===!0;){var n=r.firstChild;n&&(Rr(n),r.removeChild(n))}}function mn(r){return r instanceof String||typeof r=="string"}function $b(r){return se(r)==="object"&&r!==null}function Ci(r,n,e,t){var i=!1;t===!0&&(i=n[e]===null&&r[e]!==void 0),i?delete r[e]:r[e]=n[e]}function MS(r,n){var e=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1;for(var t in r)if(n[t]!==void 0)if(n[t]===null||se(n[t])!=="object")Ci(r,n,t,e);else{var i=r[t],a=n[t];$b(i)&&$b(a)&&MS(i,a,e)}}function sa(r,n,e){var t=arguments.length>3&&arguments[3]!==void 0?arguments[3]:!1;if(ae(e))throw new TypeError("Arrays are not supported by deepExtend");for(var i=0;i<r.length;i++){var a=r[i];if(Object.prototype.hasOwnProperty.call(e,a))if(e[a]&&e[a].constructor===Object)n[a]===void 0&&(n[a]={}),n[a].constructor===Object?he(n[a],e[a],!1,t):Ci(n,e,a,t);else{if(ae(e[a]))throw new TypeError("Arrays are not supported by deepExtend");Ci(n,e,a,t)}}return n}function du(r,n,e){var t=arguments.length>3&&arguments[3]!==void 0?arguments[3]:!1;if(ae(e))throw new TypeError("Arrays are not supported by deepExtend");for(var i in e)if(Object.prototype.hasOwnProperty.call(e,i)&&!Hr(r).call(r,i))if(e[i]&&e[i].constructor===Object)n[i]===void 0&&(n[i]={}),n[i].constructor===Object?he(n[i],e[i]):Ci(n,e,i,t);else if(ae(e[i])){n[i]=[];for(var a=0;a<e[i].length;a++)n[i].push(e[i][a])}else Ci(n,e,i,t);return n}function he(r,n){var e=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,t=arguments.length>3&&arguments[3]!==void 0?arguments[3]:!1;for(var i in n)if(Object.prototype.hasOwnProperty.call(n,i)||e===!0)if(se(n[i])==="object"&&n[i]!==null&&Zm(n[i])===Object.prototype)r[i]===void 0?r[i]=he({},n[i],e):se(r[i])==="object"&&r[i]!==null&&Zm(r[i])===Object.prototype?he(r[i],n[i],e):Ci(r,n,i,t);else if(ae(n[i])){var a;r[i]=Ye(a=n[i]).call(a)}else Ci(r,n,i,t);return r}function cu(r,n){var e;return Xf(e=[]).call(e,tr(r),[n])}function Uie(r){return Ye(r).call(r)}function Vie(r){return r.getBoundingClientRect().left}function Gie(r){return r.getBoundingClientRect().top}function J(r,n){if(ae(r))for(var e=r.length,t=0;t<e;t++)n(r[t],t,r);else for(var i in r)Object.prototype.hasOwnProperty.call(r,i)&&n(r[i],i,r)}function ov(r){var n;switch(r.length){case 3:case 4:return n=zie.exec(r),n?{r:Kt(n[1]+n[1],16),g:Kt(n[2]+n[2],16),b:Kt(n[3]+n[3],16)}:null;case 6:case 7:return n=jie.exec(r),n?{r:Kt(n[1],16),g:Kt(n[2],16),b:Kt(n[3],16)}:null;default:return null}}function Ft(r,n){if(Hr(r).call(r,"rgba"))return r;if(Hr(r).call(r,"rgb")){var e=r.substr(Z(r).call(r,"(")+1).replace(")","").split(",");return"rgba("+e[0]+","+e[1]+","+e[2]+","+n+")"}else{var t=ov(r);return t==null?r:"rgba("+t.r+","+t.g+","+t.b+","+n+")"}}function NS(r,n,e){var t;return"#"+Ye(t=((1<<24)+(r<<16)+(n<<8)+e).toString(16)).call(t,1)}function Rc(r,n){if(mn(r)){var e=r;if(BS(e)){var t,i=Cn(t=e.substr(4).substr(0,e.length-5).split(",")).call(t,function(d){return Kt(d)});e=NS(i[0],i[1],i[2])}if(FS(e)===!0){var a=Kie(e),o={h:a.h,s:a.s*.8,v:Math.min(1,a.v*1.02)},s={h:a.h,s:Math.min(1,a.s*1.25),v:a.v*.8},u=Dc(s.h,s.s,s.v),l=Dc(o.h,o.s,o.v);return{background:e,border:u,highlight:{background:l,border:u},hover:{background:l,border:u}}}else return{background:e,border:e,highlight:{background:e,border:e},hover:{background:e,border:e}}}else{var h={background:r.background||void 0,border:r.border||void 0,highlight:mn(r.highlight)?{border:r.highlight,background:r.highlight}:{background:r.highlight&&r.highlight.background||void 0,border:r.highlight&&r.highlight.border||void 0},hover:mn(r.hover)?{border:r.hover,background:r.hover}:{border:r.hover&&r.hover.border||void 0,background:r.hover&&r.hover.background||void 0}};return h}}function ya(r,n,e){r=r/255,n=n/255,e=e/255;var t=Math.min(r,Math.min(n,e)),i=Math.max(r,Math.max(n,e));if(t===i)return{h:0,s:0,v:t};var a=r===t?n-e:e===t?r-n:e-r,o=r===t?3:e===t?1:5,s=60*(o-a/(i-t))/360,u=(i-t)/i,l=i;return{h:s,s:u,v:l}}function Ns(r,n,e){var t,i,a,o=Math.floor(r*6),s=r*6-o,u=e*(1-n),l=e*(1-s*n),h=e*(1-(1-s)*n);switch(o%6){case 0:t=e,i=h,a=u;break;case 1:t=l,i=e,a=u;break;case 2:t=u,i=e,a=h;break;case 3:t=u,i=l,a=e;break;case 4:t=h,i=u,a=e;break;case 5:t=e,i=u,a=l;break}return{r:Math.floor(t*255),g:Math.floor(i*255),b:Math.floor(a*255)}}function Dc(r,n,e){var t=Ns(r,n,e);return NS(t.r,t.g,t.b)}function Kie(r){var n=ov(r);if(!n)throw new TypeError("'".concat(r,"' is not a valid color."));return ya(n.r,n.g,n.b)}function FS(r){var n=/(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(r);return n}function BS(r){return Hie.test(r)}function qie(r){return Wie.test(r)}function Ur(r){if(r===null||se(r)!=="object")return null;if(r instanceof Element)return r;var n=bi(r);for(var e in r)Object.prototype.hasOwnProperty.call(r,e)&&se(r[e])=="object"&&(n[e]=Ur(r[e]));return n}function Nt(r,n,e){var t=arguments.length>3&&arguments[3]!==void 0?arguments[3]:{},i=function(v){return v!=null},a=function(v){return v!==null&&se(v)==="object"},o=function(v){for(var p in v)if(Object.prototype.hasOwnProperty.call(v,p))return!1;return!0};if(!a(r))throw new Error("Parameter mergeTarget must be an object");if(!a(n))throw new Error("Parameter options must be an object");if(!i(e))throw new Error("Parameter option must have a value");if(!a(t))throw new Error("Parameter globalOptions must be an object");var s=function(v,p,g){a(v[g])||(v[g]={});var y=p[g],m=v[g];for(var w in y)Object.prototype.hasOwnProperty.call(y,w)&&(m[w]=y[w])},u=n[e],l=a(t)&&!o(t),h=l?t[e]:void 0,d=h?h.enabled:void 0;if(u!==void 0){if(typeof u=="boolean"){a(r[e])||(r[e]={}),r[e].enabled=u;return}if(u===null&&!a(r[e]))if(i(h))r[e]=bi(h);else return;if(a(u)){var c=!0;u.enabled!==void 0?c=u.enabled:d!==void 0&&(c=h.enabled),s(r,n,e),r[e].enabled=c}}}var Yie={linear:function(n){return n},easeInQuad:function(n){return n*n},easeOutQuad:function(n){return n*(2-n)},easeInOutQuad:function(n){return n<.5?2*n*n:-1+(4-2*n)*n},easeInCubic:function(n){return n*n*n},easeOutCubic:function(n){return--n*n*n+1},easeInOutCubic:function(n){return n<.5?4*n*n*n:(n-1)*(2*n-2)*(2*n-2)+1},easeInQuart:function(n){return n*n*n*n},easeOutQuart:function(n){return 1- --n*n*n*n},easeInOutQuart:function(n){return n<.5?8*n*n*n*n:1-8*--n*n*n*n},easeInQuint:function(n){return n*n*n*n*n},easeOutQuint:function(n){return 1+--n*n*n*n*n},easeInOutQuint:function(n){return n<.5?16*n*n*n*n*n:1+16*--n*n*n*n*n}};function Dr(r,n){var e;ae(n)||(n=[n]);var t=DS(r),i;try{for(t.s();!(i=t.n()).done;){var a=i.value;if(a){e=a[n[0]];for(var o=1;o<n.length;o++)e&&(e=e[n[o]]);if(typeof e<"u")break}}}catch(s){t.e(s)}finally{t.f()}return e}var Xie={black:"#000000",navy:"#000080",darkblue:"#00008B",mediumblue:"#0000CD",blue:"#0000FF",darkgreen:"#006400",green:"#008000",teal:"#008080",darkcyan:"#008B8B",deepskyblue:"#00BFFF",darkturquoise:"#00CED1",mediumspringgreen:"#00FA9A",lime:"#00FF00",springgreen:"#00FF7F",aqua:"#00FFFF",cyan:"#00FFFF",midnightblue:"#191970",dodgerblue:"#1E90FF",lightseagreen:"#20B2AA",forestgreen:"#228B22",seagreen:"#2E8B57",darkslategray:"#2F4F4F",limegreen:"#32CD32",mediumseagreen:"#3CB371",turquoise:"#40E0D0",royalblue:"#4169E1",steelblue:"#4682B4",darkslateblue:"#483D8B",mediumturquoise:"#48D1CC",indigo:"#4B0082",darkolivegreen:"#556B2F",cadetblue:"#5F9EA0",cornflowerblue:"#6495ED",mediumaquamarine:"#66CDAA",dimgray:"#696969",slateblue:"#6A5ACD",olivedrab:"#6B8E23",slategray:"#708090",lightslategray:"#778899",mediumslateblue:"#7B68EE",lawngreen:"#7CFC00",chartreuse:"#7FFF00",aquamarine:"#7FFFD4",maroon:"#800000",purple:"#800080",olive:"#808000",gray:"#808080",skyblue:"#87CEEB",lightskyblue:"#87CEFA",blueviolet:"#8A2BE2",darkred:"#8B0000",darkmagenta:"#8B008B",saddlebrown:"#8B4513",darkseagreen:"#8FBC8F",lightgreen:"#90EE90",mediumpurple:"#9370D8",darkviolet:"#9400D3",palegreen:"#98FB98",darkorchid:"#9932CC",yellowgreen:"#9ACD32",sienna:"#A0522D",brown:"#A52A2A",darkgray:"#A9A9A9",lightblue:"#ADD8E6",greenyellow:"#ADFF2F",paleturquoise:"#AFEEEE",lightsteelblue:"#B0C4DE",powderblue:"#B0E0E6",firebrick:"#B22222",darkgoldenrod:"#B8860B",mediumorchid:"#BA55D3",rosybrown:"#BC8F8F",darkkhaki:"#BDB76B",silver:"#C0C0C0",mediumvioletred:"#C71585",indianred:"#CD5C5C",peru:"#CD853F",chocolate:"#D2691E",tan:"#D2B48C",lightgrey:"#D3D3D3",palevioletred:"#D87093",thistle:"#D8BFD8",orchid:"#DA70D6",goldenrod:"#DAA520",crimson:"#DC143C",gainsboro:"#DCDCDC",plum:"#DDA0DD",burlywood:"#DEB887",lightcyan:"#E0FFFF",lavender:"#E6E6FA",darksalmon:"#E9967A",violet:"#EE82EE",palegoldenrod:"#EEE8AA",lightcoral:"#F08080",khaki:"#F0E68C",aliceblue:"#F0F8FF",honeydew:"#F0FFF0",azure:"#F0FFFF",sandybrown:"#F4A460",wheat:"#F5DEB3",beige:"#F5F5DC",whitesmoke:"#F5F5F5",mintcream:"#F5FFFA",ghostwhite:"#F8F8FF",salmon:"#FA8072",antiquewhite:"#FAEBD7",linen:"#FAF0E6",lightgoldenrodyellow:"#FAFAD2",oldlace:"#FDF5E6",red:"#FF0000",fuchsia:"#FF00FF",magenta:"#FF00FF",deeppink:"#FF1493",orangered:"#FF4500",tomato:"#FF6347",hotpink:"#FF69B4",coral:"#FF7F50",darkorange:"#FF8C00",lightsalmon:"#FFA07A",orange:"#FFA500",lightpink:"#FFB6C1",pink:"#FFC0CB",gold:"#FFD700",peachpuff:"#FFDAB9",navajowhite:"#FFDEAD",moccasin:"#FFE4B5",bisque:"#FFE4C4",mistyrose:"#FFE4E1",blanchedalmond:"#FFEBCD",papayawhip:"#FFEFD5",lavenderblush:"#FFF0F5",seashell:"#FFF5EE",cornsilk:"#FFF8DC",lemonchiffon:"#FFFACD",floralwhite:"#FFFAF0",snow:"#FFFAFA",yellow:"#FFFF00",lightyellow:"#FFFFE0",ivory:"#FFFFF0",white:"#FFFFFF"},Qie=function(){function r(){var n=arguments.length>0&&arguments[0]!==void 0?arguments[0]:1;C(this,r),this.pixelRatio=n,this.generated=!1,this.centerCoordinates={x:289/2,y:289/2},this.r=289*.49,this.color={r:255,g:255,b:255,a:1},this.hueCircle=void 0,this.initialColor={r:255,g:255,b:255,a:1},this.previousColor=void 0,this.applied=!1,this.updateCallback=function(){},this.closeCallback=function(){},this._create()}return x(r,[{key:"insertTo",value:function(e){this.hammer!==void 0&&(this.hammer.destroy(),this.hammer=void 0),this.container=e,this.container.appendChild(this.frame),this._bindHammer(),this._setSize()}},{key:"setUpdateCallback",value:function(e){if(typeof e=="function")this.updateCallback=e;else throw new Error("Function attempted to set as colorPicker update callback is not a function.")}},{key:"setCloseCallback",value:function(e){if(typeof e=="function")this.closeCallback=e;else throw new Error("Function attempted to set as colorPicker closing callback is not a function.")}},{key:"_isColorString",value:function(e){if(typeof e=="string")return Xie[e]}},{key:"setColor",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;if(e!=="none"){var i,a=this._isColorString(e);if(a!==void 0&&(e=a),mn(e)===!0){if(BS(e)===!0){var o=e.substr(4).substr(0,e.length-5).split(",");i={r:o[0],g:o[1],b:o[2],a:1}}else if(qie(e)===!0){var s=e.substr(5).substr(0,e.length-6).split(",");i={r:s[0],g:s[1],b:s[2],a:s[3]}}else if(FS(e)===!0){var u=ov(e);i={r:u.r,g:u.g,b:u.b,a:1}}}else if(e instanceof Object&&e.r!==void 0&&e.g!==void 0&&e.b!==void 0){var l=e.a!==void 0?e.a:"1.0";i={r:e.r,g:e.g,b:e.b,a:l}}if(i===void 0)throw new Error("Unknown color passed to the colorPicker. Supported are strings: rgb, hex, rgba. Object: rgb ({r:r,g:g,b:b,[a:a]}). Supplied: "+Ao(e));this._setColor(i,t)}}},{key:"show",value:function(){this.closeCallback!==void 0&&(this.closeCallback(),this.closeCallback=void 0),this.applied=!1,this.frame.style.display="block",this._generateHueCircle()}},{key:"_hide",value:function(){var e=this,t=arguments.length>0&&arguments[0]!==void 0?arguments[0]:!0;t===!0&&(this.previousColor=Ae({},this.color)),this.applied===!0&&this.updateCallback(this.initialColor),this.frame.style.display="none",or(function(){e.closeCallback!==void 0&&(e.closeCallback(),e.closeCallback=void 0)},0)}},{key:"_save",value:function(){this.updateCallback(this.color),this.applied=!1,this._hide()}},{key:"_apply",value:function(){this.applied=!0,this.updateCallback(this.color),this._updatePicker(this.color)}},{key:"_loadLast",value:function(){this.previousColor!==void 0?this.setColor(this.previousColor,!1):alert("There is no last color to load...")}},{key:"_setColor",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;t===!0&&(this.initialColor=Ae({},e)),this.color=e;var i=ya(e.r,e.g,e.b),a=2*Math.PI,o=this.r*i.s,s=this.centerCoordinates.x+o*Math.sin(a*i.h),u=this.centerCoordinates.y+o*Math.cos(a*i.h);this.colorPickerSelector.style.left=s-.5*this.colorPickerSelector.clientWidth+"px",this.colorPickerSelector.style.top=u-.5*this.colorPickerSelector.clientHeight+"px",this._updatePicker(e)}},{key:"_setOpacity",value:function(e){this.color.a=e/100,this._updatePicker(this.color)}},{key:"_setBrightness",value:function(e){var t=ya(this.color.r,this.color.g,this.color.b);t.v=e/100;var i=Ns(t.h,t.s,t.v);i.a=this.color.a,this.color=i,this._updatePicker()}},{key:"_updatePicker",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:this.color,t=ya(e.r,e.g,e.b),i=this.colorPickerCanvas.getContext("2d");this.pixelRation===void 0&&(this.pixelRatio=(window.devicePixelRatio||1)/(i.webkitBackingStorePixelRatio||i.mozBackingStorePixelRatio||i.msBackingStorePixelRatio||i.oBackingStorePixelRatio||i.backingStorePixelRatio||1)),i.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var a=this.colorPickerCanvas.clientWidth,o=this.colorPickerCanvas.clientHeight;i.clearRect(0,0,a,o),i.putImageData(this.hueCircle,0,0),i.fillStyle="rgba(0,0,0,"+(1-t.v)+")",i.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),Ro(i).call(i),this.brightnessRange.value=100*t.v,this.opacityRange.value=100*e.a,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}},{key:"_setSize",value:function(){this.colorPickerCanvas.style.width="100%",this.colorPickerCanvas.style.height="100%",this.colorPickerCanvas.width=289*this.pixelRatio,this.colorPickerCanvas.height=289*this.pixelRatio}},{key:"_create",value:function(){var e,t,i,a;if(this.frame=document.createElement("div"),this.frame.className="vis-color-picker",this.colorPickerDiv=document.createElement("div"),this.colorPickerSelector=document.createElement("div"),this.colorPickerSelector.className="vis-selector",this.colorPickerDiv.appendChild(this.colorPickerSelector),this.colorPickerCanvas=document.createElement("canvas"),this.colorPickerDiv.appendChild(this.colorPickerCanvas),this.colorPickerCanvas.getContext){var s=this.colorPickerCanvas.getContext("2d");this.pixelRatio=(window.devicePixelRatio||1)/(s.webkitBackingStorePixelRatio||s.mozBackingStorePixelRatio||s.msBackingStorePixelRatio||s.oBackingStorePixelRatio||s.backingStorePixelRatio||1),this.colorPickerCanvas.getContext("2d").setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}else{var o=document.createElement("DIV");o.style.color="red",o.style.fontWeight="bold",o.style.padding="10px",o.innerText="Error: your browser does not support HTML canvas",this.colorPickerCanvas.appendChild(o)}this.colorPickerDiv.className="vis-color",this.opacityDiv=document.createElement("div"),this.opacityDiv.className="vis-opacity",this.brightnessDiv=document.createElement("div"),this.brightnessDiv.className="vis-brightness",this.arrowDiv=document.createElement("div"),this.arrowDiv.className="vis-arrow",this.opacityRange=document.createElement("input");try{this.opacityRange.type="range",this.opacityRange.min="0",this.opacityRange.max="100"}catch{}this.opacityRange.value="100",this.opacityRange.className="vis-range",this.brightnessRange=document.createElement("input");try{this.brightnessRange.type="range",this.brightnessRange.min="0",this.brightnessRange.max="100"}catch{}this.brightnessRange.value="100",this.brightnessRange.className="vis-range",this.opacityDiv.appendChild(this.opacityRange),this.brightnessDiv.appendChild(this.brightnessRange);var u=this;this.opacityRange.onchange=function(){u._setOpacity(this.value)},this.opacityRange.oninput=function(){u._setOpacity(this.value)},this.brightnessRange.onchange=function(){u._setBrightness(this.value)},this.brightnessRange.oninput=function(){u._setBrightness(this.value)},this.brightnessLabel=document.createElement("div"),this.brightnessLabel.className="vis-label vis-brightness",this.brightnessLabel.innerText="brightness:",this.opacityLabel=document.createElement("div"),this.opacityLabel.className="vis-label vis-opacity",this.opacityLabel.innerText="opacity:",this.newColorDiv=document.createElement("div"),this.newColorDiv.className="vis-new-color",this.newColorDiv.innerText="new",this.initialColorDiv=document.createElement("div"),this.initialColorDiv.className="vis-initial-color",this.initialColorDiv.innerText="initial",this.cancelButton=document.createElement("div"),this.cancelButton.className="vis-button vis-cancel",this.cancelButton.innerText="cancel",this.cancelButton.onclick=O(e=this._hide).call(e,this,!1),this.applyButton=document.createElement("div"),this.applyButton.className="vis-button vis-apply",this.applyButton.innerText="apply",this.applyButton.onclick=O(t=this._apply).call(t,this),this.saveButton=document.createElement("div"),this.saveButton.className="vis-button vis-save",this.saveButton.innerText="save",this.saveButton.onclick=O(i=this._save).call(i,this),this.loadButton=document.createElement("div"),this.loadButton.className="vis-button vis-load",this.loadButton.innerText="load last",this.loadButton.onclick=O(a=this._loadLast).call(a,this),this.frame.appendChild(this.colorPickerDiv),this.frame.appendChild(this.arrowDiv),this.frame.appendChild(this.brightnessLabel),this.frame.appendChild(this.brightnessDiv),this.frame.appendChild(this.opacityLabel),this.frame.appendChild(this.opacityDiv),this.frame.appendChild(this.newColorDiv),this.frame.appendChild(this.initialColorDiv),this.frame.appendChild(this.cancelButton),this.frame.appendChild(this.applyButton),this.frame.appendChild(this.saveButton),this.frame.appendChild(this.loadButton)}},{key:"_bindHammer",value:function(){var e=this;this.drag={},this.pinch={},this.hammer=new av(this.colorPickerCanvas),this.hammer.get("pinch").set({enable:!0}),this.hammer.on("hammer.input",function(t){t.isFirst&&e._moveSelector(t)}),this.hammer.on("tap",function(t){e._moveSelector(t)}),this.hammer.on("panstart",function(t){e._moveSelector(t)}),this.hammer.on("panmove",function(t){e._moveSelector(t)}),this.hammer.on("panend",function(t){e._moveSelector(t)})}},{key:"_generateHueCircle",value:function(){if(this.generated===!1){var e=this.colorPickerCanvas.getContext("2d");this.pixelRation===void 0&&(this.pixelRatio=(window.devicePixelRatio||1)/(e.webkitBackingStorePixelRatio||e.mozBackingStorePixelRatio||e.msBackingStorePixelRatio||e.oBackingStorePixelRatio||e.backingStorePixelRatio||1)),e.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0);var t=this.colorPickerCanvas.clientWidth,i=this.colorPickerCanvas.clientHeight;e.clearRect(0,0,t,i);var a,o,s,u;this.centerCoordinates={x:t*.5,y:i*.5},this.r=.49*t;var l=2*Math.PI/360,h=1/360,d=1/this.r,c;for(s=0;s<360;s++)for(u=0;u<this.r;u++)a=this.centerCoordinates.x+u*Math.sin(l*s),o=this.centerCoordinates.y+u*Math.cos(l*s),c=Ns(s*h,u*d,1),e.fillStyle="rgb("+c.r+","+c.g+","+c.b+")",e.fillRect(a-.5,o-.5,2,2);e.strokeStyle="rgba(0,0,0,1)",e.circle(this.centerCoordinates.x,this.centerCoordinates.y,this.r),e.stroke(),this.hueCircle=e.getImageData(0,0,t,i)}this.generated=!0}},{key:"_moveSelector",value:function(e){var t=this.colorPickerDiv.getBoundingClientRect(),i=e.center.x-t.left,a=e.center.y-t.top,o=.5*this.colorPickerDiv.clientHeight,s=.5*this.colorPickerDiv.clientWidth,u=i-s,l=a-o,h=Math.atan2(u,l),d=.98*Math.min(Math.sqrt(u*u+l*l),s),c=Math.cos(h)*d+o,f=Math.sin(h)*d+s;this.colorPickerSelector.style.top=c-.5*this.colorPickerSelector.clientHeight+"px",this.colorPickerSelector.style.left=f-.5*this.colorPickerSelector.clientWidth+"px";var v=h/(2*Math.PI);v=v<0?v+1:v;var p=d/this.r,g=ya(this.color.r,this.color.g,this.color.b);g.h=v,g.s=p;var y=Ns(g.h,g.s,g.v);y.a=this.color.a,this.color=y,this.initialColorDiv.style.backgroundColor="rgba("+this.initialColor.r+","+this.initialColor.g+","+this.initialColor.b+","+this.initialColor.a+")",this.newColorDiv.style.backgroundColor="rgba("+this.color.r+","+this.color.g+","+this.color.b+","+this.color.a+")"}}]),r}();function Mc(){for(var r=arguments.length,n=new Array(r),e=0;e<r;e++)n[e]=arguments[e];if(n.length<1)throw new TypeError("Invalid arguments.");if(n.length===1)return document.createTextNode(n[0]);var t=document.createElement(n[0]);return t.appendChild(Mc.apply(void 0,tr(Ye(n).call(n,1)))),t}var Jie=function(){function r(n,e,t){var i=arguments.length>3&&arguments[3]!==void 0?arguments[3]:1,a=arguments.length>4&&arguments[4]!==void 0?arguments[4]:function(){return!1};C(this,r),this.parent=n,this.changedOptions=[],this.container=e,this.allowCreation=!1,this.hideOption=a,this.options={},this.initialized=!1,this.popupCounter=0,this.defaultOptions={enabled:!1,filter:!0,container:void 0,showButton:!0},Ae(this.options,this.defaultOptions),this.configureOptions=t,this.moduleOptions={},this.domElements=[],this.popupDiv={},this.popupLimit=5,this.popupHistory={},this.colorPicker=new Qie(i),this.wrapper=void 0}return x(r,[{key:"setOptions",value:function(e){if(e!==void 0){this.popupHistory={},this._removePopup();var t=!0;if(typeof e=="string")this.options.filter=e;else if(ae(e))this.options.filter=e.join();else if(se(e)==="object"){if(e==null)throw new TypeError("options cannot be null");e.container!==void 0&&(this.options.container=e.container),yt(e)!==void 0&&(this.options.filter=yt(e)),e.showButton!==void 0&&(this.options.showButton=e.showButton),e.enabled!==void 0&&(t=e.enabled)}else typeof e=="boolean"?(this.options.filter=!0,t=e):typeof e=="function"&&(this.options.filter=e,t=!0);yt(this.options)===!1&&(t=!1),this.options.enabled=t}this._clean()}},{key:"setModuleOptions",value:function(e){this.moduleOptions=e,this.options.enabled===!0&&(this._clean(),this.options.container!==void 0&&(this.container=this.options.container),this._create())}},{key:"_create",value:function(){this._clean(),this.changedOptions=[];var e=yt(this.options),t=0,i=!1;for(var a in this.configureOptions)Object.prototype.hasOwnProperty.call(this.configureOptions,a)&&(this.allowCreation=!1,i=!1,typeof e=="function"?(i=e(a,[]),i=i||this._handleObject(this.configureOptions[a],[a],!0)):(e===!0||Z(e).call(e,a)!==-1)&&(i=!0),i!==!1&&(this.allowCreation=!0,t>0&&this._makeItem([]),this._makeHeader(a),this._handleObject(this.configureOptions[a],[a])),t++);this._makeButton(),this._push()}},{key:"_push",value:function(){this.wrapper=document.createElement("div"),this.wrapper.className="vis-configuration-wrapper",this.container.appendChild(this.wrapper);for(var e=0;e<this.domElements.length;e++)this.wrapper.appendChild(this.domElements[e]);this._showPopupIfNeeded()}},{key:"_clean",value:function(){for(var e=0;e<this.domElements.length;e++)this.wrapper.removeChild(this.domElements[e]);this.wrapper!==void 0&&(this.container.removeChild(this.wrapper),this.wrapper=void 0),this.domElements=[],this._removePopup()}},{key:"_getValue",value:function(e){for(var t=this.moduleOptions,i=0;i<e.length;i++)if(t[e[i]]!==void 0)t=t[e[i]];else{t=void 0;break}return t}},{key:"_makeItem",value:function(e){if(this.allowCreation===!0){var t=document.createElement("div");t.className="vis-configuration vis-config-item vis-config-s"+e.length;for(var i=arguments.length,a=new Array(i>1?i-1:0),o=1;o<i;o++)a[o-1]=arguments[o];return ue(a).call(a,function(s){t.appendChild(s)}),this.domElements.push(t),this.domElements.length}return 0}},{key:"_makeHeader",value:function(e){var t=document.createElement("div");t.className="vis-configuration vis-config-header",t.innerText=e,this._makeItem([],t)}},{key:"_makeLabel",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,a=document.createElement("div");if(a.className="vis-configuration vis-config-label vis-config-s"+t.length,i===!0){for(;a.firstChild;)a.removeChild(a.firstChild);a.appendChild(Mc("i","b",e))}else a.innerText=e+":";return a}},{key:"_makeDropdown",value:function(e,t,i){var a=document.createElement("select");a.className="vis-configuration vis-config-select";var o=0;t!==void 0&&Z(e).call(e,t)!==-1&&(o=Z(e).call(e,t));for(var s=0;s<e.length;s++){var u=document.createElement("option");u.value=e[s],s===o&&(u.selected="selected"),u.innerText=e[s],a.appendChild(u)}var l=this;a.onchange=function(){l._update(this.value,i)};var h=this._makeLabel(i[i.length-1],i);this._makeItem(i,h,a)}},{key:"_makeRange",value:function(e,t,i){var a=e[0],o=e[1],s=e[2],u=e[3],l=document.createElement("input");l.className="vis-configuration vis-config-range";try{l.type="range",l.min=o,l.max=s}catch{}l.step=u;var h="",d=0;if(t!==void 0){var c=1.2;t<0&&t*c<o?(l.min=Math.ceil(t*c),d=l.min,h="range increased"):t/c<o&&(l.min=Math.ceil(t/c),d=l.min,h="range increased"),t*c>s&&s!==1&&(l.max=Math.ceil(t*c),d=l.max,h="range increased"),l.value=t}else l.value=a;var f=document.createElement("input");f.className="vis-configuration vis-config-rangeinput",f.value=l.value;var v=this;l.onchange=function(){f.value=this.value,v._update(Number(this.value),i)},l.oninput=function(){f.value=this.value};var p=this._makeLabel(i[i.length-1],i),g=this._makeItem(i,p,l,f);h!==""&&this.popupHistory[g]!==d&&(this.popupHistory[g]=d,this._setupPopup(h,g))}},{key:"_makeButton",value:function(){var e=this;if(this.options.showButton===!0){var t=document.createElement("div");t.className="vis-configuration vis-config-button",t.innerText="generate options",t.onclick=function(){e._printOptions()},t.onmouseover=function(){t.className="vis-configuration vis-config-button hover"},t.onmouseout=function(){t.className="vis-configuration vis-config-button"},this.optionsContainer=document.createElement("div"),this.optionsContainer.className="vis-configuration vis-config-option-container",this.domElements.push(this.optionsContainer),this.domElements.push(t)}}},{key:"_setupPopup",value:function(e,t){var i=this;if(this.initialized===!0&&this.allowCreation===!0&&this.popupCounter<this.popupLimit){var a=document.createElement("div");a.id="vis-configuration-popup",a.className="vis-configuration-popup",a.innerText=e,a.onclick=function(){i._removePopup()},this.popupCounter+=1,this.popupDiv={html:a,index:t}}}},{key:"_removePopup",value:function(){this.popupDiv.html!==void 0&&(this.popupDiv.html.parentNode.removeChild(this.popupDiv.html),clearTimeout(this.popupDiv.hideTimeout),clearTimeout(this.popupDiv.deleteTimeout),this.popupDiv={})}},{key:"_showPopupIfNeeded",value:function(){var e=this;if(this.popupDiv.html!==void 0){var t=this.domElements[this.popupDiv.index],i=t.getBoundingClientRect();this.popupDiv.html.style.left=i.left+"px",this.popupDiv.html.style.top=i.top-30+"px",document.body.appendChild(this.popupDiv.html),this.popupDiv.hideTimeout=or(function(){e.popupDiv.html.style.opacity=0},1500),this.popupDiv.deleteTimeout=or(function(){e._removePopup()},1800)}}},{key:"_makeCheckbox",value:function(e,t,i){var a=document.createElement("input");a.type="checkbox",a.className="vis-configuration vis-config-checkbox",a.checked=e,t!==void 0&&(a.checked=t,t!==e&&(se(e)==="object"?t!==e.enabled&&this.changedOptions.push({path:i,value:t}):this.changedOptions.push({path:i,value:t})));var o=this;a.onchange=function(){o._update(this.checked,i)};var s=this._makeLabel(i[i.length-1],i);this._makeItem(i,s,a)}},{key:"_makeTextInput",value:function(e,t,i){var a=document.createElement("input");a.type="text",a.className="vis-configuration vis-config-text",a.value=t,t!==e&&this.changedOptions.push({path:i,value:t});var o=this;a.onchange=function(){o._update(this.value,i)};var s=this._makeLabel(i[i.length-1],i);this._makeItem(i,s,a)}},{key:"_makeColorField",value:function(e,t,i){var a=this,o=e[1],s=document.createElement("div");t=t===void 0?o:t,t!=="none"?(s.className="vis-configuration vis-config-colorBlock",s.style.backgroundColor=t):s.className="vis-configuration vis-config-colorBlock none",t=t===void 0?o:t,s.onclick=function(){a._showColorPicker(t,s,i)};var u=this._makeLabel(i[i.length-1],i);this._makeItem(i,u,s)}},{key:"_showColorPicker",value:function(e,t,i){var a=this;t.onclick=function(){},this.colorPicker.insertTo(t),this.colorPicker.show(),this.colorPicker.setColor(e),this.colorPicker.setUpdateCallback(function(o){var s="rgba("+o.r+","+o.g+","+o.b+","+o.a+")";t.style.backgroundColor=s,a._update(s,i)}),this.colorPicker.setCloseCallback(function(){t.onclick=function(){a._showColorPicker(e,t,i)}})}},{key:"_handleObject",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:[],i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,a=!1,o=yt(this.options),s=!1;for(var u in e)if(Object.prototype.hasOwnProperty.call(e,u)){a=!0;var l=e[u],h=cu(t,u);if(typeof o=="function"&&(a=o(u,t),a===!1&&!ae(l)&&typeof l!="string"&&typeof l!="boolean"&&l instanceof Object&&(this.allowCreation=!1,a=this._handleObject(l,h,!0),this.allowCreation=i===!1)),a!==!1){s=!0;var d=this._getValue(h);if(ae(l))this._handleArray(l,d,h);else if(typeof l=="string")this._makeTextInput(l,d,h);else if(typeof l=="boolean")this._makeCheckbox(l,d,h);else if(l instanceof Object){if(!this.hideOption(t,u,this.moduleOptions))if(l.enabled!==void 0){var c=cu(h,"enabled"),f=this._getValue(c);if(f===!0){var v=this._makeLabel(u,h,!0);this._makeItem(h,v),s=this._handleObject(l,h)||s}else this._makeCheckbox(l,f,h)}else{var p=this._makeLabel(u,h,!0);this._makeItem(h,p),s=this._handleObject(l,h)||s}}else console.error("dont know how to handle",l,u,h)}}return s}},{key:"_handleArray",value:function(e,t,i){typeof e[0]=="string"&&e[0]==="color"?(this._makeColorField(e,t,i),e[1]!==t&&this.changedOptions.push({path:i,value:t})):typeof e[0]=="string"?(this._makeDropdown(e,t,i),e[0]!==t&&this.changedOptions.push({path:i,value:t})):typeof e[0]=="number"&&(this._makeRange(e,t,i),e[0]!==t&&this.changedOptions.push({path:i,value:Number(t)}))}},{key:"_update",value:function(e,t){var i=this._constructOptions(e,t);this.parent.body&&this.parent.body.emitter&&this.parent.body.emitter.emit&&this.parent.body.emitter.emit("configChange",i),this.initialized=!0,this.parent.setOptions(i)}},{key:"_constructOptions",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:{},a=i;e=e==="true"?!0:e,e=e==="false"?!1:e;for(var o=0;o<t.length;o++)t[o]!=="global"&&(a[t[o]]===void 0&&(a[t[o]]={}),o!==t.length-1?a=a[t[o]]:a[t[o]]=e);return i}},{key:"_printOptions",value:function(){for(var e=this.getOptions();this.optionsContainer.firstChild;)this.optionsContainer.removeChild(this.optionsContainer.firstChild);this.optionsContainer.appendChild(Mc("pre","const options = "+Ao(e,null,2)))}},{key:"getOptions",value:function(){for(var e={},t=0;t<this.changedOptions.length;t++)this._constructOptions(this.changedOptions[t].value,this.changedOptions[t].path,e);return e}}]),r}(),Zie=function(){function r(n,e){C(this,r),this.container=n,this.overflowMethod=e||"cap",this.x=0,this.y=0,this.padding=5,this.hidden=!1,this.frame=document.createElement("div"),this.frame.className="vis-tooltip",this.container.appendChild(this.frame)}return x(r,[{key:"setPosition",value:function(e,t){this.x=Kt(e),this.y=Kt(t)}},{key:"setText",value:function(e){if(e instanceof Element){for(;this.frame.firstChild;)this.frame.removeChild(this.frame.firstChild);this.frame.appendChild(e)}else this.frame.innerText=e}},{key:"show",value:function(e){if(e===void 0&&(e=!0),e===!0){var t=this.frame.clientHeight,i=this.frame.clientWidth,a=this.frame.parentNode.clientHeight,o=this.frame.parentNode.clientWidth,s=0,u=0;if(this.overflowMethod=="flip"){var l=!1,h=!0;this.y-t<this.padding&&(h=!1),this.x+i>o-this.padding&&(l=!0),l?s=this.x-i:s=this.x,h?u=this.y-t:u=this.y}else u=this.y-t,u+t+this.padding>a&&(u=a-t-this.padding),u<this.padding&&(u=this.padding),s=this.x,s+i+this.padding>o&&(s=o-i-this.padding),s<this.padding&&(s=this.padding);this.frame.style.left=s+"px",this.frame.style.top=u+"px",this.frame.style.visibility="visible",this.hidden=!1}else this.hide()}},{key:"hide",value:function(){this.hidden=!0,this.frame.style.left="0",this.frame.style.top="0",this.frame.style.visibility="hidden"}},{key:"destroy",value:function(){this.frame.parentNode.removeChild(this.frame)}}]),r}(),da=!1,wb,Nc="background: #FFeeee; color: #dd0000",ene=function(){function r(){C(this,r)}return x(r,null,[{key:"validate",value:function(e,t,i){da=!1,wb=t;var a=t;return i!==void 0&&(a=t[i]),r.parse(e,a,[]),da}},{key:"parse",value:function(e,t,i){for(var a in e)Object.prototype.hasOwnProperty.call(e,a)&&r.check(a,e,t,i)}},{key:"check",value:function(e,t,i,a){if(i[e]===void 0&&i.__any__===void 0){r.getSuggestion(e,i,a);return}var o=e,s=!0;i[e]===void 0&&i.__any__!==void 0&&(o="__any__",s=r.getType(t[e])==="object");var u=i[o];s&&u.__type__!==void 0&&(u=u.__type__),r.checkFields(e,t,i,o,u,a)}},{key:"checkFields",value:function(e,t,i,a,o,s){var u=function(c){console.error("%c"+c+r.printLocation(s,e),Nc)},l=r.getType(t[e]),h=o[l];h!==void 0?r.getType(h)==="array"&&Z(h).call(h,t[e])===-1?(u('Invalid option detected in "'+e+'". Allowed values are:'+r.print(h)+' not "'+t[e]+'". '),da=!0):l==="object"&&a!=="__any__"&&(s=cu(s,e),r.parse(t[e],i[a],s)):o.any===void 0&&(u('Invalid type received for "'+e+'". Expected: '+r.print(me(o))+". Received ["+l+'] "'+t[e]+'"'),da=!0)}},{key:"getType",value:function(e){var t=se(e);return t==="object"?e===null?"null":e instanceof Boolean?"boolean":e instanceof Number?"number":e instanceof String?"string":ae(e)?"array":e instanceof Date?"date":e.nodeType!==void 0?"dom":e._isAMomentObject===!0?"moment":"object":t==="number"?"number":t==="boolean"?"boolean":t==="string"?"string":t===void 0?"undefined":t}},{key:"getSuggestion",value:function(e,t,i){var a=r.findInOptions(e,t,i,!1),o=r.findInOptions(e,wb,[],!0),s=8,u=4,l;a.indexMatch!==void 0?l=" in "+r.printLocation(a.path,e,"")+'Perhaps it was incomplete? Did you mean: "'+a.indexMatch+`"?

`:o.distance<=u&&a.distance>o.distance?l=" in "+r.printLocation(a.path,e,"")+"Perhaps it was misplaced? Matching option found at: "+r.printLocation(o.path,o.closestMatch,""):a.distance<=s?l='. Did you mean "'+a.closestMatch+'"?'+r.printLocation(a.path,e):l=". Did you mean one of these: "+r.print(me(t))+r.printLocation(i,e),console.error('%cUnknown option detected: "'+e+'"'+l,Nc),da=!0}},{key:"findInOptions",value:function(e,t,i){var a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:!1,o=1e9,s="",u=[],l=e.toLowerCase(),h=void 0;for(var d in t){var c=void 0;if(t[d].__type__!==void 0&&a===!0){var f=r.findInOptions(e,t[d],cu(i,d));o>f.distance&&(s=f.closestMatch,u=f.path,o=f.distance,h=f.indexMatch)}else{var v;Z(v=d.toLowerCase()).call(v,l)!==-1&&(h=d),c=r.levenshteinDistance(e,d),o>c&&(s=d,u=Uie(i),o=c)}}return{closestMatch:s,path:u,distance:o,indexMatch:h}}},{key:"printLocation",value:function(e,t){for(var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:`Problem value found at: 
`,a=`

`+i+`options = {
`,o=0;o<e.length;o++){for(var s=0;s<o+1;s++)a+="  ";a+=e[o]+`: {
`}for(var u=0;u<e.length+1;u++)a+="  ";a+=t+`
`;for(var l=0;l<e.length+1;l++){for(var h=0;h<e.length-l;h++)a+="  ";a+=`}
`}return a+`

`}},{key:"print",value:function(e){return Ao(e).replace(/(")|(\[)|(\])|(,"__type__")/g,"").replace(/(,)/g,", ")}},{key:"levenshteinDistance",value:function(e,t){if(e.length===0)return t.length;if(t.length===0)return e.length;var i=[],a;for(a=0;a<=t.length;a++)i[a]=[a];var o;for(o=0;o<=e.length;o++)i[0][o]=o;for(a=1;a<=t.length;a++)for(o=1;o<=e.length;o++)t.charAt(a-1)==e.charAt(o-1)?i[a][o]=i[a-1][o-1]:i[a][o]=Math.min(i[a-1][o-1]+1,Math.min(i[a][o-1]+1,i[a-1][o]+1));return i[t.length][e.length]}}]),r}(),tne=nr,rne=Jie,bn=av,ine=Zie,LS=Nc,nne=ene;function ane(r){return Nr=r,lne()}var jS={fontsize:"font.size",fontcolor:"font.color",labelfontcolor:"font.color",fontname:"font.face",color:["color.border","color.background"],fillcolor:"color.background",tooltip:"title",labeltooltip:"title"},sv=bi(jS);sv.color="color.color";sv.style="dashes";var nt={NULL:0,DELIMITER:1,IDENTIFIER:2,UNKNOWN:3},_b={"{":!0,"}":!0,"[":!0,"]":!0,";":!0,"=":!0,",":!0,"->":!0,"--":!0},Nr="",Dn=0,Q="",U="",ft=nt.NULL;function one(){Dn=0,Q=Nr.charAt(0)}function Ne(){Dn++,Q=Nr.charAt(Dn)}function rn(){return Nr.charAt(Dn+1)}function Eb(r){var n=r.charCodeAt(0);return n<47?n===35||n===46:n<59?n>47:n<91?n>64:n<96?n===95:n<123?n>96:!1}function Gr(r,n){if(r||(r={}),n)for(var e in n)n.hasOwnProperty(e)&&(r[e]=n[e]);return r}function sne(r,n,e){for(var t=n.split("."),i=r;t.length;){var a=t.shift();t.length?(i[a]||(i[a]={}),i=i[a]):i[a]=e}}function zS(r,n){for(var e,t,i=null,a=[r],o=r;o.parent;)a.push(o.parent),o=o.parent;if(o.nodes){for(e=0,t=o.nodes.length;e<t;e++)if(n.id===o.nodes[e].id){i=o.nodes[e];break}}for(i||(i={id:n.id},r.node&&(i.attr=Gr(i.attr,r.node))),e=a.length-1;e>=0;e--){var s,u=a[e];u.nodes||(u.nodes=[]),Z(s=u.nodes).call(s,i)===-1&&u.nodes.push(i)}n.attr&&(i.attr=Gr(i.attr,n.attr))}function une(r,n){if(r.edges||(r.edges=[]),r.edges.push(n),r.edge){var e=Gr({},r.edge);n.attr=Gr(e,n.attr)}}function HS(r,n,e,t,i){var a={from:n,to:e,type:t};return r.edge&&(a.attr=Gr({},r.edge)),a.attr=Gr(a.attr||{},i),i!=null&&i.hasOwnProperty("arrows")&&i.arrows!=null&&(a.arrows={to:{enabled:!0,type:i.arrows.type}},i.arrows=null),a}function de(){for(ft=nt.NULL,U="";Q===" "||Q==="	"||Q===`
`||Q==="\r";)Ne();do{var r=!1;if(Q==="#"){for(var n=Dn-1;Nr.charAt(n)===" "||Nr.charAt(n)==="	";)n--;if(Nr.charAt(n)===`
`||Nr.charAt(n)===""){for(;Q!=""&&Q!=`
`;)Ne();r=!0}}if(Q==="/"&&rn()==="/"){for(;Q!=""&&Q!=`
`;)Ne();r=!0}if(Q==="/"&&rn()==="*"){for(;Q!="";)if(Q==="*"&&rn()==="/"){Ne(),Ne();break}else Ne();r=!0}for(;Q===" "||Q==="	"||Q===`
`||Q==="\r";)Ne()}while(r);if(Q===""){ft=nt.DELIMITER;return}var e=Q+rn();if(_b[e]){ft=nt.DELIMITER,U=e,Ne(),Ne();return}if(_b[Q]){ft=nt.DELIMITER,U=Q,Ne();return}if(Eb(Q)||Q==="-"){for(U+=Q,Ne();Eb(Q);)U+=Q,Ne();U==="false"?U=!1:U==="true"?U=!0:isNaN(Number(U))||(U=Number(U)),ft=nt.IDENTIFIER;return}if(Q==='"'){for(Ne();Q!=""&&(Q!='"'||Q==='"'&&rn()==='"');)Q==='"'?(U+=Q,Ne()):Q==="\\"&&rn()==="n"?(U+=`
`,Ne()):U+=Q,Ne();if(Q!='"')throw at('End of string " expected');Ne(),ft=nt.IDENTIFIER;return}for(ft=nt.UNKNOWN;Q!="";)U+=Q,Ne();throw new SyntaxError('Syntax error in part "'+GS(U,30)+'"')}function lne(){var r={};if(one(),de(),U==="strict"&&(r.strict=!0,de()),(U==="graph"||U==="digraph")&&(r.type=U,de()),ft===nt.IDENTIFIER&&(r.id=U,de()),U!="{")throw at("Angle bracket { expected");if(de(),WS(r),U!="}")throw at("Angle bracket } expected");if(de(),U!=="")throw at("End of file expected");return de(),delete r.node,delete r.edge,delete r.graph,r}function WS(r){for(;U!==""&&U!="}";)hne(r),U===";"&&de()}function hne(r){var n=US(r);if(n){VS(r,n);return}var e=dne(r);if(!e){if(ft!=nt.IDENTIFIER)throw at("Identifier expected");var t=U;if(de(),U==="="){if(de(),ft!=nt.IDENTIFIER)throw at("Identifier expected");r[t]=U,de()}else cne(r,t)}}function US(r){var n=null;if(U==="subgraph"&&(n={},n.type="subgraph",de(),ft===nt.IDENTIFIER&&(n.id=U,de())),U==="{"){if(de(),n||(n={}),n.parent=r,n.node=r.node,n.edge=r.edge,n.graph=r.graph,WS(n),U!="}")throw at("Angle bracket } expected");de(),delete n.node,delete n.edge,delete n.graph,delete n.parent,r.subgraphs||(r.subgraphs=[]),r.subgraphs.push(n)}return n}function dne(r){return U==="node"?(de(),r.node=Ta(),"node"):U==="edge"?(de(),r.edge=Ta(),"edge"):U==="graph"?(de(),r.graph=Ta(),"graph"):null}function cne(r,n){var e={id:n},t=Ta();t&&(e.attr=t),zS(r,e),VS(r,n)}function VS(r,n){for(;U==="->"||U==="--";){var e,t=U;de();var i=US(r);if(i)e=i;else{if(ft!=nt.IDENTIFIER)throw at("Identifier or subgraph expected");e=U,zS(r,{id:e}),de()}var a=Ta(),o=HS(r,n,e,t,a);une(r,o),n=e}}function Ta(){for(var r,n=null,e={dashed:!0,solid:!1,dotted:[1,5]},t={dot:"circle",box:"box",crow:"crow",curve:"curve",icurve:"inv_curve",normal:"triangle",inv:"inv_triangle",diamond:"diamond",tee:"bar",vee:"vee"},i=new Array,a=new Array;U==="[";){for(de(),n={};U!==""&&U!="]";){if(ft!=nt.IDENTIFIER)throw at("Attribute name expected");var o=U;if(de(),U!="=")throw at("Equal sign = expected");if(de(),ft!=nt.IDENTIFIER)throw at("Attribute value expected");var s=U;o==="style"&&(s=e[s]);var u;o==="arrowhead"&&(u=t[s],o="arrows",s={to:{enabled:!0,type:u}}),o==="arrowtail"&&(u=t[s],o="arrows",s={from:{enabled:!0,type:u}}),i.push({attr:n,name:o,value:s}),a.push(o),de(),U==","&&de()}if(U!="]")throw at("Bracket ] expected");de()}if(Hr(a).call(a,"dir")){var l={};for(l.arrows={},r=0;r<i.length;r++)if(i[r].name==="arrows")if(i[r].value.to!=null)l.arrows.to=r;else if(i[r].value.from!=null)l.arrows.from=r;else throw at("Invalid value of arrows");else i[r].name==="dir"&&(l.dir=r);var h=i[l.dir].value;if(!Hr(a).call(a,"arrows"))if(h==="both")i.push({attr:i[l.dir].attr,name:"arrows",value:{to:{enabled:!0}}}),l.arrows.to=i.length-1,i.push({attr:i[l.dir].attr,name:"arrows",value:{from:{enabled:!0}}}),l.arrows.from=i.length-1;else if(h==="forward")i.push({attr:i[l.dir].attr,name:"arrows",value:{to:{enabled:!0}}}),l.arrows.to=i.length-1;else if(h==="back")i.push({attr:i[l.dir].attr,name:"arrows",value:{from:{enabled:!0}}}),l.arrows.from=i.length-1;else if(h==="none")i.push({attr:i[l.dir].attr,name:"arrows",value:""}),l.arrows.to=i.length-1;else throw at('Invalid dir type "'+h+'"');var d,c;if(h==="both")l.arrows.to&&l.arrows.from?(c=i[l.arrows.to].value.to.type,d=i[l.arrows.from].value.from.type,i[l.arrows.to]={attr:i[l.arrows.to].attr,name:i[l.arrows.to].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}},br(i).call(i,l.arrows.from,1)):l.arrows.to?(c=i[l.arrows.to].value.to.type,d="arrow",i[l.arrows.to]={attr:i[l.arrows.to].attr,name:i[l.arrows.to].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}):l.arrows.from&&(c="arrow",d=i[l.arrows.from].value.from.type,i[l.arrows.from]={attr:i[l.arrows.from].attr,name:i[l.arrows.from].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}});else if(h==="back")l.arrows.to&&l.arrows.from?(c="",d=i[l.arrows.from].value.from.type,i[l.arrows.from]={attr:i[l.arrows.from].attr,name:i[l.arrows.from].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}):l.arrows.to?(c="",d="arrow",l.arrows.from=l.arrows.to,i[l.arrows.from]={attr:i[l.arrows.from].attr,name:i[l.arrows.from].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}):l.arrows.from&&(c="",d=i[l.arrows.from].value.from.type,i[l.arrows.to]={attr:i[l.arrows.from].attr,name:i[l.arrows.from].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}),i[l.arrows.from]={attr:i[l.arrows.from].attr,name:i[l.arrows.from].name,value:{from:{enabled:!0,type:i[l.arrows.from].value.from.type}}};else if(h==="none"){var f;l.arrows.to?f=l.arrows.to:f=l.arrows.from,i[f]={attr:i[f].attr,name:i[f].name,value:""}}else if(h==="forward")l.arrows.to&&l.arrows.from?(c=i[l.arrows.to].value.to.type,d="",i[l.arrows.to]={attr:i[l.arrows.to].attr,name:i[l.arrows.to].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}):l.arrows.to?(c=i[l.arrows.to].value.to.type,d="",i[l.arrows.to]={attr:i[l.arrows.to].attr,name:i[l.arrows.to].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}):l.arrows.from&&(c="arrow",d="",l.arrows.to=l.arrows.from,i[l.arrows.to]={attr:i[l.arrows.to].attr,name:i[l.arrows.to].name,value:{to:{enabled:!0,type:c},from:{enabled:!0,type:d}}}),i[l.arrows.to]={attr:i[l.arrows.to].attr,name:i[l.arrows.to].name,value:{to:{enabled:!0,type:i[l.arrows.to].value.to.type}}};else throw at('Invalid dir type "'+h+'"');br(i).call(i,l.dir,1)}var v;if(Hr(a).call(a,"penwidth")){var p=[];for(v=i.length,r=0;r<v;r++)i[r].name!=="width"&&(i[r].name==="penwidth"&&(i[r].name="width"),p.push(i[r]));i=p}for(v=i.length,r=0;r<v;r++)sne(i[r].attr,i[r].name,i[r].value);return n}function at(r){return new SyntaxError(r+', got "'+GS(U,30)+'" (char '+Dn+")")}function GS(r,n){return r.length<=n?r:r.substr(0,27)+"..."}function fne(r,n,e){ae(r)?ue(r).call(r,function(t){ae(n)?ue(n).call(n,function(i){e(t,i)}):e(t,n)}):ae(n)?ue(n).call(n,function(t){e(r,t)}):e(r,n)}function bd(r,n,e){for(var t=n.split("."),i=t.pop(),a=r,o=0;o<t.length;o++){var s=t[o];s in a||(a[s]={}),a=a[s]}return a[i]=e,r}function Sb(r,n){var e={};for(var t in r)if(r.hasOwnProperty(t)){var i=n[t];ae(i)?ue(i).call(i,function(a){bd(e,a,r[t])}):typeof i=="string"?bd(e,i,r[t]):bd(e,t,r[t])}return e}function vne(r){var n=ane(r),e={nodes:[],edges:[],options:{}};if(n.nodes){var t;ue(t=n.nodes).call(t,function(o){var s={id:o.id,label:String(o.label||o.id)};Gr(s,Sb(o.attr,jS)),s.image&&(s.shape="image"),e.nodes.push(s)})}if(n.edges){var i,a=function(s){var u={from:s.from,to:s.to};return Gr(u,Sb(s.attr,sv)),u.arrows==null&&s.type==="->"&&(u.arrows="to"),u};ue(i=n.edges).call(i,function(o){var s,u;if(o.from instanceof Object?s=o.from.nodes:s={id:o.from},o.to instanceof Object?u=o.to.nodes:u={id:o.to},o.from instanceof Object&&o.from.edges){var l;ue(l=o.from.edges).call(l,function(d){var c=a(d);e.edges.push(c)})}if(fne(s,u,function(d,c){var f=HS(e,d.id,c.id,o.type,o.attr),v=a(f);e.edges.push(v)}),o.to instanceof Object&&o.to.edges){var h;ue(h=o.to.edges).call(h,function(d){var c=a(d);e.edges.push(c)})}})}return n.attr&&(e.options=n.attr),e}function pne(r,n){var e,t={edges:{inheritColor:!1},nodes:{fixed:!1,parseColor:!1}};n!=null&&(n.fixed!=null&&(t.nodes.fixed=n.fixed),n.parseColor!=null&&(t.nodes.parseColor=n.parseColor),n.inheritColor!=null&&(t.edges.inheritColor=n.inheritColor));var i=r.edges,a=Cn(i).call(i,function(s){var u={from:s.source,id:s.id,to:s.target};return s.attributes!=null&&(u.attributes=s.attributes),s.label!=null&&(u.label=s.label),s.attributes!=null&&s.attributes.title!=null&&(u.title=s.attributes.title),s.type==="Directed"&&(u.arrows="to"),s.color&&t.edges.inheritColor===!1&&(u.color=s.color),u}),o=Cn(e=r.nodes).call(e,function(s){var u={id:s.id,fixed:t.nodes.fixed&&s.x!=null&&s.y!=null};return s.attributes!=null&&(u.attributes=s.attributes),s.label!=null&&(u.label=s.label),s.size!=null&&(u.size=s.size),s.attributes!=null&&s.attributes.title!=null&&(u.title=s.attributes.title),s.title!=null&&(u.title=s.title),s.x!=null&&(u.x=s.x),s.y!=null&&(u.y=s.y),s.color!=null&&(t.nodes.parseColor===!0?u.color=s.color:u.color={background:s.color,border:s.color,highlight:{background:s.color,border:s.color},hover:{background:s.color,border:s.color}}),u});return{nodes:o,edges:a}}var gne={addDescription:"Click in an empty space to place a new node.",addEdge:"Add Edge",addNode:"Add Node",back:"Back",close:"Close",createEdgeError:"Cannot link edges to a cluster.",del:"Delete selected",deleteClusterError:"Clusters cannot be deleted.",edgeDescription:"Click on a node and drag the edge to another node to connect them.",edit:"Edit",editClusterError:"Clusters cannot be edited.",editEdge:"Edit Edge",editEdgeDescription:"Click on the control points and drag them to a node to connect to it.",editNode:"Edit Node"},yne={addDescription:"Klicke auf eine freie Stelle, um einen neuen Knoten zu plazieren.",addEdge:"Kante hinzufügen",addNode:"Knoten hinzufügen",back:"Zurück",close:"Schließen",createEdgeError:"Es ist nicht möglich, Kanten mit Clustern zu verbinden.",del:"Lösche Auswahl",deleteClusterError:"Cluster können nicht gelöscht werden.",edgeDescription:"Klicke auf einen Knoten und ziehe die Kante zu einem anderen Knoten, um diese zu verbinden.",edit:"Editieren",editClusterError:"Cluster können nicht editiert werden.",editEdge:"Kante editieren",editEdgeDescription:"Klicke auf die Verbindungspunkte und ziehe diese auf einen Knoten, um sie zu verbinden.",editNode:"Knoten editieren"},mne={addDescription:"Haga clic en un lugar vacío para colocar un nuevo nodo.",addEdge:"Añadir arista",addNode:"Añadir nodo",back:"Atrás",close:"Cerrar",createEdgeError:"No se puede conectar una arista a un grupo.",del:"Eliminar selección",deleteClusterError:"No es posible eliminar grupos.",edgeDescription:"Haga clic en un nodo y arrastre la arista hacia otro nodo para conectarlos.",edit:"Editar",editClusterError:"No es posible editar grupos.",editEdge:"Editar arista",editEdgeDescription:"Haga clic en un punto de control y arrastrelo a un nodo para conectarlo.",editNode:"Editar nodo"},bne={addDescription:"Clicca per aggiungere un nuovo nodo",addEdge:"Aggiungi un vertice",addNode:"Aggiungi un nodo",back:"Indietro",close:"Chiudere",createEdgeError:"Non si possono collegare vertici ad un cluster",del:"Cancella la selezione",deleteClusterError:"I cluster non possono essere cancellati",edgeDescription:"Clicca su un nodo e trascinalo ad un altro nodo per connetterli.",edit:"Modifica",editClusterError:"I clusters non possono essere modificati.",editEdge:"Modifica il vertice",editEdgeDescription:"Clicca sui Punti di controllo e trascinali ad un nodo per connetterli.",editNode:"Modifica il nodo"},$ne={addDescription:"Klik op een leeg gebied om een nieuwe node te maken.",addEdge:"Link toevoegen",addNode:"Node toevoegen",back:"Terug",close:"Sluiten",createEdgeError:"Kan geen link maken naar een cluster.",del:"Selectie verwijderen",deleteClusterError:"Clusters kunnen niet worden verwijderd.",edgeDescription:"Klik op een node en sleep de link naar een andere node om ze te verbinden.",edit:"Wijzigen",editClusterError:"Clusters kunnen niet worden aangepast.",editEdge:"Link wijzigen",editEdgeDescription:"Klik op de verbindingspunten en sleep ze naar een node om daarmee te verbinden.",editNode:"Node wijzigen"},wne={addDescription:"Clique em um espaço em branco para adicionar um novo nó",addEdge:"Adicionar aresta",addNode:"Adicionar nó",back:"Voltar",close:"Fechar",createEdgeError:"Não foi possível linkar arestas a um cluster.",del:"Remover selecionado",deleteClusterError:"Clusters não puderam ser removidos.",edgeDescription:"Clique em um nó e arraste a aresta até outro nó para conectá-los",edit:"Editar",editClusterError:"Clusters não puderam ser editados.",editEdge:"Editar aresta",editEdgeDescription:"Clique nos pontos de controle e os arraste para um nó para conectá-los",editNode:"Editar nó"},_ne={addDescription:"Кликните в свободное место, чтобы добавить новый узел.",addEdge:"Добавить ребро",addNode:"Добавить узел",back:"Назад",close:"Закрывать",createEdgeError:"Невозможно соединить ребра в кластер.",del:"Удалить выбранное",deleteClusterError:"Кластеры не могут быть удалены",edgeDescription:"Кликните на узел и протяните ребро к другому узлу, чтобы соединить их.",edit:"Редактировать",editClusterError:"Кластеры недоступны для редактирования.",editEdge:"Редактировать ребро",editEdgeDescription:"Кликните на контрольные точки и перетащите их в узел, чтобы подключиться к нему.",editNode:"Редактировать узел"},Ene={addDescription:"单击空白处放置新节点。",addEdge:"添加连接线",addNode:"添加节点",back:"返回",close:"關閉",createEdgeError:"无法将连接线连接到群集。",del:"删除选定",deleteClusterError:"无法删除群集。",edgeDescription:"单击某个节点并将该连接线拖动到另一个节点以连接它们。",edit:"编辑",editClusterError:"无法编辑群集。",editEdge:"编辑连接线",editEdgeDescription:"单击控制节点并将它们拖到节点上连接。",editNode:"编辑节点"},Sne={addDescription:"Kлікніть на вільне місце, щоб додати новий вузол.",addEdge:"Додати край",addNode:"Додати вузол",back:"Назад",close:"Закрити",createEdgeError:"Не можливо об'єднати краї в групу.",del:"Видалити обране",deleteClusterError:"Групи не можуть бути видалені.",edgeDescription:"Клікніть на вузол і перетягніть край до іншого вузла, щоб їх з'єднати.",edit:"Редагувати",editClusterError:"Групи недоступні для редагування.",editEdge:"Редагувати край",editEdgeDescription:"Клікніть на контрольні точки і перетягніть їх у вузол, щоб підключитися до нього.",editNode:"Редагувати вузол"},One={addDescription:"Cliquez dans un endroit vide pour placer un nœud.",addEdge:"Ajouter un lien",addNode:"Ajouter un nœud",back:"Retour",close:"Fermer",createEdgeError:"Impossible de créer un lien vers un cluster.",del:"Effacer la sélection",deleteClusterError:"Les clusters ne peuvent pas être effacés.",edgeDescription:"Cliquez sur un nœud et glissez le lien vers un autre nœud pour les connecter.",edit:"Éditer",editClusterError:"Les clusters ne peuvent pas être édités.",editEdge:"Éditer le lien",editEdgeDescription:"Cliquez sur les points de contrôle et glissez-les pour connecter un nœud.",editNode:"Éditer le nœud"},Tne={addDescription:"Kluknutím do prázdného prostoru můžete přidat nový vrchol.",addEdge:"Přidat hranu",addNode:"Přidat vrchol",back:"Zpět",close:"Zavřít",createEdgeError:"Nelze připojit hranu ke shluku.",del:"Smazat výběr",deleteClusterError:"Nelze mazat shluky.",edgeDescription:"Přetažením z jednoho vrcholu do druhého můžete spojit tyto vrcholy novou hranou.",edit:"Upravit",editClusterError:"Nelze upravovat shluky.",editEdge:"Upravit hranu",editEdgeDescription:"Přetažením kontrolního vrcholu hrany ji můžete připojit k jinému vrcholu.",editNode:"Upravit vrchol"},Pne=Object.freeze({__proto__:null,cn:Ene,cs:Tne,de:yne,en:gne,es:mne,fr:One,it:bne,nl:$ne,pt:wne,ru:_ne,uk:Sne});function Ine(r,n){try{var e=n.split(/[-_ /]/,2),t=be(e,2),i=t[0],a=t[1],o=i!=null?i.toLowerCase():null,s=a!=null?a.toUpperCase():null;if(o&&s){var u=o+"-"+s;if(Object.prototype.hasOwnProperty.call(r,u))return u;var l;console.warn(Xf(l="Unknown variant ".concat(s," of language ")).call(l,o,"."))}if(o){var h=o;if(Object.prototype.hasOwnProperty.call(r,h))return h;console.warn("Unknown language ".concat(o))}return console.warn("Unknown locale ".concat(n,", falling back to English.")),"en"}catch(d){return console.error(d),console.warn("Unexpected error while normalizing locale ".concat(n,", falling back to English.")),"en"}}var kne=function(){function r(){C(this,r),this.NUM_ITERATIONS=4,this.image=new Image,this.canvas=document.createElement("canvas")}return x(r,[{key:"init",value:function(){if(!this.initialized()){this.src=this.image.src;var e=this.image.width,t=this.image.height;this.width=e,this.height=t;var i=Math.floor(t/2),a=Math.floor(t/4),o=Math.floor(t/8),s=Math.floor(t/16),u=Math.floor(e/2),l=Math.floor(e/4),h=Math.floor(e/8),d=Math.floor(e/16);this.canvas.width=3*l,this.canvas.height=i,this.coordinates=[[0,0,u,i],[u,0,l,a],[u,a,h,o],[5*h,a,d,s]],this._fillMipMap()}}},{key:"initialized",value:function(){return this.coordinates!==void 0}},{key:"_fillMipMap",value:function(){var e=this.canvas.getContext("2d"),t=this.coordinates[0];e.drawImage(this.image,t[0],t[1],t[2],t[3]);for(var i=1;i<this.NUM_ITERATIONS;i++){var a=this.coordinates[i-1],o=this.coordinates[i];e.drawImage(this.canvas,a[0],a[1],a[2],a[3],o[0],o[1],o[2],o[3])}}},{key:"drawImageAtPosition",value:function(e,t,i,a,o,s){if(this.initialized())if(t>2){t*=.5;for(var u=0;t>2&&u<this.NUM_ITERATIONS;)t*=.5,u+=1;u>=this.NUM_ITERATIONS&&(u=this.NUM_ITERATIONS-1);var l=this.coordinates[u];e.drawImage(this.canvas,l[0],l[1],l[2],l[3],i,a,o,s)}else e.drawImage(this.image,i,a,o,s)}}]),r}(),Cne=function(){function r(n){C(this,r),this.images={},this.imageBroken={},this.callback=n}return x(r,[{key:"_tryloadBrokenUrl",value:function(e,t,i){if(!(e===void 0||i===void 0)){if(t===void 0){console.warn("No broken url image defined");return}i.image.onerror=function(){console.error("Could not load brokenImage:",t)},i.image.src=t}}},{key:"_redrawWithImage",value:function(e){this.callback&&this.callback(e)}},{key:"load",value:function(e,t){var i=this,a=this.images[e];if(a)return a;var o=new kne;return this.images[e]=o,o.image.onload=function(){i._fixImageCoordinates(o.image),o.init(),i._redrawWithImage(o)},o.image.onerror=function(){console.error("Could not load image:",e),i._tryloadBrokenUrl(e,t,o)},o.image.src=e,o}},{key:"_fixImageCoordinates",value:function(e){e.width===0&&(document.body.appendChild(e),e.width=e.offsetWidth,e.height=e.offsetHeight,document.body.removeChild(e))}}]),r}(),KS={exports:{}},xne=ee,Ane=xne(function(){if(typeof ArrayBuffer=="function"){var r=new ArrayBuffer(8);Object.isExtensible(r)&&Object.defineProperty(r,"a",{value:8})}}),Rne=ee,Dne=We,Mne=kr,Ob=Ane,Fs=Object.isExtensible,Nne=Rne(function(){Fs(1)}),Fne=Nne||Ob?function(n){return!Dne(n)||Ob&&Mne(n)==="ArrayBuffer"?!1:Fs?Fs(n):!0}:Fs,Bne=ee,qS=!Bne(function(){return Object.isExtensible(Object.preventExtensions({}))}),Lne=V,jne=re,zne=So,Hne=We,uv=Ue,Wne=Rt.f,Tb=Io,Une=al,lv=Fne,Vne=qu,Gne=qS,YS=!1,Tr=Vne("meta"),Kne=0,hv=function(r){Wne(r,Tr,{value:{objectID:"O"+Kne++,weakData:{}}})},qne=function(r,n){if(!Hne(r))return typeof r=="symbol"?r:(typeof r=="string"?"S":"P")+r;if(!uv(r,Tr)){if(!lv(r))return"F";if(!n)return"E";hv(r)}return r[Tr].objectID},Yne=function(r,n){if(!uv(r,Tr)){if(!lv(r))return!0;if(!n)return!1;hv(r)}return r[Tr].weakData},Xne=function(r){return Gne&&YS&&lv(r)&&!uv(r,Tr)&&hv(r),r},Qne=function(){Jne.enable=function(){},YS=!0;var r=Tb.f,n=jne([].splice),e={};e[Tr]=1,r(e).length&&(Tb.f=function(t){for(var i=r(t),a=0,o=i.length;a<o;a++)if(i[a]===Tr){n(i,a,1);break}return i},Lne({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:Une.f}))},Jne=KS.exports={enable:Qne,fastKey:qne,getWeakData:Yne,onFreeze:Xne};zne[Tr]=!0;var pl=KS.exports,Zne=_o,eae=At,tae=Dt,rae=Jn,iae=Y_,nae=Ht,Pb=Ie,aae=eE,oae=il,Ib=q_,sae=TypeError,Bs=function(r,n){this.stopped=r,this.result=n},kb=Bs.prototype,dv=function(r,n,e){var t=e&&e.that,i=!!(e&&e.AS_ENTRIES),a=!!(e&&e.IS_RECORD),o=!!(e&&e.IS_ITERATOR),s=!!(e&&e.INTERRUPTED),u=Zne(n,t),l,h,d,c,f,v,p,g=function(m){return l&&Ib(l,"normal",m),new Bs(!0,m)},y=function(m){return i?(tae(m),s?u(m[0],m[1],g):u(m[0],m[1])):s?u(m,g):u(m)};if(a)l=r.iterator;else if(o)l=r;else{if(h=oae(r),!h)throw new sae(rae(r)+" is not iterable");if(iae(h)){for(d=0,c=nae(r);c>d;d++)if(f=y(r[d]),f&&Pb(kb,f))return f;return new Bs(!1)}l=aae(r,h)}for(v=a?r.next:l.next;!(p=eae(v,l)).done;){try{f=y(p.value)}catch(m){Ib(l,"throw",m)}if(typeof f=="object"&&f&&Pb(kb,f))return f}return new Bs(!1)},uae=Ie,lae=TypeError,cv=function(r,n){if(uae(n,r))return r;throw new lae("Incorrect invocation")},hae=V,dae=_e,cae=pl,fae=ee,vae=ea,pae=dv,gae=cv,yae=ze,mae=We,bae=Xn,$ae=ra,wae=Rt.f,_ae=Zr.forEach,Eae=He,XS=ji,Sae=XS.set,Oae=XS.getterFor,fv=function(r,n,e){var t=r.indexOf("Map")!==-1,i=r.indexOf("Weak")!==-1,a=t?"set":"add",o=dae[r],s=o&&o.prototype,u={},l;if(!Eae||!yae(o)||!(i||s.forEach&&!fae(function(){new o().entries().next()})))l=e.getConstructor(n,r,t,a),cae.enable();else{l=n(function(c,f){Sae(gae(c,h),{type:r,collection:new o}),bae(f)||pae(f,c[a],{that:c,AS_ENTRIES:t})});var h=l.prototype,d=Oae(r);_ae(["add","clear","delete","forEach","get","has","set","keys","values","entries"],function(c){var f=c==="add"||c==="set";c in s&&!(i&&c==="clear")&&vae(h,c,function(v,p){var g=d(this).collection;if(!f&&i&&!mae(v))return c==="get"?void 0:!1;var y=g[c](v===0?0:v,p);return f?this:y})}),i||wae(h,"size",{configurable:!0,get:function(){return d(this).collection.size}})}return $ae(l,r,!1,!0),u[r]=l,hae({global:!0,forced:!0},u),i||e.setStrong(l,r,t),l},Tae=To,vv=function(r,n,e){for(var t in n)e&&e.unsafe&&r[t]?r[t]=n[t]:Tae(r,t,n[t],e);return r},Pae=zt,Iae=Uf,kae=Ee,Cae=He,Cb=kae("species"),xae=function(r){var n=Pae(r);Cae&&n&&!n[Cb]&&Iae(n,Cb,{configurable:!0,get:function(){return this}})},Aae=ta,Rae=Uf,xb=vv,Dae=_o,Mae=cv,Nae=Xn,Fae=dv,Bae=Lf,ms=jf,Lae=xae,ca=He,Ab=pl.fastKey,QS=ji,Rb=QS.set,$d=QS.getterFor,JS={getConstructor:function(r,n,e,t){var i=r(function(l,h){Mae(l,a),Rb(l,{type:n,index:Aae(null),first:void 0,last:void 0,size:0}),ca||(l.size=0),Nae(h)||Fae(h,l[t],{that:l,AS_ENTRIES:e})}),a=i.prototype,o=$d(n),s=function(l,h,d){var c=o(l),f=u(l,h),v,p;return f?f.value=d:(c.last=f={index:p=Ab(h,!0),key:h,value:d,previous:v=c.last,next:void 0,removed:!1},c.first||(c.first=f),v&&(v.next=f),ca?c.size++:l.size++,p!=="F"&&(c.index[p]=f)),l},u=function(l,h){var d=o(l),c=Ab(h),f;if(c!=="F")return d.index[c];for(f=d.first;f;f=f.next)if(f.key===h)return f};return xb(a,{clear:function(){for(var h=this,d=o(h),c=d.index,f=d.first;f;)f.removed=!0,f.previous&&(f.previous=f.previous.next=void 0),delete c[f.index],f=f.next;d.first=d.last=void 0,ca?d.size=0:h.size=0},delete:function(l){var h=this,d=o(h),c=u(h,l);if(c){var f=c.next,v=c.previous;delete d.index[c.index],c.removed=!0,v&&(v.next=f),f&&(f.previous=v),d.first===c&&(d.first=f),d.last===c&&(d.last=v),ca?d.size--:h.size--}return!!c},forEach:function(h){for(var d=o(this),c=Dae(h,arguments.length>1?arguments[1]:void 0),f;f=f?f.next:d.first;)for(c(f.value,f.key,this);f&&f.removed;)f=f.previous},has:function(h){return!!u(this,h)}}),xb(a,e?{get:function(h){var d=u(this,h);return d&&d.value},set:function(h,d){return s(this,h===0?0:h,d)}}:{add:function(h){return s(this,h=h===0?0:h,h)}}),ca&&Rae(a,"size",{configurable:!0,get:function(){return o(this).size}}),i},setStrong:function(r,n,e){var t=n+" Iterator",i=$d(n),a=$d(t);Bae(r,n,function(o,s){Rb(this,{type:t,target:o,state:i(o),kind:s,last:void 0})},function(){for(var o=a(this),s=o.kind,u=o.last;u&&u.removed;)u=u.previous;return!o.target||!(o.last=u=u?u.next:o.state.first)?(o.target=void 0,ms(void 0,!0)):ms(s==="keys"?u.key:s==="values"?u.value:[u.key,u.value],!1)},e?"entries":"values",!e,!0),Lae(n)}},jae=fv,zae=JS;jae("Map",function(r){return function(){return r(this,arguments.length?arguments[0]:void 0)}},zae);var Hae=te,Wae=Hae.Map,Uae=Wae,Vae=Uae,Gae=Vae,ZS=L(Gae),Kae=function(){function r(){C(this,r),this.clear(),this._defaultIndex=0,this._groupIndex=0,this._defaultGroups=[{border:"#2B7CE9",background:"#97C2FC",highlight:{border:"#2B7CE9",background:"#D2E5FF"},hover:{border:"#2B7CE9",background:"#D2E5FF"}},{border:"#FFA500",background:"#FFFF00",highlight:{border:"#FFA500",background:"#FFFFA3"},hover:{border:"#FFA500",background:"#FFFFA3"}},{border:"#FA0A10",background:"#FB7E81",highlight:{border:"#FA0A10",background:"#FFAFB1"},hover:{border:"#FA0A10",background:"#FFAFB1"}},{border:"#41A906",background:"#7BE141",highlight:{border:"#41A906",background:"#A1EC76"},hover:{border:"#41A906",background:"#A1EC76"}},{border:"#E129F0",background:"#EB7DF4",highlight:{border:"#E129F0",background:"#F0B3F5"},hover:{border:"#E129F0",background:"#F0B3F5"}},{border:"#7C29F0",background:"#AD85E4",highlight:{border:"#7C29F0",background:"#D3BDF0"},hover:{border:"#7C29F0",background:"#D3BDF0"}},{border:"#C37F00",background:"#FFA807",highlight:{border:"#C37F00",background:"#FFCA66"},hover:{border:"#C37F00",background:"#FFCA66"}},{border:"#4220FB",background:"#6E6EFD",highlight:{border:"#4220FB",background:"#9B9BFD"},hover:{border:"#4220FB",background:"#9B9BFD"}},{border:"#FD5A77",background:"#FFC0CB",highlight:{border:"#FD5A77",background:"#FFD1D9"},hover:{border:"#FD5A77",background:"#FFD1D9"}},{border:"#4AD63A",background:"#C2FABC",highlight:{border:"#4AD63A",background:"#E6FFE3"},hover:{border:"#4AD63A",background:"#E6FFE3"}},{border:"#990000",background:"#EE0000",highlight:{border:"#BB0000",background:"#FF3333"},hover:{border:"#BB0000",background:"#FF3333"}},{border:"#FF6000",background:"#FF6000",highlight:{border:"#FF6000",background:"#FF6000"},hover:{border:"#FF6000",background:"#FF6000"}},{border:"#97C2FC",background:"#2B7CE9",highlight:{border:"#D2E5FF",background:"#2B7CE9"},hover:{border:"#D2E5FF",background:"#2B7CE9"}},{border:"#399605",background:"#255C03",highlight:{border:"#399605",background:"#255C03"},hover:{border:"#399605",background:"#255C03"}},{border:"#B70054",background:"#FF007E",highlight:{border:"#B70054",background:"#FF007E"},hover:{border:"#B70054",background:"#FF007E"}},{border:"#AD85E4",background:"#7C29F0",highlight:{border:"#D3BDF0",background:"#7C29F0"},hover:{border:"#D3BDF0",background:"#7C29F0"}},{border:"#4557FA",background:"#000EA1",highlight:{border:"#6E6EFD",background:"#000EA1"},hover:{border:"#6E6EFD",background:"#000EA1"}},{border:"#FFC0CB",background:"#FD5A77",highlight:{border:"#FFD1D9",background:"#FD5A77"},hover:{border:"#FFD1D9",background:"#FD5A77"}},{border:"#C2FABC",background:"#74D66A",highlight:{border:"#E6FFE3",background:"#74D66A"},hover:{border:"#E6FFE3",background:"#74D66A"}},{border:"#EE0000",background:"#990000",highlight:{border:"#FF3333",background:"#BB0000"},hover:{border:"#FF3333",background:"#BB0000"}}],this.options={},this.defaultOptions={useDefaultGroups:!0},Ae(this.options,this.defaultOptions)}return x(r,[{key:"setOptions",value:function(e){var t=["useDefaultGroups"];if(e!==void 0){for(var i in e)if(Object.prototype.hasOwnProperty.call(e,i)&&Z(t).call(t,i)===-1){var a=e[i];this.add(i,a)}}}},{key:"clear",value:function(){this._groups=new ZS,this._groupNames=[]}},{key:"get",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0,i=this._groups.get(e);if(i===void 0&&t)if(this.options.useDefaultGroups===!1&&this._groupNames.length>0){var a=this._groupIndex%this._groupNames.length;++this._groupIndex,i={},i.color=this._groups.get(this._groupNames[a]),this._groups.set(e,i)}else{var o=this._defaultIndex%this._defaultGroups.length;this._defaultIndex++,i={},i.color=this._defaultGroups[o],this._groups.set(e,i)}return i}},{key:"add",value:function(e,t){return this._groups.has(e)||this._groupNames.push(e),this._groups.set(e,t),t}}]),r}(),qae=V;qae({target:"Number",stat:!0},{isNaN:function(n){return n!==n}});var Yae=te,Xae=Yae.Number.isNaN,Qae=Xae,Jae=Qae,Zae=Jae,Fc=L(Zae),eoe=_e,toe=eoe.isFinite,roe=Number.isFinite||function(n){return typeof n=="number"&&toe(n)},ioe=V,noe=roe;ioe({target:"Number",stat:!0},{isFinite:noe});var aoe=te,ooe=aoe.Number.isFinite,soe=ooe,uoe=soe,loe=uoe,di=L(loe),hoe=V,doe=Zr.some,coe=aa,foe=coe("some");hoe({target:"Array",proto:!0,forced:!foe},{some:function(n){return doe(this,n,arguments.length>1?arguments[1]:void 0)}});var voe=Ve,poe=voe("Array").some,goe=Ie,yoe=poe,wd=Array.prototype,moe=function(r){var n=r.some;return r===wd||goe(wd,r)&&n===wd.some?yoe:n},boe=moe,$oe=boe,woe=$oe,_oe=L(woe),Eoe=te,Soe=Eoe.Object.getOwnPropertySymbols,Ooe=Soe,Toe=Ooe,Poe=Toe,Kr=L(Poe),eO={exports:{}},Ioe=V,koe=ee,Coe=hr,tO=Yn.f,rO=He,xoe=!rO||koe(function(){tO(1)});Ioe({target:"Object",stat:!0,forced:xoe,sham:!rO},{getOwnPropertyDescriptor:function(n,e){return tO(Coe(n),e)}});var Aoe=te,iO=Aoe.Object,Roe=eO.exports=function(n,e){return iO.getOwnPropertyDescriptor(n,e)};iO.getOwnPropertyDescriptor.sham&&(Roe.sham=!0);var Doe=eO.exports,Moe=Doe,nO=Moe,Noe=nO,ti=L(Noe),Foe=V,Boe=He,Loe=eZ,joe=hr,zoe=Yn,Hoe=na;Foe({target:"Object",stat:!0,sham:!Boe},{getOwnPropertyDescriptors:function(n){for(var e=joe(n),t=zoe.f,i=Loe(e),a={},o=0,s,u;i.length>o;)u=t(e,s=i[o++]),u!==void 0&&Hoe(a,s,u);return a}});var Woe=te,Uoe=Woe.Object.getOwnPropertyDescriptors,Voe=Uoe,Goe=Voe,Koe=Goe,qr=L(Koe),aO={exports:{}},qoe=V,Yoe=He,Db=el.f;qoe({target:"Object",stat:!0,forced:Object.defineProperties!==Db,sham:!Yoe},{defineProperties:Db});var Xoe=te,oO=Xoe.Object,Qoe=aO.exports=function(n,e){return oO.defineProperties(n,e)};oO.defineProperties.sham&&(Qoe.sham=!0);var Joe=aO.exports,Zoe=Joe,ese=Zoe,tse=ese,gl=L(tse),rse=hE,yl=L(rse);function ml(r,n,e){return n=WE(n),n in r?nl(r,n,{value:e,enumerable:!0,configurable:!0,writable:!0}):r[n]=e,r}var sO=_e,ise=ee,nse=re,ase=dr,ose=tS.trim,sse=Qf,use=nse("".charAt),fu=sO.parseFloat,Mb=sO.Symbol,Nb=Mb&&Mb.iterator,lse=1/fu(sse+"-0")!==-1/0||Nb&&!ise(function(){fu(Object(Nb))}),hse=lse?function(n){var e=ose(ase(n)),t=fu(e);return t===0&&use(e,0)==="-"?-0:t}:fu,dse=V,Fb=hse;dse({global:!0,forced:parseFloat!==Fb},{parseFloat:Fb});var cse=te,fse=cse.parseFloat,vse=fse,pse=vse,gse=pse,uO=L(gse),yse=V,mse=ee,bse=al.f,$se=mse(function(){return!Object.getOwnPropertyNames(1)});yse({target:"Object",stat:!0,forced:$se},{getOwnPropertyNames:bse});var wse=te,_se=wse.Object,Ese=function(n){return _se.getOwnPropertyNames(n)},Sse=Ese,Ose=Sse,Tse=Ose,Pse=L(Tse);function pv(r,n){var e=["node","edge","label"],t=!0,i=Dr(n,"chosen");if(typeof i=="boolean")t=i;else if(se(i)==="object"){if(Z(e).call(e,r)===-1)throw new Error("choosify: subOption '"+r+"' should be one of '"+e.join("', '")+"'");var a=Dr(n,["chosen",r]);(typeof a=="boolean"||typeof a=="function")&&(t=a)}return t}function Bc(r,n,e){if(r.width<=0||r.height<=0)return!1;if(e!==void 0){var t={x:n.x-e.x,y:n.y-e.y};if(e.angle!==0){var i=-e.angle,a={x:Math.cos(i)*t.x-Math.sin(i)*t.y,y:Math.sin(i)*t.x+Math.cos(i)*t.y};n=a}else n=t}var o=r.x+r.width,s=r.y+r.width;return r.left<n.x&&o>n.x&&r.top<n.y&&s>n.y}function vu(r){return typeof r=="string"&&r!==""}function lO(r,n,e,t){var i=t.x,a=t.y;if(typeof t.distanceToBorder=="function"){var o=t.distanceToBorder(r,n),s=Math.sin(n)*o,u=Math.cos(n)*o;u===o?(i+=o,a=t.y):s===o?(i=t.x,a-=o):(i+=u,a-=s)}else t.shape.width>t.shape.height?(i=t.x+t.shape.width*.5,a=t.y-e):(i=t.x+e,a=t.y-t.shape.height*.5);return{x:i,y:a}}var Ise=Ve,kse=Ise("Array").values,Cse=kse,xse=Cse,Ase=Li,Rse=Ue,Dse=Ie,Mse=xse,_d=Array.prototype,Nse={DOMTokenList:!0,NodeList:!0},Fse=function(r){var n=r.values;return r===_d||Dse(_d,r)&&n===_d.values||Rse(Nse,Ase(r))?Mse:n},Bse=Fse,hO=L(Bse),Lse=function(){function r(n){C(this,r),this.measureText=n,this.current=0,this.width=0,this.height=0,this.lines=[]}return x(r,[{key:"_add",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:"normal";this.lines[e]===void 0&&(this.lines[e]={width:0,height:0,blocks:[]});var a=t;(t===void 0||t==="")&&(a=" ");var o=this.measureText(a,i),s=Ae({},hO(o));s.text=t,s.width=o.width,s.mod=i,(t===void 0||t==="")&&(s.width=0),this.lines[e].blocks.push(s),this.lines[e].width+=s.width}},{key:"curWidth",value:function(){var e=this.lines[this.current];return e===void 0?0:e.width}},{key:"append",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:"normal";this._add(this.current,e,t)}},{key:"newLine",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:"normal";this._add(this.current,e,t),this.current++}},{key:"determineLineHeights",value:function(){for(var e=0;e<this.lines.length;e++){var t=this.lines[e],i=0;if(t.blocks!==void 0)for(var a=0;a<t.blocks.length;a++){var o=t.blocks[a];i<o.height&&(i=o.height)}t.height=i}}},{key:"determineLabelSize",value:function(){for(var e=0,t=0,i=0;i<this.lines.length;i++){var a=this.lines[i];a.width>e&&(e=a.width),t+=a.height}this.width=e,this.height=t}},{key:"removeEmptyBlocks",value:function(){for(var e=[],t=0;t<this.lines.length;t++){var i=this.lines[t];if(i.blocks.length!==0&&!(t===this.lines.length-1&&i.width===0)){var a={};Ae(a,i),a.blocks=[];for(var o=void 0,s=[],u=0;u<i.blocks.length;u++){var l=i.blocks[u];l.width!==0?s.push(l):o===void 0&&(o=l)}s.length===0&&o!==void 0&&s.push(o),a.blocks=s,e.push(a)}}return e}},{key:"finalize",value:function(){this.determineLineHeights(),this.determineLabelSize();var e=this.removeEmptyBlocks();return{width:this.width,height:this.height,lines:e}}}]),r}(),jse={"<b>":/<b>/,"<i>":/<i>/,"<code>":/<code>/,"</b>":/<\/b>/,"</i>":/<\/i>/,"</code>":/<\/code>/,"*":/\*/,_:/_/,"`":/`/,afterBold:/[^*]/,afterItal:/[^_]/,afterMono:/[^`]/},Bb=function(){function r(n){C(this,r),this.text=n,this.bold=!1,this.ital=!1,this.mono=!1,this.spacing=!1,this.position=0,this.buffer="",this.modStack=[],this.blocks=[]}return x(r,[{key:"mod",value:function(){return this.modStack.length===0?"normal":this.modStack[0]}},{key:"modName",value:function(){if(this.modStack.length===0)return"normal";if(this.modStack[0]==="mono")return"mono";if(this.bold&&this.ital)return"boldital";if(this.bold)return"bold";if(this.ital)return"ital"}},{key:"emitBlock",value:function(){this.spacing&&(this.add(" "),this.spacing=!1),this.buffer.length>0&&(this.blocks.push({text:this.buffer,mod:this.modName()}),this.buffer="")}},{key:"add",value:function(e){e===" "&&(this.spacing=!0),this.spacing&&(this.buffer+=" ",this.spacing=!1),e!=" "&&(this.buffer+=e)}},{key:"parseWS",value:function(e){return/[ \t]/.test(e)?(this.mono?this.add(e):this.spacing=!0,!0):!1}},{key:"setTag",value:function(e){this.emitBlock(),this[e]=!0,this.modStack.unshift(e)}},{key:"unsetTag",value:function(e){this.emitBlock(),this[e]=!1,this.modStack.shift()}},{key:"parseStartTag",value:function(e,t){return!this.mono&&!this[e]&&this.match(t)?(this.setTag(e),!0):!1}},{key:"match",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0,i=this.prepareRegExp(e),a=be(i,2),o=a[0],s=a[1],u=o.test(this.text.substr(this.position,s));return u&&t&&(this.position+=s-1),u}},{key:"parseEndTag",value:function(e,t,i){var a=this.mod()===e;return e==="mono"?a=a&&this.mono:a=a&&!this.mono,a&&this.match(t)?(i!==void 0?(this.position===this.text.length-1||this.match(i,!1))&&this.unsetTag(e):this.unsetTag(e),!0):!1}},{key:"replace",value:function(e,t){return this.match(e)?(this.add(t),this.position+=length-1,!0):!1}},{key:"prepareRegExp",value:function(e){var t,i;if(e instanceof RegExp)i=e,t=1;else{var a=jse[e];a!==void 0?i=a:i=new RegExp(e),t=e.length}return[i,t]}}]),r}(),zse=function(){function r(n,e,t,i){var a=this;C(this,r),this.ctx=n,this.parent=e,this.selected=t,this.hover=i;var o=function(u,l){if(u===void 0)return 0;var h=a.parent.getFormattingValues(n,t,i,l),d=0;if(u!==""){var c=a.ctx.measureText(u);d=c.width}return{width:d,values:h}};this.lines=new Lse(o)}return x(r,[{key:"process",value:function(e){if(!vu(e))return this.lines.finalize();var t=this.parent.fontOptions;e=e.replace(/\r\n/g,`
`),e=e.replace(/\r/g,`
`);var i=String(e).split(`
`),a=i.length;if(t.multi)for(var o=0;o<a;o++){var s=this.splitBlocks(i[o],t.multi);if(s!==void 0){if(s.length===0){this.lines.newLine("");continue}if(t.maxWdt>0)for(var u=0;u<s.length;u++){var l=s[u].mod,h=s[u].text;this.splitStringIntoLines(h,l,!0)}else for(var d=0;d<s.length;d++){var c=s[d].mod,f=s[d].text;this.lines.append(f,c)}this.lines.newLine()}}else if(t.maxWdt>0)for(var v=0;v<a;v++)this.splitStringIntoLines(i[v]);else for(var p=0;p<a;p++)this.lines.newLine(i[p]);return this.lines.finalize()}},{key:"decodeMarkupSystem",value:function(e){var t="none";return e==="markdown"||e==="md"?t="markdown":(e===!0||e==="html")&&(t="html"),t}},{key:"splitHtmlBlocks",value:function(e){for(var t=new Bb(e),i=function(u){if(/&/.test(u)){var l=t.replace(t.text,"&lt;","<")||t.replace(t.text,"&amp;","&");return l||t.add("&"),!0}return!1};t.position<t.text.length;){var a=t.text.charAt(t.position),o=t.parseWS(a)||/</.test(a)&&(t.parseStartTag("bold","<b>")||t.parseStartTag("ital","<i>")||t.parseStartTag("mono","<code>")||t.parseEndTag("bold","</b>")||t.parseEndTag("ital","</i>")||t.parseEndTag("mono","</code>"))||i(a);o||t.add(a),t.position++}return t.emitBlock(),t.blocks}},{key:"splitMarkdownBlocks",value:function(e){for(var t=this,i=new Bb(e),a=!0,o=function(h){return/\\/.test(h)?(i.position<t.text.length+1&&(i.position++,h=t.text.charAt(i.position),/ \t/.test(h)?i.spacing=!0:(i.add(h),a=!1)),!0):!1};i.position<i.text.length;){var s=i.text.charAt(i.position),u=i.parseWS(s)||o(s)||(a||i.spacing)&&(i.parseStartTag("bold","*")||i.parseStartTag("ital","_")||i.parseStartTag("mono","`"))||i.parseEndTag("bold","*","afterBold")||i.parseEndTag("ital","_","afterItal")||i.parseEndTag("mono","`","afterMono");u||(i.add(s),a=!1),i.position++}return i.emitBlock(),i.blocks}},{key:"splitBlocks",value:function(e,t){var i=this.decodeMarkupSystem(t);if(i==="none")return[{text:e,mod:"normal"}];if(i==="markdown")return this.splitMarkdownBlocks(e);if(i==="html")return this.splitHtmlBlocks(e)}},{key:"overMaxWidth",value:function(e){var t=this.ctx.measureText(e).width;return this.lines.curWidth()+t>this.parent.fontOptions.maxWdt}},{key:"getLongestFit",value:function(e){for(var t="",i=0;i<e.length;){var a=t===""?"":" ",o=t+a+e[i];if(this.overMaxWidth(o))break;t=o,i++}return i}},{key:"getLongestFitWord",value:function(e){for(var t=0;t<e.length&&!this.overMaxWidth(Ye(e).call(e,0,t));)t++;return t}},{key:"splitStringIntoLines",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:"normal",i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1;this.parent.getFormattingValues(this.ctx,this.selected,this.hover,t),e=e.replace(/^( +)/g,"$1\r"),e=e.replace(/([^\r][^ ]*)( +)/g,"$1\r$2\r");for(var a=e.split("\r");a.length>0;){var o=this.getLongestFit(a);if(o===0){var s=a[0],u=this.getLongestFitWord(s);this.lines.newLine(Ye(s).call(s,0,u),t),a[0]=Ye(s).call(s,u)}else{var l=o;a[o-1]===" "?o--:a[l]===" "&&l++;var h=Ye(a).call(a,0,o).join("");o==a.length&&i?this.lines.append(h,t):this.lines.newLine(h,t),a=Ye(a).call(a,l)}}}}]),r}(),fa=["bold","ital","boldital","mono"],dO=function(){function r(n,e){var t=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1;C(this,r),this.body=n,this.pointToSelf=!1,this.baseSize=void 0,this.fontOptions={},this.setOptions(e),this.size={top:0,left:0,width:0,height:0,yLine:0},this.isEdgeLabel=t}return x(r,[{key:"setOptions",value:function(e){if(this.elementOptions=e,this.initFontOptions(e.font),vu(e.label)?this.labelDirty=!0:e.label=void 0,e.font!==void 0&&e.font!==null){if(typeof e.font=="string")this.baseSize=this.fontOptions.size;else if(se(e.font)==="object"){var t=e.font.size;t!==void 0&&(this.baseSize=t)}}}},{key:"initFontOptions",value:function(e){var t=this;if(J(fa,function(i){t.fontOptions[i]={}}),r.parseFontString(this.fontOptions,e)){this.fontOptions.vadjust=0;return}J(e,function(i,a){i!=null&&se(i)!=="object"&&(t.fontOptions[a]=i)})}},{key:"constrain",value:function(e){var t={constrainWidth:!1,maxWdt:-1,minWdt:-1,constrainHeight:!1,minHgt:-1,valign:"middle"},i=Dr(e,"widthConstraint");if(typeof i=="number")t.maxWdt=Number(i),t.minWdt=Number(i);else if(se(i)==="object"){var a=Dr(e,["widthConstraint","maximum"]);typeof a=="number"&&(t.maxWdt=Number(a));var o=Dr(e,["widthConstraint","minimum"]);typeof o=="number"&&(t.minWdt=Number(o))}var s=Dr(e,"heightConstraint");if(typeof s=="number")t.minHgt=Number(s);else if(se(s)==="object"){var u=Dr(e,["heightConstraint","minimum"]);typeof u=="number"&&(t.minHgt=Number(u));var l=Dr(e,["heightConstraint","valign"]);typeof l=="string"&&(l==="top"||l==="bottom")&&(t.valign=l)}return t}},{key:"update",value:function(e,t){this.setOptions(e,!0),this.propagateFonts(t),he(this.fontOptions,this.constrain(t)),this.fontOptions.chooser=pv("label",t)}},{key:"adjustSizes",value:function(e){var t=e?e.right+e.left:0;this.fontOptions.constrainWidth&&(this.fontOptions.maxWdt-=t,this.fontOptions.minWdt-=t);var i=e?e.top+e.bottom:0;this.fontOptions.constrainHeight&&(this.fontOptions.minHgt-=i)}},{key:"addFontOptionsToPile",value:function(e,t){for(var i=0;i<t.length;++i)this.addFontToPile(e,t[i])}},{key:"addFontToPile",value:function(e,t){if(t!==void 0&&!(t.font===void 0||t.font===null)){var i=t.font;e.push(i)}}},{key:"getBasicOptions",value:function(e){for(var t={},i=0;i<e.length;++i){var a=e[i],o={};r.parseFontString(o,a)&&(a=o),J(a,function(s,u){s!==void 0&&(Object.prototype.hasOwnProperty.call(t,u)||(Z(fa).call(fa,u)!==-1?t[u]={}:t[u]=s))})}return t}},{key:"getFontOption",value:function(e,t,i){for(var a,o=0;o<e.length;++o){var s=e[o];if(Object.prototype.hasOwnProperty.call(s,t)){if(a=s[t],a==null)continue;var u={};if(r.parseFontString(u,a)&&(a=u),Object.prototype.hasOwnProperty.call(a,i))return a[i]}}if(Object.prototype.hasOwnProperty.call(this.fontOptions,i))return this.fontOptions[i];throw new Error("Did not find value for multi-font for property: '"+i+"'")}},{key:"getFontOptions",value:function(e,t){for(var i={},a=["color","size","face","mod","vadjust"],o=0;o<a.length;++o){var s=a[o];i[s]=this.getFontOption(e,t,s)}return i}},{key:"propagateFonts",value:function(e){var t=this,i=[];this.addFontOptionsToPile(i,e),this.fontOptions=this.getBasicOptions(i);for(var a=function(){var u=fa[o],l=t.fontOptions[u],h=t.getFontOptions(i,u);J(h,function(d,c){l[c]=d}),l.size=Number(l.size),l.vadjust=Number(l.vadjust)},o=0;o<fa.length;++o)a()}},{key:"draw",value:function(e,t,i,a,o){var s=arguments.length>5&&arguments[5]!==void 0?arguments[5]:"middle";if(this.elementOptions.label!==void 0){var u=this.fontOptions.size*this.body.view.scale;this.elementOptions.label&&u<this.elementOptions.scaling.label.drawThreshold-1||(u>=this.elementOptions.scaling.label.maxVisible&&(u=Number(this.elementOptions.scaling.label.maxVisible)/this.body.view.scale),this.calculateLabelSize(e,a,o,t,i,s),this._drawBackground(e),this._drawText(e,t,this.size.yLine,s,u))}}},{key:"_drawBackground",value:function(e){if(this.fontOptions.background!==void 0&&this.fontOptions.background!=="none"){e.fillStyle=this.fontOptions.background;var t=this.getSize();e.fillRect(t.left,t.top,t.width,t.height)}}},{key:"_drawText",value:function(e,t,i){var a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:"middle",o=arguments.length>4?arguments[4]:void 0,s=this._setAlignment(e,t,i,a),u=be(s,2);t=u[0],i=u[1],e.textAlign="left",t=t-this.size.width/2,this.fontOptions.valign&&this.size.height>this.size.labelHeight&&(this.fontOptions.valign==="top"&&(i-=(this.size.height-this.size.labelHeight)/2),this.fontOptions.valign==="bottom"&&(i+=(this.size.height-this.size.labelHeight)/2));for(var l=0;l<this.lineCount;l++){var h=this.lines[l];if(h&&h.blocks){var d=0;this.isEdgeLabel||this.fontOptions.align==="center"?d+=(this.size.width-h.width)/2:this.fontOptions.align==="right"&&(d+=this.size.width-h.width);for(var c=0;c<h.blocks.length;c++){var f=h.blocks[c];e.font=f.font;var v=this._getColor(f.color,o,f.strokeColor),p=be(v,2),g=p[0],y=p[1];f.strokeWidth>0&&(e.lineWidth=f.strokeWidth,e.strokeStyle=y,e.lineJoin="round"),e.fillStyle=g,f.strokeWidth>0&&e.strokeText(f.text,t+d,i+f.vadjust),e.fillText(f.text,t+d,i+f.vadjust),d+=f.width}i+=h.height}}}},{key:"_setAlignment",value:function(e,t,i,a){if(this.isEdgeLabel&&this.fontOptions.align!=="horizontal"&&this.pointToSelf===!1){t=0,i=0;var o=2;this.fontOptions.align==="top"?(e.textBaseline="alphabetic",i-=2*o):this.fontOptions.align==="bottom"?(e.textBaseline="hanging",i+=2*o):e.textBaseline="middle"}else e.textBaseline=a;return[t,i]}},{key:"_getColor",value:function(e,t,i){var a=e||"#000000",o=i||"#ffffff";if(t<=this.elementOptions.scaling.label.drawThreshold){var s=Math.max(0,Math.min(1,1-(this.elementOptions.scaling.label.drawThreshold-t)));a=Ft(a,s),o=Ft(o,s)}return[a,o]}},{key:"getTextSize",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1;return this._processLabel(e,t,i),{width:this.size.width,height:this.size.height,lineCount:this.lineCount}}},{key:"getSize",value:function(){var e=2,t=this.size.left,i=this.size.top-.5*e;if(this.isEdgeLabel){var a=-this.size.width*.5;switch(this.fontOptions.align){case"middle":t=a,i=-this.size.height*.5;break;case"top":t=a,i=-(this.size.height+e);break;case"bottom":t=a,i=e;break}}var o={left:t,top:i,width:this.size.width,height:this.size.height};return o}},{key:"calculateLabelSize",value:function(e,t,i){var a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:0,o=arguments.length>4&&arguments[4]!==void 0?arguments[4]:0,s=arguments.length>5&&arguments[5]!==void 0?arguments[5]:"middle";this._processLabel(e,t,i),this.size.left=a-this.size.width*.5,this.size.top=o-this.size.height*.5,this.size.yLine=o+(1-this.lineCount)*.5*this.fontOptions.size,s==="hanging"&&(this.size.top+=.5*this.fontOptions.size,this.size.top+=4,this.size.yLine+=4)}},{key:"getFormattingValues",value:function(e,t,i,a){var o=function(h,d,c){return d==="normal"?c==="mod"?"":h[c]:h[d][c]!==void 0?h[d][c]:h[c]},s={color:o(this.fontOptions,a,"color"),size:o(this.fontOptions,a,"size"),face:o(this.fontOptions,a,"face"),mod:o(this.fontOptions,a,"mod"),vadjust:o(this.fontOptions,a,"vadjust"),strokeWidth:this.fontOptions.strokeWidth,strokeColor:this.fontOptions.strokeColor};(t||i)&&(a==="normal"&&this.fontOptions.chooser===!0&&this.elementOptions.labelHighlightBold?s.mod="bold":typeof this.fontOptions.chooser=="function"&&this.fontOptions.chooser(s,this.elementOptions.id,t,i));var u="";return s.mod!==void 0&&s.mod!==""&&(u+=s.mod+" "),u+=s.size+"px "+s.face,e.font=u.replace(/"/g,""),s.font=e.font,s.height=s.size,s}},{key:"differentState",value:function(e,t){return e!==this.selectedState||t!==this.hoverState}},{key:"_processLabelText",value:function(e,t,i,a){var o=new zse(e,this,t,i);return o.process(a)}},{key:"_processLabel",value:function(e,t,i){if(!(this.labelDirty===!1&&!this.differentState(t,i))){var a=this._processLabelText(e,t,i,this.elementOptions.label);this.fontOptions.minWdt>0&&a.width<this.fontOptions.minWdt&&(a.width=this.fontOptions.minWdt),this.size.labelHeight=a.height,this.fontOptions.minHgt>0&&a.height<this.fontOptions.minHgt&&(a.height=this.fontOptions.minHgt),this.lines=a.lines,this.lineCount=a.lines.length,this.size.width=a.width,this.size.height=a.height,this.selectedState=t,this.hoverState=i,this.labelDirty=!1}}},{key:"visible",value:function(){if(this.size.width===0||this.size.height===0||this.elementOptions.label===void 0)return!1;var e=this.fontOptions.size*this.body.view.scale;return!(e<this.elementOptions.scaling.label.drawThreshold-1)}}],[{key:"parseFontString",value:function(e,t){if(!t||typeof t!="string")return!1;var i=t.split(" ");return e.size=+i[0].replace("px",""),e.face=i[1],e.color=i[2],!0}}]),r}(),Hse=rl,Wse=Jn,Use=TypeError,Vse=function(r){if(Hse(r))return r;throw new Use(Wse(r)+" is not a constructor")},Gse=V,Kse=zt,Ed=po,qse=k_,Lb=Vse,Yse=Dt,jb=We,Xse=ta,cO=ee,gv=Kse("Reflect","construct"),Qse=Object.prototype,Jse=[].push,fO=cO(function(){function r(){}return!(gv(function(){},[],r)instanceof r)}),vO=!cO(function(){gv(function(){})}),zb=fO||vO;Gse({target:"Reflect",stat:!0,forced:zb,sham:zb},{construct:function(n,e){Lb(n),Yse(e);var t=arguments.length<3?n:Lb(arguments[2]);if(vO&&!fO)return gv(n,e,t);if(n===t){switch(e.length){case 0:return new n;case 1:return new n(e[0]);case 2:return new n(e[0],e[1]);case 3:return new n(e[0],e[1],e[2]);case 4:return new n(e[0],e[1],e[2],e[3])}var i=[null];return Ed(Jse,i,e),new(Ed(qse,n,i))}var a=t.prototype,o=Xse(jb(a)?a:Qse),s=Ed(n,o,e);return jb(s)?s:o}});var Zse=te,eue=Zse.Reflect.construct,tue=eue,rue=tue,iue=rue,_=L(iue),nue=aS,aue=nue,oue=aue,sue=oue,uue=sue,lue=L(uue),hue=V,due=uK;hue({target:"Object",stat:!0},{setPrototypeOf:due});var cue=te,fue=cue.Object.setPrototypeOf,vue=fue,pue=vue,gue=pue,yue=gue,mue=yue,bue=mue,$ue=bue,Lc=L($ue),wue=C_,_ue=wue,Eue=_ue,Sue=Eue,Oue=Sue,yv=L(Oue);function jc(r,n){var e;return jc=Lc?yv(e=Lc).call(e):function(i,a){return i.__proto__=a,i},jc(r,n)}function ie(r,n){if(typeof n!="function"&&n!==null)throw new TypeError("Super expression must either be null or a function");r.prototype=lue(n&&n.prototype,{constructor:{value:r,writable:!0,configurable:!0}}),nl(r,"prototype",{writable:!1}),n&&jc(r,n)}function Tue(r){if(r===void 0)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return r}function oe(r,n){if(n&&(se(n)==="object"||typeof n=="function"))return n;if(n!==void 0)throw new TypeError("Derived constructors may only return object or undefined");return Tue(r)}var Pue=eS,Iue=Pue,kue=Iue,Cue=kue,xue=Cue,Hb=L(xue);function N(r){var n;return N=Lc?yv(n=Hb).call(n):function(t){return t.__proto__||Hb(t)},N(r)}var Vi=function(){function r(n,e,t){C(this,r),this.body=e,this.labelModule=t,this.setOptions(n),this.top=void 0,this.left=void 0,this.height=void 0,this.width=void 0,this.radius=void 0,this.margin=void 0,this.refreshNeeded=!0,this.boundingBox={top:0,left:0,right:0,bottom:0}}return x(r,[{key:"setOptions",value:function(e){this.options=e}},{key:"_setMargins",value:function(e){this.margin={},this.options.margin&&(se(this.options.margin)=="object"?(this.margin.top=this.options.margin.top,this.margin.right=this.options.margin.right,this.margin.bottom=this.options.margin.bottom,this.margin.left=this.options.margin.left):(this.margin.top=this.options.margin,this.margin.right=this.options.margin,this.margin.bottom=this.options.margin,this.margin.left=this.options.margin)),e.adjustSizes(this.margin)}},{key:"_distanceToBorder",value:function(e,t){var i=this.options.borderWidth;return e&&this.resize(e),Math.min(Math.abs(this.width/2/Math.cos(t)),Math.abs(this.height/2/Math.sin(t)))+i}},{key:"enableShadow",value:function(e,t){t.shadow&&(e.shadowColor=t.shadowColor,e.shadowBlur=t.shadowSize,e.shadowOffsetX=t.shadowX,e.shadowOffsetY=t.shadowY)}},{key:"disableShadow",value:function(e,t){t.shadow&&(e.shadowColor="rgba(0,0,0,0)",e.shadowBlur=0,e.shadowOffsetX=0,e.shadowOffsetY=0)}},{key:"enableBorderDashes",value:function(e,t){if(t.borderDashes!==!1)if(e.setLineDash!==void 0){var i=t.borderDashes;i===!0&&(i=[5,15]),e.setLineDash(i)}else console.warn("setLineDash is not supported in this browser. The dashed borders cannot be used."),this.options.shapeProperties.borderDashes=!1,t.borderDashes=!1}},{key:"disableBorderDashes",value:function(e,t){t.borderDashes!==!1&&(e.setLineDash!==void 0?e.setLineDash([0]):(console.warn("setLineDash is not supported in this browser. The dashed borders cannot be used."),this.options.shapeProperties.borderDashes=!1,t.borderDashes=!1))}},{key:"needsRefresh",value:function(e,t){return this.refreshNeeded===!0?(this.refreshNeeded=!1,!0):this.width===void 0||this.labelModule.differentState(e,t)}},{key:"initContextForDraw",value:function(e,t){var i=t.borderWidth/this.body.view.scale;e.lineWidth=Math.min(this.width,i),e.strokeStyle=t.borderColor,e.fillStyle=t.color}},{key:"performStroke",value:function(e,t){var i=t.borderWidth/this.body.view.scale;e.save(),i>0&&(this.enableBorderDashes(e,t),e.stroke(),this.disableBorderDashes(e,t)),e.restore()}},{key:"performFill",value:function(e,t){e.save(),e.fillStyle=t.color,this.enableShadow(e,t),Ro(e).call(e),this.disableShadow(e,t),e.restore(),this.performStroke(e,t)}},{key:"_addBoundingBoxMargin",value:function(e){this.boundingBox.left-=e,this.boundingBox.top-=e,this.boundingBox.bottom+=e,this.boundingBox.right+=e}},{key:"_updateBoundingBox",value:function(e,t,i,a,o){i!==void 0&&this.resize(i,a,o),this.left=e-this.width/2,this.top=t-this.height/2,this.boundingBox.left=this.left,this.boundingBox.top=this.top,this.boundingBox.bottom=this.top+this.height,this.boundingBox.right=this.left+this.width}},{key:"updateBoundingBox",value:function(e,t,i,a,o){this._updateBoundingBox(e,t,i,a,o)}},{key:"getDimensionsFromLabel",value:function(e,t,i){this.textSize=this.labelModule.getTextSize(e,t,i);var a=this.textSize.width,o=this.textSize.height,s=14;return a===0&&(a=s,o=s),{width:a,height:o}}}]),r}();function Aue(r){var n=Rue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Rue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Due=function(r){ie(e,r);var n=Aue(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o._setMargins(a),o}return x(e,[{key:"resize",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.selected,o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this.hover;if(this.needsRefresh(a,o)){var s=this.getDimensionsFromLabel(i,a,o);this.width=s.width+this.margin.right+this.margin.left,this.height=s.height+this.margin.top+this.margin.bottom,this.radius=this.width/2}}},{key:"draw",value:function(i,a,o,s,u,l){this.resize(i,s,u),this.left=a-this.width/2,this.top=o-this.height/2,this.initContextForDraw(i,l),x_(i,this.left,this.top,this.width,this.height,l.borderRadius),this.performFill(i,l),this.updateBoundingBox(a,o,i,s,u),this.labelModule.draw(i,this.left+this.textSize.width/2+this.margin.left,this.top+this.textSize.height/2+this.margin.top,s,u)}},{key:"updateBoundingBox",value:function(i,a,o,s,u){this._updateBoundingBox(i,a,o,s,u);var l=this.options.shapeProperties.borderRadius;this._addBoundingBoxMargin(l)}},{key:"distanceToBorder",value:function(i,a){i&&this.resize(i);var o=this.options.borderWidth;return Math.min(Math.abs(this.width/2/Math.cos(a)),Math.abs(this.height/2/Math.sin(a)))+o}}]),e}(Vi);function Mue(r){var n=Nue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Nue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var mv=function(r){ie(e,r);var n=Mue(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o.labelOffset=0,o.selected=!1,o}return x(e,[{key:"setOptions",value:function(i,a,o){this.options=i,a===void 0&&o===void 0||this.setImages(a,o)}},{key:"setImages",value:function(i,a){a&&this.selected?(this.imageObj=a,this.imageObjAlt=i):(this.imageObj=i,this.imageObjAlt=a)}},{key:"switchImages",value:function(i){var a=i&&!this.selected||!i&&this.selected;if(this.selected=i,this.imageObjAlt!==void 0&&a){var o=this.imageObj;this.imageObj=this.imageObjAlt,this.imageObjAlt=o}}},{key:"_getImagePadding",value:function(){var i={top:0,right:0,bottom:0,left:0};if(this.options.imagePadding){var a=this.options.imagePadding;se(a)=="object"?(i.top=a.top,i.right=a.right,i.bottom=a.bottom,i.left=a.left):(i.top=a,i.right=a,i.bottom=a,i.left=a)}return i}},{key:"_resizeImage",value:function(){var i,a;if(this.options.shapeProperties.useImageSize===!1){var o=1,s=1;this.imageObj.width&&this.imageObj.height&&(this.imageObj.width>this.imageObj.height?o=this.imageObj.width/this.imageObj.height:s=this.imageObj.height/this.imageObj.width),i=this.options.size*2*o,a=this.options.size*2*s}else{var u=this._getImagePadding();i=this.imageObj.width+u.left+u.right,a=this.imageObj.height+u.top+u.bottom}this.width=i,this.height=a,this.radius=.5*this.width}},{key:"_drawRawCircle",value:function(i,a,o,s){this.initContextForDraw(i,s),Nf(i,a,o,s.size),this.performFill(i,s)}},{key:"_drawImageAtPosition",value:function(i,a){if(this.imageObj.width!=0){i.globalAlpha=a.opacity!==void 0?a.opacity:1,this.enableShadow(i,a);var o=1;this.options.shapeProperties.interpolation===!0&&(o=this.imageObj.width/this.width/this.body.view.scale);var s=this._getImagePadding(),u=this.left+s.left,l=this.top+s.top,h=this.width-s.left-s.right,d=this.height-s.top-s.bottom;this.imageObj.drawImageAtPosition(i,o,u,l,h,d),this.disableShadow(i,a)}}},{key:"_drawImageLabel",value:function(i,a,o,s,u){var l=0;if(this.height!==void 0){l=this.height*.5;var h=this.labelModule.getTextSize(i,s,u);h.lineCount>=1&&(l+=h.height/2)}var d=o+l;this.options.label&&(this.labelOffset=l),this.labelModule.draw(i,a,d,s,u,"hanging")}}]),e}(Vi);function Fue(r){var n=Bue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Bue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Lue=function(r){ie(e,r);var n=Fue(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o._setMargins(a),o}return x(e,[{key:"resize",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.selected,o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this.hover;if(this.needsRefresh(a,o)){var s=this.getDimensionsFromLabel(i,a,o),u=Math.max(s.width+this.margin.right+this.margin.left,s.height+this.margin.top+this.margin.bottom);this.options.size=u/2,this.width=u,this.height=u,this.radius=this.width/2}}},{key:"draw",value:function(i,a,o,s,u,l){this.resize(i,s,u),this.left=a-this.width/2,this.top=o-this.height/2,this._drawRawCircle(i,a,o,l),this.updateBoundingBox(a,o),this.labelModule.draw(i,this.left+this.textSize.width/2+this.margin.left,o,s,u)}},{key:"updateBoundingBox",value:function(i,a){this.boundingBox.top=a-this.options.size,this.boundingBox.left=i-this.options.size,this.boundingBox.right=i+this.options.size,this.boundingBox.bottom=a+this.options.size}},{key:"distanceToBorder",value:function(i){return i&&this.resize(i),this.width*.5}}]),e}(mv);function jue(r){var n=zue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function zue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Hue=function(r){ie(e,r);var n=jue(e);function e(t,i,a,o,s){var u;return C(this,e),u=n.call(this,t,i,a),u.setImages(o,s),u}return x(e,[{key:"resize",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.selected,o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this.hover,s=this.imageObj.src===void 0||this.imageObj.width===void 0||this.imageObj.height===void 0;if(s){var u=this.options.size*2;this.width=u,this.height=u,this.radius=.5*this.width;return}this.needsRefresh(a,o)&&this._resizeImage()}},{key:"draw",value:function(i,a,o,s,u,l){this.switchImages(s),this.resize();var h=a,d=o;this.options.shapeProperties.coordinateOrigin==="top-left"?(this.left=a,this.top=o,h+=this.width/2,d+=this.height/2):(this.left=a-this.width/2,this.top=o-this.height/2),this._drawRawCircle(i,h,d,l),i.save(),i.clip(),this._drawImageAtPosition(i,l),i.restore(),this._drawImageLabel(i,h,d,s,u),this.updateBoundingBox(a,o)}},{key:"updateBoundingBox",value:function(i,a){this.options.shapeProperties.coordinateOrigin==="top-left"?(this.boundingBox.top=a,this.boundingBox.left=i,this.boundingBox.right=i+this.options.size*2,this.boundingBox.bottom=a+this.options.size*2):(this.boundingBox.top=a-this.options.size,this.boundingBox.left=i-this.options.size,this.boundingBox.right=i+this.options.size,this.boundingBox.bottom=a+this.options.size),this.boundingBox.left=Math.min(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=Math.max(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=Math.max(this.boundingBox.bottom,this.boundingBox.bottom+this.labelOffset)}},{key:"distanceToBorder",value:function(i){return i&&this.resize(i),this.width*.5}}]),e}(mv);function Wue(r){var n=Uue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Uue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var ri=function(r){ie(e,r);var n=Wue(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"resize",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.selected,o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this.hover,s=arguments.length>3&&arguments[3]!==void 0?arguments[3]:{size:this.options.size};if(this.needsRefresh(a,o)){var u,l;this.labelModule.getTextSize(i,a,o);var h=2*s.size;this.width=(u=this.customSizeWidth)!==null&&u!==void 0?u:h,this.height=(l=this.customSizeHeight)!==null&&l!==void 0?l:h,this.radius=.5*this.width}}},{key:"_drawShape",value:function(i,a,o,s,u,l,h,d){var c=this;return this.resize(i,l,h,d),this.left=s-this.width/2,this.top=u-this.height/2,this.initContextForDraw(i,d),S9(a)(i,s,u,d.size),this.performFill(i,d),this.options.icon!==void 0&&this.options.icon.code!==void 0&&(i.font=(l?"bold ":"")+this.height/2+"px "+(this.options.icon.face||"FontAwesome"),i.fillStyle=this.options.icon.color||"black",i.textAlign="center",i.textBaseline="middle",i.fillText(this.options.icon.code,s,u)),{drawExternalLabel:function(){if(c.options.label!==void 0){c.labelModule.calculateLabelSize(i,l,h,s,u,"hanging");var v=u+.5*c.height+.5*c.labelModule.size.height;c.labelModule.draw(i,s,v,l,h,"hanging")}c.updateBoundingBox(s,u)}}}},{key:"updateBoundingBox",value:function(i,a){this.boundingBox.top=a-this.options.size,this.boundingBox.left=i-this.options.size,this.boundingBox.right=i+this.options.size,this.boundingBox.bottom=a+this.options.size,this.options.label!==void 0&&this.labelModule.size.width>0&&(this.boundingBox.left=Math.min(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=Math.max(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=Math.max(this.boundingBox.bottom,this.boundingBox.bottom+this.labelModule.size.height))}}]),e}(Vi);function Wb(r,n){var e=me(r);if(Kr){var t=Kr(r);n&&(t=yt(t).call(t,function(i){return ti(r,i).enumerable})),e.push.apply(e,t)}return e}function Vue(r){for(var n=1;n<arguments.length;n++){var e,t,i=arguments[n]!=null?arguments[n]:{};n%2?ue(e=Wb(Object(i),!0)).call(e,function(a){ml(r,a,i[a])}):qr?gl(r,qr(i)):ue(t=Wb(Object(i))).call(t,function(a){yl(r,a,ti(i,a))})}return r}function Gue(r){var n=Kue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Kue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var que=function(r){ie(e,r);var n=Gue(e);function e(t,i,a,o){var s;return C(this,e),s=n.call(this,t,i,a,o),s.ctxRenderer=o,s}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){this.resize(i,s,u,l),this.left=a-this.width/2,this.top=o-this.height/2,i.save();var h=this.ctxRenderer({ctx:i,id:this.options.id,x:a,y:o,state:{selected:s,hover:u},style:Vue({},l),label:this.options.label});if(h.drawNode!=null&&h.drawNode(),i.restore(),h.drawExternalLabel){var d=h.drawExternalLabel;h.drawExternalLabel=function(){i.save(),d(),i.restore()}}return h.nodeDimensions&&(this.customSizeWidth=h.nodeDimensions.width,this.customSizeHeight=h.nodeDimensions.height),h}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function Yue(r){var n=Xue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Xue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Que=function(r){ie(e,r);var n=Yue(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o._setMargins(a),o}return x(e,[{key:"resize",value:function(i,a,o){if(this.needsRefresh(a,o)){var s=this.getDimensionsFromLabel(i,a,o),u=s.width+this.margin.right+this.margin.left;this.width=u,this.height=u,this.radius=this.width/2}}},{key:"draw",value:function(i,a,o,s,u,l){this.resize(i,s,u),this.left=a-this.width/2,this.top=o-this.height/2,this.initContextForDraw(i,l),A_(i,a-this.width/2,o-this.height/2,this.width,this.height),this.performFill(i,l),this.updateBoundingBox(a,o,i,s,u),this.labelModule.draw(i,this.left+this.textSize.width/2+this.margin.left,this.top+this.textSize.height/2+this.margin.top,s,u)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(Vi);function Jue(r){var n=Zue();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Zue(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var ele=function(r){ie(e,r);var n=Jue(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"diamond",4,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function tle(r){var n=rle();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function rle(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var ile=function(r){ie(e,r);var n=tle(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"circle",2,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i){return i&&this.resize(i),this.options.size}}]),e}(ri);function nle(r){var n=ale();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function ale(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Ub=function(r){ie(e,r);var n=nle(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"resize",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.selected,o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this.hover;if(this.needsRefresh(a,o)){var s=this.getDimensionsFromLabel(i,a,o);this.height=s.height*2,this.width=s.width+s.height,this.radius=.5*this.width}}},{key:"draw",value:function(i,a,o,s,u,l){this.resize(i,s,u),this.left=a-this.width*.5,this.top=o-this.height*.5,this.initContextForDraw(i,l),fc(i,this.left,this.top,this.width,this.height),this.performFill(i,l),this.updateBoundingBox(a,o,i,s,u),this.labelModule.draw(i,a,o,s,u)}},{key:"distanceToBorder",value:function(i,a){i&&this.resize(i);var o=this.width*.5,s=this.height*.5,u=Math.sin(a)*o,l=Math.cos(a)*s;return o*s/Math.sqrt(u*u+l*l)}}]),e}(Vi);function ole(r){var n=sle();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function sle(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var ule=function(r){ie(e,r);var n=ole(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o._setMargins(a),o}return x(e,[{key:"resize",value:function(i,a,o){this.needsRefresh(a,o)&&(this.iconSize={width:Number(this.options.icon.size),height:Number(this.options.icon.size)},this.width=this.iconSize.width+this.margin.right+this.margin.left,this.height=this.iconSize.height+this.margin.top+this.margin.bottom,this.radius=.5*this.width)}},{key:"draw",value:function(i,a,o,s,u,l){var h=this;return this.resize(i,s,u),this.options.icon.size=this.options.icon.size||50,this.left=a-this.width/2,this.top=o-this.height/2,this._icon(i,a,o,s,u,l),{drawExternalLabel:function(){if(h.options.label!==void 0){var c=5;h.labelModule.draw(i,h.left+h.iconSize.width/2+h.margin.left,o+h.height/2+c,s)}h.updateBoundingBox(a,o)}}}},{key:"updateBoundingBox",value:function(i,a){if(this.boundingBox.top=a-this.options.icon.size*.5,this.boundingBox.left=i-this.options.icon.size*.5,this.boundingBox.right=i+this.options.icon.size*.5,this.boundingBox.bottom=a+this.options.icon.size*.5,this.options.label!==void 0&&this.labelModule.size.width>0){var o=5;this.boundingBox.left=Math.min(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=Math.max(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=Math.max(this.boundingBox.bottom,this.boundingBox.bottom+this.labelModule.size.height+o)}}},{key:"_icon",value:function(i,a,o,s,u,l){var h=Number(this.options.icon.size);this.options.icon.code!==void 0?(i.font=[this.options.icon.weight!=null?this.options.icon.weight:s?"bold":"",(this.options.icon.weight!=null&&s?5:0)+h+"px",this.options.icon.face].join(" "),i.fillStyle=this.options.icon.color||"black",i.textAlign="center",i.textBaseline="middle",this.enableShadow(i,l),i.fillText(this.options.icon.code,a,o),this.disableShadow(i,l)):console.error("When using the icon shape, you need to define the code in the icon options object. This can be done per node or globally.")}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(Vi);function lle(r){var n=hle();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function hle(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var dle=function(r){ie(e,r);var n=lle(e);function e(t,i,a,o,s){var u;return C(this,e),u=n.call(this,t,i,a),u.setImages(o,s),u}return x(e,[{key:"resize",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.selected,o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this.hover,s=this.imageObj.src===void 0||this.imageObj.width===void 0||this.imageObj.height===void 0;if(s){var u=this.options.size*2;this.width=u,this.height=u;return}this.needsRefresh(a,o)&&this._resizeImage()}},{key:"draw",value:function(i,a,o,s,u,l){i.save(),this.switchImages(s),this.resize();var h=a,d=o;if(this.options.shapeProperties.coordinateOrigin==="top-left"?(this.left=a,this.top=o,h+=this.width/2,d+=this.height/2):(this.left=a-this.width/2,this.top=o-this.height/2),this.options.shapeProperties.useBorderWithImage===!0){var c=this.options.borderWidth,f=this.options.borderWidthSelected||2*this.options.borderWidth,v=(s?f:c)/this.body.view.scale;i.lineWidth=Math.min(this.width,v),i.beginPath();var p=s?this.options.color.highlight.border:u?this.options.color.hover.border:this.options.color.border,g=s?this.options.color.highlight.background:u?this.options.color.hover.background:this.options.color.background;l.opacity!==void 0&&(p=Ft(p,l.opacity),g=Ft(g,l.opacity)),i.strokeStyle=p,i.fillStyle=g,i.rect(this.left-.5*i.lineWidth,this.top-.5*i.lineWidth,this.width+i.lineWidth,this.height+i.lineWidth),Ro(i).call(i),this.performStroke(i,l),i.closePath()}this._drawImageAtPosition(i,l),this._drawImageLabel(i,h,d,s,u),this.updateBoundingBox(a,o),i.restore()}},{key:"updateBoundingBox",value:function(i,a){this.resize(),this.options.shapeProperties.coordinateOrigin==="top-left"?(this.left=i,this.top=a):(this.left=i-this.width/2,this.top=a-this.height/2),this.boundingBox.left=this.left,this.boundingBox.top=this.top,this.boundingBox.bottom=this.top+this.height,this.boundingBox.right=this.left+this.width,this.options.label!==void 0&&this.labelModule.size.width>0&&(this.boundingBox.left=Math.min(this.boundingBox.left,this.labelModule.size.left),this.boundingBox.right=Math.max(this.boundingBox.right,this.labelModule.size.left+this.labelModule.size.width),this.boundingBox.bottom=Math.max(this.boundingBox.bottom,this.boundingBox.bottom+this.labelOffset))}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(mv);function cle(r){var n=fle();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function fle(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var vle=function(r){ie(e,r);var n=cle(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"square",2,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function ple(r){var n=gle();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function gle(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var yle=function(r){ie(e,r);var n=ple(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"hexagon",4,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function mle(r){var n=ble();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function ble(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var $le=function(r){ie(e,r);var n=mle(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"star",4,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function wle(r){var n=_le();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function _le(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Ele=function(r){ie(e,r);var n=wle(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o._setMargins(a),o}return x(e,[{key:"resize",value:function(i,a,o){this.needsRefresh(a,o)&&(this.textSize=this.labelModule.getTextSize(i,a,o),this.width=this.textSize.width+this.margin.right+this.margin.left,this.height=this.textSize.height+this.margin.top+this.margin.bottom,this.radius=.5*this.width)}},{key:"draw",value:function(i,a,o,s,u,l){this.resize(i,s,u),this.left=a-this.width/2,this.top=o-this.height/2,this.enableShadow(i,l),this.labelModule.draw(i,this.left+this.textSize.width/2+this.margin.left,this.top+this.textSize.height/2+this.margin.top,s,u),this.disableShadow(i,l),this.updateBoundingBox(a,o,i,s,u)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(Vi);function Sle(r){var n=Ole();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Ole(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Tle=function(r){ie(e,r);var n=Sle(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"triangle",3,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function Ple(r){var n=Ile();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Ile(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var kle=function(r){ie(e,r);var n=Ple(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"draw",value:function(i,a,o,s,u,l){return this._drawShape(i,"triangleDown",3,a,o,s,u,l)}},{key:"distanceToBorder",value:function(i,a){return this._distanceToBorder(i,a)}}]),e}(ri);function Vb(r,n){var e=me(r);if(Kr){var t=Kr(r);n&&(t=yt(t).call(t,function(i){return ti(r,i).enumerable})),e.push.apply(e,t)}return e}function Gb(r){for(var n=1;n<arguments.length;n++){var e,t,i=arguments[n]!=null?arguments[n]:{};n%2?ue(e=Vb(Object(i),!0)).call(e,function(a){ml(r,a,i[a])}):qr?gl(r,qr(i)):ue(t=Vb(Object(i))).call(t,function(a){yl(r,a,ti(i,a))})}return r}var Pt=function(){function r(n,e,t,i,a,o){C(this,r),this.options=Ur(a),this.globalOptions=a,this.defaultOptions=o,this.body=e,this.edges=[],this.id=void 0,this.imagelist=t,this.grouplist=i,this.x=void 0,this.y=void 0,this.baseSize=this.options.size,this.baseFontSize=this.options.font.size,this.predefinedPosition=!1,this.selected=!1,this.hover=!1,this.labelModule=new dO(this.body,this.options,!1),this.setOptions(n)}return x(r,[{key:"attachEdge",value:function(e){var t;Z(t=this.edges).call(t,e)===-1&&this.edges.push(e)}},{key:"detachEdge",value:function(e){var t,i=Z(t=this.edges).call(t,e);if(i!=-1){var a;br(a=this.edges).call(a,i,1)}}},{key:"setOptions",value:function(e){var t=this.options.shape;if(e){if(typeof e.color<"u"&&(this._localColor=e.color),e.id!==void 0&&(this.id=e.id),this.id===void 0)throw new Error("Node must have an id");r.checkMass(e,this.id),e.x!==void 0&&(e.x===null?(this.x=void 0,this.predefinedPosition=!1):(this.x=Kt(e.x),this.predefinedPosition=!0)),e.y!==void 0&&(e.y===null?(this.y=void 0,this.predefinedPosition=!1):(this.y=Kt(e.y),this.predefinedPosition=!0)),e.size!==void 0&&(this.baseSize=e.size),e.value!==void 0&&(e.value=uO(e.value)),r.parseOptions(this.options,e,!0,this.globalOptions,this.grouplist);var i=[e,this.options,this.defaultOptions];return this.chooser=pv("node",i),this._load_images(),this.updateLabelModule(e),e.opacity!==void 0&&r.checkOpacity(e.opacity)&&(this.options.opacity=e.opacity),this.updateShape(t),e.hidden!==void 0||e.physics!==void 0}}},{key:"_load_images",value:function(){if((this.options.shape==="circularImage"||this.options.shape==="image")&&this.options.image===void 0)throw new Error("Option image must be defined for node type '"+this.options.shape+"'");if(this.options.image!==void 0){if(this.imagelist===void 0)throw new Error("Internal Error: No images provided");if(typeof this.options.image=="string")this.imageObj=this.imagelist.load(this.options.image,this.options.brokenImage,this.id);else{if(this.options.image.unselected===void 0)throw new Error("No unselected image provided");this.imageObj=this.imagelist.load(this.options.image.unselected,this.options.brokenImage,this.id),this.options.image.selected!==void 0?this.imageObjAlt=this.imagelist.load(this.options.image.selected,this.options.brokenImage,this.id):this.imageObjAlt=void 0}}}},{key:"getFormattingValues",value:function(){var e={color:this.options.color.background,opacity:this.options.opacity,borderWidth:this.options.borderWidth,borderColor:this.options.color.border,size:this.options.size,borderDashes:this.options.shapeProperties.borderDashes,borderRadius:this.options.shapeProperties.borderRadius,shadow:this.options.shadow.enabled,shadowColor:this.options.shadow.color,shadowSize:this.options.shadow.size,shadowX:this.options.shadow.x,shadowY:this.options.shadow.y};if(this.selected||this.hover?this.chooser===!0?this.selected?(this.options.borderWidthSelected!=null?e.borderWidth=this.options.borderWidthSelected:e.borderWidth*=2,e.color=this.options.color.highlight.background,e.borderColor=this.options.color.highlight.border,e.shadow=this.options.shadow.enabled):this.hover&&(e.color=this.options.color.hover.background,e.borderColor=this.options.color.hover.border,e.shadow=this.options.shadow.enabled):typeof this.chooser=="function"&&(this.chooser(e,this.options.id,this.selected,this.hover),e.shadow===!1&&(e.shadowColor!==this.options.shadow.color||e.shadowSize!==this.options.shadow.size||e.shadowX!==this.options.shadow.x||e.shadowY!==this.options.shadow.y)&&(e.shadow=!0)):e.shadow=this.options.shadow.enabled,this.options.opacity!==void 0){var t=this.options.opacity;e.borderColor=Ft(e.borderColor,t),e.color=Ft(e.color,t),e.shadowColor=Ft(e.shadowColor,t)}return e}},{key:"updateLabelModule",value:function(e){(this.options.label===void 0||this.options.label===null)&&(this.options.label=""),r.updateGroupOptions(this.options,Gb(Gb({},e),{},{color:e&&e.color||this._localColor||void 0}),this.grouplist);var t=this.grouplist.get(this.options.group,!1),i=[e,this.options,t,this.globalOptions,this.defaultOptions];this.labelModule.update(this.options,i),this.labelModule.baseSize!==void 0&&(this.baseFontSize=this.labelModule.baseSize)}},{key:"updateShape",value:function(e){if(e===this.options.shape&&this.shape)this.shape.setOptions(this.options,this.imageObj,this.imageObjAlt);else switch(this.options.shape){case"box":this.shape=new Due(this.options,this.body,this.labelModule);break;case"circle":this.shape=new Lue(this.options,this.body,this.labelModule);break;case"circularImage":this.shape=new Hue(this.options,this.body,this.labelModule,this.imageObj,this.imageObjAlt);break;case"custom":this.shape=new que(this.options,this.body,this.labelModule,this.options.ctxRenderer);break;case"database":this.shape=new Que(this.options,this.body,this.labelModule);break;case"diamond":this.shape=new ele(this.options,this.body,this.labelModule);break;case"dot":this.shape=new ile(this.options,this.body,this.labelModule);break;case"ellipse":this.shape=new Ub(this.options,this.body,this.labelModule);break;case"icon":this.shape=new ule(this.options,this.body,this.labelModule);break;case"image":this.shape=new dle(this.options,this.body,this.labelModule,this.imageObj,this.imageObjAlt);break;case"square":this.shape=new vle(this.options,this.body,this.labelModule);break;case"hexagon":this.shape=new yle(this.options,this.body,this.labelModule);break;case"star":this.shape=new $le(this.options,this.body,this.labelModule);break;case"text":this.shape=new Ele(this.options,this.body,this.labelModule);break;case"triangle":this.shape=new Tle(this.options,this.body,this.labelModule);break;case"triangleDown":this.shape=new kle(this.options,this.body,this.labelModule);break;default:this.shape=new Ub(this.options,this.body,this.labelModule);break}this.needsRefresh()}},{key:"select",value:function(){this.selected=!0,this.needsRefresh()}},{key:"unselect",value:function(){this.selected=!1,this.needsRefresh()}},{key:"needsRefresh",value:function(){this.shape.refreshNeeded=!0}},{key:"getTitle",value:function(){return this.options.title}},{key:"distanceToBorder",value:function(e,t){return this.shape.distanceToBorder(e,t)}},{key:"isFixed",value:function(){return this.options.fixed.x&&this.options.fixed.y}},{key:"isSelected",value:function(){return this.selected}},{key:"getValue",value:function(){return this.options.value}},{key:"getLabelSize",value:function(){return this.labelModule.size()}},{key:"setValueRange",value:function(e,t,i){if(this.options.value!==void 0){var a=this.options.scaling.customScalingFunction(e,t,i,this.options.value),o=this.options.scaling.max-this.options.scaling.min;if(this.options.scaling.label.enabled===!0){var s=this.options.scaling.label.max-this.options.scaling.label.min;this.options.font.size=this.options.scaling.label.min+a*s}this.options.size=this.options.scaling.min+a*o}else this.options.size=this.baseSize,this.options.font.size=this.baseFontSize;this.updateLabelModule()}},{key:"draw",value:function(e){var t=this.getFormattingValues();return this.shape.draw(e,this.x,this.y,this.selected,this.hover,t)||{}}},{key:"updateBoundingBox",value:function(e){this.shape.updateBoundingBox(this.x,this.y,e)}},{key:"resize",value:function(e){var t=this.getFormattingValues();this.shape.resize(e,this.selected,this.hover,t)}},{key:"getItemsOnPoint",value:function(e){var t=[];return this.labelModule.visible()&&Bc(this.labelModule.getSize(),e)&&t.push({nodeId:this.id,labelId:0}),Bc(this.shape.boundingBox,e)&&t.push({nodeId:this.id}),t}},{key:"isOverlappingWith",value:function(e){return this.shape.left<e.right&&this.shape.left+this.shape.width>e.left&&this.shape.top<e.bottom&&this.shape.top+this.shape.height>e.top}},{key:"isBoundingBoxOverlappingWith",value:function(e){return this.shape.boundingBox.left<e.right&&this.shape.boundingBox.right>e.left&&this.shape.boundingBox.top<e.bottom&&this.shape.boundingBox.bottom>e.top}}],[{key:"checkOpacity",value:function(e){return 0<=e&&e<=1}},{key:"checkCoordinateOrigin",value:function(e){return e===void 0||e==="center"||e==="top-left"}},{key:"updateGroupOptions",value:function(e,t,i){var a;if(i!==void 0){var o=e.group;if(t!==void 0&&t.group!==void 0&&o!==t.group)throw new Error("updateGroupOptions: group values in options don't match.");var s=typeof o=="number"||typeof o=="string"&&o!="";if(s){var u=i.get(o);u.opacity!==void 0&&t.opacity===void 0&&(r.checkOpacity(u.opacity)||(console.error("Invalid option for node opacity. Value must be between 0 and 1, found: "+u.opacity),u.opacity=void 0));var l=yt(a=Pse(t)).call(a,function(h){return t[h]!=null});l.push("font"),du(l,e,u),e.color=Rc(e.color)}}}},{key:"parseOptions",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:{},o=arguments.length>4?arguments[4]:void 0,s=["color","fixed","shadow"];if(du(s,e,t,i),r.checkMass(t),e.opacity!==void 0&&(r.checkOpacity(e.opacity)||(console.error("Invalid option for node opacity. Value must be between 0 and 1, found: "+e.opacity),e.opacity=void 0)),t.opacity!==void 0&&(r.checkOpacity(t.opacity)||(console.error("Invalid option for node opacity. Value must be between 0 and 1, found: "+t.opacity),t.opacity=void 0)),t.shapeProperties&&!r.checkCoordinateOrigin(t.shapeProperties.coordinateOrigin)&&console.error("Invalid option for node coordinateOrigin, found: "+t.shapeProperties.coordinateOrigin),Nt(e,t,"shadow",a),t.color!==void 0&&t.color!==null){var u=Rc(t.color);MS(e.color,u)}else i===!0&&t.color===null&&(e.color=Ur(a.color));t.fixed!==void 0&&t.fixed!==null&&(typeof t.fixed=="boolean"?(e.fixed.x=t.fixed,e.fixed.y=t.fixed):(t.fixed.x!==void 0&&typeof t.fixed.x=="boolean"&&(e.fixed.x=t.fixed.x),t.fixed.y!==void 0&&typeof t.fixed.y=="boolean"&&(e.fixed.y=t.fixed.y))),i===!0&&t.font===null&&(e.font=Ur(a.font)),r.updateGroupOptions(e,t,o),t.scaling!==void 0&&Nt(e.scaling,t.scaling,"label",a.scaling)}},{key:"checkMass",value:function(e,t){if(e.mass!==void 0&&e.mass<=0){var i="";t!==void 0&&(i=" in node id: "+t),console.error("%cNegative or zero mass disallowed"+i+", setting mass to 1.",LS),e.mass=1}}}]),r}();function Cle(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=xle(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function xle(r,n){var e;if(r){if(typeof r=="string")return Kb(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return Kb(r,n)}}function Kb(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var Ale=function(){function r(n,e,t,i){var a,o=this;if(C(this,r),this.body=n,this.images=e,this.groups=t,this.layoutEngine=i,this.body.functions.createNode=O(a=this.create).call(a,this),this.nodesListeners={add:function(u,l){o.add(l.items)},update:function(u,l){o.update(l.items,l.data,l.oldData)},remove:function(u,l){o.remove(l.items)}},this.defaultOptions={borderWidth:1,borderWidthSelected:void 0,brokenImage:void 0,color:{border:"#2B7CE9",background:"#97C2FC",highlight:{border:"#2B7CE9",background:"#D2E5FF"},hover:{border:"#2B7CE9",background:"#D2E5FF"}},opacity:void 0,fixed:{x:!1,y:!1},font:{color:"#343434",size:14,face:"arial",background:"none",strokeWidth:0,strokeColor:"#ffffff",align:"center",vadjust:0,multi:!1,bold:{mod:"bold"},boldital:{mod:"bold italic"},ital:{mod:"italic"},mono:{mod:"",size:15,face:"monospace",vadjust:2}},group:void 0,hidden:!1,icon:{face:"FontAwesome",code:void 0,size:50,color:"#2B7CE9"},image:void 0,imagePadding:{top:0,right:0,bottom:0,left:0},label:void 0,labelHighlightBold:!0,level:void 0,margin:{top:5,right:5,bottom:5,left:5},mass:1,physics:!0,scaling:{min:10,max:30,label:{enabled:!1,min:14,max:30,maxVisible:30,drawThreshold:5},customScalingFunction:function(u,l,h,d){if(l===u)return .5;var c=1/(l-u);return Math.max(0,(d-u)*c)}},shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:10,x:5,y:5},shape:"ellipse",shapeProperties:{borderDashes:!1,borderRadius:6,interpolation:!0,useImageSize:!1,useBorderWithImage:!1,coordinateOrigin:"center"},size:25,title:void 0,value:void 0,x:void 0,y:void 0},this.defaultOptions.mass<=0)throw"Internal error: mass in defaultOptions of NodesHandler may not be zero or negative";this.options=Ur(this.defaultOptions),this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e,t,i=this;this.body.emitter.on("refreshNodes",O(e=this.refresh).call(e,this)),this.body.emitter.on("refresh",O(t=this.refresh).call(t,this)),this.body.emitter.on("destroy",function(){J(i.nodesListeners,function(a,o){i.body.data.nodes&&i.body.data.nodes.off(o,a)}),delete i.body.functions.createNode,delete i.nodesListeners.add,delete i.nodesListeners.update,delete i.nodesListeners.remove,delete i.nodesListeners})}},{key:"setOptions",value:function(e){if(e!==void 0){if(Pt.parseOptions(this.options,e),e.opacity!==void 0&&(Fc(e.opacity)||!di(e.opacity)||e.opacity<0||e.opacity>1?console.error("Invalid option for node opacity. Value must be between 0 and 1, found: "+e.opacity):this.options.opacity=e.opacity),e.shape!==void 0)for(var t in this.body.nodes)Object.prototype.hasOwnProperty.call(this.body.nodes,t)&&this.body.nodes[t].updateShape();if(typeof e.font<"u"||typeof e.widthConstraint<"u"||typeof e.heightConstraint<"u")for(var i=0,a=me(this.body.nodes);i<a.length;i++){var o=a[i];this.body.nodes[o].updateLabelModule(),this.body.nodes[o].needsRefresh()}if(e.size!==void 0)for(var s in this.body.nodes)Object.prototype.hasOwnProperty.call(this.body.nodes,s)&&this.body.nodes[s].needsRefresh();(e.hidden!==void 0||e.physics!==void 0)&&this.body.emitter.emit("_dataChanged")}}},{key:"setData",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,i=this.body.data.nodes;if(h_("id",e))this.body.data.nodes=e;else if(ae(e))this.body.data.nodes=new ru,this.body.data.nodes.add(e);else if(!e)this.body.data.nodes=new ru;else throw new TypeError("Array or DataSet expected");if(i&&J(this.nodesListeners,function(s,u){i.off(u,s)}),this.body.nodes={},this.body.data.nodes){var a=this;J(this.nodesListeners,function(s,u){a.body.data.nodes.on(u,s)});var o=this.body.data.nodes.getIds();this.add(o,!0)}t===!1&&this.body.emitter.emit("_dataChanged")}},{key:"add",value:function(e){for(var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,i,a=[],o=0;o<e.length;o++){i=e[o];var s=this.body.data.nodes.get(i),u=this.create(s);a.push(u),this.body.nodes[i]=u}this.layoutEngine.positionInitially(a),t===!1&&this.body.emitter.emit("_dataChanged")}},{key:"update",value:function(e,t,i){for(var a=this.body.nodes,o=!1,s=0;s<e.length;s++){var u=e[s],l=a[u],h=t[s];l!==void 0?l.setOptions(h)&&(o=!0):(o=!0,l=this.create(h),a[u]=l)}!o&&i!==void 0&&(o=_oe(t).call(t,function(d,c){var f=i[c];return f&&f.level!==d.level})),o===!0?this.body.emitter.emit("_dataChanged"):this.body.emitter.emit("_dataUpdated")}},{key:"remove",value:function(e){for(var t=this.body.nodes,i=0;i<e.length;i++){var a=e[i];delete t[a]}this.body.emitter.emit("_dataChanged")}},{key:"create",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:Pt;return new t(e,this.body,this.images,this.groups,this.options,this.defaultOptions)}},{key:"refresh",value:function(){var e=this,t=arguments.length>0&&arguments[0]!==void 0?arguments[0]:!1;J(this.body.nodes,function(i,a){var o=e.body.data.nodes.get(a);o!==void 0&&(t===!0&&i.setOptions({x:null,y:null}),i.setOptions({fixed:!1}),i.setOptions(o))})}},{key:"getPositions",value:function(e){var t={};if(e!==void 0){if(ae(e)===!0){for(var i=0;i<e.length;i++)if(this.body.nodes[e[i]]!==void 0){var a=this.body.nodes[e[i]];t[e[i]]={x:Math.round(a.x),y:Math.round(a.y)}}}else if(this.body.nodes[e]!==void 0){var o=this.body.nodes[e];t[e]={x:Math.round(o.x),y:Math.round(o.y)}}}else for(var s=0;s<this.body.nodeIndices.length;s++){var u=this.body.nodes[this.body.nodeIndices[s]];t[this.body.nodeIndices[s]]={x:Math.round(u.x),y:Math.round(u.y)}}return t}},{key:"getPosition",value:function(e){if(e==null)throw new TypeError("No id was specified for getPosition method.");if(this.body.nodes[e]==null)throw new ReferenceError("NodeId provided for getPosition does not exist. Provided: ".concat(e));return{x:Math.round(this.body.nodes[e].x),y:Math.round(this.body.nodes[e].y)}}},{key:"storePositions",value:function(){var e=[],t=this.body.data.nodes.getDataSet(),i=Cle(t.get()),a;try{for(i.s();!(a=i.n()).done;){var o=a.value,s=o.id,u=this.body.nodes[s],l=Math.round(u.x),h=Math.round(u.y);(o.x!==l||o.y!==h)&&e.push({id:s,x:l,y:h})}}catch(d){i.e(d)}finally{i.f()}t.update(e)}},{key:"getBoundingBox",value:function(e){if(this.body.nodes[e]!==void 0)return this.body.nodes[e].shape.boundingBox}},{key:"getConnectedNodes",value:function(e,t){var i=[];if(this.body.nodes[e]!==void 0)for(var a=this.body.nodes[e],o={},s=0;s<a.edges.length;s++){var u=a.edges[s];t!=="to"&&u.toId==a.id?o[u.fromId]===void 0&&(i.push(u.fromId),o[u.fromId]=!0):t!=="from"&&u.fromId==a.id&&o[u.toId]===void 0&&(i.push(u.toId),o[u.toId]=!0)}return i}},{key:"getConnectedEdges",value:function(e){var t=[];if(this.body.nodes[e]!==void 0)for(var i=this.body.nodes[e],a=0;a<i.edges.length;a++)t.push(i.edges[a].id);else console.error("NodeId provided for getConnectedEdges does not exist. Provided: ",e);return t}},{key:"moveNode",value:function(e,t,i){var a=this;this.body.nodes[e]!==void 0?(this.body.nodes[e].x=Number(t),this.body.nodes[e].y=Number(i),or(function(){a.body.emitter.emit("startSimulation")},0)):console.error("Node id supplied to moveNode does not exist. Provided: ",e)}}]),r}(),qb=Ue,Rle=function(r){return r!==void 0&&(qb(r,"value")||qb(r,"writable"))},Dle=V,Mle=At,Nle=We,Fle=Dt,Ble=Rle,Lle=Yn,jle=tl;function pO(r,n){var e=arguments.length<3?r:arguments[2],t,i;if(Fle(r)===e)return r[n];if(t=Lle.f(r,n),t)return Ble(t)?t.value:t.get===void 0?void 0:Mle(t.get,e);if(Nle(i=jle(r)))return pO(i,n,e)}Dle({target:"Reflect",stat:!0},{get:pO});var zle=te,Hle=zle.Reflect.get,Wle=Hle,Ule=Wle,Vle=Ule,Gle=Vle,Kle=Gle,qle=Kle,Yle=qle,Yb=L(Yle),Xle=nO,Qle=Xle,Jle=Qle,Zle=Jle,ehe=Zle,the=L(ehe);function rhe(r,n){for(;!Object.prototype.hasOwnProperty.call(r,n)&&(r=N(r),r!==null););return r}function Ls(){if(typeof Reflect<"u"&&Yb){var r;Ls=yv(r=Yb).call(r)}else Ls=function(e,t,i){var a=rhe(e,t);if(a){var o=the(a,t);return o.get?o.get.call(arguments.length<3?e:i):o.value}};return Ls.apply(this,arguments)}var ihe=V,Xb=Math.hypot,nhe=Math.abs,ahe=Math.sqrt,ohe=!!Xb&&Xb(1/0,NaN)!==1/0;ihe({target:"Math",stat:!0,forced:ohe},{hypot:function(n,e){for(var t=0,i=0,a=arguments.length,o=0,s,u;i<a;)s=nhe(arguments[i++]),o<s?(u=o/s,t=t*u*u+1,o=s):s>0?(u=s/o,t+=u*u):t+=s;return o===1/0?1/0:o*ahe(t)}});var she=te,uhe=she.Math.hypot,lhe=uhe,hhe=lhe,dhe=hhe,che=L(dhe);function gO(r){var n=fhe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function fhe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Pe=function(){function r(){C(this,r)}return x(r,null,[{key:"transform",value:function(e,t){ae(e)||(e=[e]);for(var i=t.point.x,a=t.point.y,o=t.angle,s=t.length,u=0;u<e.length;++u){var l=e[u],h=l.x*Math.cos(o)-l.y*Math.sin(o),d=l.x*Math.sin(o)+l.y*Math.cos(o);l.x=i+s*h,l.y=a+s*d}}},{key:"drawPath",value:function(e,t){e.beginPath(),e.moveTo(t[0].x,t[0].y);for(var i=1;i<t.length;++i)e.lineTo(t[i].x,t[i].y);e.closePath()}}]),r}(),vhe=function(r){ie(e,r);var n=gO(e);function e(){return C(this,e),n.apply(this,arguments)}return x(e,null,[{key:"draw",value:function(i,a){if(a.image){i.save(),i.translate(a.point.x,a.point.y),i.rotate(Math.PI/2+a.angle);var o=a.imageWidth!=null?a.imageWidth:a.image.width,s=a.imageHeight!=null?a.imageHeight:a.image.height;a.image.drawImageAtPosition(i,1,-o/2,0,o,s),i.restore()}return!1}}]),e}(Pe),phe=function(r){ie(e,r);var n=gO(e);function e(){return C(this,e),n.apply(this,arguments)}return x(e,null,[{key:"draw",value:function(i,a){var o=[{x:0,y:0},{x:-1,y:.3},{x:-.9,y:0},{x:-1,y:-.3}];return Pe.transform(o,a),Pe.drawPath(i,o),!0}}]),e}(Pe),ghe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:-1,y:0},{x:0,y:.3},{x:-.4,y:0},{x:0,y:-.3}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),yhe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i={x:-.4,y:0};Pe.transform(i,t),e.strokeStyle=e.fillStyle,e.fillStyle="rgba(0, 0, 0, 0)";var a=Math.PI,o=t.angle-a/2,s=t.angle+a/2;return e.beginPath(),e.arc(i.x,i.y,t.length*.4,o,s,!1),e.stroke(),!0}}]),r}(),mhe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i={x:-.3,y:0};Pe.transform(i,t),e.strokeStyle=e.fillStyle,e.fillStyle="rgba(0, 0, 0, 0)";var a=Math.PI,o=t.angle+a/2,s=t.angle+3*a/2;return e.beginPath(),e.arc(i.x,i.y,t.length*.4,o,s,!1),e.stroke(),!0}}]),r}(),bhe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:.02,y:0},{x:-1,y:.3},{x:-1,y:-.3}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),$he=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:0,y:.3},{x:0,y:-.3},{x:-1,y:0}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),whe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i={x:-.4,y:0};return Pe.transform(i,t),Nf(e,i.x,i.y,t.length*.4),!0}}]),r}(),_he=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:0,y:.5},{x:0,y:-.5},{x:-.15,y:-.5},{x:-.15,y:.5}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),Ehe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:0,y:.3},{x:0,y:-.3},{x:-.6,y:-.3},{x:-.6,y:.3}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),She=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:0,y:0},{x:-.5,y:-.3},{x:-1,y:0},{x:-.5,y:.3}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),Ohe=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i=[{x:-1,y:.3},{x:-.5,y:0},{x:-1,y:-.3},{x:0,y:0}];return Pe.transform(i,t),Pe.drawPath(e,i),!0}}]),r}(),yO=function(){function r(){C(this,r)}return x(r,null,[{key:"draw",value:function(e,t){var i;switch(t.type&&(i=t.type.toLowerCase()),i){case"image":return vhe.draw(e,t);case"circle":return whe.draw(e,t);case"box":return Ehe.draw(e,t);case"crow":return ghe.draw(e,t);case"curve":return yhe.draw(e,t);case"diamond":return She.draw(e,t);case"inv_curve":return mhe.draw(e,t);case"triangle":return bhe.draw(e,t);case"inv_triangle":return $he.draw(e,t);case"bar":return _he.draw(e,t);case"vee":return Ohe.draw(e,t);case"arrow":default:return phe.draw(e,t)}}}]),r}();function Qb(r,n){var e=me(r);if(Kr){var t=Kr(r);n&&(t=yt(t).call(t,function(i){return ti(r,i).enumerable})),e.push.apply(e,t)}return e}function Jb(r){for(var n=1;n<arguments.length;n++){var e,t,i=arguments[n]!=null?arguments[n]:{};n%2?ue(e=Qb(Object(i),!0)).call(e,function(a){ml(r,a,i[a])}):qr?gl(r,qr(i)):ue(t=Qb(Object(i))).call(t,function(a){yl(r,a,ti(i,a))})}return r}var mO=function(){function r(n,e,t){C(this,r),this._body=e,this._labelModule=t,this.color={},this.colorDirty=!0,this.hoverWidth=1.5,this.selectionWidth=2,this.setOptions(n),this.fromPoint=this.from,this.toPoint=this.to}return x(r,[{key:"connect",value:function(){this.from=this._body.nodes[this.options.from],this.to=this._body.nodes[this.options.to]}},{key:"cleanup",value:function(){return!1}},{key:"setOptions",value:function(e){this.options=e,this.from=this._body.nodes[this.options.from],this.to=this._body.nodes[this.options.to],this.id=this.options.id}},{key:"drawLine",value:function(e,t,i,a){var o=arguments.length>4&&arguments[4]!==void 0?arguments[4]:this.getViaNode();e.strokeStyle=this.getColor(e,t),e.lineWidth=t.width,t.dashes!==!1?this._drawDashedLine(e,t,o):this._drawLine(e,t,o)}},{key:"_drawLine",value:function(e,t,i,a,o){if(this.from!=this.to)this._line(e,t,i,a,o);else{var s=this._getCircleData(e),u=be(s,3),l=u[0],h=u[1],d=u[2];this._circle(e,t,l,h,d)}}},{key:"_drawDashedLine",value:function(e,t,i,a,o){e.lineCap="round";var s=ae(t.dashes)?t.dashes:[5,5];if(e.setLineDash!==void 0){if(e.save(),e.setLineDash(s),e.lineDashOffset=0,this.from!=this.to)this._line(e,t,i);else{var u=this._getCircleData(e),l=be(u,3),h=l[0],d=l[1],c=l[2];this._circle(e,t,h,d,c)}e.setLineDash([0]),e.lineDashOffset=0,e.restore()}else{if(this.from!=this.to)R_(e,this.from.x,this.from.y,this.to.x,this.to.y,s);else{var f=this._getCircleData(e),v=be(f,3),p=v[0],g=v[1],y=v[2];this._circle(e,t,p,g,y)}this.enableShadow(e,t),e.stroke(),this.disableShadow(e,t)}}},{key:"findBorderPosition",value:function(e,t,i){return this.from!=this.to?this._findBorderPosition(e,t,i):this._findBorderPositionCircle(e,t,i)}},{key:"findBorderPositions",value:function(e){if(this.from!=this.to)return{from:this._findBorderPosition(this.from,e),to:this._findBorderPosition(this.to,e)};var t,i=Ye(t=this._getCircleData(e)).call(t,0,2),a=be(i,2),o=a[0],s=a[1];return{from:this._findBorderPositionCircle(this.from,e,{x:o,y:s,low:.25,high:.6,direction:-1}),to:this._findBorderPositionCircle(this.from,e,{x:o,y:s,low:.6,high:.8,direction:1})}}},{key:"_getCircleData",value:function(e){var t=this.options.selfReference.size;e!==void 0&&this.from.shape.width===void 0&&this.from.shape.resize(e);var i=lO(e,this.options.selfReference.angle,t,this.from);return[i.x,i.y,t]}},{key:"_pointOnCircle",value:function(e,t,i,a){var o=a*2*Math.PI;return{x:e+i*Math.cos(o),y:t-i*Math.sin(o)}}},{key:"_findBorderPositionCircle",value:function(e,t,i){var a=i.x,o=i.y,s=i.low,u=i.high,l=i.direction,h=10,d=this.options.selfReference.size,c=.05,f,v=(s+u)*.5,p=0;this.options.arrowStrikethrough===!0&&(l===-1?p=this.options.endPointOffset.from:l===1&&(p=this.options.endPointOffset.to));var g=0;do{v=(s+u)*.5,f=this._pointOnCircle(a,o,d,v);var y=Math.atan2(e.y-f.y,e.x-f.x),m=e.distanceToBorder(t,y)+p,w=Math.sqrt(Math.pow(f.x-e.x,2)+Math.pow(f.y-e.y,2)),$=m-w;if(Math.abs($)<c)break;$>0?l>0?s=v:u=v:l>0?u=v:s=v,++g}while(s<=u&&g<h);return Jb(Jb({},f),{},{t:v})}},{key:"getLineWidth",value:function(e,t){return e===!0?Math.max(this.selectionWidth,.3/this._body.view.scale):t===!0?Math.max(this.hoverWidth,.3/this._body.view.scale):Math.max(this.options.width,.3/this._body.view.scale)}},{key:"getColor",value:function(e,t){if(t.inheritsColor!==!1){if(t.inheritsColor==="both"&&this.from.id!==this.to.id){var i=e.createLinearGradient(this.from.x,this.from.y,this.to.x,this.to.y),a=this.from.options.color.highlight.border,o=this.to.options.color.highlight.border;return this.from.selected===!1&&this.to.selected===!1?(a=Ft(this.from.options.color.border,t.opacity),o=Ft(this.to.options.color.border,t.opacity)):this.from.selected===!0&&this.to.selected===!1?o=this.to.options.color.border:this.from.selected===!1&&this.to.selected===!0&&(a=this.from.options.color.border),i.addColorStop(0,a),i.addColorStop(1,o),i}return t.inheritsColor==="to"?Ft(this.to.options.color.border,t.opacity):Ft(this.from.options.color.border,t.opacity)}else return Ft(t.color,t.opacity)}},{key:"_circle",value:function(e,t,i,a,o){this.enableShadow(e,t);var s=0,u=Math.PI*2;if(!this.options.selfReference.renderBehindTheNode){var l=this.options.selfReference.angle,h=this.options.selfReference.angle+Math.PI,d=this._findBorderPositionCircle(this.from,e,{x:i,y:a,low:l,high:h,direction:-1}),c=this._findBorderPositionCircle(this.from,e,{x:i,y:a,low:l,high:h,direction:1});s=Math.atan2(d.y-a,d.x-i),u=Math.atan2(c.y-a,c.x-i)}e.beginPath(),e.arc(i,a,o,s,u,!1),e.stroke(),this.disableShadow(e,t)}},{key:"getDistanceToEdge",value:function(e,t,i,a,o,s){if(this.from!=this.to)return this._getDistanceToEdge(e,t,i,a,o,s);var u=this._getCircleData(void 0),l=be(u,3),h=l[0],d=l[1],c=l[2],f=h-o,v=d-s;return Math.abs(Math.sqrt(f*f+v*v)-c)}},{key:"_getDistanceToLine",value:function(e,t,i,a,o,s){var u=i-e,l=a-t,h=u*u+l*l,d=((o-e)*u+(s-t)*l)/h;d>1?d=1:d<0&&(d=0);var c=e+d*u,f=t+d*l,v=c-o,p=f-s;return Math.sqrt(v*v+p*p)}},{key:"getArrowData",value:function(e,t,i,a,o,s){var u,l,h,d,c,f,v,p=s.width;t==="from"?(h=this.from,d=this.to,c=s.fromArrowScale<0,f=Math.abs(s.fromArrowScale),v=s.fromArrowType):t==="to"?(h=this.to,d=this.from,c=s.toArrowScale<0,f=Math.abs(s.toArrowScale),v=s.toArrowType):(h=this.to,d=this.from,c=s.middleArrowScale<0,f=Math.abs(s.middleArrowScale),v=s.middleArrowType);var g=15*f+3*p;if(h!=d){var y=che(h.x-d.x,h.y-d.y),m=g/y;if(t!=="middle")if(this.options.smooth.enabled===!0){var w=this._findBorderPosition(h,e,{via:i}),$=this.getPoint(w.t+m*(t==="from"?1:-1),i);u=Math.atan2(w.y-$.y,w.x-$.x),l=w}else u=Math.atan2(h.y-d.y,h.x-d.x),l=this._findBorderPosition(h,e);else{var E=(c?-m:m)/2,k=this.getPoint(.5+E,i),D=this.getPoint(.5-E,i);u=Math.atan2(k.y-D.y,k.x-D.x),l=this.getPoint(.5,i)}}else{var j=this._getCircleData(e),R=be(j,3),M=R[0],W=R[1],X=R[2];if(t==="from"){var Y=this.options.selfReference.angle,ge=this.options.selfReference.angle+Math.PI,Ge=this._findBorderPositionCircle(this.from,e,{x:M,y:W,low:Y,high:ge,direction:-1});u=Ge.t*-2*Math.PI+1.5*Math.PI+.1*Math.PI,l=Ge}else if(t==="to"){var ke=this.options.selfReference.angle,St=this.options.selfReference.angle+Math.PI,rt=this._findBorderPositionCircle(this.from,e,{x:M,y:W,low:ke,high:St,direction:1});u=rt.t*-2*Math.PI+1.5*Math.PI-1.1*Math.PI,l=rt}else{var Qe=this.options.selfReference.angle/(2*Math.PI);l=this._pointOnCircle(M,W,X,Qe),u=Qe*-2*Math.PI+1.5*Math.PI+.1*Math.PI}}var Ot=l.x-g*.9*Math.cos(u),Je=l.y-g*.9*Math.sin(u),ce={x:Ot,y:Je};return{point:l,core:ce,angle:u,length:g,type:v}}},{key:"drawArrowHead",value:function(e,t,i,a,o){e.strokeStyle=this.getColor(e,t),e.fillStyle=e.strokeStyle,e.lineWidth=t.width;var s=yO.draw(e,o);s&&(this.enableShadow(e,t),Ro(e).call(e),this.disableShadow(e,t))}},{key:"enableShadow",value:function(e,t){t.shadow===!0&&(e.shadowColor=t.shadowColor,e.shadowBlur=t.shadowSize,e.shadowOffsetX=t.shadowX,e.shadowOffsetY=t.shadowY)}},{key:"disableShadow",value:function(e,t){t.shadow===!0&&(e.shadowColor="rgba(0,0,0,0)",e.shadowBlur=0,e.shadowOffsetX=0,e.shadowOffsetY=0)}},{key:"drawBackground",value:function(e,t){if(t.background!==!1){var i={strokeStyle:e.strokeStyle,lineWidth:e.lineWidth,dashes:e.dashes};e.strokeStyle=t.backgroundColor,e.lineWidth=t.backgroundSize,this.setStrokeDashed(e,t.backgroundDashes),e.stroke(),e.strokeStyle=i.strokeStyle,e.lineWidth=i.lineWidth,e.dashes=i.dashes,this.setStrokeDashed(e,t.dashes)}}},{key:"setStrokeDashed",value:function(e,t){if(t!==!1)if(e.setLineDash!==void 0){var i=ae(t)?t:[5,5];e.setLineDash(i)}else console.warn("setLineDash is not supported in this browser. The dashed stroke cannot be used.");else e.setLineDash!==void 0?e.setLineDash([]):console.warn("setLineDash is not supported in this browser. The dashed stroke cannot be used.")}}]),r}();function Zb(r,n){var e=me(r);if(Kr){var t=Kr(r);n&&(t=yt(t).call(t,function(i){return ti(r,i).enumerable})),e.push.apply(e,t)}return e}function e$(r){for(var n=1;n<arguments.length;n++){var e,t,i=arguments[n]!=null?arguments[n]:{};n%2?ue(e=Zb(Object(i),!0)).call(e,function(a){ml(r,a,i[a])}):qr?gl(r,qr(i)):ue(t=Zb(Object(i))).call(t,function(a){yl(r,a,ti(i,a))})}return r}function The(r){var n=Phe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Phe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var bv=function(r){ie(e,r);var n=The(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"_findBorderPositionBezier",value:function(i,a){var o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:this._getViaCoordinates(),s=10,u=.2,l=!1,h=1,d=0,c=this.to,f,v,p=this.options.endPointOffset?this.options.endPointOffset.to:0;i.id===this.from.id&&(c=this.from,l=!0,p=this.options.endPointOffset?this.options.endPointOffset.from:0),this.options.arrowStrikethrough===!1&&(p=0);var g=0;do{v=(d+h)*.5,f=this.getPoint(v,o);var y=Math.atan2(c.y-f.y,c.x-f.x),m=c.distanceToBorder(a,y)+p,w=Math.sqrt(Math.pow(f.x-c.x,2)+Math.pow(f.y-c.y,2)),$=m-w;if(Math.abs($)<u)break;$<0?l===!1?d=v:h=v:l===!1?h=v:d=v,++g}while(d<=h&&g<s);return e$(e$({},f),{},{t:v})}},{key:"_getDistanceToBezierEdge",value:function(i,a,o,s,u,l,h){var d=1e9,c,f,v,p,g,y=i,m=a;for(f=1;f<10;f++)v=.1*f,p=Math.pow(1-v,2)*i+2*v*(1-v)*h.x+Math.pow(v,2)*o,g=Math.pow(1-v,2)*a+2*v*(1-v)*h.y+Math.pow(v,2)*s,f>0&&(c=this._getDistanceToLine(y,m,p,g,u,l),d=c<d?c:d),y=p,m=g;return d}},{key:"_bezierCurve",value:function(i,a,o,s){i.beginPath(),i.moveTo(this.fromPoint.x,this.fromPoint.y),o!=null&&o.x!=null?s!=null&&s.x!=null?i.bezierCurveTo(o.x,o.y,s.x,s.y,this.toPoint.x,this.toPoint.y):i.quadraticCurveTo(o.x,o.y,this.toPoint.x,this.toPoint.y):i.lineTo(this.toPoint.x,this.toPoint.y),this.drawBackground(i,a),this.enableShadow(i,a),i.stroke(),this.disableShadow(i,a)}},{key:"getViaNode",value:function(){return this._getViaCoordinates()}}]),e}(mO);function Ihe(r){var n=khe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function khe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var t$=function(r){ie(e,r);var n=Ihe(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o.via=o.via,o._boundFunction=function(){o.positionBezierNode()},o._body.emitter.on("_repositionBezierNodes",o._boundFunction),o}return x(e,[{key:"setOptions",value:function(i){Ls(N(e.prototype),"setOptions",this).call(this,i);var a=!1;this.options.physics!==i.physics&&(a=!0),this.options=i,this.id=this.options.id,this.from=this._body.nodes[this.options.from],this.to=this._body.nodes[this.options.to],this.setupSupportNode(),this.connect(),a===!0&&(this.via.setOptions({physics:this.options.physics}),this.positionBezierNode())}},{key:"connect",value:function(){this.from=this._body.nodes[this.options.from],this.to=this._body.nodes[this.options.to],this.from===void 0||this.to===void 0||this.options.physics===!1?this.via.setOptions({physics:!1}):this.from.id===this.to.id?this.via.setOptions({physics:!1}):this.via.setOptions({physics:!0})}},{key:"cleanup",value:function(){return this._body.emitter.off("_repositionBezierNodes",this._boundFunction),this.via!==void 0?(delete this._body.nodes[this.via.id],this.via=void 0,!0):!1}},{key:"setupSupportNode",value:function(){if(this.via===void 0){var i="edgeId:"+this.id,a=this._body.functions.createNode({id:i,shape:"circle",physics:!0,hidden:!0});this._body.nodes[i]=a,this.via=a,this.via.parentEdgeId=this.id,this.positionBezierNode()}}},{key:"positionBezierNode",value:function(){this.via!==void 0&&this.from!==void 0&&this.to!==void 0?(this.via.x=.5*(this.from.x+this.to.x),this.via.y=.5*(this.from.y+this.to.y)):this.via!==void 0&&(this.via.x=0,this.via.y=0)}},{key:"_line",value:function(i,a,o){this._bezierCurve(i,a,o)}},{key:"_getViaCoordinates",value:function(){return this.via}},{key:"getViaNode",value:function(){return this.via}},{key:"getPoint",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.via;if(this.from===this.to){var o=this._getCircleData(),s=be(o,3),u=s[0],l=s[1],h=s[2],d=2*Math.PI*(1-i);return{x:u+h*Math.sin(d),y:l+h-h*(1-Math.cos(d))}}else return{x:Math.pow(1-i,2)*this.fromPoint.x+2*i*(1-i)*a.x+Math.pow(i,2)*this.toPoint.x,y:Math.pow(1-i,2)*this.fromPoint.y+2*i*(1-i)*a.y+Math.pow(i,2)*this.toPoint.y}}},{key:"_findBorderPosition",value:function(i,a){return this._findBorderPositionBezier(i,a,this.via)}},{key:"_getDistanceToEdge",value:function(i,a,o,s,u,l){return this._getDistanceToBezierEdge(i,a,o,s,u,l,this.via)}}]),e}(bv);function Che(r){var n=xhe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function xhe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var r$=function(r){ie(e,r);var n=Che(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"_line",value:function(i,a,o){this._bezierCurve(i,a,o)}},{key:"getViaNode",value:function(){return this._getViaCoordinates()}},{key:"_getViaCoordinates",value:function(){var i=this.options.smooth.roundness,a=this.options.smooth.type,o=Math.abs(this.from.x-this.to.x),s=Math.abs(this.from.y-this.to.y);if(a==="discrete"||a==="diagonalCross"){var u,l;o<=s?u=l=i*s:u=l=i*o,this.from.x>this.to.x&&(u=-u),this.from.y>=this.to.y&&(l=-l);var h=this.from.x+u,d=this.from.y+l;return a==="discrete"&&(o<=s?h=o<i*s?this.from.x:h:d=s<i*o?this.from.y:d),{x:h,y:d}}else if(a==="straightCross"){var c=(1-i)*o,f=(1-i)*s;return o<=s?(c=0,this.from.y<this.to.y&&(f=-f)):(this.from.x<this.to.x&&(c=-c),f=0),{x:this.to.x+c,y:this.to.y+f}}else if(a==="horizontal"){var v=(1-i)*o;return this.from.x<this.to.x&&(v=-v),{x:this.to.x+v,y:this.from.y}}else if(a==="vertical"){var p=(1-i)*s;return this.from.y<this.to.y&&(p=-p),{x:this.from.x,y:this.to.y+p}}else if(a==="curvedCW"){o=this.to.x-this.from.x,s=this.from.y-this.to.y;var g=Math.sqrt(o*o+s*s),y=Math.PI,m=Math.atan2(s,o),w=(m+(i*.5+.5)*y)%(2*y);return{x:this.from.x+(i*.5+.5)*g*Math.sin(w),y:this.from.y+(i*.5+.5)*g*Math.cos(w)}}else if(a==="curvedCCW"){o=this.to.x-this.from.x,s=this.from.y-this.to.y;var $=Math.sqrt(o*o+s*s),E=Math.PI,k=Math.atan2(s,o),D=(k+(-i*.5+.5)*E)%(2*E);return{x:this.from.x+(i*.5+.5)*$*Math.sin(D),y:this.from.y+(i*.5+.5)*$*Math.cos(D)}}else{var j,R;o<=s?j=R=i*s:j=R=i*o,this.from.x>this.to.x&&(j=-j),this.from.y>=this.to.y&&(R=-R);var M=this.from.x+j,W=this.from.y+R;return o<=s?this.from.x<=this.to.x?M=this.to.x<M?this.to.x:M:M=this.to.x>M?this.to.x:M:this.from.y>=this.to.y?W=this.to.y>W?this.to.y:W:W=this.to.y<W?this.to.y:W,{x:M,y:W}}}},{key:"_findBorderPosition",value:function(i,a){var o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:{};return this._findBorderPositionBezier(i,a,o.via)}},{key:"_getDistanceToEdge",value:function(i,a,o,s,u,l){var h=arguments.length>6&&arguments[6]!==void 0?arguments[6]:this._getViaCoordinates();return this._getDistanceToBezierEdge(i,a,o,s,u,l,h)}},{key:"getPoint",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this._getViaCoordinates(),o=i,s=Math.pow(1-o,2)*this.fromPoint.x+2*o*(1-o)*a.x+Math.pow(o,2)*this.toPoint.x,u=Math.pow(1-o,2)*this.fromPoint.y+2*o*(1-o)*a.y+Math.pow(o,2)*this.toPoint.y;return{x:s,y:u}}}]),e}(bv);function Ahe(r){var n=Rhe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Rhe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Dhe=function(r){ie(e,r);var n=Ahe(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"_getDistanceToBezierEdge2",value:function(i,a,o,s,u,l,h,d){for(var c=1e9,f=i,v=a,p=[0,0,0,0],g=1;g<10;g++){var y=.1*g;p[0]=Math.pow(1-y,3),p[1]=3*y*Math.pow(1-y,2),p[2]=3*Math.pow(y,2)*(1-y),p[3]=Math.pow(y,3);var m=p[0]*i+p[1]*h.x+p[2]*d.x+p[3]*o,w=p[0]*a+p[1]*h.y+p[2]*d.y+p[3]*s;if(g>0){var $=this._getDistanceToLine(f,v,m,w,u,l);c=$<c?$:c}f=m,v=w}return c}}]),e}(bv);function Mhe(r){var n=Nhe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Nhe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var i$=function(r){ie(e,r);var n=Mhe(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"_line",value:function(i,a,o){var s=o[0],u=o[1];this._bezierCurve(i,a,s,u)}},{key:"_getViaCoordinates",value:function(){var i=this.from.x-this.to.x,a=this.from.y-this.to.y,o,s,u,l,h=this.options.smooth.roundness;return(Math.abs(i)>Math.abs(a)||this.options.smooth.forceDirection===!0||this.options.smooth.forceDirection==="horizontal")&&this.options.smooth.forceDirection!=="vertical"?(s=this.from.y,l=this.to.y,o=this.from.x-h*i,u=this.to.x+h*i):(s=this.from.y-h*a,l=this.to.y+h*a,o=this.from.x,u=this.to.x),[{x:o,y:s},{x:u,y:l}]}},{key:"getViaNode",value:function(){return this._getViaCoordinates()}},{key:"_findBorderPosition",value:function(i,a){return this._findBorderPositionBezier(i,a)}},{key:"_getDistanceToEdge",value:function(i,a,o,s,u,l){var h=arguments.length>6&&arguments[6]!==void 0?arguments[6]:this._getViaCoordinates(),d=be(h,2),c=d[0],f=d[1];return this._getDistanceToBezierEdge2(i,a,o,s,u,l,c,f)}},{key:"getPoint",value:function(i){var a=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this._getViaCoordinates(),o=be(a,2),s=o[0],u=o[1],l=i,h=[Math.pow(1-l,3),3*l*Math.pow(1-l,2),3*Math.pow(l,2)*(1-l),Math.pow(l,3)],d=h[0]*this.fromPoint.x+h[1]*s.x+h[2]*u.x+h[3]*this.toPoint.x,c=h[0]*this.fromPoint.y+h[1]*s.y+h[2]*u.y+h[3]*this.toPoint.y;return{x:d,y:c}}}]),e}(Dhe);function Fhe(r){var n=Bhe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Bhe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var n$=function(r){ie(e,r);var n=Fhe(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"_line",value:function(i,a){i.beginPath(),i.moveTo(this.fromPoint.x,this.fromPoint.y),i.lineTo(this.toPoint.x,this.toPoint.y),this.enableShadow(i,a),i.stroke(),this.disableShadow(i,a)}},{key:"getViaNode",value:function(){}},{key:"getPoint",value:function(i){return{x:(1-i)*this.fromPoint.x+i*this.toPoint.x,y:(1-i)*this.fromPoint.y+i*this.toPoint.y}}},{key:"_findBorderPosition",value:function(i,a){var o=this.to,s=this.from;i.id===this.from.id&&(o=this.from,s=this.to);var u=Math.atan2(o.y-s.y,o.x-s.x),l=o.x-s.x,h=o.y-s.y,d=Math.sqrt(l*l+h*h),c=i.distanceToBorder(a,u),f=(d-c)/d;return{x:(1-f)*s.x+f*o.x,y:(1-f)*s.y+f*o.y,t:0}}},{key:"_getDistanceToEdge",value:function(i,a,o,s,u,l){return this._getDistanceToLine(i,a,o,s,u,l)}}]),e}(mO),$n=function(){function r(n,e,t,i,a){if(C(this,r),e===void 0)throw new Error("No body provided");this.options=Ur(i),this.globalOptions=i,this.defaultOptions=a,this.body=e,this.imagelist=t,this.id=void 0,this.fromId=void 0,this.toId=void 0,this.selected=!1,this.hover=!1,this.labelDirty=!0,this.baseWidth=this.options.width,this.baseFontSize=this.options.font.size,this.from=void 0,this.to=void 0,this.edgeType=void 0,this.connected=!1,this.labelModule=new dO(this.body,this.options,!0),this.setOptions(n)}return x(r,[{key:"setOptions",value:function(e){if(e){var t=typeof e.physics<"u"&&this.options.physics!==e.physics||typeof e.hidden<"u"&&(this.options.hidden||!1)!==(e.hidden||!1)||typeof e.from<"u"&&this.options.from!==e.from||typeof e.to<"u"&&this.options.to!==e.to;r.parseOptions(this.options,e,!0,this.globalOptions),e.id!==void 0&&(this.id=e.id),e.from!==void 0&&(this.fromId=e.from),e.to!==void 0&&(this.toId=e.to),e.title!==void 0&&(this.title=e.title),e.value!==void 0&&(e.value=uO(e.value));var i=[e,this.options,this.defaultOptions];return this.chooser=pv("edge",i),this.updateLabelModule(e),t=this.updateEdgeType()||t,this._setInteractionWidths(),this.connect(),t}}},{key:"getFormattingValues",value:function(){var e=this.options.arrows.to===!0||this.options.arrows.to.enabled===!0,t=this.options.arrows.from===!0||this.options.arrows.from.enabled===!0,i=this.options.arrows.middle===!0||this.options.arrows.middle.enabled===!0,a=this.options.color.inherit,o={toArrow:e,toArrowScale:this.options.arrows.to.scaleFactor,toArrowType:this.options.arrows.to.type,toArrowSrc:this.options.arrows.to.src,toArrowImageWidth:this.options.arrows.to.imageWidth,toArrowImageHeight:this.options.arrows.to.imageHeight,middleArrow:i,middleArrowScale:this.options.arrows.middle.scaleFactor,middleArrowType:this.options.arrows.middle.type,middleArrowSrc:this.options.arrows.middle.src,middleArrowImageWidth:this.options.arrows.middle.imageWidth,middleArrowImageHeight:this.options.arrows.middle.imageHeight,fromArrow:t,fromArrowScale:this.options.arrows.from.scaleFactor,fromArrowType:this.options.arrows.from.type,fromArrowSrc:this.options.arrows.from.src,fromArrowImageWidth:this.options.arrows.from.imageWidth,fromArrowImageHeight:this.options.arrows.from.imageHeight,arrowStrikethrough:this.options.arrowStrikethrough,color:a?void 0:this.options.color.color,inheritsColor:a,opacity:this.options.color.opacity,hidden:this.options.hidden,length:this.options.length,shadow:this.options.shadow.enabled,shadowColor:this.options.shadow.color,shadowSize:this.options.shadow.size,shadowX:this.options.shadow.x,shadowY:this.options.shadow.y,dashes:this.options.dashes,width:this.options.width,background:this.options.background.enabled,backgroundColor:this.options.background.color,backgroundSize:this.options.background.size,backgroundDashes:this.options.background.dashes};if(this.selected||this.hover)if(this.chooser===!0){if(this.selected){var s=this.options.selectionWidth;typeof s=="function"?o.width=s(o.width):typeof s=="number"&&(o.width+=s),o.width=Math.max(o.width,.3/this.body.view.scale),o.color=this.options.color.highlight,o.shadow=this.options.shadow.enabled}else if(this.hover){var u=this.options.hoverWidth;typeof u=="function"?o.width=u(o.width):typeof u=="number"&&(o.width+=u),o.width=Math.max(o.width,.3/this.body.view.scale),o.color=this.options.color.hover,o.shadow=this.options.shadow.enabled}}else typeof this.chooser=="function"&&(this.chooser(o,this.options.id,this.selected,this.hover),o.color!==void 0&&(o.inheritsColor=!1),o.shadow===!1&&(o.shadowColor!==this.options.shadow.color||o.shadowSize!==this.options.shadow.size||o.shadowX!==this.options.shadow.x||o.shadowY!==this.options.shadow.y)&&(o.shadow=!0));else o.shadow=this.options.shadow.enabled,o.width=Math.max(o.width,.3/this.body.view.scale);return o}},{key:"updateLabelModule",value:function(e){var t=[e,this.options,this.globalOptions,this.defaultOptions];this.labelModule.update(this.options,t),this.labelModule.baseSize!==void 0&&(this.baseFontSize=this.labelModule.baseSize)}},{key:"updateEdgeType",value:function(){var e=this.options.smooth,t=!1,i=!0;return this.edgeType!==void 0&&((this.edgeType instanceof t$&&e.enabled===!0&&e.type==="dynamic"||this.edgeType instanceof i$&&e.enabled===!0&&e.type==="cubicBezier"||this.edgeType instanceof r$&&e.enabled===!0&&e.type!=="dynamic"&&e.type!=="cubicBezier"||this.edgeType instanceof n$&&e.type.enabled===!1)&&(i=!1),i===!0&&(t=this.cleanup())),i===!0?e.enabled===!0?e.type==="dynamic"?(t=!0,this.edgeType=new t$(this.options,this.body,this.labelModule)):e.type==="cubicBezier"?this.edgeType=new i$(this.options,this.body,this.labelModule):this.edgeType=new r$(this.options,this.body,this.labelModule):this.edgeType=new n$(this.options,this.body,this.labelModule):this.edgeType.setOptions(this.options),t}},{key:"connect",value:function(){this.disconnect(),this.from=this.body.nodes[this.fromId]||void 0,this.to=this.body.nodes[this.toId]||void 0,this.connected=this.from!==void 0&&this.to!==void 0,this.connected===!0?(this.from.attachEdge(this),this.to.attachEdge(this)):(this.from&&this.from.detachEdge(this),this.to&&this.to.detachEdge(this)),this.edgeType.connect()}},{key:"disconnect",value:function(){this.from&&(this.from.detachEdge(this),this.from=void 0),this.to&&(this.to.detachEdge(this),this.to=void 0),this.connected=!1}},{key:"getTitle",value:function(){return this.title}},{key:"isSelected",value:function(){return this.selected}},{key:"getValue",value:function(){return this.options.value}},{key:"setValueRange",value:function(e,t,i){if(this.options.value!==void 0){var a=this.options.scaling.customScalingFunction(e,t,i,this.options.value),o=this.options.scaling.max-this.options.scaling.min;if(this.options.scaling.label.enabled===!0){var s=this.options.scaling.label.max-this.options.scaling.label.min;this.options.font.size=this.options.scaling.label.min+a*s}this.options.width=this.options.scaling.min+a*o}else this.options.width=this.baseWidth,this.options.font.size=this.baseFontSize;this._setInteractionWidths(),this.updateLabelModule()}},{key:"_setInteractionWidths",value:function(){typeof this.options.hoverWidth=="function"?this.edgeType.hoverWidth=this.options.hoverWidth(this.options.width):this.edgeType.hoverWidth=this.options.hoverWidth+this.options.width,typeof this.options.selectionWidth=="function"?this.edgeType.selectionWidth=this.options.selectionWidth(this.options.width):this.edgeType.selectionWidth=this.options.selectionWidth+this.options.width}},{key:"draw",value:function(e){var t=this.getFormattingValues();if(!t.hidden){var i=this.edgeType.getViaNode();this.edgeType.drawLine(e,t,this.selected,this.hover,i),this.drawLabel(e,i)}}},{key:"drawArrows",value:function(e){var t=this.getFormattingValues();if(!t.hidden){var i=this.edgeType.getViaNode(),a={};this.edgeType.fromPoint=this.edgeType.from,this.edgeType.toPoint=this.edgeType.to,t.fromArrow&&(a.from=this.edgeType.getArrowData(e,"from",i,this.selected,this.hover,t),t.arrowStrikethrough===!1&&(this.edgeType.fromPoint=a.from.core),t.fromArrowSrc&&(a.from.image=this.imagelist.load(t.fromArrowSrc)),t.fromArrowImageWidth&&(a.from.imageWidth=t.fromArrowImageWidth),t.fromArrowImageHeight&&(a.from.imageHeight=t.fromArrowImageHeight)),t.toArrow&&(a.to=this.edgeType.getArrowData(e,"to",i,this.selected,this.hover,t),t.arrowStrikethrough===!1&&(this.edgeType.toPoint=a.to.core),t.toArrowSrc&&(a.to.image=this.imagelist.load(t.toArrowSrc)),t.toArrowImageWidth&&(a.to.imageWidth=t.toArrowImageWidth),t.toArrowImageHeight&&(a.to.imageHeight=t.toArrowImageHeight)),t.middleArrow&&(a.middle=this.edgeType.getArrowData(e,"middle",i,this.selected,this.hover,t),t.middleArrowSrc&&(a.middle.image=this.imagelist.load(t.middleArrowSrc)),t.middleArrowImageWidth&&(a.middle.imageWidth=t.middleArrowImageWidth),t.middleArrowImageHeight&&(a.middle.imageHeight=t.middleArrowImageHeight)),t.fromArrow&&this.edgeType.drawArrowHead(e,t,this.selected,this.hover,a.from),t.middleArrow&&this.edgeType.drawArrowHead(e,t,this.selected,this.hover,a.middle),t.toArrow&&this.edgeType.drawArrowHead(e,t,this.selected,this.hover,a.to)}}},{key:"drawLabel",value:function(e,t){if(this.options.label!==void 0){var i=this.from,a=this.to;this.labelModule.differentState(this.selected,this.hover)&&this.labelModule.getTextSize(e,this.selected,this.hover);var o;if(i.id!=a.id){this.labelModule.pointToSelf=!1,o=this.edgeType.getPoint(.5,t),e.save();var s=this._getRotation(e);s.angle!=0&&(e.translate(s.x,s.y),e.rotate(s.angle)),this.labelModule.draw(e,o.x,o.y,this.selected,this.hover),e.restore()}else{this.labelModule.pointToSelf=!0;var u=lO(e,this.options.selfReference.angle,this.options.selfReference.size,i);o=this._pointOnCircle(u.x,u.y,this.options.selfReference.size,this.options.selfReference.angle),this.labelModule.draw(e,o.x,o.y,this.selected,this.hover)}}}},{key:"getItemsOnPoint",value:function(e){var t=[];if(this.labelModule.visible()){var i=this._getRotation();Bc(this.labelModule.getSize(),e,i)&&t.push({edgeId:this.id,labelId:0})}var a={left:e.x,top:e.y};return this.isOverlappingWith(a)&&t.push({edgeId:this.id}),t}},{key:"isOverlappingWith",value:function(e){if(this.connected){var t=10,i=this.from.x,a=this.from.y,o=this.to.x,s=this.to.y,u=e.left,l=e.top,h=this.edgeType.getDistanceToEdge(i,a,o,s,u,l);return h<t}else return!1}},{key:"_getRotation",value:function(e){var t=this.edgeType.getViaNode(),i=this.edgeType.getPoint(.5,t);e!==void 0&&this.labelModule.calculateLabelSize(e,this.selected,this.hover,i.x,i.y);var a={x:i.x,y:this.labelModule.size.yLine,angle:0};if(!this.labelModule.visible()||this.options.font.align==="horizontal")return a;var o=this.from.y-this.to.y,s=this.from.x-this.to.x,u=Math.atan2(o,s);return(u<-1&&s<0||u>0&&s<0)&&(u+=Math.PI),a.angle=u,a}},{key:"_pointOnCircle",value:function(e,t,i,a){return{x:e+i*Math.cos(a),y:t-i*Math.sin(a)}}},{key:"select",value:function(){this.selected=!0}},{key:"unselect",value:function(){this.selected=!1}},{key:"cleanup",value:function(){return this.edgeType.cleanup()}},{key:"remove",value:function(){this.cleanup(),this.disconnect(),delete this.body.edges[this.id]}},{key:"endPointsValid",value:function(){return this.body.nodes[this.fromId]!==void 0&&this.body.nodes[this.toId]!==void 0}}],[{key:"parseOptions",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:{},o=arguments.length>4&&arguments[4]!==void 0?arguments[4]:!1,s=["endPointOffset","arrowStrikethrough","id","from","hidden","hoverWidth","labelHighlightBold","length","line","opacity","physics","scaling","selectionWidth","selfReferenceSize","selfReference","to","title","value","width","font","chosen","widthConstraint"];if(sa(s,e,t,i),t.endPointOffset!==void 0&&t.endPointOffset.from!==void 0&&(di(t.endPointOffset.from)?e.endPointOffset.from=t.endPointOffset.from:(e.endPointOffset.from=a.endPointOffset.from!==void 0?a.endPointOffset.from:0,console.error("endPointOffset.from is not a valid number"))),t.endPointOffset!==void 0&&t.endPointOffset.to!==void 0&&(di(t.endPointOffset.to)?e.endPointOffset.to=t.endPointOffset.to:(e.endPointOffset.to=a.endPointOffset.to!==void 0?a.endPointOffset.to:0,console.error("endPointOffset.to is not a valid number"))),vu(t.label)?e.label=t.label:vu(e.label)||(e.label=void 0),Nt(e,t,"smooth",a),Nt(e,t,"shadow",a),Nt(e,t,"background",a),t.dashes!==void 0&&t.dashes!==null?e.dashes=t.dashes:i===!0&&t.dashes===null&&(e.dashes=bi(a.dashes)),t.scaling!==void 0&&t.scaling!==null?(t.scaling.min!==void 0&&(e.scaling.min=t.scaling.min),t.scaling.max!==void 0&&(e.scaling.max=t.scaling.max),Nt(e.scaling,t.scaling,"label",a.scaling)):i===!0&&t.scaling===null&&(e.scaling=bi(a.scaling)),t.arrows!==void 0&&t.arrows!==null)if(typeof t.arrows=="string"){var u=t.arrows.toLowerCase();e.arrows.to.enabled=Z(u).call(u,"to")!=-1,e.arrows.middle.enabled=Z(u).call(u,"middle")!=-1,e.arrows.from.enabled=Z(u).call(u,"from")!=-1}else if(se(t.arrows)==="object")Nt(e.arrows,t.arrows,"to",a.arrows),Nt(e.arrows,t.arrows,"middle",a.arrows),Nt(e.arrows,t.arrows,"from",a.arrows);else throw new Error("The arrow newOptions can only be an object or a string. Refer to the documentation. You used:"+Ao(t.arrows));else i===!0&&t.arrows===null&&(e.arrows=bi(a.arrows));if(t.color!==void 0&&t.color!==null){var l=mn(t.color)?{color:t.color,highlight:t.color,hover:t.color,inherit:!1,opacity:1}:t.color,h=e.color;if(o)he(h,a.color,!1,i);else for(var d in h)Object.prototype.hasOwnProperty.call(h,d)&&delete h[d];if(mn(h))h.color=h,h.highlight=h,h.hover=h,h.inherit=!1,l.opacity===void 0&&(h.opacity=1);else{var c=!1;l.color!==void 0&&(h.color=l.color,c=!0),l.highlight!==void 0&&(h.highlight=l.highlight,c=!0),l.hover!==void 0&&(h.hover=l.hover,c=!0),l.inherit!==void 0&&(h.inherit=l.inherit),l.opacity!==void 0&&(h.opacity=Math.min(1,Math.max(0,l.opacity))),c===!0?h.inherit=!1:h.inherit===void 0&&(h.inherit="from")}}else i===!0&&t.color===null&&(e.color=Ur(a.color));i===!0&&t.font===null&&(e.font=Ur(a.font)),Object.prototype.hasOwnProperty.call(t,"selfReferenceSize")&&(console.warn("The selfReferenceSize property has been deprecated. Please use selfReference property instead. The selfReference can be set like thise selfReference:{size:30, angle:Math.PI / 4}"),e.selfReference.size=t.selfReferenceSize)}}]),r}(),Lhe=function(){function r(n,e,t){var i,a=this;C(this,r),this.body=n,this.images=e,this.groups=t,this.body.functions.createEdge=O(i=this.create).call(i,this),this.edgesListeners={add:function(s,u){a.add(u.items)},update:function(s,u){a.update(u.items)},remove:function(s,u){a.remove(u.items)}},this.options={},this.defaultOptions={arrows:{to:{enabled:!1,scaleFactor:1,type:"arrow"},middle:{enabled:!1,scaleFactor:1,type:"arrow"},from:{enabled:!1,scaleFactor:1,type:"arrow"}},endPointOffset:{from:0,to:0},arrowStrikethrough:!0,color:{color:"#848484",highlight:"#848484",hover:"#848484",inherit:"from",opacity:1},dashes:!1,font:{color:"#343434",size:14,face:"arial",background:"none",strokeWidth:2,strokeColor:"#ffffff",align:"horizontal",multi:!1,vadjust:0,bold:{mod:"bold"},boldital:{mod:"bold italic"},ital:{mod:"italic"},mono:{mod:"",size:15,face:"courier new",vadjust:2}},hidden:!1,hoverWidth:1.5,label:void 0,labelHighlightBold:!0,length:void 0,physics:!0,scaling:{min:1,max:15,label:{enabled:!0,min:14,max:30,maxVisible:30,drawThreshold:5},customScalingFunction:function(s,u,l,h){if(u===s)return .5;var d=1/(u-s);return Math.max(0,(h-s)*d)}},selectionWidth:1.5,selfReference:{size:20,angle:Math.PI/4,renderBehindTheNode:!0},shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:10,x:5,y:5},background:{enabled:!1,color:"rgba(111,111,111,1)",size:10,dashes:!1},smooth:{enabled:!0,type:"dynamic",forceDirection:"none",roundness:.5},title:void 0,width:1,value:void 0},he(this.options,this.defaultOptions),this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e=this,t,i;this.body.emitter.on("_forceDisableDynamicCurves",function(a){var o=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;a==="dynamic"&&(a="continuous");var s=!1;for(var u in e.body.edges)if(Object.prototype.hasOwnProperty.call(e.body.edges,u)){var l=e.body.edges[u],h=e.body.data.edges.get(u);if(h!=null){var d=h.smooth;d!==void 0&&d.enabled===!0&&d.type==="dynamic"&&(a===void 0?l.setOptions({smooth:!1}):l.setOptions({smooth:{type:a}}),s=!0)}}o===!0&&s===!0&&e.body.emitter.emit("_dataChanged")}),this.body.emitter.on("_dataUpdated",function(){e.reconnectEdges()}),this.body.emitter.on("refreshEdges",O(t=this.refresh).call(t,this)),this.body.emitter.on("refresh",O(i=this.refresh).call(i,this)),this.body.emitter.on("destroy",function(){J(e.edgesListeners,function(a,o){e.body.data.edges&&e.body.data.edges.off(o,a)}),delete e.body.functions.createEdge,delete e.edgesListeners.add,delete e.edgesListeners.update,delete e.edgesListeners.remove,delete e.edgesListeners})}},{key:"setOptions",value:function(e){if(e!==void 0){$n.parseOptions(this.options,e,!0,this.defaultOptions,!0);var t=!1;if(e.smooth!==void 0)for(var i in this.body.edges)Object.prototype.hasOwnProperty.call(this.body.edges,i)&&(t=this.body.edges[i].updateEdgeType()||t);if(e.font!==void 0)for(var a in this.body.edges)Object.prototype.hasOwnProperty.call(this.body.edges,a)&&this.body.edges[a].updateLabelModule();(e.hidden!==void 0||e.physics!==void 0||t===!0)&&this.body.emitter.emit("_dataChanged")}}},{key:"setData",value:function(e){var t=this,i=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,a=this.body.data.edges;if(h_("id",e))this.body.data.edges=e;else if(ae(e))this.body.data.edges=new ru,this.body.data.edges.add(e);else if(!e)this.body.data.edges=new ru;else throw new TypeError("Array or DataSet expected");if(a&&J(this.edgesListeners,function(s,u){a.off(u,s)}),this.body.edges={},this.body.data.edges){J(this.edgesListeners,function(s,u){t.body.data.edges.on(u,s)});var o=this.body.data.edges.getIds();this.add(o,!0)}this.body.emitter.emit("_adjustEdgesForHierarchicalLayout"),i===!1&&this.body.emitter.emit("_dataChanged")}},{key:"add",value:function(e){for(var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,i=this.body.edges,a=this.body.data.edges,o=0;o<e.length;o++){var s=e[o],u=i[s];u&&u.disconnect();var l=a.get(s,{showInternalIds:!0});i[s]=this.create(l)}this.body.emitter.emit("_adjustEdgesForHierarchicalLayout"),t===!1&&this.body.emitter.emit("_dataChanged")}},{key:"update",value:function(e){for(var t=this.body.edges,i=this.body.data.edges,a=!1,o=0;o<e.length;o++){var s=e[o],u=i.get(s),l=t[s];l!==void 0?(l.disconnect(),a=l.setOptions(u)||a,l.connect()):(this.body.edges[s]=this.create(u),a=!0)}a===!0?(this.body.emitter.emit("_adjustEdgesForHierarchicalLayout"),this.body.emitter.emit("_dataChanged")):this.body.emitter.emit("_dataUpdated")}},{key:"remove",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;if(e.length!==0){var i=this.body.edges;J(e,function(a){var o=i[a];o!==void 0&&o.remove()}),t&&this.body.emitter.emit("_dataChanged")}}},{key:"refresh",value:function(){var e=this;J(this.body.edges,function(t,i){var a=e.body.data.edges.get(i);a!==void 0&&t.setOptions(a)})}},{key:"create",value:function(e){return new $n(e,this.body,this.images,this.options,this.defaultOptions)}},{key:"reconnectEdges",value:function(){var e,t=this.body.nodes,i=this.body.edges;for(e in t)Object.prototype.hasOwnProperty.call(t,e)&&(t[e].edges=[]);for(e in i)if(Object.prototype.hasOwnProperty.call(i,e)){var a=i[e];a.from=null,a.to=null,a.connect()}}},{key:"getConnectedNodes",value:function(e){var t=[];if(this.body.edges[e]!==void 0){var i=this.body.edges[e];i.fromId!==void 0&&t.push(i.fromId),i.toId!==void 0&&t.push(i.toId)}return t}},{key:"_updateState",value:function(){this._addMissingEdges(),this._removeInvalidEdges()}},{key:"_removeInvalidEdges",value:function(){var e=this,t=[];J(this.body.edges,function(i,a){var o=e.body.nodes[i.toId],s=e.body.nodes[i.fromId];o!==void 0&&o.isCluster===!0||s!==void 0&&s.isCluster===!0||(o===void 0||s===void 0)&&t.push(a)}),this.remove(t,!1)}},{key:"_addMissingEdges",value:function(){var e=this.body.data.edges;if(e!=null){var t=this.body.edges,i=[];ue(e).call(e,function(a,o){var s=t[o];s===void 0&&i.push(o)}),this.add(i,!0)}}}]),r}(),bO=function(){function r(n,e,t){C(this,r),this.body=n,this.physicsBody=e,this.barnesHutTree,this.setOptions(t),this._rng=vl("BARNES HUT SOLVER")}return x(r,[{key:"setOptions",value:function(e){this.options=e,this.thetaInversed=1/this.options.theta,this.overlapAvoidanceFactor=1-Math.max(0,Math.min(1,this.options.avoidOverlap))}},{key:"solve",value:function(){if(this.options.gravitationalConstant!==0&&this.physicsBody.physicsNodeIndices.length>0){var e,t=this.body.nodes,i=this.physicsBody.physicsNodeIndices,a=i.length,o=this._formBarnesHutTree(t,i);this.barnesHutTree=o;for(var s=0;s<a;s++)e=t[i[s]],e.options.mass>0&&this._getForceContributions(o.root,e)}}},{key:"_getForceContributions",value:function(e,t){this._getForceContribution(e.children.NW,t),this._getForceContribution(e.children.NE,t),this._getForceContribution(e.children.SW,t),this._getForceContribution(e.children.SE,t)}},{key:"_getForceContribution",value:function(e,t){if(e.childrenCount>0){var i=e.centerOfMass.x-t.x,a=e.centerOfMass.y-t.y,o=Math.sqrt(i*i+a*a);o*e.calcSize>this.thetaInversed?this._calculateForces(o,i,a,t,e):e.childrenCount===4?this._getForceContributions(e,t):e.children.data.id!=t.id&&this._calculateForces(o,i,a,t,e)}}},{key:"_calculateForces",value:function(e,t,i,a,o){e===0&&(e=.1,t=e),this.overlapAvoidanceFactor<1&&a.shape.radius&&(e=Math.max(.1+this.overlapAvoidanceFactor*a.shape.radius,e-a.shape.radius));var s=this.options.gravitationalConstant*o.mass*a.options.mass/Math.pow(e,3),u=t*s,l=i*s;this.physicsBody.forces[a.id].x+=u,this.physicsBody.forces[a.id].y+=l}},{key:"_formBarnesHutTree",value:function(e,t){for(var i,a=t.length,o=e[t[0]].x,s=e[t[0]].y,u=e[t[0]].x,l=e[t[0]].y,h=1;h<a;h++){var d=e[t[h]],c=d.x,f=d.y;d.options.mass>0&&(c<o&&(o=c),c>u&&(u=c),f<s&&(s=f),f>l&&(l=f))}var v=Math.abs(u-o)-Math.abs(l-s);v>0?(s-=.5*v,l+=.5*v):(o+=.5*v,u-=.5*v);var p=1e-5,g=Math.max(p,Math.abs(u-o)),y=.5*g,m=.5*(o+u),w=.5*(s+l),$={root:{centerOfMass:{x:0,y:0},mass:0,range:{minX:m-y,maxX:m+y,minY:w-y,maxY:w+y},size:g,calcSize:1/g,children:{data:null},maxWidth:0,level:0,childrenCount:4}};this._splitBranch($.root);for(var E=0;E<a;E++)i=e[t[E]],i.options.mass>0&&this._placeInTree($.root,i);return $}},{key:"_updateBranchMass",value:function(e,t){var i=e.centerOfMass,a=e.mass+t.options.mass,o=1/a;i.x=i.x*e.mass+t.x*t.options.mass,i.x*=o,i.y=i.y*e.mass+t.y*t.options.mass,i.y*=o,e.mass=a;var s=Math.max(Math.max(t.height,t.radius),t.width);e.maxWidth=e.maxWidth<s?s:e.maxWidth}},{key:"_placeInTree",value:function(e,t,i){(i!=!0||i===void 0)&&this._updateBranchMass(e,t);var a=e.children.NW.range,o;a.maxX>t.x?a.maxY>t.y?o="NW":o="SW":a.maxY>t.y?o="NE":o="SE",this._placeInRegion(e,t,o)}},{key:"_placeInRegion",value:function(e,t,i){var a=e.children[i];switch(a.childrenCount){case 0:a.children.data=t,a.childrenCount=1,this._updateBranchMass(a,t);break;case 1:a.children.data.x===t.x&&a.children.data.y===t.y?(t.x+=this._rng(),t.y+=this._rng()):(this._splitBranch(a),this._placeInTree(a,t));break;case 4:this._placeInTree(a,t);break}}},{key:"_splitBranch",value:function(e){var t=null;e.childrenCount===1&&(t=e.children.data,e.mass=0,e.centerOfMass.x=0,e.centerOfMass.y=0),e.childrenCount=4,e.children.data=null,this._insertRegion(e,"NW"),this._insertRegion(e,"NE"),this._insertRegion(e,"SW"),this._insertRegion(e,"SE"),t!=null&&this._placeInTree(e,t)}},{key:"_insertRegion",value:function(e,t){var i,a,o,s,u=.5*e.size;switch(t){case"NW":i=e.range.minX,a=e.range.minX+u,o=e.range.minY,s=e.range.minY+u;break;case"NE":i=e.range.minX+u,a=e.range.maxX,o=e.range.minY,s=e.range.minY+u;break;case"SW":i=e.range.minX,a=e.range.minX+u,o=e.range.minY+u,s=e.range.maxY;break;case"SE":i=e.range.minX+u,a=e.range.maxX,o=e.range.minY+u,s=e.range.maxY;break}e.children[t]={centerOfMass:{x:0,y:0},mass:0,range:{minX:i,maxX:a,minY:o,maxY:s},size:.5*e.size,calcSize:2*e.calcSize,children:{data:null},maxWidth:0,level:e.level+1,childrenCount:0}}},{key:"_debug",value:function(e,t){this.barnesHutTree!==void 0&&(e.lineWidth=1,this._drawBranch(this.barnesHutTree.root,e,t))}},{key:"_drawBranch",value:function(e,t,i){i===void 0&&(i="#FF0000"),e.childrenCount===4&&(this._drawBranch(e.children.NW,t),this._drawBranch(e.children.NE,t),this._drawBranch(e.children.SE,t),this._drawBranch(e.children.SW,t)),t.strokeStyle=i,t.beginPath(),t.moveTo(e.range.minX,e.range.minY),t.lineTo(e.range.maxX,e.range.minY),t.stroke(),t.beginPath(),t.moveTo(e.range.maxX,e.range.minY),t.lineTo(e.range.maxX,e.range.maxY),t.stroke(),t.beginPath(),t.moveTo(e.range.maxX,e.range.maxY),t.lineTo(e.range.minX,e.range.maxY),t.stroke(),t.beginPath(),t.moveTo(e.range.minX,e.range.maxY),t.lineTo(e.range.minX,e.range.minY),t.stroke()}}]),r}(),jhe=function(){function r(n,e,t){C(this,r),this._rng=vl("REPULSION SOLVER"),this.body=n,this.physicsBody=e,this.setOptions(t)}return x(r,[{key:"setOptions",value:function(e){this.options=e}},{key:"solve",value:function(){for(var e,t,i,a,o,s,u,l,h=this.body.nodes,d=this.physicsBody.physicsNodeIndices,c=this.physicsBody.forces,f=this.options.nodeDistance,v=-2/3/f,p=4/3,g=0;g<d.length-1;g++){u=h[d[g]];for(var y=g+1;y<d.length;y++)l=h[d[y]],e=l.x-u.x,t=l.y-u.y,i=Math.sqrt(e*e+t*t),i===0&&(i=.1*this._rng(),e=i),i<2*f&&(i<.5*f?s=1:s=v*i+p,s=s/i,a=e*s,o=t*s,c[u.id].x-=a,c[u.id].y-=o,c[l.id].x+=a,c[l.id].y+=o)}}}]),r}(),zhe=function(){function r(n,e,t){C(this,r),this.body=n,this.physicsBody=e,this.setOptions(t)}return x(r,[{key:"setOptions",value:function(e){this.options=e,this.overlapAvoidanceFactor=Math.max(0,Math.min(1,this.options.avoidOverlap||0))}},{key:"solve",value:function(){for(var e=this.body.nodes,t=this.physicsBody.physicsNodeIndices,i=this.physicsBody.forces,a=this.options.nodeDistance,o=0;o<t.length-1;o++)for(var s=e[t[o]],u=o+1;u<t.length;u++){var l=e[t[u]];if(s.level===l.level){var h=a+this.overlapAvoidanceFactor*((s.shape.radius||0)/2+(l.shape.radius||0)/2),d=l.x-s.x,c=l.y-s.y,f=Math.sqrt(d*d+c*c),v=.05,p=void 0;f<h?p=-Math.pow(v*f,2)+Math.pow(v*h,2):p=0,f!==0&&(p=p/f);var g=d*p,y=c*p;i[s.id].x-=g,i[s.id].y-=y,i[l.id].x+=g,i[l.id].y+=y}}}}]),r}(),Sd=function(){function r(n,e,t){C(this,r),this.body=n,this.physicsBody=e,this.setOptions(t)}return x(r,[{key:"setOptions",value:function(e){this.options=e}},{key:"solve",value:function(){for(var e,t,i=this.physicsBody.physicsEdgeIndices,a=this.body.edges,o,s,u,l=0;l<i.length;l++)t=a[i[l]],t.connected===!0&&t.toId!==t.fromId&&this.body.nodes[t.toId]!==void 0&&this.body.nodes[t.fromId]!==void 0&&(t.edgeType.via!==void 0?(e=t.options.length===void 0?this.options.springLength:t.options.length,o=t.to,s=t.edgeType.via,u=t.from,this._calculateSpringForce(o,s,.5*e),this._calculateSpringForce(s,u,.5*e)):(e=t.options.length===void 0?this.options.springLength*1.5:t.options.length,this._calculateSpringForce(t.from,t.to,e)))}},{key:"_calculateSpringForce",value:function(e,t,i){var a=e.x-t.x,o=e.y-t.y,s=Math.max(Math.sqrt(a*a+o*o),.01),u=this.options.springConstant*(i-s)/s,l=a*u,h=o*u;this.physicsBody.forces[e.id]!==void 0&&(this.physicsBody.forces[e.id].x+=l,this.physicsBody.forces[e.id].y+=h),this.physicsBody.forces[t.id]!==void 0&&(this.physicsBody.forces[t.id].x-=l,this.physicsBody.forces[t.id].y-=h)}}]),r}(),Hhe=function(){function r(n,e,t){C(this,r),this.body=n,this.physicsBody=e,this.setOptions(t)}return x(r,[{key:"setOptions",value:function(e){this.options=e}},{key:"solve",value:function(){for(var e,t,i,a,o,s,u,l,h=this.body.edges,d=.5,c=this.physicsBody.physicsEdgeIndices,f=this.physicsBody.physicsNodeIndices,v=this.physicsBody.forces,p=0;p<f.length;p++){var g=f[p];v[g].springFx=0,v[g].springFy=0}for(var y=0;y<c.length;y++)t=h[c[y]],t.connected===!0&&(e=t.options.length===void 0?this.options.springLength:t.options.length,i=t.from.x-t.to.x,a=t.from.y-t.to.y,l=Math.sqrt(i*i+a*a),l=l===0?.01:l,u=this.options.springConstant*(e-l)/l,o=i*u,s=a*u,t.to.level!=t.from.level?(v[t.toId]!==void 0&&(v[t.toId].springFx-=o,v[t.toId].springFy-=s),v[t.fromId]!==void 0&&(v[t.fromId].springFx+=o,v[t.fromId].springFy+=s)):(v[t.toId]!==void 0&&(v[t.toId].x-=d*o,v[t.toId].y-=d*s),v[t.fromId]!==void 0&&(v[t.fromId].x+=d*o,v[t.fromId].y+=d*s)));u=1;for(var m,w,$=0;$<f.length;$++){var E=f[$];m=Math.min(u,Math.max(-u,v[E].springFx)),w=Math.min(u,Math.max(-u,v[E].springFy)),v[E].x+=m,v[E].y+=w}for(var k=0,D=0,j=0;j<f.length;j++){var R=f[j];k+=v[R].x,D+=v[R].y}for(var M=k/f.length,W=D/f.length,X=0;X<f.length;X++){var Y=f[X];v[Y].x-=M,v[Y].y-=W}}}]),r}(),js=function(){function r(n,e,t){C(this,r),this.body=n,this.physicsBody=e,this.setOptions(t)}return x(r,[{key:"setOptions",value:function(e){this.options=e}},{key:"solve",value:function(){for(var e,t,i,a,o=this.body.nodes,s=this.physicsBody.physicsNodeIndices,u=this.physicsBody.forces,l=0;l<s.length;l++){var h=s[l];a=o[h],e=-a.x,t=-a.y,i=Math.sqrt(e*e+t*t),this._calculateForces(i,e,t,u,a)}}},{key:"_calculateForces",value:function(e,t,i,a,o){var s=e===0?0:this.options.centralGravity/e;a[o.id].x=t*s,a[o.id].y=i*s}}]),r}();function Whe(r){var n=Uhe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Uhe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var Vhe=function(r){ie(e,r);var n=Whe(e);function e(t,i,a){var o;return C(this,e),o=n.call(this,t,i,a),o._rng=vl("FORCE ATLAS 2 BASED REPULSION SOLVER"),o}return x(e,[{key:"_calculateForces",value:function(i,a,o,s,u){i===0&&(i=.1*this._rng(),a=i),this.overlapAvoidanceFactor<1&&s.shape.radius&&(i=Math.max(.1+this.overlapAvoidanceFactor*s.shape.radius,i-s.shape.radius));var l=s.edges.length+1,h=this.options.gravitationalConstant*u.mass*s.options.mass*l/Math.pow(i,2),d=a*h,c=o*h;this.physicsBody.forces[s.id].x+=d,this.physicsBody.forces[s.id].y+=c}}]),e}(bO);function Ghe(r){var n=Khe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function Khe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var qhe=function(r){ie(e,r);var n=Ghe(e);function e(t,i,a){return C(this,e),n.call(this,t,i,a)}return x(e,[{key:"_calculateForces",value:function(i,a,o,s,u){if(i>0){var l=u.edges.length+1,h=this.options.centralGravity*l*u.options.mass;s[u.id].x=a*h,s[u.id].y=o*h}}}]),e}(js),Yhe=function(){function r(n){C(this,r),this.body=n,this.physicsBody={physicsNodeIndices:[],physicsEdgeIndices:[],forces:{},velocities:{}},this.physicsEnabled=!0,this.simulationInterval=1e3/60,this.requiresTimeout=!0,this.previousStates={},this.referenceState={},this.freezeCache={},this.renderTimer=void 0,this.adaptiveTimestep=!1,this.adaptiveTimestepEnabled=!1,this.adaptiveCounter=0,this.adaptiveInterval=3,this.stabilized=!1,this.startedStabilization=!1,this.stabilizationIterations=0,this.ready=!1,this.options={},this.defaultOptions={enabled:!0,barnesHut:{theta:.5,gravitationalConstant:-2e3,centralGravity:.3,springLength:95,springConstant:.04,damping:.09,avoidOverlap:0},forceAtlas2Based:{theta:.5,gravitationalConstant:-50,centralGravity:.01,springConstant:.08,springLength:100,damping:.4,avoidOverlap:0},repulsion:{centralGravity:.2,springLength:200,springConstant:.05,nodeDistance:100,damping:.09,avoidOverlap:0},hierarchicalRepulsion:{centralGravity:0,springLength:100,springConstant:.01,nodeDistance:120,damping:.09},maxVelocity:50,minVelocity:.75,solver:"barnesHut",stabilization:{enabled:!0,iterations:1e3,updateInterval:50,onlyDynamicEdges:!1,fit:!0},timestep:.5,adaptiveTimestep:!0,wind:{x:0,y:0}},Ae(this.options,this.defaultOptions),this.timestep=.5,this.layoutFailed=!1,this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e=this;this.body.emitter.on("initPhysics",function(){e.initPhysics()}),this.body.emitter.on("_layoutFailed",function(){e.layoutFailed=!0}),this.body.emitter.on("resetPhysics",function(){e.stopSimulation(),e.ready=!1}),this.body.emitter.on("disablePhysics",function(){e.physicsEnabled=!1,e.stopSimulation()}),this.body.emitter.on("restorePhysics",function(){e.setOptions(e.options),e.ready===!0&&e.startSimulation()}),this.body.emitter.on("startSimulation",function(){e.ready===!0&&e.startSimulation()}),this.body.emitter.on("stopSimulation",function(){e.stopSimulation()}),this.body.emitter.on("destroy",function(){e.stopSimulation(!1),e.body.emitter.off()}),this.body.emitter.on("_dataChanged",function(){e.updatePhysicsData()})}},{key:"setOptions",value:function(e){if(e!==void 0)if(e===!1)this.options.enabled=!1,this.physicsEnabled=!1,this.stopSimulation();else if(e===!0)this.options.enabled=!0,this.physicsEnabled=!0,this.startSimulation();else{this.physicsEnabled=!0,du(["stabilization"],this.options,e),Nt(this.options,e,"stabilization"),e.enabled===void 0&&(this.options.enabled=!0),this.options.enabled===!1&&(this.physicsEnabled=!1,this.stopSimulation());var t=this.options.wind;t&&((typeof t.x!="number"||Fc(t.x))&&(t.x=0),(typeof t.y!="number"||Fc(t.y))&&(t.y=0)),this.timestep=this.options.timestep}this.init()}},{key:"init",value:function(){var e;this.options.solver==="forceAtlas2Based"?(e=this.options.forceAtlas2Based,this.nodesSolver=new Vhe(this.body,this.physicsBody,e),this.edgesSolver=new Sd(this.body,this.physicsBody,e),this.gravitySolver=new qhe(this.body,this.physicsBody,e)):this.options.solver==="repulsion"?(e=this.options.repulsion,this.nodesSolver=new jhe(this.body,this.physicsBody,e),this.edgesSolver=new Sd(this.body,this.physicsBody,e),this.gravitySolver=new js(this.body,this.physicsBody,e)):this.options.solver==="hierarchicalRepulsion"?(e=this.options.hierarchicalRepulsion,this.nodesSolver=new zhe(this.body,this.physicsBody,e),this.edgesSolver=new Hhe(this.body,this.physicsBody,e),this.gravitySolver=new js(this.body,this.physicsBody,e)):(e=this.options.barnesHut,this.nodesSolver=new bO(this.body,this.physicsBody,e),this.edgesSolver=new Sd(this.body,this.physicsBody,e),this.gravitySolver=new js(this.body,this.physicsBody,e)),this.modelOptions=e}},{key:"initPhysics",value:function(){this.physicsEnabled===!0&&this.options.enabled===!0?this.options.stabilization.enabled===!0?this.stabilize():(this.stabilized=!1,this.ready=!0,this.body.emitter.emit("fit",{},this.layoutFailed),this.startSimulation()):(this.ready=!0,this.body.emitter.emit("fit"))}},{key:"startSimulation",value:function(){if(this.physicsEnabled===!0&&this.options.enabled===!0){if(this.stabilized=!1,this.adaptiveTimestep=!1,this.body.emitter.emit("_resizeNodes"),this.viewFunction===void 0){var e;this.viewFunction=O(e=this.simulationStep).call(e,this),this.body.emitter.on("initRedraw",this.viewFunction),this.body.emitter.emit("_startRendering")}}else this.body.emitter.emit("_redraw")}},{key:"stopSimulation",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:!0;this.stabilized=!0,e===!0&&this._emitStabilized(),this.viewFunction!==void 0&&(this.body.emitter.off("initRedraw",this.viewFunction),this.viewFunction=void 0,e===!0&&this.body.emitter.emit("_stopRendering"))}},{key:"simulationStep",value:function(){var e=su();this.physicsTick();var t=su()-e;(t<.4*this.simulationInterval||this.runDoubleSpeed===!0)&&this.stabilized===!1&&(this.physicsTick(),this.runDoubleSpeed=!0),this.stabilized===!0&&this.stopSimulation()}},{key:"_emitStabilized",value:function(){var e=this,t=arguments.length>0&&arguments[0]!==void 0?arguments[0]:this.stabilizationIterations;(this.stabilizationIterations>1||this.startedStabilization===!0)&&or(function(){e.body.emitter.emit("stabilized",{iterations:t}),e.startedStabilization=!1,e.stabilizationIterations=0},0)}},{key:"physicsStep",value:function(){this.gravitySolver.solve(),this.nodesSolver.solve(),this.edgesSolver.solve(),this.moveNodes()}},{key:"adjustTimeStep",value:function(){var e=1.2;this._evaluateStepQuality()===!0?this.timestep=e*this.timestep:this.timestep/e<this.options.timestep?this.timestep=this.options.timestep:(this.adaptiveCounter=-1,this.timestep=Math.max(this.options.timestep,this.timestep/e))}},{key:"physicsTick",value:function(){if(this._startStabilizing(),this.stabilized!==!0){if(this.adaptiveTimestep===!0&&this.adaptiveTimestepEnabled===!0){var e=this.adaptiveCounter%this.adaptiveInterval===0;e?(this.timestep=2*this.timestep,this.physicsStep(),this.revert(),this.timestep=.5*this.timestep,this.physicsStep(),this.physicsStep(),this.adjustTimeStep()):this.physicsStep(),this.adaptiveCounter+=1}else this.timestep=this.options.timestep,this.physicsStep();this.stabilized===!0&&this.revert(),this.stabilizationIterations++}}},{key:"updatePhysicsData",value:function(){this.physicsBody.forces={},this.physicsBody.physicsNodeIndices=[],this.physicsBody.physicsEdgeIndices=[];var e=this.body.nodes,t=this.body.edges;for(var i in e)Object.prototype.hasOwnProperty.call(e,i)&&e[i].options.physics===!0&&this.physicsBody.physicsNodeIndices.push(e[i].id);for(var a in t)Object.prototype.hasOwnProperty.call(t,a)&&t[a].options.physics===!0&&this.physicsBody.physicsEdgeIndices.push(t[a].id);for(var o=0;o<this.physicsBody.physicsNodeIndices.length;o++){var s=this.physicsBody.physicsNodeIndices[o];this.physicsBody.forces[s]={x:0,y:0},this.physicsBody.velocities[s]===void 0&&(this.physicsBody.velocities[s]={x:0,y:0})}for(var u in this.physicsBody.velocities)e[u]===void 0&&delete this.physicsBody.velocities[u]}},{key:"revert",value:function(){var e=me(this.previousStates),t=this.body.nodes,i=this.physicsBody.velocities;this.referenceState={};for(var a=0;a<e.length;a++){var o=e[a];t[o]!==void 0?t[o].options.physics===!0&&(this.referenceState[o]={positions:{x:t[o].x,y:t[o].y}},i[o].x=this.previousStates[o].vx,i[o].y=this.previousStates[o].vy,t[o].x=this.previousStates[o].x,t[o].y=this.previousStates[o].y):delete this.previousStates[o]}}},{key:"_evaluateStepQuality",value:function(){var e,t,i,a=this.body.nodes,o=this.referenceState,s=.3;for(var u in this.referenceState)if(Object.prototype.hasOwnProperty.call(this.referenceState,u)&&a[u]!==void 0&&(e=a[u].x-o[u].positions.x,t=a[u].y-o[u].positions.y,i=Math.sqrt(Math.pow(e,2)+Math.pow(t,2)),i>s))return!1;return!0}},{key:"moveNodes",value:function(){for(var e=this.physicsBody.physicsNodeIndices,t=0,i=0,a=5,o=0;o<e.length;o++){var s=e[o],u=this._performStep(s);t=Math.max(t,u),i+=u}this.adaptiveTimestepEnabled=i/e.length<a,this.stabilized=t<this.options.minVelocity}},{key:"calculateComponentVelocity",value:function(e,t,i){var a=this.modelOptions.damping*e,o=(t-a)/i;e+=o*this.timestep;var s=this.options.maxVelocity||1e9;return Math.abs(e)>s&&(e=e>0?s:-s),e}},{key:"_performStep",value:function(e){var t=this.body.nodes[e],i=this.physicsBody.forces[e];this.options.wind&&(i.x+=this.options.wind.x,i.y+=this.options.wind.y);var a=this.physicsBody.velocities[e];this.previousStates[e]={x:t.x,y:t.y,vx:a.x,vy:a.y},t.options.fixed.x===!1?(a.x=this.calculateComponentVelocity(a.x,i.x,t.options.mass),t.x+=a.x*this.timestep):(i.x=0,a.x=0),t.options.fixed.y===!1?(a.y=this.calculateComponentVelocity(a.y,i.y,t.options.mass),t.y+=a.y*this.timestep):(i.y=0,a.y=0);var o=Math.sqrt(Math.pow(a.x,2)+Math.pow(a.y,2));return o}},{key:"_freezeNodes",value:function(){var e=this.body.nodes;for(var t in e)if(Object.prototype.hasOwnProperty.call(e,t)&&e[t].x&&e[t].y){var i=e[t].options.fixed;this.freezeCache[t]={x:i.x,y:i.y},i.x=!0,i.y=!0}}},{key:"_restoreFrozenNodes",value:function(){var e=this.body.nodes;for(var t in e)Object.prototype.hasOwnProperty.call(e,t)&&this.freezeCache[t]!==void 0&&(e[t].options.fixed.x=this.freezeCache[t].x,e[t].options.fixed.y=this.freezeCache[t].y);this.freezeCache={}}},{key:"stabilize",value:function(){var e=this,t=arguments.length>0&&arguments[0]!==void 0?arguments[0]:this.options.stabilization.iterations;if(typeof t!="number"&&(t=this.options.stabilization.iterations,console.error("The stabilize method needs a numeric amount of iterations. Switching to default: ",t)),this.physicsBody.physicsNodeIndices.length===0){this.ready=!0;return}this.adaptiveTimestep=this.options.adaptiveTimestep,this.body.emitter.emit("_resizeNodes"),this.stopSimulation(),this.stabilized=!1,this.body.emitter.emit("_blockRedraw"),this.targetIterations=t,this.options.stabilization.onlyDynamicEdges===!0&&this._freezeNodes(),this.stabilizationIterations=0,or(function(){return e._stabilizationBatch()},0)}},{key:"_startStabilizing",value:function(){return this.startedStabilization===!0?!1:(this.body.emitter.emit("startStabilizing"),this.startedStabilization=!0,!0)}},{key:"_stabilizationBatch",value:function(){var e=this,t=function(){return e.stabilized===!1&&e.stabilizationIterations<e.targetIterations},i=function(){e.body.emitter.emit("stabilizationProgress",{iterations:e.stabilizationIterations,total:e.targetIterations})};this._startStabilizing()&&i();for(var a=0;t()&&a<this.options.stabilization.updateInterval;)this.physicsTick(),a++;if(i(),t()){var o;or(O(o=this._stabilizationBatch).call(o,this),0)}else this._finalizeStabilization()}},{key:"_finalizeStabilization",value:function(){this.body.emitter.emit("_allowRedraw"),this.options.stabilization.fit===!0&&this.body.emitter.emit("fit"),this.options.stabilization.onlyDynamicEdges===!0&&this._restoreFrozenNodes(),this.body.emitter.emit("stabilizationIterationsDone"),this.body.emitter.emit("_requestRedraw"),this.stabilized===!0?this._emitStabilized():this.startSimulation(),this.ready=!0}},{key:"_drawForces",value:function(e){for(var t=0;t<this.physicsBody.physicsNodeIndices.length;t++){var i=this.physicsBody.physicsNodeIndices[t],a=this.body.nodes[i],o=this.physicsBody.forces[i],s=20,u=.03,l=Math.sqrt(Math.pow(o.x,2)+Math.pow(o.x,2)),h=Math.min(Math.max(5,l),15),d=3*h,c=Dc((180-Math.min(1,Math.max(0,u*l))*180)/360,1,1),f={x:a.x+s*o.x,y:a.y+s*o.y};e.lineWidth=h,e.strokeStyle=c,e.beginPath(),e.moveTo(a.x,a.y),e.lineTo(f.x,f.y),e.stroke();var v=Math.atan2(o.y,o.x);e.fillStyle=c,yO.draw(e,{type:"arrow",point:f,angle:v,length:d}),Ro(e).call(e)}}}]),r}();let bs;const Xhe=new Uint8Array(16);function Qhe(){if(!bs&&(bs=typeof crypto<"u"&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto),!bs))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return bs(Xhe)}const qe=[];for(let r=0;r<256;++r)qe.push((r+256).toString(16).slice(1));function Jhe(r,n=0){return qe[r[n+0]]+qe[r[n+1]]+qe[r[n+2]]+qe[r[n+3]]+"-"+qe[r[n+4]]+qe[r[n+5]]+"-"+qe[r[n+6]]+qe[r[n+7]]+"-"+qe[r[n+8]]+qe[r[n+9]]+"-"+qe[r[n+10]]+qe[r[n+11]]+qe[r[n+12]]+qe[r[n+13]]+qe[r[n+14]]+qe[r[n+15]]}const Zhe=typeof crypto<"u"&&crypto.randomUUID&&crypto.randomUUID.bind(crypto);var a$={randomUUID:Zhe};function Pa(r,n,e){if(a$.randomUUID&&!r)return a$.randomUUID();r=r||{};const t=r.random||(r.rng||Qhe)();return t[6]=t[6]&15|64,t[8]=t[8]&63|128,Jhe(t)}var ot=function(){function r(){C(this,r)}return x(r,null,[{key:"getRange",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:[],i=1e9,a=-1e9,o=1e9,s=-1e9,u;if(t.length>0)for(var l=0;l<t.length;l++)u=e[t[l]],o>u.shape.boundingBox.left&&(o=u.shape.boundingBox.left),s<u.shape.boundingBox.right&&(s=u.shape.boundingBox.right),i>u.shape.boundingBox.top&&(i=u.shape.boundingBox.top),a<u.shape.boundingBox.bottom&&(a=u.shape.boundingBox.bottom);return o===1e9&&s===-1e9&&i===1e9&&a===-1e9&&(i=0,a=0,o=0,s=0),{minX:o,maxX:s,minY:i,maxY:a}}},{key:"getRangeCore",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:[],i=1e9,a=-1e9,o=1e9,s=-1e9,u;if(t.length>0)for(var l=0;l<t.length;l++)u=e[t[l]],o>u.x&&(o=u.x),s<u.x&&(s=u.x),i>u.y&&(i=u.y),a<u.y&&(a=u.y);return o===1e9&&s===-1e9&&i===1e9&&a===-1e9&&(i=0,a=0,o=0,s=0),{minX:o,maxX:s,minY:i,maxY:a}}},{key:"findCenter",value:function(e){return{x:.5*(e.maxX+e.minX),y:.5*(e.maxY+e.minY)}}},{key:"cloneOptions",value:function(e,t){var i={};return t===void 0||t==="node"?(he(i,e.options,!0),i.x=e.x,i.y=e.y,i.amountOfConnections=e.edges.length):he(i,e.options,!0),i}}]),r}();function ede(r){var n=tde();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function tde(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var rde=function(r){ie(e,r);var n=ede(e);function e(t,i,a,o,s,u){var l;return C(this,e),l=n.call(this,t,i,a,o,s,u),l.isCluster=!0,l.containedNodes={},l.containedEdges={},l}return x(e,[{key:"_openChildCluster",value:function(i){var a=this,o=this.body.nodes[i];if(this.containedNodes[i]===void 0)throw new Error("node with id: "+i+" not in current cluster");if(!o.isCluster)throw new Error("node with id: "+i+" is not a cluster");delete this.containedNodes[i],J(o.edges,function(s){delete a.containedEdges[s.id]}),J(o.containedNodes,function(s,u){a.containedNodes[u]=s}),o.containedNodes={},J(o.containedEdges,function(s,u){a.containedEdges[u]=s}),o.containedEdges={},J(o.edges,function(s){J(a.edges,function(u){var l,h,d=Z(l=u.clusteringEdgeReplacingIds).call(l,s.id);d!==-1&&(J(s.clusteringEdgeReplacingIds,function(c){u.clusteringEdgeReplacingIds.push(c),a.body.edges[c].edgeReplacedById=u.id}),br(h=u.clusteringEdgeReplacingIds).call(h,d,1))})}),o.edges=[]}}]),e}(Pt),ide=function(){function r(n){var e=this;C(this,r),this.body=n,this.clusteredNodes={},this.clusteredEdges={},this.options={},this.defaultOptions={},Ae(this.options,this.defaultOptions),this.body.emitter.on("_resetData",function(){e.clusteredNodes={},e.clusteredEdges={}})}return x(r,[{key:"clusterByHubsize",value:function(e,t){e===void 0?e=this._getHubSize():se(e)==="object"&&(t=this._checkOptions(e),e=this._getHubSize());for(var i=[],a=0;a<this.body.nodeIndices.length;a++){var o=this.body.nodes[this.body.nodeIndices[a]];o.edges.length>=e&&i.push(o.id)}for(var s=0;s<i.length;s++)this.clusterByConnection(i[s],t,!0);this.body.emitter.emit("_dataChanged")}},{key:"cluster",value:function(){var e=this,t=arguments.length>0&&arguments[0]!==void 0?arguments[0]:{},i=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;if(t.joinCondition===void 0)throw new Error("Cannot call clusterByNodeData without a joinCondition function in the options.");t=this._checkOptions(t);var a={},o={};J(this.body.nodes,function(s,u){s.options&&t.joinCondition(s.options)===!0&&(a[u]=s,J(s.edges,function(l){e.clusteredEdges[l.id]===void 0&&(o[l.id]=l)}))}),this._cluster(a,o,t,i)}},{key:"clusterByEdgeCount",value:function(e,t){var i=this,a=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!0;t=this._checkOptions(t);for(var o=[],s={},u,l,h,d=function(){var p={},g={},y=i.body.nodeIndices[c],m=i.body.nodes[y];if(s[y]===void 0){h=0,l=[];for(var w=0;w<m.edges.length;w++)u=m.edges[w],i.clusteredEdges[u.id]===void 0&&(u.toId!==u.fromId&&h++,l.push(u));if(h===e){for(var $=function(Y){if(t.joinCondition===void 0||t.joinCondition===null)return!0;var ge=ot.cloneOptions(Y);return t.joinCondition(ge)},E=!0,k=0;k<l.length;k++){u=l[k];var D=i._getConnectedId(u,y);if($(m))g[u.id]=u,p[y]=m,p[D]=i.body.nodes[D],s[y]=!0;else{E=!1;break}}if(me(p).length>0&&me(g).length>0&&E===!0){var j=function(){for(var Y=0;Y<o.length;++Y)for(var ge in p)if(o[Y].nodes[ge]!==void 0)return o[Y]},R=j();if(R!==void 0){for(var M in p)R.nodes[M]===void 0&&(R.nodes[M]=p[M]);for(var W in g)R.edges[W]===void 0&&(R.edges[W]=g[W])}else o.push({nodes:p,edges:g})}}}},c=0;c<this.body.nodeIndices.length;c++)d();for(var f=0;f<o.length;f++)this._cluster(o[f].nodes,o[f].edges,t,!1);a===!0&&this.body.emitter.emit("_dataChanged")}},{key:"clusterOutliers",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;this.clusterByEdgeCount(1,e,t)}},{key:"clusterBridges",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;this.clusterByEdgeCount(2,e,t)}},{key:"clusterByConnection",value:function(e,t){var i,a=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!0;if(e===void 0)throw new Error("No nodeId supplied to clusterByConnection!");if(this.body.nodes[e]===void 0)throw new Error("The nodeId given to clusterByConnection does not exist!");var o=this.body.nodes[e];t=this._checkOptions(t,o),t.clusterNodeProperties.x===void 0&&(t.clusterNodeProperties.x=o.x),t.clusterNodeProperties.y===void 0&&(t.clusterNodeProperties.y=o.y),t.clusterNodeProperties.fixed===void 0&&(t.clusterNodeProperties.fixed={},t.clusterNodeProperties.fixed.x=o.options.fixed.x,t.clusterNodeProperties.fixed.y=o.options.fixed.y);var s={},u={},l=o.id,h=ot.cloneOptions(o);s[l]=o;for(var d=0;d<o.edges.length;d++){var c=o.edges[d];if(this.clusteredEdges[c.id]===void 0){var f=this._getConnectedId(c,l);if(this.clusteredNodes[f]===void 0)if(f!==l)if(t.joinCondition===void 0)u[c.id]=c,s[f]=this.body.nodes[f];else{var v=ot.cloneOptions(this.body.nodes[f]);t.joinCondition(h,v)===!0&&(u[c.id]=c,s[f]=this.body.nodes[f])}else u[c.id]=c}}var p=Cn(i=me(s)).call(i,function($){return s[$].id});for(var g in s)if(Object.prototype.hasOwnProperty.call(s,g))for(var y=s[g],m=0;m<y.edges.length;m++){var w=y.edges[m];Z(p).call(p,this._getConnectedId(w,y.id))>-1&&(u[w.id]=w)}this._cluster(s,u,t,a)}},{key:"_createClusterEdges",value:function(e,t,i,a){for(var o,s,u,l,h,d,c=me(e),f=[],v=0;v<c.length;v++){s=c[v],u=e[s];for(var p=0;p<u.edges.length;p++)o=u.edges[p],this.clusteredEdges[o.id]===void 0&&(o.toId==o.fromId?t[o.id]=o:o.toId==s?(l=i.id,h=o.fromId,d=h):(l=o.toId,h=i.id,d=l),e[d]===void 0&&f.push({edge:o,fromId:h,toId:l}))}for(var g=[],y=function(D){for(var j=0;j<g.length;j++){var R=g[j],M=D.fromId===R.fromId&&D.toId===R.toId,W=D.fromId===R.toId&&D.toId===R.fromId;if(M||W)return R}return null},m=0;m<f.length;m++){var w=f[m],$=w.edge,E=y(w);E===null?(E=this._createClusteredEdge(w.fromId,w.toId,$,a),g.push(E)):E.clusteringEdgeReplacingIds.push($.id),this.body.edges[$.id].edgeReplacedById=E.id,this._backupEdgeOptions($),$.setOptions({physics:!1})}}},{key:"_checkOptions",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:{};return e.clusterEdgeProperties===void 0&&(e.clusterEdgeProperties={}),e.clusterNodeProperties===void 0&&(e.clusterNodeProperties={}),e}},{key:"_cluster",value:function(e,t,i){var a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:!0,o=[];for(var s in e)Object.prototype.hasOwnProperty.call(e,s)&&this.clusteredNodes[s]!==void 0&&o.push(s);for(var u=0;u<o.length;++u)delete e[o[u]];if(me(e).length!=0&&!(me(e).length==1&&i.clusterNodeProperties.allowSingleNodeCluster!=!0)){var l=he({},i.clusterNodeProperties);if(i.processProperties!==void 0){var h=[];for(var d in e)if(Object.prototype.hasOwnProperty.call(e,d)){var c=ot.cloneOptions(e[d]);h.push(c)}var f=[];for(var v in t)if(Object.prototype.hasOwnProperty.call(t,v)&&v.substr(0,12)!=="clusterEdge:"){var p=ot.cloneOptions(t[v],"edge");f.push(p)}if(l=i.processProperties(l,h,f),!l)throw new Error("The processProperties function does not return properties!")}l.id===void 0&&(l.id="cluster:"+Pa());var g=l.id;l.label===void 0&&(l.label="cluster");var y=void 0;l.x===void 0&&(y=this._getClusterPosition(e),l.x=y.x),l.y===void 0&&(y===void 0&&(y=this._getClusterPosition(e)),l.y=y.y),l.id=g;var m=this.body.functions.createNode(l,rde);m.containedNodes=e,m.containedEdges=t,m.clusterEdgeProperties=i.clusterEdgeProperties,this.body.nodes[l.id]=m,this._clusterEdges(e,t,l,i.clusterEdgeProperties),l.id=void 0,a===!0&&this.body.emitter.emit("_dataChanged")}}},{key:"_backupEdgeOptions",value:function(e){this.clusteredEdges[e.id]===void 0&&(this.clusteredEdges[e.id]={physics:e.options.physics})}},{key:"_restoreEdge",value:function(e){var t=this.clusteredEdges[e.id];t!==void 0&&(e.setOptions({physics:t.physics}),delete this.clusteredEdges[e.id])}},{key:"isCluster",value:function(e){return this.body.nodes[e]!==void 0?this.body.nodes[e].isCluster===!0:(console.error("Node does not exist."),!1)}},{key:"_getClusterPosition",value:function(e){for(var t=me(e),i=e[t[0]].x,a=e[t[0]].x,o=e[t[0]].y,s=e[t[0]].y,u,l=1;l<t.length;l++)u=e[t[l]],i=u.x<i?u.x:i,a=u.x>a?u.x:a,o=u.y<o?u.y:o,s=u.y>s?u.y:s;return{x:.5*(i+a),y:.5*(o+s)}}},{key:"openCluster",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!0;if(e===void 0)throw new Error("No clusterNodeId supplied to openCluster.");var a=this.body.nodes[e];if(a===void 0)throw new Error("The clusterNodeId supplied to openCluster does not exist.");if(a.isCluster!==!0||a.containedNodes===void 0||a.containedEdges===void 0)throw new Error("The node:"+e+" is not a valid cluster.");var o=this.findNode(e),s=Z(o).call(o,e)-1;if(s>=0){var u=o[s],l=this.body.nodes[u];l._openChildCluster(e),delete this.body.nodes[e],i===!0&&this.body.emitter.emit("_dataChanged");return}var h=a.containedNodes,d=a.containedEdges;if(t!==void 0&&t.releaseFunction!==void 0&&typeof t.releaseFunction=="function"){var c={},f={x:a.x,y:a.y};for(var v in h)if(Object.prototype.hasOwnProperty.call(h,v)){var p=this.body.nodes[v];c[v]={x:p.x,y:p.y}}var g=t.releaseFunction(f,c);for(var y in h)if(Object.prototype.hasOwnProperty.call(h,y)){var m=this.body.nodes[y];g[y]!==void 0&&(m.x=g[y].x===void 0?a.x:g[y].x,m.y=g[y].y===void 0?a.y:g[y].y)}}else J(h,function(rt){rt.options.fixed.x===!1&&(rt.x=a.x),rt.options.fixed.y===!1&&(rt.y=a.y)});for(var w in h)if(Object.prototype.hasOwnProperty.call(h,w)){var $=this.body.nodes[w];$.vx=a.vx,$.vy=a.vy,$.setOptions({physics:!0}),delete this.clusteredNodes[w]}for(var E=[],k=0;k<a.edges.length;k++)E.push(a.edges[k]);for(var D=0;D<E.length;D++){for(var j=E[D],R=this._getConnectedId(j,e),M=this.clusteredNodes[R],W=0;W<j.clusteringEdgeReplacingIds.length;W++){var X=j.clusteringEdgeReplacingIds[W],Y=this.body.edges[X];if(Y!==void 0)if(M!==void 0){var ge=this.body.nodes[M.clusterId];ge.containedEdges[Y.id]=Y,delete d[Y.id];var Ge=Y.fromId,ke=Y.toId;Y.toId==R?ke=M.clusterId:Ge=M.clusterId,this._createClusteredEdge(Ge,ke,Y,ge.clusterEdgeProperties,{hidden:!1,physics:!0})}else this._restoreEdge(Y)}j.remove()}for(var St in d)Object.prototype.hasOwnProperty.call(d,St)&&this._restoreEdge(d[St]);delete this.body.nodes[e],i===!0&&this.body.emitter.emit("_dataChanged")}},{key:"getNodesInCluster",value:function(e){var t=[];if(this.isCluster(e)===!0){var i=this.body.nodes[e].containedNodes;for(var a in i)Object.prototype.hasOwnProperty.call(i,a)&&t.push(this.body.nodes[a].id)}return t}},{key:"findNode",value:function(e){for(var t=[],i=100,a=0,o;this.clusteredNodes[e]!==void 0&&a<i;){if(o=this.body.nodes[e],o===void 0)return[];t.push(o.id),e=this.clusteredNodes[e].clusterId,a++}return o=this.body.nodes[e],o===void 0?[]:(t.push(o.id),mi(t).call(t),t)}},{key:"updateClusteredNode",value:function(e,t){if(e===void 0)throw new Error("No clusteredNodeId supplied to updateClusteredNode.");if(t===void 0)throw new Error("No newOptions supplied to updateClusteredNode.");if(this.body.nodes[e]===void 0)throw new Error("The clusteredNodeId supplied to updateClusteredNode does not exist.");this.body.nodes[e].setOptions(t),this.body.emitter.emit("_dataChanged")}},{key:"updateEdge",value:function(e,t){if(e===void 0)throw new Error("No startEdgeId supplied to updateEdge.");if(t===void 0)throw new Error("No newOptions supplied to updateEdge.");if(this.body.edges[e]===void 0)throw new Error("The startEdgeId supplied to updateEdge does not exist.");for(var i=this.getClusteredEdges(e),a=0;a<i.length;a++){var o=this.body.edges[i[a]];o.setOptions(t)}this.body.emitter.emit("_dataChanged")}},{key:"getClusteredEdges",value:function(e){for(var t=[],i=100,a=0;e!==void 0&&this.body.edges[e]!==void 0&&a<i;)t.push(this.body.edges[e].id),e=this.body.edges[e].edgeReplacedById,a++;return mi(t).call(t),t}},{key:"getBaseEdge",value:function(e){return this.getBaseEdges(e)[0]}},{key:"getBaseEdges",value:function(e){for(var t=[e],i=[],a=[],o=100,s=0;t.length>0&&s<o;){var u=t.pop();if(u!==void 0){var l=this.body.edges[u];if(l!==void 0){s++;var h=l.clusteringEdgeReplacingIds;if(h===void 0)a.push(u);else for(var d=0;d<h.length;++d){var c=h[d];Z(t).call(t,h)!==-1||Z(i).call(i,h)!==-1||t.push(c)}i.push(u)}}}return a}},{key:"_getConnectedId",value:function(e,t){return e.toId!=t?e.toId:(e.fromId!=t,e.fromId)}},{key:"_getHubSize",value:function(){for(var e=0,t=0,i=0,a=0,o=0;o<this.body.nodeIndices.length;o++){var s=this.body.nodes[this.body.nodeIndices[o]];s.edges.length>a&&(a=s.edges.length),e+=s.edges.length,t+=Math.pow(s.edges.length,2),i+=1}e=e/i,t=t/i;var u=t-Math.pow(e,2),l=Math.sqrt(u),h=Math.floor(e+2*l);return h>a&&(h=a),h}},{key:"_createClusteredEdge",value:function(e,t,i,a,o){var s=ot.cloneOptions(i,"edge");he(s,a),s.from=e,s.to=t,s.id="clusterEdge:"+Pa(),o!==void 0&&he(s,o);var u=this.body.functions.createEdge(s);return u.clusteringEdgeReplacingIds=[i.id],u.connect(),this.body.edges[u.id]=u,u}},{key:"_clusterEdges",value:function(e,t,i,a){if(t instanceof $n){var o=t,s={};s[o.id]=o,t=s}if(e instanceof Pt){var u=e,l={};l[u.id]=u,e=l}if(i==null)throw new Error("_clusterEdges: parameter clusterNode required");a===void 0&&(a=i.clusterEdgeProperties),this._createClusterEdges(e,t,i,a);for(var h in t)if(Object.prototype.hasOwnProperty.call(t,h)&&this.body.edges[h]!==void 0){var d=this.body.edges[h];this._backupEdgeOptions(d),d.setOptions({physics:!1})}for(var c in e)Object.prototype.hasOwnProperty.call(e,c)&&(this.clusteredNodes[c]={clusterId:i.id,node:this.body.nodes[c]},this.body.nodes[c].setOptions({physics:!1}))}},{key:"_getClusterNodeForNode",value:function(e){if(e!==void 0){var t=this.clusteredNodes[e];if(t!==void 0){var i=t.clusterId;if(i!==void 0)return this.body.nodes[i]}}}},{key:"_filter",value:function(e,t){var i=[];return J(e,function(a){t(a)&&i.push(a)}),i}},{key:"_updateState",value:function(){var e=this,t,i=[],a={},o=function(v){J(e.body.nodes,function(p){p.isCluster===!0&&v(p)})};for(t in this.clusteredNodes)if(Object.prototype.hasOwnProperty.call(this.clusteredNodes,t)){var s=this.body.nodes[t];s===void 0&&i.push(t)}o(function(f){for(var v=0;v<i.length;v++)delete f.containedNodes[i[v]]});for(var u=0;u<i.length;u++)delete this.clusteredNodes[i[u]];J(this.clusteredEdges,function(f){var v=e.body.edges[f];(v===void 0||!v.endPointsValid())&&(a[f]=f)}),o(function(f){J(f.containedEdges,function(v,p){!v.endPointsValid()&&!a[p]&&(a[p]=p)})}),J(this.body.edges,function(f,v){var p=!0,g=f.clusteringEdgeReplacingIds;if(g!==void 0){var y=0;J(g,function(m){var w=e.body.edges[m];w!==void 0&&w.endPointsValid()&&(y+=1)}),p=y>0}(!f.endPointsValid()||!p)&&(a[v]=v)}),o(function(f){J(a,function(v){delete f.containedEdges[v],J(f.edges,function(p,g){if(p.id===v){f.edges[g]=null;return}p.clusteringEdgeReplacingIds=e._filter(p.clusteringEdgeReplacingIds,function(y){return!a[y]})}),f.edges=e._filter(f.edges,function(p){return p!==null})})}),J(a,function(f){delete e.clusteredEdges[f]}),J(a,function(f){delete e.body.edges[f]});var l=me(this.body.edges);J(l,function(f){var v=e.body.edges[f],p=e._isClusteredNode(v.fromId)||e._isClusteredNode(v.toId);if(p!==e._isClusteredEdge(v.id))if(p){var g=e._getClusterNodeForNode(v.fromId);g!==void 0&&e._clusterEdges(e.body.nodes[v.fromId],v,g);var y=e._getClusterNodeForNode(v.toId);y!==void 0&&e._clusterEdges(e.body.nodes[v.toId],v,y)}else delete e._clusterEdges[f],e._restoreEdge(v)});for(var h=!1,d=!0,c=function(){var v=[];o(function(g){var y=me(g.containedNodes).length,m=g.options.allowSingleNodeCluster===!0;(m&&y<1||!m&&y<2)&&v.push(g.id)});for(var p=0;p<v.length;++p)e.openCluster(v[p],{},!1);d=v.length>0,h=h||d};d;)c();h&&this._updateState()}},{key:"_isClusteredNode",value:function(e){return this.clusteredNodes[e]!==void 0}},{key:"_isClusteredEdge",value:function(e){return this.clusteredEdges[e]!==void 0}}]),r}();function nde(){var r;window!==void 0&&(r=window.requestAnimationFrame||window.mozRequestAnimationFrame||window.webkitRequestAnimationFrame||window.msRequestAnimationFrame),r===void 0?window.requestAnimationFrame=function(n){n()}:window.requestAnimationFrame=r}var ade=function(){function r(n,e){C(this,r),nde(),this.body=n,this.canvas=e,this.redrawRequested=!1,this.renderTimer=void 0,this.requiresTimeout=!0,this.renderingActive=!1,this.renderRequests=0,this.allowRedraw=!0,this.dragging=!1,this.zooming=!1,this.options={},this.defaultOptions={hideEdgesOnDrag:!1,hideEdgesOnZoom:!1,hideNodesOnDrag:!1},Ae(this.options,this.defaultOptions),this._determineBrowserMethod(),this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e=this,t;this.body.emitter.on("dragStart",function(){e.dragging=!0}),this.body.emitter.on("dragEnd",function(){e.dragging=!1}),this.body.emitter.on("zoom",function(){e.zooming=!0,window.clearTimeout(e.zoomTimeoutId),e.zoomTimeoutId=or(function(){var i;e.zooming=!1,O(i=e._requestRedraw).call(i,e)()},250)}),this.body.emitter.on("_resizeNodes",function(){e._resizeNodes()}),this.body.emitter.on("_redraw",function(){e.renderingActive===!1&&e._redraw()}),this.body.emitter.on("_blockRedraw",function(){e.allowRedraw=!1}),this.body.emitter.on("_allowRedraw",function(){e.allowRedraw=!0,e.redrawRequested=!1}),this.body.emitter.on("_requestRedraw",O(t=this._requestRedraw).call(t,this)),this.body.emitter.on("_startRendering",function(){e.renderRequests+=1,e.renderingActive=!0,e._startRendering()}),this.body.emitter.on("_stopRendering",function(){e.renderRequests-=1,e.renderingActive=e.renderRequests>0,e.renderTimer=void 0}),this.body.emitter.on("destroy",function(){e.renderRequests=0,e.allowRedraw=!1,e.renderingActive=!1,e.requiresTimeout===!0?clearTimeout(e.renderTimer):window.cancelAnimationFrame(e.renderTimer),e.body.emitter.off()})}},{key:"setOptions",value:function(e){if(e!==void 0){var t=["hideEdgesOnDrag","hideEdgesOnZoom","hideNodesOnDrag"];sa(t,this.options,e)}}},{key:"_requestNextFrame",value:function(e,t){if(!(typeof window>"u")){var i,a=window;return this.requiresTimeout===!0?i=or(e,t):a.requestAnimationFrame&&(i=a.requestAnimationFrame(e)),i}}},{key:"_startRendering",value:function(){if(this.renderingActive===!0&&this.renderTimer===void 0){var e;this.renderTimer=this._requestNextFrame(O(e=this._renderStep).call(e,this),this.simulationInterval)}}},{key:"_renderStep",value:function(){this.renderingActive===!0&&(this.renderTimer=void 0,this.requiresTimeout===!0&&this._startRendering(),this._redraw(),this.requiresTimeout===!1&&this._startRendering())}},{key:"redraw",value:function(){this.body.emitter.emit("setSize"),this._redraw()}},{key:"_requestRedraw",value:function(){var e=this;this.redrawRequested!==!0&&this.renderingActive===!1&&this.allowRedraw===!0&&(this.redrawRequested=!0,this._requestNextFrame(function(){e._redraw(!1)},0))}},{key:"_redraw",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:!1;if(this.allowRedraw===!0){this.body.emitter.emit("initRedraw"),this.redrawRequested=!1;var t={drawExternalLabels:null};(this.canvas.frame.canvas.width===0||this.canvas.frame.canvas.height===0)&&this.canvas.setSize(),this.canvas.setTransform();var i=this.canvas.getContext(),a=this.canvas.frame.canvas.clientWidth,o=this.canvas.frame.canvas.clientHeight;if(i.clearRect(0,0,a,o),this.canvas.frame.clientWidth===0)return;if(i.save(),i.translate(this.body.view.translation.x,this.body.view.translation.y),i.scale(this.body.view.scale,this.body.view.scale),i.beginPath(),this.body.emitter.emit("beforeDrawing",i),i.closePath(),e===!1&&(this.dragging===!1||this.dragging===!0&&this.options.hideEdgesOnDrag===!1)&&(this.zooming===!1||this.zooming===!0&&this.options.hideEdgesOnZoom===!1)&&this._drawEdges(i),this.dragging===!1||this.dragging===!0&&this.options.hideNodesOnDrag===!1){var s=this._drawNodes(i,e),u=s.drawExternalLabels;t.drawExternalLabels=u}e===!1&&(this.dragging===!1||this.dragging===!0&&this.options.hideEdgesOnDrag===!1)&&(this.zooming===!1||this.zooming===!0&&this.options.hideEdgesOnZoom===!1)&&this._drawArrows(i),t.drawExternalLabels!=null&&t.drawExternalLabels(),e===!1&&this._drawSelectionBox(i),i.beginPath(),this.body.emitter.emit("afterDrawing",i),i.closePath(),i.restore(),e===!0&&i.clearRect(0,0,a,o)}}},{key:"_resizeNodes",value:function(){this.canvas.setTransform();var e=this.canvas.getContext();e.save(),e.translate(this.body.view.translation.x,this.body.view.translation.y),e.scale(this.body.view.scale,this.body.view.scale);var t=this.body.nodes,i;for(var a in t)Object.prototype.hasOwnProperty.call(t,a)&&(i=t[a],i.resize(e),i.updateBoundingBox(e,i.selected));e.restore()}},{key:"_drawNodes",value:function(e){for(var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1,i=this.body.nodes,a=this.body.nodeIndices,o,s=[],u=[],l=20,h=this.canvas.DOMtoCanvas({x:-20,y:-20}),d=this.canvas.DOMtoCanvas({x:this.canvas.frame.canvas.clientWidth+l,y:this.canvas.frame.canvas.clientHeight+l}),c={top:h.y,left:h.x,bottom:d.y,right:d.x},f=[],v=0;v<a.length;v++)if(o=i[a[v]],o.hover)u.push(a[v]);else if(o.isSelected())s.push(a[v]);else if(t===!0){var p=o.draw(e);p.drawExternalLabel!=null&&f.push(p.drawExternalLabel)}else if(o.isBoundingBoxOverlappingWith(c)===!0){var g=o.draw(e);g.drawExternalLabel!=null&&f.push(g.drawExternalLabel)}else o.updateBoundingBox(e,o.selected);var y,m=s.length,w=u.length;for(y=0;y<m;y++){o=i[s[y]];var $=o.draw(e);$.drawExternalLabel!=null&&f.push($.drawExternalLabel)}for(y=0;y<w;y++){o=i[u[y]];var E=o.draw(e);E.drawExternalLabel!=null&&f.push(E.drawExternalLabel)}return{drawExternalLabels:function(){for(var D=0,j=f;D<j.length;D++){var R=j[D];R()}}}}},{key:"_drawEdges",value:function(e){for(var t=this.body.edges,i=this.body.edgeIndices,a=0;a<i.length;a++){var o=t[i[a]];o.connected===!0&&o.draw(e)}}},{key:"_drawArrows",value:function(e){for(var t=this.body.edges,i=this.body.edgeIndices,a=0;a<i.length;a++){var o=t[i[a]];o.connected===!0&&o.drawArrows(e)}}},{key:"_determineBrowserMethod",value:function(){if(typeof window<"u"){var e=navigator.userAgent.toLowerCase();this.requiresTimeout=!1,Z(e).call(e,"msie 9.0")!=-1?this.requiresTimeout=!0:Z(e).call(e,"safari")!=-1&&Z(e).call(e,"chrome")<=-1&&(this.requiresTimeout=!0)}else this.requiresTimeout=!0}},{key:"_drawSelectionBox",value:function(e){if(this.body.selectionBox.show){e.beginPath();var t=this.body.selectionBox.position.end.x-this.body.selectionBox.position.start.x,i=this.body.selectionBox.position.end.y-this.body.selectionBox.position.start.y;e.rect(this.body.selectionBox.position.start.x,this.body.selectionBox.position.start.y,t,i),e.fillStyle="rgba(151, 194, 252, 0.2)",e.fillRect(this.body.selectionBox.position.start.x,this.body.selectionBox.position.start.y,t,i),e.strokeStyle="rgba(151, 194, 252, 1)",e.stroke()}else e.closePath()}}]),r}(),ode=te,sde=ode.setInterval,ude=sde,lde=L(ude);function pu(r,n){n.inputHandler=function(e){e.isFirst&&n(e)},r.on("hammer.input",n.inputHandler)}function $O(r,n){return n.inputHandler=function(e){e.isFinal&&n(e)},r.on("hammer.input",n.inputHandler)}var hde=function(){function r(n){C(this,r),this.body=n,this.pixelRatio=1,this.cameraState={},this.initialized=!1,this.canvasViewCenter={},this._cleanupCallbacks=[],this.options={},this.defaultOptions={autoResize:!0,height:"100%",width:"100%"},Ae(this.options,this.defaultOptions),this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e=this,t;this.body.emitter.once("resize",function(i){i.width!==0&&(e.body.view.translation.x=i.width*.5),i.height!==0&&(e.body.view.translation.y=i.height*.5)}),this.body.emitter.on("setSize",O(t=this.setSize).call(t,this)),this.body.emitter.on("destroy",function(){e.hammerFrame.destroy(),e.hammer.destroy(),e._cleanUp()})}},{key:"setOptions",value:function(e){var t=this;if(e!==void 0){var i=["width","height","autoResize"];sa(i,this.options,e)}if(this._cleanUp(),this.options.autoResize===!0){var a;if(window.ResizeObserver){var o=new ResizeObserver(function(){var h=t.setSize();h===!0&&t.body.emitter.emit("_requestRedraw")}),s=this.frame;o.observe(s),this._cleanupCallbacks.push(function(){o.unobserve(s)})}else{var u=lde(function(){var h=t.setSize();h===!0&&t.body.emitter.emit("_requestRedraw")},1e3);this._cleanupCallbacks.push(function(){clearInterval(u)})}var l=O(a=this._onResize).call(a,this);window.addEventListener("resize",l),this._cleanupCallbacks.push(function(){window.removeEventListener("resize",l)})}}},{key:"_cleanUp",value:function(){var e,t,i;ue(e=mi(t=br(i=this._cleanupCallbacks).call(i,0)).call(t)).call(e,function(a){try{a()}catch(o){console.error(o)}})}},{key:"_onResize",value:function(){this.setSize(),this.body.emitter.emit("_redraw")}},{key:"_getCameraState",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:this.pixelRatio;this.initialized===!0&&(this.cameraState.previousWidth=this.frame.canvas.width/e,this.cameraState.previousHeight=this.frame.canvas.height/e,this.cameraState.scale=this.body.view.scale,this.cameraState.position=this.DOMtoCanvas({x:.5*this.frame.canvas.width/e,y:.5*this.frame.canvas.height/e}))}},{key:"_setCameraState",value:function(){if(this.cameraState.scale!==void 0&&this.frame.canvas.clientWidth!==0&&this.frame.canvas.clientHeight!==0&&this.pixelRatio!==0&&this.cameraState.previousWidth>0&&this.cameraState.previousHeight>0){var e=this.frame.canvas.width/this.pixelRatio/this.cameraState.previousWidth,t=this.frame.canvas.height/this.pixelRatio/this.cameraState.previousHeight,i=this.cameraState.scale;e!=1&&t!=1?i=this.cameraState.scale*.5*(e+t):e!=1?i=this.cameraState.scale*e:t!=1&&(i=this.cameraState.scale*t),this.body.view.scale=i;var a=this.DOMtoCanvas({x:.5*this.frame.canvas.clientWidth,y:.5*this.frame.canvas.clientHeight}),o={x:a.x-this.cameraState.position.x,y:a.y-this.cameraState.position.y};this.body.view.translation.x+=o.x*this.body.view.scale,this.body.view.translation.y+=o.y*this.body.view.scale}}},{key:"_prepareValue",value:function(e){if(typeof e=="number")return e+"px";if(typeof e=="string"){if(Z(e).call(e,"%")!==-1||Z(e).call(e,"px")!==-1)return e;if(Z(e).call(e,"%")===-1)return e+"px"}throw new Error("Could not use the value supplied for width or height:"+e)}},{key:"_create",value:function(){for(;this.body.container.hasChildNodes();)this.body.container.removeChild(this.body.container.firstChild);if(this.frame=document.createElement("div"),this.frame.className="vis-network",this.frame.style.position="relative",this.frame.style.overflow="hidden",this.frame.tabIndex=0,this.frame.canvas=document.createElement("canvas"),this.frame.canvas.style.position="relative",this.frame.appendChild(this.frame.canvas),this.frame.canvas.getContext)this._setPixelRatio(),this.setTransform();else{var e=document.createElement("DIV");e.style.color="red",e.style.fontWeight="bold",e.style.padding="10px",e.innerText="Error: your browser does not support HTML canvas",this.frame.canvas.appendChild(e)}this.body.container.appendChild(this.frame),this.body.view.scale=1,this.body.view.translation={x:.5*this.frame.canvas.clientWidth,y:.5*this.frame.canvas.clientHeight},this._bindHammer()}},{key:"_bindHammer",value:function(){var e=this;this.hammer!==void 0&&this.hammer.destroy(),this.drag={},this.pinch={},this.hammer=new bn(this.frame.canvas),this.hammer.get("pinch").set({enable:!0}),this.hammer.get("pan").set({threshold:5,direction:bn.DIRECTION_ALL}),pu(this.hammer,function(t){e.body.eventListeners.onTouch(t)}),this.hammer.on("tap",function(t){e.body.eventListeners.onTap(t)}),this.hammer.on("doubletap",function(t){e.body.eventListeners.onDoubleTap(t)}),this.hammer.on("press",function(t){e.body.eventListeners.onHold(t)}),this.hammer.on("panstart",function(t){e.body.eventListeners.onDragStart(t)}),this.hammer.on("panmove",function(t){e.body.eventListeners.onDrag(t)}),this.hammer.on("panend",function(t){e.body.eventListeners.onDragEnd(t)}),this.hammer.on("pinch",function(t){e.body.eventListeners.onPinch(t)}),this.frame.canvas.addEventListener("wheel",function(t){e.body.eventListeners.onMouseWheel(t)}),this.frame.canvas.addEventListener("mousemove",function(t){e.body.eventListeners.onMouseMove(t)}),this.frame.canvas.addEventListener("contextmenu",function(t){e.body.eventListeners.onContext(t)}),this.hammerFrame=new bn(this.frame),$O(this.hammerFrame,function(t){e.body.eventListeners.onRelease(t)})}},{key:"setSize",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:this.options.width,t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.options.height;e=this._prepareValue(e),t=this._prepareValue(t);var i=!1,a=this.frame.canvas.width,o=this.frame.canvas.height,s=this.pixelRatio;if(this._setPixelRatio(),e!=this.options.width||t!=this.options.height||this.frame.style.width!=e||this.frame.style.height!=t)this._getCameraState(s),this.frame.style.width=e,this.frame.style.height=t,this.frame.canvas.style.width="100%",this.frame.canvas.style.height="100%",this.frame.canvas.width=Math.round(this.frame.canvas.clientWidth*this.pixelRatio),this.frame.canvas.height=Math.round(this.frame.canvas.clientHeight*this.pixelRatio),this.options.width=e,this.options.height=t,this.canvasViewCenter={x:.5*this.frame.clientWidth,y:.5*this.frame.clientHeight},i=!0;else{var u=Math.round(this.frame.canvas.clientWidth*this.pixelRatio),l=Math.round(this.frame.canvas.clientHeight*this.pixelRatio);(this.frame.canvas.width!==u||this.frame.canvas.height!==l)&&this._getCameraState(s),this.frame.canvas.width!==u&&(this.frame.canvas.width=u,i=!0),this.frame.canvas.height!==l&&(this.frame.canvas.height=l,i=!0)}return i===!0&&(this.body.emitter.emit("resize",{width:Math.round(this.frame.canvas.width/this.pixelRatio),height:Math.round(this.frame.canvas.height/this.pixelRatio),oldWidth:Math.round(a/this.pixelRatio),oldHeight:Math.round(o/this.pixelRatio)}),this._setCameraState()),this.initialized=!0,i}},{key:"getContext",value:function(){return this.frame.canvas.getContext("2d")}},{key:"_determinePixelRatio",value:function(){var e=this.getContext();if(e===void 0)throw new Error("Could not get canvax context");var t=1;typeof window<"u"&&(t=window.devicePixelRatio||1);var i=e.webkitBackingStorePixelRatio||e.mozBackingStorePixelRatio||e.msBackingStorePixelRatio||e.oBackingStorePixelRatio||e.backingStorePixelRatio||1;return t/i}},{key:"_setPixelRatio",value:function(){this.pixelRatio=this._determinePixelRatio()}},{key:"setTransform",value:function(){var e=this.getContext();if(e===void 0)throw new Error("Could not get canvax context");e.setTransform(this.pixelRatio,0,0,this.pixelRatio,0,0)}},{key:"_XconvertDOMtoCanvas",value:function(e){return(e-this.body.view.translation.x)/this.body.view.scale}},{key:"_XconvertCanvasToDOM",value:function(e){return e*this.body.view.scale+this.body.view.translation.x}},{key:"_YconvertDOMtoCanvas",value:function(e){return(e-this.body.view.translation.y)/this.body.view.scale}},{key:"_YconvertCanvasToDOM",value:function(e){return e*this.body.view.scale+this.body.view.translation.y}},{key:"canvasToDOM",value:function(e){return{x:this._XconvertCanvasToDOM(e.x),y:this._YconvertCanvasToDOM(e.y)}}},{key:"DOMtoCanvas",value:function(e){return{x:this._XconvertDOMtoCanvas(e.x),y:this._YconvertDOMtoCanvas(e.y)}}}]),r}();function dde(r,n){var e=Ae({nodes:n,minZoomLevel:Number.MIN_VALUE,maxZoomLevel:1},r??{});if(!ae(e.nodes))throw new TypeError("Nodes has to be an array of ids.");if(e.nodes.length===0&&(e.nodes=n),!(typeof e.minZoomLevel=="number"&&e.minZoomLevel>0))throw new TypeError("Min zoom level has to be a number higher than zero.");if(!(typeof e.maxZoomLevel=="number"&&e.minZoomLevel<=e.maxZoomLevel))throw new TypeError("Max zoom level has to be a number higher than min zoom level.");return e}var cde=function(){function r(n,e){var t,i=this,a;C(this,r),this.body=n,this.canvas=e,this.animationSpeed=1/this.renderRefreshRate,this.animationEasingFunction="easeInOutQuint",this.easingTime=0,this.sourceScale=0,this.targetScale=0,this.sourceTranslation=0,this.targetTranslation=0,this.lockedOnNodeId=void 0,this.lockedOnNodeOffset=void 0,this.touchTime=0,this.viewFunction=void 0,this.body.emitter.on("fit",O(t=this.fit).call(t,this)),this.body.emitter.on("animationFinished",function(){i.body.emitter.emit("_stopRendering")}),this.body.emitter.on("unlockNode",O(a=this.releaseNode).call(a,this))}return x(r,[{key:"setOptions",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:{};this.options=e}},{key:"fit",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1;e=dde(e,this.body.nodeIndices);var i=this.canvas.frame.canvas.clientWidth,a=this.canvas.frame.canvas.clientHeight,o,s;if(i===0||a===0)s=1,o=ot.getRange(this.body.nodes,e.nodes);else if(t===!0){var u=0;for(var l in this.body.nodes)if(Object.prototype.hasOwnProperty.call(this.body.nodes,l)){var h=this.body.nodes[l];h.predefinedPosition===!0&&(u+=1)}if(u>.5*this.body.nodeIndices.length){this.fit(e,!1);return}o=ot.getRange(this.body.nodes,e.nodes);var d=this.body.nodeIndices.length;s=12.662/(d+7.4147)+.0964822;var c=Math.min(i/600,a/600);s*=c}else{this.body.emitter.emit("_resizeNodes"),o=ot.getRange(this.body.nodes,e.nodes);var f=Math.abs(o.maxX-o.minX)*1.1,v=Math.abs(o.maxY-o.minY)*1.1,p=i/f,g=a/v;s=p<=g?p:g}s>e.maxZoomLevel?s=e.maxZoomLevel:s<e.minZoomLevel&&(s=e.minZoomLevel);var y=ot.findCenter(o),m={position:y,scale:s,animation:e.animation};this.moveTo(m)}},{key:"focus",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:{};if(this.body.nodes[e]!==void 0){var i={x:this.body.nodes[e].x,y:this.body.nodes[e].y};t.position=i,t.lockedOnNode=e,this.moveTo(t)}else console.error("Node: "+e+" cannot be found.")}},{key:"moveTo",value:function(e){if(e===void 0){e={};return}if(e.offset!=null){if(e.offset.x!=null){if(e.offset.x=+e.offset.x,!di(e.offset.x))throw new TypeError('The option "offset.x" has to be a finite number.')}else e.offset.x=0;if(e.offset.y!=null){if(e.offset.y=+e.offset.y,!di(e.offset.y))throw new TypeError('The option "offset.y" has to be a finite number.')}else e.offset.x=0}else e.offset={x:0,y:0};if(e.position!=null){if(e.position.x!=null){if(e.position.x=+e.position.x,!di(e.position.x))throw new TypeError('The option "position.x" has to be a finite number.')}else e.position.x=0;if(e.position.y!=null){if(e.position.y=+e.position.y,!di(e.position.y))throw new TypeError('The option "position.y" has to be a finite number.')}else e.position.x=0}else e.position=this.getViewPosition();if(e.scale!=null){if(e.scale=+e.scale,!(e.scale>0))throw new TypeError('The option "scale" has to be a number greater than zero.')}else e.scale=this.body.view.scale;e.animation===void 0&&(e.animation={duration:0}),e.animation===!1&&(e.animation={duration:0}),e.animation===!0&&(e.animation={}),e.animation.duration===void 0&&(e.animation.duration=1e3),e.animation.easingFunction===void 0&&(e.animation.easingFunction="easeInOutQuad"),this.animateView(e)}},{key:"animateView",value:function(e){if(e!==void 0){this.animationEasingFunction=e.animation.easingFunction,this.releaseNode(),e.locked===!0&&(this.lockedOnNodeId=e.lockedOnNode,this.lockedOnNodeOffset=e.offset),this.easingTime!=0&&this._transitionRedraw(!0),this.sourceScale=this.body.view.scale,this.sourceTranslation=this.body.view.translation,this.targetScale=e.scale,this.body.view.scale=this.targetScale;var t=this.canvas.DOMtoCanvas({x:.5*this.canvas.frame.canvas.clientWidth,y:.5*this.canvas.frame.canvas.clientHeight}),i={x:t.x-e.position.x,y:t.y-e.position.y};if(this.targetTranslation={x:this.sourceTranslation.x+i.x*this.targetScale+e.offset.x,y:this.sourceTranslation.y+i.y*this.targetScale+e.offset.y},e.animation.duration===0)if(this.lockedOnNodeId!=null){var a;this.viewFunction=O(a=this._lockedRedraw).call(a,this),this.body.emitter.on("initRedraw",this.viewFunction)}else this.body.view.scale=this.targetScale,this.body.view.translation=this.targetTranslation,this.body.emitter.emit("_requestRedraw");else{var o;this.animationSpeed=1/(60*e.animation.duration*.001)||1/60,this.animationEasingFunction=e.animation.easingFunction,this.viewFunction=O(o=this._transitionRedraw).call(o,this),this.body.emitter.on("initRedraw",this.viewFunction),this.body.emitter.emit("_startRendering")}}}},{key:"_lockedRedraw",value:function(){var e={x:this.body.nodes[this.lockedOnNodeId].x,y:this.body.nodes[this.lockedOnNodeId].y},t=this.canvas.DOMtoCanvas({x:.5*this.canvas.frame.canvas.clientWidth,y:.5*this.canvas.frame.canvas.clientHeight}),i={x:t.x-e.x,y:t.y-e.y},a=this.body.view.translation,o={x:a.x+i.x*this.body.view.scale+this.lockedOnNodeOffset.x,y:a.y+i.y*this.body.view.scale+this.lockedOnNodeOffset.y};this.body.view.translation=o}},{key:"releaseNode",value:function(){this.lockedOnNodeId!==void 0&&this.viewFunction!==void 0&&(this.body.emitter.off("initRedraw",this.viewFunction),this.lockedOnNodeId=void 0,this.lockedOnNodeOffset=void 0)}},{key:"_transitionRedraw",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:!1;this.easingTime+=this.animationSpeed,this.easingTime=e===!0?1:this.easingTime;var t=Yie[this.animationEasingFunction](this.easingTime);if(this.body.view.scale=this.sourceScale+(this.targetScale-this.sourceScale)*t,this.body.view.translation={x:this.sourceTranslation.x+(this.targetTranslation.x-this.sourceTranslation.x)*t,y:this.sourceTranslation.y+(this.targetTranslation.y-this.sourceTranslation.y)*t},this.easingTime>=1){if(this.body.emitter.off("initRedraw",this.viewFunction),this.easingTime=0,this.lockedOnNodeId!=null){var i;this.viewFunction=O(i=this._lockedRedraw).call(i,this),this.body.emitter.on("initRedraw",this.viewFunction)}this.body.emitter.emit("animationFinished")}}},{key:"getScale",value:function(){return this.body.view.scale}},{key:"getViewPosition",value:function(){return this.canvas.DOMtoCanvas({x:.5*this.canvas.frame.canvas.clientWidth,y:.5*this.canvas.frame.canvas.clientHeight})}}]),r}();function o$(r){var n=r&&r.preventDefault||!1,e=r&&r.container||window,t={},i={keydown:{},keyup:{}},a={},o;for(o=97;o<=122;o++)a[String.fromCharCode(o)]={code:65+(o-97),shift:!1};for(o=65;o<=90;o++)a[String.fromCharCode(o)]={code:o,shift:!0};for(o=0;o<=9;o++)a[""+o]={code:48+o,shift:!1};for(o=1;o<=12;o++)a["F"+o]={code:111+o,shift:!1};for(o=0;o<=9;o++)a["num"+o]={code:96+o,shift:!1};a["num*"]={code:106,shift:!1},a["num+"]={code:107,shift:!1},a["num-"]={code:109,shift:!1},a["num/"]={code:111,shift:!1},a["num."]={code:110,shift:!1},a.left={code:37,shift:!1},a.up={code:38,shift:!1},a.right={code:39,shift:!1},a.down={code:40,shift:!1},a.space={code:32,shift:!1},a.enter={code:13,shift:!1},a.shift={code:16,shift:void 0},a.esc={code:27,shift:!1},a.backspace={code:8,shift:!1},a.tab={code:9,shift:!1},a.ctrl={code:17,shift:!1},a.alt={code:18,shift:!1},a.delete={code:46,shift:!1},a.pageup={code:33,shift:!1},a.pagedown={code:34,shift:!1},a["="]={code:187,shift:!1},a["-"]={code:189,shift:!1},a["]"]={code:221,shift:!1},a["["]={code:219,shift:!1};var s=function(h){l(h,"keydown")},u=function(h){l(h,"keyup")},l=function(h,d){if(i[d][h.keyCode]!==void 0){for(var c=i[d][h.keyCode],f=0;f<c.length;f++)(c[f].shift===void 0||c[f].shift==!0&&h.shiftKey==!0||c[f].shift==!1&&h.shiftKey==!1)&&c[f].fn(h);n==!0&&h.preventDefault()}};return t.bind=function(h,d,c){if(c===void 0&&(c="keydown"),a[h]===void 0)throw new Error("unsupported key: "+h);i[c][a[h].code]===void 0&&(i[c][a[h].code]=[]),i[c][a[h].code].push({fn:d,shift:a[h].shift})},t.bindAll=function(h,d){d===void 0&&(d="keydown");for(var c in a)a.hasOwnProperty(c)&&t.bind(c,h,d)},t.getKey=function(h){for(var d in a)if(a.hasOwnProperty(d)){if(h.shiftKey==!0&&a[d].shift==!0&&h.keyCode==a[d].code)return d;if(h.shiftKey==!1&&a[d].shift==!1&&h.keyCode==a[d].code)return d;if(h.keyCode==a[d].code&&d=="shift")return d}return"unknown key, currently not supported"},t.unbind=function(h,d,c){if(c===void 0&&(c="keydown"),a[h]===void 0)throw new Error("unsupported key: "+h);if(d!==void 0){var f=[],v=i[c][a[h].code];if(v!==void 0)for(var p=0;p<v.length;p++)v[p].fn==d&&v[p].shift==a[h].shift||f.push(i[c][a[h].code][p]);i[c][a[h].code]=f}else i[c][a[h].code]=[]},t.reset=function(){i={keydown:{},keyup:{}}},t.destroy=function(){i={keydown:{},keyup:{}},e.removeEventListener("keydown",s,!0),e.removeEventListener("keyup",u,!0)},e.addEventListener("keydown",s,!0),e.addEventListener("keyup",u,!0),t}var fde=function(){function r(n,e){var t=this;C(this,r),this.body=n,this.canvas=e,this.iconsCreated=!1,this.navigationHammers=[],this.boundFunctions={},this.touchTime=0,this.activated=!1,this.body.emitter.on("activate",function(){t.activated=!0,t.configureKeyboardBindings()}),this.body.emitter.on("deactivate",function(){t.activated=!1,t.configureKeyboardBindings()}),this.body.emitter.on("destroy",function(){t.keycharm!==void 0&&t.keycharm.destroy()}),this.options={}}return x(r,[{key:"setOptions",value:function(e){e!==void 0&&(this.options=e,this.create())}},{key:"create",value:function(){this.options.navigationButtons===!0?this.iconsCreated===!1&&this.loadNavigationElements():this.iconsCreated===!0&&this.cleanNavigation(),this.configureKeyboardBindings()}},{key:"cleanNavigation",value:function(){if(this.navigationHammers.length!=0){for(var e=0;e<this.navigationHammers.length;e++)this.navigationHammers[e].destroy();this.navigationHammers=[]}this.navigationDOM&&this.navigationDOM.wrapper&&this.navigationDOM.wrapper.parentNode&&this.navigationDOM.wrapper.parentNode.removeChild(this.navigationDOM.wrapper),this.iconsCreated=!1}},{key:"loadNavigationElements",value:function(){var e=this;this.cleanNavigation(),this.navigationDOM={};var t=["up","down","left","right","zoomIn","zoomOut","zoomExtends"],i=["_moveUp","_moveDown","_moveLeft","_moveRight","_zoomIn","_zoomOut","_fit"];this.navigationDOM.wrapper=document.createElement("div"),this.navigationDOM.wrapper.className="vis-navigation",this.canvas.frame.appendChild(this.navigationDOM.wrapper);for(var a=0;a<t.length;a++){this.navigationDOM[t[a]]=document.createElement("div"),this.navigationDOM[t[a]].className="vis-button vis-"+t[a],this.navigationDOM.wrapper.appendChild(this.navigationDOM[t[a]]);var o=new bn(this.navigationDOM[t[a]]);if(i[a]==="_fit"){var s;pu(o,O(s=this._fit).call(s,this))}else{var u;pu(o,O(u=this.bindToRedraw).call(u,this,i[a]))}this.navigationHammers.push(o)}var l=new bn(this.canvas.frame);$O(l,function(){e._stopMovement()}),this.navigationHammers.push(l),this.iconsCreated=!0}},{key:"bindToRedraw",value:function(e){if(this.boundFunctions[e]===void 0){var t;this.boundFunctions[e]=O(t=this[e]).call(t,this),this.body.emitter.on("initRedraw",this.boundFunctions[e]),this.body.emitter.emit("_startRendering")}}},{key:"unbindFromRedraw",value:function(e){this.boundFunctions[e]!==void 0&&(this.body.emitter.off("initRedraw",this.boundFunctions[e]),this.body.emitter.emit("_stopRendering"),delete this.boundFunctions[e])}},{key:"_fit",value:function(){new Date().valueOf()-this.touchTime>700&&(this.body.emitter.emit("fit",{duration:700}),this.touchTime=new Date().valueOf())}},{key:"_stopMovement",value:function(){for(var e in this.boundFunctions)Object.prototype.hasOwnProperty.call(this.boundFunctions,e)&&(this.body.emitter.off("initRedraw",this.boundFunctions[e]),this.body.emitter.emit("_stopRendering"));this.boundFunctions={}}},{key:"_moveUp",value:function(){this.body.view.translation.y+=this.options.keyboard.speed.y}},{key:"_moveDown",value:function(){this.body.view.translation.y-=this.options.keyboard.speed.y}},{key:"_moveLeft",value:function(){this.body.view.translation.x+=this.options.keyboard.speed.x}},{key:"_moveRight",value:function(){this.body.view.translation.x-=this.options.keyboard.speed.x}},{key:"_zoomIn",value:function(){var e=this.body.view.scale,t=this.body.view.scale*(1+this.options.keyboard.speed.zoom),i=this.body.view.translation,a=t/e,o=(1-a)*this.canvas.canvasViewCenter.x+i.x*a,s=(1-a)*this.canvas.canvasViewCenter.y+i.y*a;this.body.view.scale=t,this.body.view.translation={x:o,y:s},this.body.emitter.emit("zoom",{direction:"+",scale:this.body.view.scale,pointer:null})}},{key:"_zoomOut",value:function(){var e=this.body.view.scale,t=this.body.view.scale/(1+this.options.keyboard.speed.zoom),i=this.body.view.translation,a=t/e,o=(1-a)*this.canvas.canvasViewCenter.x+i.x*a,s=(1-a)*this.canvas.canvasViewCenter.y+i.y*a;this.body.view.scale=t,this.body.view.translation={x:o,y:s},this.body.emitter.emit("zoom",{direction:"-",scale:this.body.view.scale,pointer:null})}},{key:"configureKeyboardBindings",value:function(){var e=this;if(this.keycharm!==void 0&&this.keycharm.destroy(),this.options.keyboard.enabled===!0&&(this.options.keyboard.bindToWindow===!0?this.keycharm=o$({container:window,preventDefault:!0}):this.keycharm=o$({container:this.canvas.frame,preventDefault:!0}),this.keycharm.reset(),this.activated===!0)){var t,i,a,o,s,u,l,h,d,c,f,v,p,g,y,m,w,$,E,k,D,j,R,M;O(t=this.keycharm).call(t,"up",function(){e.bindToRedraw("_moveUp")},"keydown"),O(i=this.keycharm).call(i,"down",function(){e.bindToRedraw("_moveDown")},"keydown"),O(a=this.keycharm).call(a,"left",function(){e.bindToRedraw("_moveLeft")},"keydown"),O(o=this.keycharm).call(o,"right",function(){e.bindToRedraw("_moveRight")},"keydown"),O(s=this.keycharm).call(s,"=",function(){e.bindToRedraw("_zoomIn")},"keydown"),O(u=this.keycharm).call(u,"num+",function(){e.bindToRedraw("_zoomIn")},"keydown"),O(l=this.keycharm).call(l,"num-",function(){e.bindToRedraw("_zoomOut")},"keydown"),O(h=this.keycharm).call(h,"-",function(){e.bindToRedraw("_zoomOut")},"keydown"),O(d=this.keycharm).call(d,"[",function(){e.bindToRedraw("_zoomOut")},"keydown"),O(c=this.keycharm).call(c,"]",function(){e.bindToRedraw("_zoomIn")},"keydown"),O(f=this.keycharm).call(f,"pageup",function(){e.bindToRedraw("_zoomIn")},"keydown"),O(v=this.keycharm).call(v,"pagedown",function(){e.bindToRedraw("_zoomOut")},"keydown"),O(p=this.keycharm).call(p,"up",function(){e.unbindFromRedraw("_moveUp")},"keyup"),O(g=this.keycharm).call(g,"down",function(){e.unbindFromRedraw("_moveDown")},"keyup"),O(y=this.keycharm).call(y,"left",function(){e.unbindFromRedraw("_moveLeft")},"keyup"),O(m=this.keycharm).call(m,"right",function(){e.unbindFromRedraw("_moveRight")},"keyup"),O(w=this.keycharm).call(w,"=",function(){e.unbindFromRedraw("_zoomIn")},"keyup"),O($=this.keycharm).call($,"num+",function(){e.unbindFromRedraw("_zoomIn")},"keyup"),O(E=this.keycharm).call(E,"num-",function(){e.unbindFromRedraw("_zoomOut")},"keyup"),O(k=this.keycharm).call(k,"-",function(){e.unbindFromRedraw("_zoomOut")},"keyup"),O(D=this.keycharm).call(D,"[",function(){e.unbindFromRedraw("_zoomOut")},"keyup"),O(j=this.keycharm).call(j,"]",function(){e.unbindFromRedraw("_zoomIn")},"keyup"),O(R=this.keycharm).call(R,"pageup",function(){e.unbindFromRedraw("_zoomIn")},"keyup"),O(M=this.keycharm).call(M,"pagedown",function(){e.unbindFromRedraw("_zoomOut")},"keyup")}}}]),r}();function vde(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=pde(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function pde(r,n){var e;if(r){if(typeof r=="string")return s$(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return s$(r,n)}}function s$(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var gde=function(){function r(n,e,t){var i,a,o,s,u,l,h,d,c,f,v,p,g;C(this,r),this.body=n,this.canvas=e,this.selectionHandler=t,this.navigationHandler=new fde(n,e),this.body.eventListeners.onTap=O(i=this.onTap).call(i,this),this.body.eventListeners.onTouch=O(a=this.onTouch).call(a,this),this.body.eventListeners.onDoubleTap=O(o=this.onDoubleTap).call(o,this),this.body.eventListeners.onHold=O(s=this.onHold).call(s,this),this.body.eventListeners.onDragStart=O(u=this.onDragStart).call(u,this),this.body.eventListeners.onDrag=O(l=this.onDrag).call(l,this),this.body.eventListeners.onDragEnd=O(h=this.onDragEnd).call(h,this),this.body.eventListeners.onMouseWheel=O(d=this.onMouseWheel).call(d,this),this.body.eventListeners.onPinch=O(c=this.onPinch).call(c,this),this.body.eventListeners.onMouseMove=O(f=this.onMouseMove).call(f,this),this.body.eventListeners.onRelease=O(v=this.onRelease).call(v,this),this.body.eventListeners.onContext=O(p=this.onContext).call(p,this),this.touchTime=0,this.drag={},this.pinch={},this.popup=void 0,this.popupObj=void 0,this.popupTimer=void 0,this.body.functions.getPointer=O(g=this.getPointer).call(g,this),this.options={},this.defaultOptions={dragNodes:!0,dragView:!0,hover:!1,keyboard:{enabled:!1,speed:{x:10,y:10,zoom:.02},bindToWindow:!0,autoFocus:!0},navigationButtons:!1,tooltipDelay:300,zoomView:!0,zoomSpeed:1},Ae(this.options,this.defaultOptions),this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e=this;this.body.emitter.on("destroy",function(){clearTimeout(e.popupTimer),delete e.body.functions.getPointer})}},{key:"setOptions",value:function(e){if(e!==void 0){var t=["hideEdgesOnDrag","hideEdgesOnZoom","hideNodesOnDrag","keyboard","multiselect","selectable","selectConnectedEdges"];du(t,this.options,e),Nt(this.options,e,"keyboard"),e.tooltip&&(Ae(this.options.tooltip,e.tooltip),e.tooltip.color&&(this.options.tooltip.color=Rc(e.tooltip.color)))}this.navigationHandler.setOptions(this.options)}},{key:"getPointer",value:function(e){return{x:e.x-Vie(this.canvas.frame.canvas),y:e.y-Gie(this.canvas.frame.canvas)}}},{key:"onTouch",value:function(e){new Date().valueOf()-this.touchTime>50&&(this.drag.pointer=this.getPointer(e.center),this.drag.pinched=!1,this.pinch.scale=this.body.view.scale,this.touchTime=new Date().valueOf())}},{key:"onTap",value:function(e){var t=this.getPointer(e.center),i=this.selectionHandler.options.multiselect&&(e.changedPointers[0].ctrlKey||e.changedPointers[0].metaKey);this.checkSelectionChanges(t,i),this.selectionHandler.commitAndEmit(t,e),this.selectionHandler.generateClickEvent("click",e,t)}},{key:"onDoubleTap",value:function(e){var t=this.getPointer(e.center);this.selectionHandler.generateClickEvent("doubleClick",e,t)}},{key:"onHold",value:function(e){var t=this.getPointer(e.center),i=this.selectionHandler.options.multiselect;this.checkSelectionChanges(t,i),this.selectionHandler.commitAndEmit(t,e),this.selectionHandler.generateClickEvent("click",e,t),this.selectionHandler.generateClickEvent("hold",e,t)}},{key:"onRelease",value:function(e){if(new Date().valueOf()-this.touchTime>10){var t=this.getPointer(e.center);this.selectionHandler.generateClickEvent("release",e,t),this.touchTime=new Date().valueOf()}}},{key:"onContext",value:function(e){var t=this.getPointer({x:e.clientX,y:e.clientY});this.selectionHandler.generateClickEvent("oncontext",e,t)}},{key:"checkSelectionChanges",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!1;t===!0?this.selectionHandler.selectAdditionalOnPoint(e):this.selectionHandler.selectOnPoint(e)}},{key:"_determineDifference",value:function(e,t){var i=function(o,s){for(var u=[],l=0;l<o.length;l++){var h=o[l];Z(s).call(s,h)===-1&&u.push(h)}return u};return{nodes:i(e.nodes,t.nodes),edges:i(e.edges,t.edges)}}},{key:"onDragStart",value:function(e){if(!this.drag.dragging){this.drag.pointer===void 0&&this.onTouch(e);var t=this.selectionHandler.getNodeAt(this.drag.pointer);if(this.drag.dragging=!0,this.drag.selection=[],this.drag.translation=Ae({},this.body.view.translation),this.drag.nodeId=void 0,e.srcEvent.shiftKey){this.body.selectionBox.show=!0;var i=this.getPointer(e.center);this.body.selectionBox.position.start={x:this.canvas._XconvertDOMtoCanvas(i.x),y:this.canvas._YconvertDOMtoCanvas(i.y)},this.body.selectionBox.position.end={x:this.canvas._XconvertDOMtoCanvas(i.x),y:this.canvas._YconvertDOMtoCanvas(i.y)}}else if(t!==void 0&&this.options.dragNodes===!0){this.drag.nodeId=t.id,t.isSelected()===!1&&this.selectionHandler.setSelection({nodes:[t.id]}),this.selectionHandler.generateClickEvent("dragStart",e,this.drag.pointer);var a=vde(this.selectionHandler.getSelectedNodes()),o;try{for(a.s();!(o=a.n()).done;){var s=o.value,u={id:s.id,node:s,x:s.x,y:s.y,xFixed:s.options.fixed.x,yFixed:s.options.fixed.y};s.options.fixed.x=!0,s.options.fixed.y=!0,this.drag.selection.push(u)}}catch(l){a.e(l)}finally{a.f()}}else this.selectionHandler.generateClickEvent("dragStart",e,this.drag.pointer,void 0,!0)}}},{key:"onDrag",value:function(e){var t=this;if(this.drag.pinched!==!0){this.body.emitter.emit("unlockNode");var i=this.getPointer(e.center),a=this.drag.selection;if(a&&a.length&&this.options.dragNodes===!0){this.selectionHandler.generateClickEvent("dragging",e,i);var o=i.x-this.drag.pointer.x,s=i.y-this.drag.pointer.y;ue(a).call(a,function(h){var d=h.node;h.xFixed===!1&&(d.x=t.canvas._XconvertDOMtoCanvas(t.canvas._XconvertCanvasToDOM(h.x)+o)),h.yFixed===!1&&(d.y=t.canvas._YconvertDOMtoCanvas(t.canvas._YconvertCanvasToDOM(h.y)+s))}),this.body.emitter.emit("startSimulation")}else{if(e.srcEvent.shiftKey){if(this.selectionHandler.generateClickEvent("dragging",e,i,void 0,!0),this.drag.pointer===void 0){this.onDragStart(e);return}this.body.selectionBox.position.end={x:this.canvas._XconvertDOMtoCanvas(i.x),y:this.canvas._YconvertDOMtoCanvas(i.y)},this.body.emitter.emit("_requestRedraw")}if(this.options.dragView===!0&&!e.srcEvent.shiftKey){if(this.selectionHandler.generateClickEvent("dragging",e,i,void 0,!0),this.drag.pointer===void 0){this.onDragStart(e);return}var u=i.x-this.drag.pointer.x,l=i.y-this.drag.pointer.y;this.body.view.translation={x:this.drag.translation.x+u,y:this.drag.translation.y+l},this.body.emitter.emit("_requestRedraw")}}}}},{key:"onDragEnd",value:function(e){var t=this;if(this.drag.dragging=!1,this.body.selectionBox.show){var i;this.body.selectionBox.show=!1;var a=this.body.selectionBox.position,o={minX:Math.min(a.start.x,a.end.x),minY:Math.min(a.start.y,a.end.y),maxX:Math.max(a.start.x,a.end.x),maxY:Math.max(a.start.y,a.end.y)},s=yt(i=this.body.nodeIndices).call(i,function(h){var d=t.body.nodes[h];return d.x>=o.minX&&d.x<=o.maxX&&d.y>=o.minY&&d.y<=o.maxY});ue(s).call(s,function(h){return t.selectionHandler.selectObject(t.body.nodes[h])});var u=this.getPointer(e.center);this.selectionHandler.commitAndEmit(u,e),this.selectionHandler.generateClickEvent("dragEnd",e,this.getPointer(e.center),void 0,!0),this.body.emitter.emit("_requestRedraw")}else{var l=this.drag.selection;l&&l.length?(ue(l).call(l,function(h){h.node.options.fixed.x=h.xFixed,h.node.options.fixed.y=h.yFixed}),this.selectionHandler.generateClickEvent("dragEnd",e,this.getPointer(e.center)),this.body.emitter.emit("startSimulation")):(this.selectionHandler.generateClickEvent("dragEnd",e,this.getPointer(e.center),void 0,!0),this.body.emitter.emit("_requestRedraw"))}}},{key:"onPinch",value:function(e){var t=this.getPointer(e.center);this.drag.pinched=!0,this.pinch.scale===void 0&&(this.pinch.scale=1);var i=this.pinch.scale*e.scale;this.zoom(i,t)}},{key:"zoom",value:function(e,t){if(this.options.zoomView===!0){var i=this.body.view.scale;e<1e-5&&(e=1e-5),e>10&&(e=10);var a=void 0;this.drag!==void 0&&this.drag.dragging===!0&&(a=this.canvas.DOMtoCanvas(this.drag.pointer));var o=this.body.view.translation,s=e/i,u=(1-s)*t.x+o.x*s,l=(1-s)*t.y+o.y*s;if(this.body.view.scale=e,this.body.view.translation={x:u,y:l},a!=null){var h=this.canvas.canvasToDOM(a);this.drag.pointer.x=h.x,this.drag.pointer.y=h.y}this.body.emitter.emit("_requestRedraw"),i<e?this.body.emitter.emit("zoom",{direction:"+",scale:this.body.view.scale,pointer:t}):this.body.emitter.emit("zoom",{direction:"-",scale:this.body.view.scale,pointer:t})}}},{key:"onMouseWheel",value:function(e){if(this.options.zoomView===!0){if(e.deltaY!==0){var t=this.body.view.scale;t*=1+(e.deltaY<0?1:-1)*(this.options.zoomSpeed*.1);var i=this.getPointer({x:e.clientX,y:e.clientY});this.zoom(t,i)}e.preventDefault()}}},{key:"onMouseMove",value:function(e){var t=this,i=this.getPointer({x:e.clientX,y:e.clientY}),a=!1;this.popup!==void 0&&(this.popup.hidden===!1&&this._checkHidePopup(i),this.popup.hidden===!1&&(a=!0,this.popup.setPosition(i.x+3,i.y-5),this.popup.show())),this.options.keyboard.autoFocus&&this.options.keyboard.bindToWindow===!1&&this.options.keyboard.enabled===!0&&this.canvas.frame.focus(),a===!1&&(this.popupTimer!==void 0&&(clearInterval(this.popupTimer),this.popupTimer=void 0),this.drag.dragging||(this.popupTimer=or(function(){return t._checkShowPopup(i)},this.options.tooltipDelay))),this.options.hover===!0&&this.selectionHandler.hoverObject(e,i)}},{key:"_checkShowPopup",value:function(e){var t=this.canvas._XconvertDOMtoCanvas(e.x),i=this.canvas._YconvertDOMtoCanvas(e.y),a={left:t,top:i,right:t,bottom:i},o=this.popupObj===void 0?void 0:this.popupObj.id,s=!1,u="node";if(this.popupObj===void 0){for(var l=this.body.nodeIndices,h=this.body.nodes,d,c=[],f=0;f<l.length;f++)d=h[l[f]],d.isOverlappingWith(a)===!0&&(s=!0,d.getTitle()!==void 0&&c.push(l[f]));c.length>0&&(this.popupObj=h[c[c.length-1]],s=!0)}if(this.popupObj===void 0&&s===!1){for(var v=this.body.edgeIndices,p=this.body.edges,g,y=[],m=0;m<v.length;m++)g=p[v[m]],g.isOverlappingWith(a)===!0&&g.connected===!0&&g.getTitle()!==void 0&&y.push(v[m]);y.length>0&&(this.popupObj=p[y[y.length-1]],u="edge")}this.popupObj!==void 0?this.popupObj.id!==o&&(this.popup===void 0&&(this.popup=new ine(this.canvas.frame)),this.popup.popupTargetType=u,this.popup.popupTargetId=this.popupObj.id,this.popup.setPosition(e.x+3,e.y-5),this.popup.setText(this.popupObj.getTitle()),this.popup.show(),this.body.emitter.emit("showPopup",this.popupObj.id)):this.popup!==void 0&&(this.popup.hide(),this.body.emitter.emit("hidePopup"))}},{key:"_checkHidePopup",value:function(e){var t=this.selectionHandler._pointerToPositionObject(e),i=!1;if(this.popup.popupTargetType==="node"){if(this.body.nodes[this.popup.popupTargetId]!==void 0&&(i=this.body.nodes[this.popup.popupTargetId].isOverlappingWith(t),i===!0)){var a=this.selectionHandler.getNodeAt(e);i=a===void 0?!1:a.id===this.popup.popupTargetId}}else this.selectionHandler.getNodeAt(e)===void 0&&this.body.edges[this.popup.popupTargetId]!==void 0&&(i=this.body.edges[this.popup.popupTargetId].isOverlappingWith(t));i===!1&&(this.popupObj=void 0,this.popup.hide(),this.body.emitter.emit("hidePopup"))}}]),r}(),yde=fv,mde=JS;yde("Set",function(r){return function(){return r(this,arguments.length?arguments[0]:void 0)}},mde);var bde=te,$de=bde.Set,wde=$de,_de=wde,Ede=_de,ui=L(Ede),Sde=re,u$=vv,$s=pl.getWeakData,Ode=cv,Tde=Dt,Pde=Xn,Od=We,Ide=dv,wO=Zr,l$=Ue,_O=ji,kde=_O.set,Cde=_O.getterFor,xde=wO.find,Ade=wO.findIndex,Rde=Sde([].splice),Dde=0,ws=function(r){return r.frozen||(r.frozen=new EO)},EO=function(){this.entries=[]},Td=function(r,n){return xde(r.entries,function(e){return e[0]===n})};EO.prototype={get:function(r){var n=Td(this,r);if(n)return n[1]},has:function(r){return!!Td(this,r)},set:function(r,n){var e=Td(this,r);e?e[1]=n:this.entries.push([r,n])},delete:function(r){var n=Ade(this.entries,function(e){return e[0]===r});return~n&&Rde(this.entries,n,1),!!~n}};var Mde={getConstructor:function(r,n,e,t){var i=r(function(u,l){Ode(u,a),kde(u,{type:n,id:Dde++,frozen:void 0}),Pde(l)||Ide(l,u[t],{that:u,AS_ENTRIES:e})}),a=i.prototype,o=Cde(n),s=function(u,l,h){var d=o(u),c=$s(Tde(l),!0);return c===!0?ws(d).set(l,h):c[d.id]=h,u};return u$(a,{delete:function(u){var l=o(this);if(!Od(u))return!1;var h=$s(u);return h===!0?ws(l).delete(u):h&&l$(h,l.id)&&delete h[l.id]},has:function(l){var h=o(this);if(!Od(l))return!1;var d=$s(l);return d===!0?ws(h).has(l):d&&l$(d,h.id)}}),u$(a,e?{get:function(l){var h=o(this);if(Od(l)){var d=$s(l);return d===!0?ws(h).get(l):d?d[h.id]:void 0}},set:function(l,h){return s(this,l,h)}}:{add:function(l){return s(this,l,!0)}}),i}},Nde=qS,h$=_e,zs=re,d$=vv,Fde=pl,Bde=fv,SO=Mde,_s=We,Es=ji.enforce,Lde=ee,jde=F_,Lo=Object,zde=Array.isArray,Ss=Lo.isExtensible,OO=Lo.isFrozen,Hde=Lo.isSealed,TO=Lo.freeze,Wde=Lo.seal,c$={},f$={},Ude=!h$.ActiveXObject&&"ActiveXObject"in h$,va,PO=function(r){return function(){return r(this,arguments.length?arguments[0]:void 0)}},IO=Bde("WeakMap",PO,SO),nn=IO.prototype,Hs=zs(nn.set),Vde=function(){return Nde&&Lde(function(){var r=TO([]);return Hs(new IO,r,1),!OO(r)})};if(jde)if(Ude){va=SO.getConstructor(PO,"WeakMap",!0),Fde.enable();var v$=zs(nn.delete),Os=zs(nn.has),p$=zs(nn.get);d$(nn,{delete:function(r){if(_s(r)&&!Ss(r)){var n=Es(this);return n.frozen||(n.frozen=new va),v$(this,r)||n.frozen.delete(r)}return v$(this,r)},has:function(n){if(_s(n)&&!Ss(n)){var e=Es(this);return e.frozen||(e.frozen=new va),Os(this,n)||e.frozen.has(n)}return Os(this,n)},get:function(n){if(_s(n)&&!Ss(n)){var e=Es(this);return e.frozen||(e.frozen=new va),Os(this,n)?p$(this,n):e.frozen.get(n)}return p$(this,n)},set:function(n,e){if(_s(n)&&!Ss(n)){var t=Es(this);t.frozen||(t.frozen=new va),Os(this,n)?Hs(this,n,e):t.frozen.set(n,e)}else Hs(this,n,e);return this}})}else Vde()&&d$(nn,{set:function(n,e){var t;return zde(n)&&(OO(n)?t=c$:Hde(n)&&(t=f$)),Hs(this,n,e),t===c$&&TO(n),t===f$&&Wde(n),this}});var Gde=te,Kde=Gde.WeakMap,qde=Kde,Yde=qde,Xde=Yde,Ia=L(Xde);function le(r,n,e,t){if(typeof n=="function"?r!==n||!0:!n.has(r))throw new TypeError("Cannot read private member from an object whose class did not declare it");return e==="m"?t:e==="a"?t.call(r):t?t.value:n.get(r)}function zc(r,n,e,t,i){if(typeof n=="function"?r!==n||!0:!n.has(r))throw new TypeError("Cannot write private member to an object whose class did not declare it");return n.set(r,e),e}function Hc(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=Qde(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function Qde(r,n){var e;if(r){if(typeof r=="string")return g$(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return g$(r,n)}}function g$(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var si,Mt,xr,Ar,Ws;function y$(r,n){var e=new ui,t=Hc(n),i;try{for(t.s();!(i=t.n()).done;){var a=i.value;r.has(a)||e.add(a)}}catch(o){t.e(o)}finally{t.f()}return e}var m$=function(){function r(){C(this,r),si.set(this,new ui),Mt.set(this,new ui)}return x(r,[{key:"size",get:function(){return le(this,Mt,"f").size}},{key:"add",value:function(){for(var e=arguments.length,t=new Array(e),i=0;i<e;i++)t[i]=arguments[i];for(var a=0,o=t;a<o.length;a++){var s=o[a];le(this,Mt,"f").add(s)}}},{key:"delete",value:function(){for(var e=arguments.length,t=new Array(e),i=0;i<e;i++)t[i]=arguments[i];for(var a=0,o=t;a<o.length;a++){var s=o[a];le(this,Mt,"f").delete(s)}}},{key:"clear",value:function(){le(this,Mt,"f").clear()}},{key:"getSelection",value:function(){return tr(le(this,Mt,"f"))}},{key:"getChanges",value:function(){return{added:tr(y$(le(this,si,"f"),le(this,Mt,"f"))),deleted:tr(y$(le(this,Mt,"f"),le(this,si,"f"))),previous:tr(new ui(le(this,si,"f"))),current:tr(new ui(le(this,Mt,"f")))}}},{key:"commit",value:function(){var e=this.getChanges();zc(this,si,le(this,Mt,"f")),zc(this,Mt,new ui(le(this,si,"f")));var t=Hc(e.added),i;try{for(t.s();!(i=t.n()).done;){var a=i.value;a.select()}}catch(l){t.e(l)}finally{t.f()}var o=Hc(e.deleted),s;try{for(o.s();!(s=o.n()).done;){var u=s.value;u.unselect()}}catch(l){o.e(l)}finally{o.f()}return e}}]),r}();si=new Ia,Mt=new Ia;var Jde=function(){function r(){var n=arguments.length>0&&arguments[0]!==void 0?arguments[0]:function(){};C(this,r),xr.set(this,new m$),Ar.set(this,new m$),Ws.set(this,void 0),zc(this,Ws,n)}return x(r,[{key:"sizeNodes",get:function(){return le(this,xr,"f").size}},{key:"sizeEdges",get:function(){return le(this,Ar,"f").size}},{key:"getNodes",value:function(){return le(this,xr,"f").getSelection()}},{key:"getEdges",value:function(){return le(this,Ar,"f").getSelection()}},{key:"addNodes",value:function(){var e;(e=le(this,xr,"f")).add.apply(e,arguments)}},{key:"addEdges",value:function(){var e;(e=le(this,Ar,"f")).add.apply(e,arguments)}},{key:"deleteNodes",value:function(e){le(this,xr,"f").delete(e)}},{key:"deleteEdges",value:function(e){le(this,Ar,"f").delete(e)}},{key:"clear",value:function(){le(this,xr,"f").clear(),le(this,Ar,"f").clear()}},{key:"commit",value:function(){for(var e,t,i={nodes:le(this,xr,"f").commit(),edges:le(this,Ar,"f").commit()},a=arguments.length,o=new Array(a),s=0;s<a;s++)o[s]=arguments[s];return(e=le(this,Ws,"f")).call.apply(e,Xf(t=[this,i]).call(t,o)),i}}]),r}();xr=new Ia,Ar=new Ia,Ws=new Ia;function b$(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=Zde(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function Zde(r,n){var e;if(r){if(typeof r=="string")return $$(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return $$(r,n)}}function $$(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var ece=function(){function r(n,e){var t=this;C(this,r),this.body=n,this.canvas=e,this._selectionAccumulator=new Jde,this.hoverObj={nodes:{},edges:{}},this.options={},this.defaultOptions={multiselect:!1,selectable:!0,selectConnectedEdges:!0,hoverConnectedEdges:!0},Ae(this.options,this.defaultOptions),this.body.emitter.on("_dataChanged",function(){t.updateSelection()})}return x(r,[{key:"setOptions",value:function(e){if(e!==void 0){var t=["multiselect","hoverConnectedEdges","selectable","selectConnectedEdges"];sa(t,this.options,e)}}},{key:"selectOnPoint",value:function(e){var t=!1;if(this.options.selectable===!0){var i=this.getNodeAt(e)||this.getEdgeAt(e);this.unselectAll(),i!==void 0&&(t=this.selectObject(i)),this.body.emitter.emit("_requestRedraw")}return t}},{key:"selectAdditionalOnPoint",value:function(e){var t=!1;if(this.options.selectable===!0){var i=this.getNodeAt(e)||this.getEdgeAt(e);i!==void 0&&(t=!0,i.isSelected()===!0?this.deselectObject(i):this.selectObject(i),this.body.emitter.emit("_requestRedraw"))}return t}},{key:"_initBaseEvent",value:function(e,t){var i={};return i.pointer={DOM:{x:t.x,y:t.y},canvas:this.canvas.DOMtoCanvas(t)},i.event=e,i}},{key:"generateClickEvent",value:function(e,t,i,a){var o=arguments.length>4&&arguments[4]!==void 0?arguments[4]:!1,s=this._initBaseEvent(t,i);if(o===!0)s.nodes=[],s.edges=[];else{var u=this.getSelection();s.nodes=u.nodes,s.edges=u.edges}a!==void 0&&(s.previousSelection=a),e=="click"&&(s.items=this.getClickedItems(i)),t.controlEdge!==void 0&&(s.controlEdge=t.controlEdge),this.body.emitter.emit(e,s)}},{key:"selectObject",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:this.options.selectConnectedEdges;if(e!==void 0){if(e instanceof Pt){if(t===!0){var i;(i=this._selectionAccumulator).addEdges.apply(i,tr(e.edges))}this._selectionAccumulator.addNodes(e)}else this._selectionAccumulator.addEdges(e);return!0}return!1}},{key:"deselectObject",value:function(e){e.isSelected()===!0&&(e.selected=!1,this._removeFromSelection(e))}},{key:"_getAllNodesOverlappingWith",value:function(e){for(var t=[],i=this.body.nodes,a=0;a<this.body.nodeIndices.length;a++){var o=this.body.nodeIndices[a];i[o].isOverlappingWith(e)&&t.push(o)}return t}},{key:"_pointerToPositionObject",value:function(e){var t=this.canvas.DOMtoCanvas(e);return{left:t.x-1,top:t.y+1,right:t.x+1,bottom:t.y-1}}},{key:"getNodeAt",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0,i=this._pointerToPositionObject(e),a=this._getAllNodesOverlappingWith(i);if(a.length>0)return t===!0?this.body.nodes[a[a.length-1]]:a[a.length-1]}},{key:"_getEdgesOverlappingWith",value:function(e,t){for(var i=this.body.edges,a=0;a<this.body.edgeIndices.length;a++){var o=this.body.edgeIndices[a];i[o].isOverlappingWith(e)&&t.push(o)}}},{key:"_getAllEdgesOverlappingWith",value:function(e){var t=[];return this._getEdgesOverlappingWith(e,t),t}},{key:"getEdgeAt",value:function(e){for(var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0,i=this.canvas.DOMtoCanvas(e),a=10,o=null,s=this.body.edges,u=0;u<this.body.edgeIndices.length;u++){var l=this.body.edgeIndices[u],h=s[l];if(h.connected){var d=h.from.x,c=h.from.y,f=h.to.x,v=h.to.y,p=h.edgeType.getDistanceToEdge(d,c,f,v,i.x,i.y);p<a&&(o=l,a=p)}}if(o!==null)return t===!0?this.body.edges[o]:o}},{key:"_addToHover",value:function(e){e instanceof Pt?this.hoverObj.nodes[e.id]=e:this.hoverObj.edges[e.id]=e}},{key:"_removeFromSelection",value:function(e){if(e instanceof Pt){var t;this._selectionAccumulator.deleteNodes(e),(t=this._selectionAccumulator).deleteEdges.apply(t,tr(e.edges))}else this._selectionAccumulator.deleteEdges(e)}},{key:"unselectAll",value:function(){this._selectionAccumulator.clear()}},{key:"getSelectedNodeCount",value:function(){return this._selectionAccumulator.sizeNodes}},{key:"getSelectedEdgeCount",value:function(){return this._selectionAccumulator.sizeEdges}},{key:"_hoverConnectedEdges",value:function(e){for(var t=0;t<e.edges.length;t++){var i=e.edges[t];i.hover=!0,this._addToHover(i)}}},{key:"emitBlurEvent",value:function(e,t,i){var a=this._initBaseEvent(e,t);i.hover===!0&&(i.hover=!1,i instanceof Pt?(a.node=i.id,this.body.emitter.emit("blurNode",a)):(a.edge=i.id,this.body.emitter.emit("blurEdge",a)))}},{key:"emitHoverEvent",value:function(e,t,i){var a=this._initBaseEvent(e,t),o=!1;return i.hover===!1&&(i.hover=!0,this._addToHover(i),o=!0,i instanceof Pt?(a.node=i.id,this.body.emitter.emit("hoverNode",a)):(a.edge=i.id,this.body.emitter.emit("hoverEdge",a))),o}},{key:"hoverObject",value:function(e,t){var i=this.getNodeAt(t);i===void 0&&(i=this.getEdgeAt(t));var a=!1;for(var o in this.hoverObj.nodes)Object.prototype.hasOwnProperty.call(this.hoverObj.nodes,o)&&(i===void 0||i instanceof Pt&&i.id!=o||i instanceof $n)&&(this.emitBlurEvent(e,t,this.hoverObj.nodes[o]),delete this.hoverObj.nodes[o],a=!0);for(var s in this.hoverObj.edges)Object.prototype.hasOwnProperty.call(this.hoverObj.edges,s)&&(a===!0?(this.hoverObj.edges[s].hover=!1,delete this.hoverObj.edges[s]):(i===void 0||i instanceof $n&&i.id!=s||i instanceof Pt&&!i.hover)&&(this.emitBlurEvent(e,t,this.hoverObj.edges[s]),delete this.hoverObj.edges[s],a=!0));if(i!==void 0){var u=me(this.hoverObj.edges).length,l=me(this.hoverObj.nodes).length,h=i instanceof $n&&u===0&&l===0,d=i instanceof Pt&&u===0&&l===0;(a||h||d)&&(a=this.emitHoverEvent(e,t,i)),i instanceof Pt&&this.options.hoverConnectedEdges===!0&&this._hoverConnectedEdges(i)}a===!0&&this.body.emitter.emit("_requestRedraw")}},{key:"commitWithoutEmitting",value:function(){this._selectionAccumulator.commit()}},{key:"commitAndEmit",value:function(e,t){var i=!1,a=this._selectionAccumulator.commit(),o={nodes:a.nodes.previous,edges:a.edges.previous};a.edges.deleted.length>0&&(this.generateClickEvent("deselectEdge",t,e,o),i=!0),a.nodes.deleted.length>0&&(this.generateClickEvent("deselectNode",t,e,o),i=!0),a.nodes.added.length>0&&(this.generateClickEvent("selectNode",t,e),i=!0),a.edges.added.length>0&&(this.generateClickEvent("selectEdge",t,e),i=!0),i===!0&&this.generateClickEvent("select",t,e)}},{key:"getSelection",value:function(){return{nodes:this.getSelectedNodeIds(),edges:this.getSelectedEdgeIds()}}},{key:"getSelectedNodes",value:function(){return this._selectionAccumulator.getNodes()}},{key:"getSelectedEdges",value:function(){return this._selectionAccumulator.getEdges()}},{key:"getSelectedNodeIds",value:function(){var e;return Cn(e=this._selectionAccumulator.getNodes()).call(e,function(t){return t.id})}},{key:"getSelectedEdgeIds",value:function(){var e;return Cn(e=this._selectionAccumulator.getEdges()).call(e,function(t){return t.id})}},{key:"setSelection",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:{};if(!e||!e.nodes&&!e.edges)throw new TypeError("Selection must be an object with nodes and/or edges properties");if((t.unselectAll||t.unselectAll===void 0)&&this.unselectAll(),e.nodes){var i=b$(e.nodes),a;try{for(i.s();!(a=i.n()).done;){var o=a.value,s=this.body.nodes[o];if(!s)throw new RangeError('Node with id "'+o+'" not found');this.selectObject(s,t.highlightEdges)}}catch(c){i.e(c)}finally{i.f()}}if(e.edges){var u=b$(e.edges),l;try{for(u.s();!(l=u.n()).done;){var h=l.value,d=this.body.edges[h];if(!d)throw new RangeError('Edge with id "'+h+'" not found');this.selectObject(d)}}catch(c){u.e(c)}finally{u.f()}}this.body.emitter.emit("_requestRedraw"),this._selectionAccumulator.commit()}},{key:"selectNodes",value:function(e){var t=arguments.length>1&&arguments[1]!==void 0?arguments[1]:!0;if(!e||e.length===void 0)throw"Selection must be an array with ids";this.setSelection({nodes:e},{highlightEdges:t})}},{key:"selectEdges",value:function(e){if(!e||e.length===void 0)throw"Selection must be an array with ids";this.setSelection({edges:e})}},{key:"updateSelection",value:function(){for(var e in this._selectionAccumulator.getNodes())Object.prototype.hasOwnProperty.call(this.body.nodes,e.id)||this._selectionAccumulator.deleteNodes(e);for(var t in this._selectionAccumulator.getEdges())Object.prototype.hasOwnProperty.call(this.body.edges,t.id)||this._selectionAccumulator.deleteEdges(t)}},{key:"getClickedItems",value:function(e){for(var t=this.canvas.DOMtoCanvas(e),i=[],a=this.body.nodeIndices,o=this.body.nodes,s=a.length-1;s>=0;s--){var u=o[a[s]],l=u.getItemsOnPoint(t);i.push.apply(i,l)}for(var h=this.body.edgeIndices,d=this.body.edges,c=h.length-1;c>=0;c--){var f=d[h[c]],v=f.getItemsOnPoint(t);i.push.apply(i,v)}return i}}]),r}(),w$=cE,tce=Math.floor,Wc=function(r,n){var e=r.length,t=tce(e/2);return e<8?rce(r,n):ice(r,Wc(w$(r,0,t),n),Wc(w$(r,t),n),n)},rce=function(r,n){for(var e=r.length,t=1,i,a;t<e;){for(a=t,i=r[t];a&&n(r[a-1],i)>0;)r[a]=r[--a];a!==t++&&(r[a]=i)}return r},ice=function(r,n,e,t){for(var i=n.length,a=e.length,o=0,s=0;o<i||s<a;)r[o+s]=o<i&&s<a?t(n[o],e[s])<=0?n[o++]:e[s++]:o<i?n[o++]:e[s++];return r},nce=Wc,ace=mo,_$=ace.match(/firefox\/(\d+)/i),oce=!!_$&&+_$[1],sce=mo,uce=/MSIE|Trident/.test(sce),lce=mo,E$=lce.match(/AppleWebKit\/(\d+)\./),hce=!!E$&&+E$[1],dce=V,kO=re,cce=Bi,fce=Et,S$=Ht,vce=JE,O$=dr,$v=ee,pce=nce,gce=aa,T$=oce,yce=uce,P$=bo,I$=hce,Fr=[],k$=kO(Fr.sort),mce=kO(Fr.push),bce=$v(function(){Fr.sort(void 0)}),$ce=$v(function(){Fr.sort(null)}),wce=gce("sort"),CO=!$v(function(){if(P$)return P$<70;if(!(T$&&T$>3)){if(yce)return!0;if(I$)return I$<603;var r="",n,e,t,i;for(n=65;n<76;n++){switch(e=String.fromCharCode(n),n){case 66:case 69:case 70:case 72:t=3;break;case 68:case 71:t=4;break;default:t=2}for(i=0;i<47;i++)Fr.push({k:e+i,v:t})}for(Fr.sort(function(a,o){return o.v-a.v}),i=0;i<Fr.length;i++)e=Fr[i].k.charAt(0),r.charAt(r.length-1)!==e&&(r+=e);return r!=="DGBEFHACIJK"}}),_ce=bce||!$ce||!wce||!CO,Ece=function(r){return function(n,e){return e===void 0?-1:n===void 0?1:r!==void 0?+r(n,e)||0:O$(n)>O$(e)?1:-1}};dce({target:"Array",proto:!0,forced:_ce},{sort:function(n){n!==void 0&&cce(n);var e=fce(this);if(CO)return n===void 0?k$(e):k$(e,n);var t=[],i=S$(e),a,o;for(o=0;o<i;o++)o in e&&mce(t,e[o]);for(pce(t,Ece(n)),a=S$(t),o=0;o<a;)e[o]=t[o++];for(;o<i;)vce(e,o++);return e}});var Sce=Ve,Oce=Sce("Array").sort,Tce=Ie,Pce=Oce,Pd=Array.prototype,Ice=function(r){var n=r.sort;return r===Pd||Tce(Pd,r)&&n===Pd.sort?Pce:n},kce=Ice,Cce=kce,xce=Cce,ka=L(xce),Ace=Bi,Rce=Et,Dce=Ku,Mce=Ht,Nce=TypeError,Fce=function(r){return function(n,e,t,i){Ace(e);var a=Rce(n),o=Dce(a),s=Mce(a),u=r?s-1:0,l=r?-1:1;if(t<2)for(;;){if(u in o){i=o[u],u+=l;break}if(u+=l,r?u<0:s<=u)throw new Nce("Reduce of empty array with no initial value")}for(;r?u>=0:s>u;u+=l)u in o&&(i=e(i,o[u],u,a));return i}},Bce={left:Fce(!1)},Lce=_e,jce=kr,zce=jce(Lce.process)==="process",Hce=V,Wce=Bce.left,Uce=aa,C$=bo,Vce=zce,Gce=!Vce&&C$>79&&C$<83,Kce=Gce||!Uce("reduce");Hce({target:"Array",proto:!0,forced:Kce},{reduce:function(n){var e=arguments.length;return Wce(this,n,e,e>1?arguments[1]:void 0)}});var qce=Ve,Yce=qce("Array").reduce,Xce=Ie,Qce=Yce,Id=Array.prototype,Jce=function(r){var n=r.reduce;return r===Id||Xce(Id,r)&&n===Id.reduce?Qce:n},Zce=Jce,efe=Zce,tfe=efe,xO=L(tfe);function AO(r){var n=rfe();return function(){var t=N(r),i;if(n){var a=N(this).constructor;i=_(t,arguments,a)}else i=t.apply(this,arguments);return oe(this,i)}}function rfe(){if(typeof Reflect>"u"||!_||_.sham)return!1;if(typeof Proxy=="function")return!0;try{return Boolean.prototype.valueOf.call(_(Boolean,[],function(){})),!0}catch{return!1}}var RO=function(){function r(){C(this,r)}return x(r,[{key:"abstract",value:function(){throw new Error("Can't instantiate abstract class!")}},{key:"fake_use",value:function(){}},{key:"curveType",value:function(){return this.abstract()}},{key:"getPosition",value:function(e){return this.fake_use(e),this.abstract()}},{key:"setPosition",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:void 0;this.fake_use(e,t,i),this.abstract()}},{key:"getTreeSize",value:function(e){return this.fake_use(e),this.abstract()}},{key:"sort",value:function(e){this.fake_use(e),this.abstract()}},{key:"fix",value:function(e,t){this.fake_use(e,t),this.abstract()}},{key:"shift",value:function(e,t){this.fake_use(e,t),this.abstract()}}]),r}(),ife=function(r){ie(e,r);var n=AO(e);function e(t){var i;return C(this,e),i=n.call(this),i.layout=t,i}return x(e,[{key:"curveType",value:function(){return"horizontal"}},{key:"getPosition",value:function(i){return i.x}},{key:"setPosition",value:function(i,a){var o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:void 0;o!==void 0&&this.layout.hierarchical.addToOrdering(i,o),i.x=a}},{key:"getTreeSize",value:function(i){var a=this.layout.hierarchical.getTreeSize(this.layout.body.nodes,i);return{min:a.min_x,max:a.max_x}}},{key:"sort",value:function(i){ka(i).call(i,function(a,o){return a.x-o.x})}},{key:"fix",value:function(i,a){i.y=this.layout.options.hierarchical.levelSeparation*a,i.options.fixed.y=!0}},{key:"shift",value:function(i,a){this.layout.body.nodes[i].x+=a}}]),e}(RO),nfe=function(r){ie(e,r);var n=AO(e);function e(t){var i;return C(this,e),i=n.call(this),i.layout=t,i}return x(e,[{key:"curveType",value:function(){return"vertical"}},{key:"getPosition",value:function(i){return i.y}},{key:"setPosition",value:function(i,a){var o=arguments.length>2&&arguments[2]!==void 0?arguments[2]:void 0;o!==void 0&&this.layout.hierarchical.addToOrdering(i,o),i.y=a}},{key:"getTreeSize",value:function(i){var a=this.layout.hierarchical.getTreeSize(this.layout.body.nodes,i);return{min:a.min_y,max:a.max_y}}},{key:"sort",value:function(i){ka(i).call(i,function(a,o){return a.y-o.y})}},{key:"fix",value:function(i,a){i.x=this.layout.options.hierarchical.levelSeparation*a,i.options.fixed.x=!0}},{key:"shift",value:function(i,a){this.layout.body.nodes[i].y+=a}}]),e}(RO),afe=V,ofe=Zr.every,sfe=aa,ufe=sfe("every");afe({target:"Array",proto:!0,forced:!ufe},{every:function(n){return ofe(this,n,arguments.length>1?arguments[1]:void 0)}});var lfe=Ve,hfe=lfe("Array").every,dfe=Ie,cfe=hfe,kd=Array.prototype,ffe=function(r){var n=r.every;return r===kd||dfe(kd,r)&&n===kd.every?cfe:n},vfe=ffe,pfe=vfe,gfe=pfe,DO=L(gfe);function yfe(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=mfe(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function mfe(r,n){var e;if(r){if(typeof r=="string")return x$(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return x$(r,n)}}function x$(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}function bfe(r,n){var e=new ui;return ue(r).call(r,function(t){var i;ue(i=t.edges).call(i,function(a){a.connected&&e.add(a)})}),ue(e).call(e,function(t){var i=t.from.id,a=t.to.id;n[i]==null&&(n[i]=0),(n[a]==null||n[i]>=n[a])&&(n[a]=n[i]+1)}),n}function $fe(r){return MO(function(n){var e,t;return DO(e=yt(t=n.edges).call(t,function(i){return r.has(i.toId)})).call(e,function(i){return i.to===n})},function(n,e){return e>n},"from",r)}function wfe(r){return MO(function(n){var e,t;return DO(e=yt(t=n.edges).call(t,function(i){return r.has(i.toId)})).call(e,function(i){return i.from===n})},function(n,e){return e<n},"to",r)}function MO(r,n,e,t){var i,a=bi(null),o=xO(i=tr(hO(t).call(t))).call(i,function(f,v){return f+1+v.edges.length},0),s=e+"Id",u=e==="to"?1:-1,l=yfe(t),h;try{var d=function(){var v=be(h.value,2),p=v[0],g=v[1];if(!t.has(p)||!r(g))return 0;a[p]=0;for(var y=[g],m=0,w,$=function(){var D,j;if(!t.has(p))return 0;var R=a[w.id]+u;if(ue(D=yt(j=w.edges).call(j,function(M){return M.connected&&M.to!==M.from&&M[e]!==w&&t.has(M.toId)&&t.has(M.fromId)})).call(D,function(M){var W=M[s],X=a[W];(X==null||n(R,X))&&(a[W]=R,y.push(M[e]))}),m>o)return{v:{v:bfe(t,a)}};++m},E;w=y.pop();)if(E=$(),E!==0&&E)return E.v},c;for(l.s();!(h=l.n()).done;)if(c=d(),c!==0&&c)return c.v}catch(f){l.e(f)}finally{l.f()}return a}var _fe=function(){function r(){C(this,r),this.childrenReference={},this.parentReference={},this.trees={},this.distributionOrdering={},this.levels={},this.distributionIndex={},this.isTree=!1,this.treeIndex=-1}return x(r,[{key:"addRelation",value:function(e,t){this.childrenReference[e]===void 0&&(this.childrenReference[e]=[]),this.childrenReference[e].push(t),this.parentReference[t]===void 0&&(this.parentReference[t]=[]),this.parentReference[t].push(e)}},{key:"checkIfTree",value:function(){for(var e in this.parentReference)if(this.parentReference[e].length>1){this.isTree=!1;return}this.isTree=!0}},{key:"numTrees",value:function(){return this.treeIndex+1}},{key:"setTreeIndex",value:function(e,t){t!==void 0&&this.trees[e.id]===void 0&&(this.trees[e.id]=t,this.treeIndex=Math.max(t,this.treeIndex))}},{key:"ensureLevel",value:function(e){this.levels[e]===void 0&&(this.levels[e]=0)}},{key:"getMaxLevel",value:function(e){var t=this,i={},a=function o(s){if(i[s]!==void 0)return i[s];var u=t.levels[s];if(t.childrenReference[s]){var l=t.childrenReference[s];if(l.length>0)for(var h=0;h<l.length;h++)u=Math.max(u,o(l[h]))}return i[s]=u,u};return a(e)}},{key:"levelDownstream",value:function(e,t){this.levels[t.id]===void 0&&(this.levels[e.id]===void 0&&(this.levels[e.id]=0),this.levels[t.id]=this.levels[e.id]+1)}},{key:"setMinLevelToZero",value:function(e){var t=1e9;for(var i in e)Object.prototype.hasOwnProperty.call(e,i)&&this.levels[i]!==void 0&&(t=Math.min(this.levels[i],t));for(var a in e)Object.prototype.hasOwnProperty.call(e,a)&&this.levels[a]!==void 0&&(this.levels[a]-=t)}},{key:"getTreeSize",value:function(e,t){var i=1e9,a=-1e9,o=1e9,s=-1e9;for(var u in this.trees)if(Object.prototype.hasOwnProperty.call(this.trees,u)&&this.trees[u]===t){var l=e[u];i=Math.min(l.x,i),a=Math.max(l.x,a),o=Math.min(l.y,o),s=Math.max(l.y,s)}return{min_x:i,max_x:a,min_y:o,max_y:s}}},{key:"hasSameParent",value:function(e,t){var i=this.parentReference[e.id],a=this.parentReference[t.id];if(i===void 0||a===void 0)return!1;for(var o=0;o<i.length;o++)for(var s=0;s<a.length;s++)if(i[o]==a[s])return!0;return!1}},{key:"inSameSubNetwork",value:function(e,t){return this.trees[e.id]===this.trees[t.id]}},{key:"getLevels",value:function(){return me(this.distributionOrdering)}},{key:"addToOrdering",value:function(e,t){this.distributionOrdering[t]===void 0&&(this.distributionOrdering[t]=[]);var i=!1,a=this.distributionOrdering[t];for(var o in a)if(a[o]===e){i=!0;break}i||(this.distributionOrdering[t].push(e),this.distributionIndex[e.id]=this.distributionOrdering[t].length-1)}}]),r}(),Efe=function(){function r(n){C(this,r),this.body=n,this._resetRNG(Math.random()+":"+su()),this.setPhysics=!1,this.options={},this.optionsBackup={physics:{}},this.defaultOptions={randomSeed:void 0,improvedLayout:!0,clusterThreshold:150,hierarchical:{enabled:!1,levelSeparation:150,nodeSpacing:100,treeSpacing:200,blockShifting:!0,edgeMinimization:!0,parentCentralization:!0,direction:"UD",sortMethod:"hubsize"}},Ae(this.options,this.defaultOptions),this.bindEventListeners()}return x(r,[{key:"bindEventListeners",value:function(){var e=this;this.body.emitter.on("_dataChanged",function(){e.setupHierarchicalLayout()}),this.body.emitter.on("_dataLoaded",function(){e.layoutNetwork()}),this.body.emitter.on("_resetHierarchicalLayout",function(){e.setupHierarchicalLayout()}),this.body.emitter.on("_adjustEdgesForHierarchicalLayout",function(){if(e.options.hierarchical.enabled===!0){var t=e.direction.curveType();e.body.emitter.emit("_forceDisableDynamicCurves",t,!1)}})}},{key:"setOptions",value:function(e,t){if(e!==void 0){var i=this.options.hierarchical,a=i.enabled;if(sa(["randomSeed","improvedLayout","clusterThreshold"],this.options,e),Nt(this.options,e,"hierarchical"),e.randomSeed!==void 0&&this._resetRNG(e.randomSeed),i.enabled===!0)return a===!0&&this.body.emitter.emit("refresh",!0),i.direction==="RL"||i.direction==="DU"?i.levelSeparation>0&&(i.levelSeparation*=-1):i.levelSeparation<0&&(i.levelSeparation*=-1),this.setDirectionStrategy(),this.body.emitter.emit("_resetHierarchicalLayout"),this.adaptAllOptionsForHierarchicalLayout(t);if(a===!0)return this.body.emitter.emit("refresh"),he(t,this.optionsBackup)}return t}},{key:"_resetRNG",value:function(e){this.initialRandomSeed=e,this._rng=vl(this.initialRandomSeed)}},{key:"adaptAllOptionsForHierarchicalLayout",value:function(e){if(this.options.hierarchical.enabled===!0){var t=this.optionsBackup.physics;e.physics===void 0||e.physics===!0?(e.physics={enabled:t.enabled===void 0?!0:t.enabled,solver:"hierarchicalRepulsion"},t.enabled=t.enabled===void 0?!0:t.enabled,t.solver=t.solver||"barnesHut"):se(e.physics)==="object"?(t.enabled=e.physics.enabled===void 0?!0:e.physics.enabled,t.solver=e.physics.solver||"barnesHut",e.physics.solver="hierarchicalRepulsion"):e.physics!==!1&&(t.solver="barnesHut",e.physics={solver:"hierarchicalRepulsion"});var i=this.direction.curveType();if(e.edges===void 0)this.optionsBackup.edges={smooth:{enabled:!0,type:"dynamic"}},e.edges={smooth:!1};else if(e.edges.smooth===void 0)this.optionsBackup.edges={smooth:{enabled:!0,type:"dynamic"}},e.edges.smooth=!1;else if(typeof e.edges.smooth=="boolean")this.optionsBackup.edges={smooth:e.edges.smooth},e.edges.smooth={enabled:e.edges.smooth,type:i};else{var a=e.edges.smooth;a.type!==void 0&&a.type!=="dynamic"&&(i=a.type),this.optionsBackup.edges={smooth:{enabled:a.enabled===void 0?!0:a.enabled,type:a.type===void 0?"dynamic":a.type,roundness:a.roundness===void 0?.5:a.roundness,forceDirection:a.forceDirection===void 0?!1:a.forceDirection}},e.edges.smooth={enabled:a.enabled===void 0?!0:a.enabled,type:i,roundness:a.roundness===void 0?.5:a.roundness,forceDirection:a.forceDirection===void 0?!1:a.forceDirection}}this.body.emitter.emit("_forceDisableDynamicCurves",i)}return e}},{key:"positionInitially",value:function(e){if(this.options.hierarchical.enabled!==!0){this._resetRNG(this.initialRandomSeed);for(var t=e.length+50,i=0;i<e.length;i++){var a=e[i],o=2*Math.PI*this._rng();a.x===void 0&&(a.x=t*Math.cos(o)),a.y===void 0&&(a.y=t*Math.sin(o))}}}},{key:"layoutNetwork",value:function(){if(this.options.hierarchical.enabled!==!0&&this.options.improvedLayout===!0){for(var e=this.body.nodeIndices,t=0,i=0;i<e.length;i++){var a=this.body.nodes[e[i]];a.predefinedPosition===!0&&(t+=1)}if(t<.5*e.length){var o=10,s=0,u=this.options.clusterThreshold,l={clusterNodeProperties:{shape:"ellipse",label:"",group:"",font:{multi:!1}},clusterEdgeProperties:{label:"",font:{multi:!1},smooth:{enabled:!1}}};if(e.length>u){for(var h=e.length;e.length>u&&s<=o;){s+=1;var d=e.length;s%3===0?this.body.modules.clustering.clusterBridges(l):this.body.modules.clustering.clusterOutliers(l);var c=e.length;if(d==c&&s%3!==0){this._declusterAll(),this.body.emitter.emit("_layoutFailed"),console.info("This network could not be positioned by this version of the improved layout algorithm. Please disable improvedLayout for better performance.");return}}this.body.modules.kamadaKawai.setOptions({springLength:Math.max(150,2*h)})}s>o&&console.info("The clustering didn't succeed within the amount of interations allowed, progressing with partial result."),this.body.modules.kamadaKawai.solve(e,this.body.edgeIndices,!0),this._shiftToCenter();for(var f=70,v=0;v<e.length;v++){var p=this.body.nodes[e[v]];p.predefinedPosition===!1&&(p.x+=(.5-this._rng())*f,p.y+=(.5-this._rng())*f)}this._declusterAll(),this.body.emitter.emit("_repositionBezierNodes")}}}},{key:"_shiftToCenter",value:function(){for(var e=ot.getRangeCore(this.body.nodes,this.body.nodeIndices),t=ot.findCenter(e),i=0;i<this.body.nodeIndices.length;i++){var a=this.body.nodes[this.body.nodeIndices[i]];a.x-=t.x,a.y-=t.y}}},{key:"_declusterAll",value:function(){for(var e=!0;e===!0;){e=!1;for(var t=0;t<this.body.nodeIndices.length;t++)this.body.nodes[this.body.nodeIndices[t]].isCluster===!0&&(e=!0,this.body.modules.clustering.openCluster(this.body.nodeIndices[t],{},!1));e===!0&&this.body.emitter.emit("_dataChanged")}}},{key:"getSeed",value:function(){return this.initialRandomSeed}},{key:"setupHierarchicalLayout",value:function(){if(this.options.hierarchical.enabled===!0&&this.body.nodeIndices.length>0){var e,t,i=!1,a=!1;this.lastNodeOnLevel={},this.hierarchical=new _fe;for(t in this.body.nodes)Object.prototype.hasOwnProperty.call(this.body.nodes,t)&&(e=this.body.nodes[t],e.options.level!==void 0?(i=!0,this.hierarchical.levels[t]=e.options.level):a=!0);if(a===!0&&i===!0)throw new Error("To use the hierarchical layout, nodes require either no predefined levels or levels have to be defined for all nodes.");if(a===!0){var o=this.options.hierarchical.sortMethod;o==="hubsize"?this._determineLevelsByHubsize():o==="directed"?this._determineLevelsDirected():o==="custom"&&this._determineLevelsCustomCallback()}for(var s in this.body.nodes)Object.prototype.hasOwnProperty.call(this.body.nodes,s)&&this.hierarchical.ensureLevel(s);var u=this._getDistribution();this._generateMap(),this._placeNodesByHierarchy(u),this._condenseHierarchy(),this._shiftToCenter()}}},{key:"_condenseHierarchy",value:function(){var e=this,t=!1,i={},a=function(){for(var w=s(),$=0,E=0;E<w.length-1;E++){var k=w[E].max-w[E+1].min;$+=k+e.options.hierarchical.treeSpacing,o(E+1,$)}},o=function(w,$){var E=e.hierarchical.trees;for(var k in E)Object.prototype.hasOwnProperty.call(E,k)&&E[k]===w&&e.direction.shift(k,$)},s=function(){for(var w=[],$=0;$<e.hierarchical.numTrees();$++)w.push(e.direction.getTreeSize($));return w},u=function m(w,$){if(!$[w.id]&&($[w.id]=!0,e.hierarchical.childrenReference[w.id])){var E=e.hierarchical.childrenReference[w.id];if(E.length>0)for(var k=0;k<E.length;k++)m(e.body.nodes[E[k]],$)}},l=function(w){var $=arguments.length>1&&arguments[1]!==void 0?arguments[1]:1e9,E=1e9,k=1e9,D=1e9,j=-1e9;for(var R in w)if(Object.prototype.hasOwnProperty.call(w,R)){var M=e.body.nodes[R],W=e.hierarchical.levels[M.id],X=e.direction.getPosition(M),Y=e._getSpaceAroundNode(M,w),ge=be(Y,2),Ge=ge[0],ke=ge[1];E=Math.min(Ge,E),k=Math.min(ke,k),W<=$&&(D=Math.min(X,D),j=Math.max(X,j))}return[D,j,E,k]},h=function(w,$){var E=e.hierarchical.getMaxLevel(w.id),k=e.hierarchical.getMaxLevel($.id);return Math.min(E,k)},d=function(w,$,E){for(var k=e.hierarchical,D=0;D<$.length;D++){var j=$[D],R=k.distributionOrdering[j];if(R.length>1)for(var M=0;M<R.length-1;M++){var W=R[M],X=R[M+1];k.hasSameParent(W,X)&&k.inSameSubNetwork(W,X)&&w(W,X,E)}}},c=function(w,$){var E=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,k=e.direction.getPosition(w),D=e.direction.getPosition($),j=Math.abs(D-k),R=e.options.hierarchical.nodeSpacing;if(j>R){var M={},W={};u(w,M),u($,W);var X=h(w,$),Y=l(M,X),ge=l(W,X),Ge=Y[1],ke=ge[0],St=ge[2],rt=Math.abs(Ge-ke);if(rt>R){var Qe=Ge-ke+R;Qe<-St+R&&(Qe=-St+R),Qe<0&&(e._shiftBlock($.id,Qe),t=!0,E===!0&&e._centerParent($))}}},f=function(w,$){for(var E=$.id,k=$.edges,D=e.hierarchical.levels[$.id],j=e.options.hierarchical.levelSeparation*e.options.hierarchical.levelSeparation,R={},M=[],W=0;W<k.length;W++){var X=k[W];if(X.toId!=X.fromId){var Y=X.toId==E?X.from:X.to;R[k[W].id]=Y,e.hierarchical.levels[Y.id]<D&&M.push(X)}}var ge=function(Je,ce){for(var Ce=0,Oe=0;Oe<ce.length;Oe++)if(R[ce[Oe].id]!==void 0){var Ze=e.direction.getPosition(R[ce[Oe].id])-Je;Ce+=Ze/Math.sqrt(Ze*Ze+j)}return Ce},Ge=function(Je,ce){for(var Ce=0,Oe=0;Oe<ce.length;Oe++)if(R[ce[Oe].id]!==void 0){var Ze=e.direction.getPosition(R[ce[Oe].id])-Je;Ce-=j*Math.pow(Ze*Ze+j,-1.5)}return Ce},ke=function(Je,ce){for(var Ce=e.direction.getPosition($),Oe={},Ze=0;Ze<Je;Ze++){var cr=ge(Ce,ce),Tt=Ge(Ce,ce),et=40,A=Math.max(-et,Math.min(et,Math.round(cr/Tt)));if(Ce=Ce-A,Oe[Ce]!==void 0)break;Oe[Ce]=Ze}return Ce},St=function(Je){var ce=e.direction.getPosition($);if(i[$.id]===void 0){var Ce={};u($,Ce),i[$.id]=Ce}var Oe=l(i[$.id]),Ze=Oe[2],cr=Oe[3],Tt=Je-ce,et=0;Tt>0?et=Math.min(Tt,cr-e.options.hierarchical.nodeSpacing):Tt<0&&(et=-Math.min(-Tt,Ze-e.options.hierarchical.nodeSpacing)),et!=0&&(e._shiftBlock($.id,et),t=!0)},rt=function(Je){var ce=e.direction.getPosition($),Ce=e._getSpaceAroundNode($),Oe=be(Ce,2),Ze=Oe[0],cr=Oe[1],Tt=Je-ce,et=ce;Tt>0?et=Math.min(ce+(cr-e.options.hierarchical.nodeSpacing),Je):Tt<0&&(et=Math.max(ce-(Ze-e.options.hierarchical.nodeSpacing),Je)),et!==ce&&(e.direction.setPosition($,et),t=!0)},Qe=ke(w,M);St(Qe),Qe=ke(w,k),rt(Qe)},v=function(w){var $=e.hierarchical.getLevels();$=mi($).call($);for(var E=0;E<w;E++){t=!1;for(var k=0;k<$.length;k++)for(var D=$[k],j=e.hierarchical.distributionOrdering[D],R=0;R<j.length;R++)f(1e3,j[R]);if(t!==!0)break}},p=function(w){var $=e.hierarchical.getLevels();$=mi($).call($);for(var E=0;E<w&&(t=!1,d(c,$,!0),t===!0);E++);},g=function(){for(var w in e.body.nodes)Object.prototype.hasOwnProperty.call(e.body.nodes,w)&&e._centerParent(e.body.nodes[w])},y=function(){var w=e.hierarchical.getLevels();w=mi(w).call(w);for(var $=0;$<w.length;$++)for(var E=w[$],k=e.hierarchical.distributionOrdering[E],D=0;D<k.length;D++)e._centerParent(k[D])};this.options.hierarchical.blockShifting===!0&&(p(5),g()),this.options.hierarchical.edgeMinimization===!0&&v(20),this.options.hierarchical.parentCentralization===!0&&y(),a()}},{key:"_getSpaceAroundNode",value:function(e,t){var i=!0;t===void 0&&(i=!1);var a=this.hierarchical.levels[e.id];if(a!==void 0){var o=this.hierarchical.distributionIndex[e.id],s=this.direction.getPosition(e),u=this.hierarchical.distributionOrdering[a],l=1e9,h=1e9;if(o!==0){var d=u[o-1];if(i===!0&&t[d.id]===void 0||i===!1){var c=this.direction.getPosition(d);l=s-c}}if(o!=u.length-1){var f=u[o+1];if(i===!0&&t[f.id]===void 0||i===!1){var v=this.direction.getPosition(f);h=Math.min(h,v-s)}}return[l,h]}else return[0,0]}},{key:"_centerParent",value:function(e){if(this.hierarchical.parentReference[e.id])for(var t=this.hierarchical.parentReference[e.id],i=0;i<t.length;i++){var a=t[i],o=this.body.nodes[a],s=this.hierarchical.childrenReference[a];if(s!==void 0){var u=this._getCenterPosition(s),l=this.direction.getPosition(o),h=this._getSpaceAroundNode(o),d=be(h,2),c=d[0],f=d[1],v=l-u;(v<0&&Math.abs(v)<f-this.options.hierarchical.nodeSpacing||v>0&&Math.abs(v)<c-this.options.hierarchical.nodeSpacing)&&this.direction.setPosition(o,u)}}}},{key:"_placeNodesByHierarchy",value:function(e){this.positionedNodes={};for(var t in e)if(Object.prototype.hasOwnProperty.call(e,t)){var i,a=me(e[t]);a=this._indexArrayToNodes(a),ka(i=this.direction).call(i,a);for(var o=0,s=0;s<a.length;s++){var u=a[s];if(this.positionedNodes[u.id]===void 0){var l=this.options.hierarchical.nodeSpacing,h=l*o;o>0&&(h=this.direction.getPosition(a[s-1])+l),this.direction.setPosition(u,h,t),this._validatePositionAndContinue(u,t,h),o++}}}}},{key:"_placeBranchNodes",value:function(e,t){var i,a=this.hierarchical.childrenReference[e];if(a!==void 0){for(var o=[],s=0;s<a.length;s++)o.push(this.body.nodes[a[s]]);ka(i=this.direction).call(i,o);for(var u=0;u<o.length;u++){var l=o[u],h=this.hierarchical.levels[l.id];if(h>t&&this.positionedNodes[l.id]===void 0){var d=this.options.hierarchical.nodeSpacing,c=void 0;u===0?c=this.direction.getPosition(this.body.nodes[e]):c=this.direction.getPosition(o[u-1])+d,this.direction.setPosition(l,c,h),this._validatePositionAndContinue(l,h,c)}else return}var f=this._getCenterPosition(o);this.direction.setPosition(this.body.nodes[e],f,t)}}},{key:"_validatePositionAndContinue",value:function(e,t,i){if(this.hierarchical.isTree){if(this.lastNodeOnLevel[t]!==void 0){var a=this.direction.getPosition(this.body.nodes[this.lastNodeOnLevel[t]]);if(i-a<this.options.hierarchical.nodeSpacing){var o=a+this.options.hierarchical.nodeSpacing-i,s=this._findCommonParent(this.lastNodeOnLevel[t],e.id);this._shiftBlock(s.withChild,o)}}this.lastNodeOnLevel[t]=e.id,this.positionedNodes[e.id]=!0,this._placeBranchNodes(e.id,t)}}},{key:"_indexArrayToNodes",value:function(e){for(var t=[],i=0;i<e.length;i++)t.push(this.body.nodes[e[i]]);return t}},{key:"_getDistribution",value:function(){var e={},t,i;for(t in this.body.nodes)if(Object.prototype.hasOwnProperty.call(this.body.nodes,t)){i=this.body.nodes[t];var a=this.hierarchical.levels[t]===void 0?0:this.hierarchical.levels[t];this.direction.fix(i,a),e[a]===void 0&&(e[a]={}),e[a][t]=i}return e}},{key:"_getActiveEdges",value:function(e){var t=this,i=[];return J(e.edges,function(a){var o;Z(o=t.body.edgeIndices).call(o,a.id)!==-1&&i.push(a)}),i}},{key:"_getHubSizes",value:function(){var e=this,t={},i=this.body.nodeIndices;J(i,function(o){var s=e.body.nodes[o],u=e._getActiveEdges(s).length;t[u]=!0});var a=[];return J(t,function(o){a.push(Number(o))}),ka(a).call(a,function(o,s){return s-o}),a}},{key:"_determineLevelsByHubsize",value:function(){for(var e=this,t=function(u,l){e.hierarchical.levelDownstream(u,l)},i=this._getHubSizes(),a=function(){var u=i[o];if(u===0)return 1;J(e.body.nodeIndices,function(l){var h=e.body.nodes[l];u===e._getActiveEdges(h).length&&e._crawlNetwork(t,l)})},o=0;o<i.length&&!a();++o);}},{key:"_determineLevelsCustomCallback",value:function(){var e=this,t=1e5,i=function(s,u,l){},a=function(s,u,l){var h=e.hierarchical.levels[s.id];h===void 0&&(h=e.hierarchical.levels[s.id]=t);var d=i(ot.cloneOptions(s,"node"),ot.cloneOptions(u,"node"),ot.cloneOptions(l,"edge"));e.hierarchical.levels[u.id]=h+d};this._crawlNetwork(a),this.hierarchical.setMinLevelToZero(this.body.nodes)}},{key:"_determineLevelsDirected",value:function(){var e,t=this,i=xO(e=this.body.nodeIndices).call(e,function(a,o){return a.set(o,t.body.nodes[o]),a},new ZS);this.options.hierarchical.shakeTowards==="roots"?this.hierarchical.levels=wfe(i):this.hierarchical.levels=$fe(i),this.hierarchical.setMinLevelToZero(this.body.nodes)}},{key:"_generateMap",value:function(){var e=this,t=function(a,o){e.hierarchical.levels[o.id]>e.hierarchical.levels[a.id]&&e.hierarchical.addRelation(a.id,o.id)};this._crawlNetwork(t),this.hierarchical.checkIfTree()}},{key:"_crawlNetwork",value:function(){var e=this,t=arguments.length>0&&arguments[0]!==void 0?arguments[0]:function(){},i=arguments.length>1?arguments[1]:void 0,a={},o=function c(f,v){if(a[f.id]===void 0){e.hierarchical.setTreeIndex(f,v),a[f.id]=!0;for(var p,g=e._getActiveEdges(f),y=0;y<g.length;y++){var m=g[y];m.connected===!0&&(m.toId==f.id?p=m.from:p=m.to,f.id!=p.id&&(t(f,p,m),c(p,v)))}}};if(i===void 0)for(var s=0,u=0;u<this.body.nodeIndices.length;u++){var l=this.body.nodeIndices[u];if(a[l]===void 0){var h=this.body.nodes[l];o(h,s),s+=1}}else{var d=this.body.nodes[i];if(d===void 0){console.error("Node not found:",i);return}o(d)}}},{key:"_shiftBlock",value:function(e,t){var i=this,a={},o=function s(u){if(!a[u]){a[u]=!0,i.direction.shift(u,t);var l=i.hierarchical.childrenReference[u];if(l!==void 0)for(var h=0;h<l.length;h++)s(l[h])}};o(e)}},{key:"_findCommonParent",value:function(e,t){var i=this,a={},o=function u(l,h){var d=i.hierarchical.parentReference[h];if(d!==void 0)for(var c=0;c<d.length;c++){var f=d[c];l[f]=!0,u(l,f)}},s=function u(l,h){var d=i.hierarchical.parentReference[h];if(d!==void 0)for(var c=0;c<d.length;c++){var f=d[c];if(l[f]!==void 0)return{foundParent:f,withChild:h};var v=u(l,f);if(v.foundParent!==null)return v}return{foundParent:null,withChild:h}};return o(a,e),s(a,t)}},{key:"setDirectionStrategy",value:function(){var e=this.options.hierarchical.direction==="UD"||this.options.hierarchical.direction==="DU";e?this.direction=new ife(this):this.direction=new nfe(this)}},{key:"_getCenterPosition",value:function(e){for(var t=1e9,i=-1e9,a=0;a<e.length;a++){var o=void 0;if(e[a].id!==void 0)o=e[a];else{var s=e[a];o=this.body.nodes[s]}var u=this.direction.getPosition(o);t=Math.min(t,u),i=Math.max(i,u)}return .5*(t+i)}}]),r}();function Sfe(r,n){var e=typeof ei<"u"&&Hi(r)||r["@@iterator"];if(!e){if(ae(r)||(e=Ofe(r))||n){e&&(r=e);var t=0,i=function(){};return{s:i,n:function(){return t>=r.length?{done:!0}:{done:!1,value:r[t++]}},e:function(l){throw l},f:i}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var a=!0,o=!1,s;return{s:function(){e=e.call(r)},n:function(){var l=e.next();return a=l.done,l},e:function(l){o=!0,s=l},f:function(){try{!a&&e.return!=null&&e.return()}finally{if(o)throw s}}}}function Ofe(r,n){var e;if(r){if(typeof r=="string")return A$(r,n);var t=Ye(e=Object.prototype.toString.call(r)).call(e,8,-1);if(t==="Object"&&r.constructor&&(t=r.constructor.name),t==="Map"||t==="Set")return zi(r);if(t==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t))return A$(r,n)}}function A$(r,n){(n==null||n>r.length)&&(n=r.length);for(var e=0,t=new Array(n);e<n;e++)t[e]=r[e];return t}var Tfe=function(){function r(n,e,t,i){var a=this,o,s;C(this,r),this.body=n,this.canvas=e,this.selectionHandler=t,this.interactionHandler=i,this.editMode=!1,this.manipulationDiv=void 0,this.editModeDiv=void 0,this.closeDiv=void 0,this._domEventListenerCleanupQueue=[],this.temporaryUIFunctions={},this.temporaryEventFunctions=[],this.touchTime=0,this.temporaryIds={nodes:[],edges:[]},this.guiEnabled=!1,this.inMode=!1,this.selectedControlNode=void 0,this.options={},this.defaultOptions={enabled:!1,initiallyActive:!1,addNode:!0,addEdge:!0,editNode:void 0,editEdge:!0,deleteNode:!0,deleteEdge:!0,controlNodeStyle:{shape:"dot",size:6,color:{background:"#ff0000",border:"#3c3c3c",highlight:{background:"#07f968",border:"#3c3c3c"}},borderWidth:2,borderWidthSelected:2}},Ae(this.options,this.defaultOptions),this.body.emitter.on("destroy",function(){a._clean()}),this.body.emitter.on("_dataChanged",O(o=this._restore).call(o,this)),this.body.emitter.on("_resetData",O(s=this._restore).call(s,this))}return x(r,[{key:"_restore",value:function(){this.inMode!==!1&&(this.options.initiallyActive===!0?this.enableEditMode():this.disableEditMode())}},{key:"setOptions",value:function(e,t,i){t!==void 0&&(t.locale!==void 0?this.options.locale=t.locale:this.options.locale=i.locale,t.locales!==void 0?this.options.locales=t.locales:this.options.locales=i.locales),e!==void 0&&(typeof e=="boolean"?this.options.enabled=e:(this.options.enabled=!0,he(this.options,e)),this.options.initiallyActive===!0&&(this.editMode=!0),this._setup())}},{key:"toggleEditMode",value:function(){this.editMode===!0?this.disableEditMode():this.enableEditMode()}},{key:"enableEditMode",value:function(){this.editMode=!0,this._clean(),this.guiEnabled===!0&&(this.manipulationDiv.style.display="block",this.closeDiv.style.display="block",this.editModeDiv.style.display="none",this.showManipulatorToolbar())}},{key:"disableEditMode",value:function(){this.editMode=!1,this._clean(),this.guiEnabled===!0&&(this.manipulationDiv.style.display="none",this.closeDiv.style.display="none",this.editModeDiv.style.display="block",this._createEditButton())}},{key:"showManipulatorToolbar",value:function(){if(this._clean(),this.manipulationDOM={},this.guiEnabled===!0){var e,t;this.editMode=!0,this.manipulationDiv.style.display="block",this.closeDiv.style.display="block";var i=this.selectionHandler.getSelectedNodeCount(),a=this.selectionHandler.getSelectedEdgeCount(),o=i+a,s=this.options.locales[this.options.locale],u=!1;this.options.addNode!==!1&&(this._createAddNodeButton(s),u=!0),this.options.addEdge!==!1&&(u===!0?this._createSeperator(1):u=!0,this._createAddEdgeButton(s)),i===1&&typeof this.options.editNode=="function"?(u===!0?this._createSeperator(2):u=!0,this._createEditNodeButton(s)):a===1&&i===0&&this.options.editEdge!==!1&&(u===!0?this._createSeperator(3):u=!0,this._createEditEdgeButton(s)),o!==0&&(i>0&&this.options.deleteNode!==!1?(u===!0&&this._createSeperator(4),this._createDeleteButton(s)):i===0&&this.options.deleteEdge!==!1&&(u===!0&&this._createSeperator(4),this._createDeleteButton(s))),this._bindElementEvents(this.closeDiv,O(e=this.toggleEditMode).call(e,this)),this._temporaryBindEvent("select",O(t=this.showManipulatorToolbar).call(t,this))}this.body.emitter.emit("_redraw")}},{key:"addNodeMode",value:function(){var e;if(this.editMode!==!0&&this.enableEditMode(),this._clean(),this.inMode="addNode",this.guiEnabled===!0){var t,i=this.options.locales[this.options.locale];this.manipulationDOM={},this._createBackButton(i),this._createSeperator(),this._createDescription(i.addDescription||this.options.locales.en.addDescription),this._bindElementEvents(this.closeDiv,O(t=this.toggleEditMode).call(t,this))}this._temporaryBindEvent("click",O(e=this._performAddNode).call(e,this))}},{key:"editNode",value:function(){var e=this;this.editMode!==!0&&this.enableEditMode(),this._clean();var t=this.selectionHandler.getSelectedNodes()[0];if(t!==void 0)if(this.inMode="editNode",typeof this.options.editNode=="function")if(t.isCluster!==!0){var i=he({},t.options,!1);if(i.x=t.x,i.y=t.y,this.options.editNode.length===2)this.options.editNode(i,function(a){a!=null&&e.inMode==="editNode"&&e.body.data.nodes.getDataSet().update(a),e.showManipulatorToolbar()});else throw new Error("The function for edit does not support two arguments (data, callback)")}else alert(this.options.locales[this.options.locale].editClusterError||this.options.locales.en.editClusterError);else throw new Error("No function has been configured to handle the editing of nodes.");else this.showManipulatorToolbar()}},{key:"addEdgeMode",value:function(){var e,t,i,a,o;if(this.editMode!==!0&&this.enableEditMode(),this._clean(),this.inMode="addEdge",this.guiEnabled===!0){var s,u=this.options.locales[this.options.locale];this.manipulationDOM={},this._createBackButton(u),this._createSeperator(),this._createDescription(u.edgeDescription||this.options.locales.en.edgeDescription),this._bindElementEvents(this.closeDiv,O(s=this.toggleEditMode).call(s,this))}this._temporaryBindUI("onTouch",O(e=this._handleConnect).call(e,this)),this._temporaryBindUI("onDragEnd",O(t=this._finishConnect).call(t,this)),this._temporaryBindUI("onDrag",O(i=this._dragControlNode).call(i,this)),this._temporaryBindUI("onRelease",O(a=this._finishConnect).call(a,this)),this._temporaryBindUI("onDragStart",O(o=this._dragStartEdge).call(o,this)),this._temporaryBindUI("onHold",function(){})}},{key:"editEdgeMode",value:function(){if(this.editMode!==!0&&this.enableEditMode(),this._clean(),this.inMode="editEdge",se(this.options.editEdge)==="object"&&typeof this.options.editEdge.editWithoutDrag=="function"&&(this.edgeBeingEditedId=this.selectionHandler.getSelectedEdgeIds()[0],this.edgeBeingEditedId!==void 0)){var e=this.body.edges[this.edgeBeingEditedId];this._performEditEdge(e.from.id,e.to.id);return}if(this.guiEnabled===!0){var t,i=this.options.locales[this.options.locale];this.manipulationDOM={},this._createBackButton(i),this._createSeperator(),this._createDescription(i.editEdgeDescription||this.options.locales.en.editEdgeDescription),this._bindElementEvents(this.closeDiv,O(t=this.toggleEditMode).call(t,this))}if(this.edgeBeingEditedId=this.selectionHandler.getSelectedEdgeIds()[0],this.edgeBeingEditedId!==void 0){var a,o,s,u,l=this.body.edges[this.edgeBeingEditedId],h=this._getNewTargetNode(l.from.x,l.from.y),d=this._getNewTargetNode(l.to.x,l.to.y);this.temporaryIds.nodes.push(h.id),this.temporaryIds.nodes.push(d.id),this.body.nodes[h.id]=h,this.body.nodeIndices.push(h.id),this.body.nodes[d.id]=d,this.body.nodeIndices.push(d.id),this._temporaryBindUI("onTouch",O(a=this._controlNodeTouch).call(a,this)),this._temporaryBindUI("onTap",function(){}),this._temporaryBindUI("onHold",function(){}),this._temporaryBindUI("onDragStart",O(o=this._controlNodeDragStart).call(o,this)),this._temporaryBindUI("onDrag",O(s=this._controlNodeDrag).call(s,this)),this._temporaryBindUI("onDragEnd",O(u=this._controlNodeDragEnd).call(u,this)),this._temporaryBindUI("onMouseMove",function(){}),this._temporaryBindEvent("beforeDrawing",function(c){var f=l.edgeType.findBorderPositions(c);h.selected===!1&&(h.x=f.from.x,h.y=f.from.y),d.selected===!1&&(d.x=f.to.x,d.y=f.to.y)}),this.body.emitter.emit("_redraw")}else this.showManipulatorToolbar()}},{key:"deleteSelected",value:function(){var e=this;this.editMode!==!0&&this.enableEditMode(),this._clean(),this.inMode="delete";var t=this.selectionHandler.getSelectedNodeIds(),i=this.selectionHandler.getSelectedEdgeIds(),a=void 0;if(t.length>0){for(var o=0;o<t.length;o++)if(this.body.nodes[t[o]].isCluster===!0){alert(this.options.locales[this.options.locale].deleteClusterError||this.options.locales.en.deleteClusterError);return}typeof this.options.deleteNode=="function"&&(a=this.options.deleteNode)}else i.length>0&&typeof this.options.deleteEdge=="function"&&(a=this.options.deleteEdge);if(typeof a=="function"){var s={nodes:t,edges:i};if(a.length===2)a(s,function(u){u!=null&&e.inMode==="delete"?(e.body.data.edges.getDataSet().remove(u.edges),e.body.data.nodes.getDataSet().remove(u.nodes),e.body.emitter.emit("startSimulation"),e.showManipulatorToolbar()):(e.body.emitter.emit("startSimulation"),e.showManipulatorToolbar())});else throw new Error("The function for delete does not support two arguments (data, callback)")}else this.body.data.edges.getDataSet().remove(i),this.body.data.nodes.getDataSet().remove(t),this.body.emitter.emit("startSimulation"),this.showManipulatorToolbar()}},{key:"_setup",value:function(){this.options.enabled===!0?(this.guiEnabled=!0,this._createWrappers(),this.editMode===!1?this._createEditButton():this.showManipulatorToolbar()):(this._removeManipulationDOM(),this.guiEnabled=!1)}},{key:"_createWrappers",value:function(){if(this.manipulationDiv===void 0&&(this.manipulationDiv=document.createElement("div"),this.manipulationDiv.className="vis-manipulation",this.editMode===!0?this.manipulationDiv.style.display="block":this.manipulationDiv.style.display="none",this.canvas.frame.appendChild(this.manipulationDiv)),this.editModeDiv===void 0&&(this.editModeDiv=document.createElement("div"),this.editModeDiv.className="vis-edit-mode",this.editMode===!0?this.editModeDiv.style.display="none":this.editModeDiv.style.display="block",this.canvas.frame.appendChild(this.editModeDiv)),this.closeDiv===void 0){var e,t;this.closeDiv=document.createElement("button"),this.closeDiv.className="vis-close",this.closeDiv.setAttribute("aria-label",(e=(t=this.options.locales[this.options.locale])===null||t===void 0?void 0:t.close)!==null&&e!==void 0?e:this.options.locales.en.close),this.closeDiv.style.display=this.manipulationDiv.style.display,this.canvas.frame.appendChild(this.closeDiv)}}},{key:"_getNewTargetNode",value:function(e,t){var i=he({},this.options.controlNodeStyle);i.id="targetNode"+Pa(),i.hidden=!1,i.physics=!1,i.x=e,i.y=t;var a=this.body.functions.createNode(i);return a.shape.boundingBox={left:e,right:e,top:t,bottom:t},a}},{key:"_createEditButton",value:function(){var e;this._clean(),this.manipulationDOM={},Rr(this.editModeDiv);var t=this.options.locales[this.options.locale],i=this._createButton("editMode","vis-edit vis-edit-mode",t.edit||this.options.locales.en.edit);this.editModeDiv.appendChild(i),this._bindElementEvents(i,O(e=this.toggleEditMode).call(e,this))}},{key:"_clean",value:function(){this.inMode=!1,this.guiEnabled===!0&&(Rr(this.editModeDiv),Rr(this.manipulationDiv),this._cleanupDOMEventListeners()),this._cleanupTemporaryNodesAndEdges(),this._unbindTemporaryUIs(),this._unbindTemporaryEvents(),this.body.emitter.emit("restorePhysics")}},{key:"_cleanupDOMEventListeners",value:function(){var e,t=Sfe(br(e=this._domEventListenerCleanupQueue).call(e,0)),i;try{for(t.s();!(i=t.n()).done;){var a=i.value;a()}}catch(o){t.e(o)}finally{t.f()}}},{key:"_removeManipulationDOM",value:function(){this._clean(),Rr(this.manipulationDiv),Rr(this.editModeDiv),Rr(this.closeDiv),this.manipulationDiv&&this.canvas.frame.removeChild(this.manipulationDiv),this.editModeDiv&&this.canvas.frame.removeChild(this.editModeDiv),this.closeDiv&&this.canvas.frame.removeChild(this.closeDiv),this.manipulationDiv=void 0,this.editModeDiv=void 0,this.closeDiv=void 0}},{key:"_createSeperator",value:function(){var e=arguments.length>0&&arguments[0]!==void 0?arguments[0]:1;this.manipulationDOM["seperatorLineDiv"+e]=document.createElement("div"),this.manipulationDOM["seperatorLineDiv"+e].className="vis-separator-line",this.manipulationDiv.appendChild(this.manipulationDOM["seperatorLineDiv"+e])}},{key:"_createAddNodeButton",value:function(e){var t,i=this._createButton("addNode","vis-add",e.addNode||this.options.locales.en.addNode);this.manipulationDiv.appendChild(i),this._bindElementEvents(i,O(t=this.addNodeMode).call(t,this))}},{key:"_createAddEdgeButton",value:function(e){var t,i=this._createButton("addEdge","vis-connect",e.addEdge||this.options.locales.en.addEdge);this.manipulationDiv.appendChild(i),this._bindElementEvents(i,O(t=this.addEdgeMode).call(t,this))}},{key:"_createEditNodeButton",value:function(e){var t,i=this._createButton("editNode","vis-edit",e.editNode||this.options.locales.en.editNode);this.manipulationDiv.appendChild(i),this._bindElementEvents(i,O(t=this.editNode).call(t,this))}},{key:"_createEditEdgeButton",value:function(e){var t,i=this._createButton("editEdge","vis-edit",e.editEdge||this.options.locales.en.editEdge);this.manipulationDiv.appendChild(i),this._bindElementEvents(i,O(t=this.editEdgeMode).call(t,this))}},{key:"_createDeleteButton",value:function(e){var t,i;this.options.rtl?i="vis-delete-rtl":i="vis-delete";var a=this._createButton("delete",i,e.del||this.options.locales.en.del);this.manipulationDiv.appendChild(a),this._bindElementEvents(a,O(t=this.deleteSelected).call(t,this))}},{key:"_createBackButton",value:function(e){var t,i=this._createButton("back","vis-back",e.back||this.options.locales.en.back);this.manipulationDiv.appendChild(i),this._bindElementEvents(i,O(t=this.showManipulatorToolbar).call(t,this))}},{key:"_createButton",value:function(e,t,i){var a=arguments.length>3&&arguments[3]!==void 0?arguments[3]:"vis-label";return this.manipulationDOM[e+"Div"]=document.createElement("button"),this.manipulationDOM[e+"Div"].className="vis-button "+t,this.manipulationDOM[e+"Label"]=document.createElement("div"),this.manipulationDOM[e+"Label"].className=a,this.manipulationDOM[e+"Label"].innerText=i,this.manipulationDOM[e+"Div"].appendChild(this.manipulationDOM[e+"Label"]),this.manipulationDOM[e+"Div"]}},{key:"_createDescription",value:function(e){this.manipulationDOM.descriptionLabel=document.createElement("div"),this.manipulationDOM.descriptionLabel.className="vis-none",this.manipulationDOM.descriptionLabel.innerText=e,this.manipulationDiv.appendChild(this.manipulationDOM.descriptionLabel)}},{key:"_temporaryBindEvent",value:function(e,t){this.temporaryEventFunctions.push({event:e,boundFunction:t}),this.body.emitter.on(e,t)}},{key:"_temporaryBindUI",value:function(e,t){if(this.body.eventListeners[e]!==void 0)this.temporaryUIFunctions[e]=this.body.eventListeners[e],this.body.eventListeners[e]=t;else throw new Error("This UI function does not exist. Typo? You tried: "+e+" possible are: "+Ao(me(this.body.eventListeners)))}},{key:"_unbindTemporaryUIs",value:function(){for(var e in this.temporaryUIFunctions)Object.prototype.hasOwnProperty.call(this.temporaryUIFunctions,e)&&(this.body.eventListeners[e]=this.temporaryUIFunctions[e],delete this.temporaryUIFunctions[e]);this.temporaryUIFunctions={}}},{key:"_unbindTemporaryEvents",value:function(){for(var e=0;e<this.temporaryEventFunctions.length;e++){var t=this.temporaryEventFunctions[e].event,i=this.temporaryEventFunctions[e].boundFunction;this.body.emitter.off(t,i)}this.temporaryEventFunctions=[]}},{key:"_bindElementEvents",value:function(e,t){var i=new bn(e,{});pu(i,t),this._domEventListenerCleanupQueue.push(function(){i.destroy()});var a=function(s){var u=s.keyCode,l=s.key;(l==="Enter"||l===" "||u===13||u===32)&&t()};e.addEventListener("keyup",a,!1),this._domEventListenerCleanupQueue.push(function(){e.removeEventListener("keyup",a,!1)})}},{key:"_cleanupTemporaryNodesAndEdges",value:function(){for(var e=0;e<this.temporaryIds.edges.length;e++){var t;this.body.edges[this.temporaryIds.edges[e]].disconnect(),delete this.body.edges[this.temporaryIds.edges[e]];var i=Z(t=this.body.edgeIndices).call(t,this.temporaryIds.edges[e]);if(i!==-1){var a;br(a=this.body.edgeIndices).call(a,i,1)}}for(var o=0;o<this.temporaryIds.nodes.length;o++){var s;delete this.body.nodes[this.temporaryIds.nodes[o]];var u=Z(s=this.body.nodeIndices).call(s,this.temporaryIds.nodes[o]);if(u!==-1){var l;br(l=this.body.nodeIndices).call(l,u,1)}}this.temporaryIds={nodes:[],edges:[]}}},{key:"_controlNodeTouch",value:function(e){this.selectionHandler.unselectAll(),this.lastTouch=this.body.functions.getPointer(e.center),this.lastTouch.translation=Ae({},this.body.view.translation)}},{key:"_controlNodeDragStart",value:function(){var e=this.lastTouch,t=this.selectionHandler._pointerToPositionObject(e),i=this.body.nodes[this.temporaryIds.nodes[0]],a=this.body.nodes[this.temporaryIds.nodes[1]],o=this.body.edges[this.edgeBeingEditedId];this.selectedControlNode=void 0;var s=i.isOverlappingWith(t),u=a.isOverlappingWith(t);s===!0?(this.selectedControlNode=i,o.edgeType.from=i):u===!0&&(this.selectedControlNode=a,o.edgeType.to=a),this.selectedControlNode!==void 0&&this.selectionHandler.selectObject(this.selectedControlNode),this.body.emitter.emit("_redraw")}},{key:"_controlNodeDrag",value:function(e){this.body.emitter.emit("disablePhysics");var t=this.body.functions.getPointer(e.center),i=this.canvas.DOMtoCanvas(t);this.selectedControlNode!==void 0?(this.selectedControlNode.x=i.x,this.selectedControlNode.y=i.y):this.interactionHandler.onDrag(e),this.body.emitter.emit("_redraw")}},{key:"_controlNodeDragEnd",value:function(e){var t=this.body.functions.getPointer(e.center),i=this.selectionHandler._pointerToPositionObject(t),a=this.body.edges[this.edgeBeingEditedId];if(this.selectedControlNode!==void 0){this.selectionHandler.unselectAll();for(var o=this.selectionHandler._getAllNodesOverlappingWith(i),s=void 0,u=o.length-1;u>=0;u--)if(o[u]!==this.selectedControlNode.id){s=this.body.nodes[o[u]];break}if(s!==void 0&&this.selectedControlNode!==void 0)if(s.isCluster===!0)alert(this.options.locales[this.options.locale].createEdgeError||this.options.locales.en.createEdgeError);else{var l=this.body.nodes[this.temporaryIds.nodes[0]];this.selectedControlNode.id===l.id?this._performEditEdge(s.id,a.to.id):this._performEditEdge(a.from.id,s.id)}else a.updateEdgeType(),this.body.emitter.emit("restorePhysics");this.body.emitter.emit("_redraw")}}},{key:"_handleConnect",value:function(e){if(new Date().valueOf()-this.touchTime>100){this.lastTouch=this.body.functions.getPointer(e.center),this.lastTouch.translation=Ae({},this.body.view.translation),this.interactionHandler.drag.pointer=this.lastTouch,this.interactionHandler.drag.translation=this.lastTouch.translation;var t=this.lastTouch,i=this.selectionHandler.getNodeAt(t);if(i!==void 0)if(i.isCluster===!0)alert(this.options.locales[this.options.locale].createEdgeError||this.options.locales.en.createEdgeError);else{var a=this._getNewTargetNode(i.x,i.y);this.body.nodes[a.id]=a,this.body.nodeIndices.push(a.id);var o=this.body.functions.createEdge({id:"connectionEdge"+Pa(),from:i.id,to:a.id,physics:!1,smooth:{enabled:!0,type:"continuous",roundness:.5}});this.body.edges[o.id]=o,this.body.edgeIndices.push(o.id),this.temporaryIds.nodes.push(a.id),this.temporaryIds.edges.push(o.id)}this.touchTime=new Date().valueOf()}}},{key:"_dragControlNode",value:function(e){var t=this.body.functions.getPointer(e.center),i=this.selectionHandler._pointerToPositionObject(t),a=void 0;this.temporaryIds.edges[0]!==void 0&&(a=this.body.edges[this.temporaryIds.edges[0]].fromId);for(var o=this.selectionHandler._getAllNodesOverlappingWith(i),s=void 0,u=o.length-1;u>=0;u--){var l;if(Z(l=this.temporaryIds.nodes).call(l,o[u])===-1){s=this.body.nodes[o[u]];break}}if(e.controlEdge={from:a,to:s?s.id:void 0},this.selectionHandler.generateClickEvent("controlNodeDragging",e,t),this.temporaryIds.nodes[0]!==void 0){var h=this.body.nodes[this.temporaryIds.nodes[0]];h.x=this.canvas._XconvertDOMtoCanvas(t.x),h.y=this.canvas._YconvertDOMtoCanvas(t.y),this.body.emitter.emit("_redraw")}else this.interactionHandler.onDrag(e)}},{key:"_finishConnect",value:function(e){var t=this.body.functions.getPointer(e.center),i=this.selectionHandler._pointerToPositionObject(t),a=void 0;this.temporaryIds.edges[0]!==void 0&&(a=this.body.edges[this.temporaryIds.edges[0]].fromId);for(var o=this.selectionHandler._getAllNodesOverlappingWith(i),s=void 0,u=o.length-1;u>=0;u--){var l;if(Z(l=this.temporaryIds.nodes).call(l,o[u])===-1){s=this.body.nodes[o[u]];break}}this._cleanupTemporaryNodesAndEdges(),s!==void 0&&(s.isCluster===!0?alert(this.options.locales[this.options.locale].createEdgeError||this.options.locales.en.createEdgeError):this.body.nodes[a]!==void 0&&this.body.nodes[s.id]!==void 0&&this._performAddEdge(a,s.id)),e.controlEdge={from:a,to:s?s.id:void 0},this.selectionHandler.generateClickEvent("controlNodeDragEnd",e,t),this.body.emitter.emit("_redraw")}},{key:"_dragStartEdge",value:function(e){var t=this.lastTouch;this.selectionHandler.generateClickEvent("dragStart",e,t,void 0,!0)}},{key:"_performAddNode",value:function(e){var t=this,i={id:Pa(),x:e.pointer.canvas.x,y:e.pointer.canvas.y,label:"new"};if(typeof this.options.addNode=="function")if(this.options.addNode.length===2)this.options.addNode(i,function(a){a!=null&&t.inMode==="addNode"&&t.body.data.nodes.getDataSet().add(a),t.showManipulatorToolbar()});else throw this.showManipulatorToolbar(),new Error("The function for add does not support two arguments (data,callback)");else this.body.data.nodes.getDataSet().add(i),this.showManipulatorToolbar()}},{key:"_performAddEdge",value:function(e,t){var i=this,a={from:e,to:t};if(typeof this.options.addEdge=="function")if(this.options.addEdge.length===2)this.options.addEdge(a,function(o){o!=null&&i.inMode==="addEdge"&&(i.body.data.edges.getDataSet().add(o),i.selectionHandler.unselectAll(),i.showManipulatorToolbar())});else throw new Error("The function for connect does not support two arguments (data,callback)");else this.body.data.edges.getDataSet().add(a),this.selectionHandler.unselectAll(),this.showManipulatorToolbar()}},{key:"_performEditEdge",value:function(e,t){var i=this,a={id:this.edgeBeingEditedId,from:e,to:t,label:this.body.data.edges.get(this.edgeBeingEditedId).label},o=this.options.editEdge;if(se(o)==="object"&&(o=o.editWithoutDrag),typeof o=="function")if(o.length===2)o(a,function(s){s==null||i.inMode!=="editEdge"?(i.body.edges[a.id].updateEdgeType(),i.body.emitter.emit("_redraw"),i.showManipulatorToolbar()):(i.body.data.edges.getDataSet().update(s),i.selectionHandler.unselectAll(),i.showManipulatorToolbar())});else throw new Error("The function for edit does not support two arguments (data, callback)");else this.body.data.edges.getDataSet().update(a),this.selectionHandler.unselectAll(),this.showManipulatorToolbar()}}]),r}(),I="string",S="boolean",b="number",ma="array",B="object",NO="dom",Pfe="any",Cd=["arrow","bar","box","circle","crow","curve","diamond","image","inv_curve","inv_triangle","triangle","vee"],xd={borderWidth:{number:b},borderWidthSelected:{number:b,undefined:"undefined"},brokenImage:{string:I,undefined:"undefined"},chosen:{label:{boolean:S,function:"function"},node:{boolean:S,function:"function"},__type__:{object:B,boolean:S}},color:{border:{string:I},background:{string:I},highlight:{border:{string:I},background:{string:I},__type__:{object:B,string:I}},hover:{border:{string:I},background:{string:I},__type__:{object:B,string:I}},__type__:{object:B,string:I}},opacity:{number:b,undefined:"undefined"},fixed:{x:{boolean:S},y:{boolean:S},__type__:{object:B,boolean:S}},font:{align:{string:I},color:{string:I},size:{number:b},face:{string:I},background:{string:I},strokeWidth:{number:b},strokeColor:{string:I},vadjust:{number:b},multi:{boolean:S,string:I},bold:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},boldital:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},ital:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},mono:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},__type__:{object:B,string:I}},group:{string:I,number:b,undefined:"undefined"},heightConstraint:{minimum:{number:b},valign:{string:I},__type__:{object:B,boolean:S,number:b}},hidden:{boolean:S},icon:{face:{string:I},code:{string:I},size:{number:b},color:{string:I},weight:{string:I,number:b},__type__:{object:B}},id:{string:I,number:b},image:{selected:{string:I,undefined:"undefined"},unselected:{string:I,undefined:"undefined"},__type__:{object:B,string:I}},imagePadding:{top:{number:b},right:{number:b},bottom:{number:b},left:{number:b},__type__:{object:B,number:b}},label:{string:I,undefined:"undefined"},labelHighlightBold:{boolean:S},level:{number:b,undefined:"undefined"},margin:{top:{number:b},right:{number:b},bottom:{number:b},left:{number:b},__type__:{object:B,number:b}},mass:{number:b},physics:{boolean:S},scaling:{min:{number:b},max:{number:b},label:{enabled:{boolean:S},min:{number:b},max:{number:b},maxVisible:{number:b},drawThreshold:{number:b},__type__:{object:B,boolean:S}},customScalingFunction:{function:"function"},__type__:{object:B}},shadow:{enabled:{boolean:S},color:{string:I},size:{number:b},x:{number:b},y:{number:b},__type__:{object:B,boolean:S}},shape:{string:["custom","ellipse","circle","database","box","text","image","circularImage","diamond","dot","star","triangle","triangleDown","square","icon","hexagon"]},ctxRenderer:{function:"function"},shapeProperties:{borderDashes:{boolean:S,array:ma},borderRadius:{number:b},interpolation:{boolean:S},useImageSize:{boolean:S},useBorderWithImage:{boolean:S},coordinateOrigin:{string:["center","top-left"]},__type__:{object:B}},size:{number:b},title:{string:I,dom:NO,undefined:"undefined"},value:{number:b,undefined:"undefined"},widthConstraint:{minimum:{number:b},maximum:{number:b},__type__:{object:B,boolean:S,number:b}},x:{number:b},y:{number:b},__type__:{object:B}},Ife={configure:{enabled:{boolean:S},filter:{boolean:S,string:I,array:ma,function:"function"},container:{dom:NO},showButton:{boolean:S},__type__:{object:B,boolean:S,string:I,array:ma,function:"function"}},edges:{arrows:{to:{enabled:{boolean:S},scaleFactor:{number:b},type:{string:Cd},imageHeight:{number:b},imageWidth:{number:b},src:{string:I},__type__:{object:B,boolean:S}},middle:{enabled:{boolean:S},scaleFactor:{number:b},type:{string:Cd},imageWidth:{number:b},imageHeight:{number:b},src:{string:I},__type__:{object:B,boolean:S}},from:{enabled:{boolean:S},scaleFactor:{number:b},type:{string:Cd},imageWidth:{number:b},imageHeight:{number:b},src:{string:I},__type__:{object:B,boolean:S}},__type__:{string:["from","to","middle"],object:B}},endPointOffset:{from:{number:b},to:{number:b},__type__:{object:B,number:b}},arrowStrikethrough:{boolean:S},background:{enabled:{boolean:S},color:{string:I},size:{number:b},dashes:{boolean:S,array:ma},__type__:{object:B,boolean:S}},chosen:{label:{boolean:S,function:"function"},edge:{boolean:S,function:"function"},__type__:{object:B,boolean:S}},color:{color:{string:I},highlight:{string:I},hover:{string:I},inherit:{string:["from","to","both"],boolean:S},opacity:{number:b},__type__:{object:B,string:I}},dashes:{boolean:S,array:ma},font:{color:{string:I},size:{number:b},face:{string:I},background:{string:I},strokeWidth:{number:b},strokeColor:{string:I},align:{string:["horizontal","top","middle","bottom"]},vadjust:{number:b},multi:{boolean:S,string:I},bold:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},boldital:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},ital:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},mono:{color:{string:I},size:{number:b},face:{string:I},mod:{string:I},vadjust:{number:b},__type__:{object:B,string:I}},__type__:{object:B,string:I}},hidden:{boolean:S},hoverWidth:{function:"function",number:b},label:{string:I,undefined:"undefined"},labelHighlightBold:{boolean:S},length:{number:b,undefined:"undefined"},physics:{boolean:S},scaling:{min:{number:b},max:{number:b},label:{enabled:{boolean:S},min:{number:b},max:{number:b},maxVisible:{number:b},drawThreshold:{number:b},__type__:{object:B,boolean:S}},customScalingFunction:{function:"function"},__type__:{object:B}},selectionWidth:{function:"function",number:b},selfReferenceSize:{number:b},selfReference:{size:{number:b},angle:{number:b},renderBehindTheNode:{boolean:S},__type__:{object:B}},shadow:{enabled:{boolean:S},color:{string:I},size:{number:b},x:{number:b},y:{number:b},__type__:{object:B,boolean:S}},smooth:{enabled:{boolean:S},type:{string:["dynamic","continuous","discrete","diagonalCross","straightCross","horizontal","vertical","curvedCW","curvedCCW","cubicBezier"]},roundness:{number:b},forceDirection:{string:["horizontal","vertical","none"],boolean:S},__type__:{object:B,boolean:S}},title:{string:I,undefined:"undefined"},width:{number:b},widthConstraint:{maximum:{number:b},__type__:{object:B,boolean:S,number:b}},value:{number:b,undefined:"undefined"},__type__:{object:B}},groups:{useDefaultGroups:{boolean:S},__any__:xd,__type__:{object:B}},interaction:{dragNodes:{boolean:S},dragView:{boolean:S},hideEdgesOnDrag:{boolean:S},hideEdgesOnZoom:{boolean:S},hideNodesOnDrag:{boolean:S},hover:{boolean:S},keyboard:{enabled:{boolean:S},speed:{x:{number:b},y:{number:b},zoom:{number:b},__type__:{object:B}},bindToWindow:{boolean:S},autoFocus:{boolean:S},__type__:{object:B,boolean:S}},multiselect:{boolean:S},navigationButtons:{boolean:S},selectable:{boolean:S},selectConnectedEdges:{boolean:S},hoverConnectedEdges:{boolean:S},tooltipDelay:{number:b},zoomView:{boolean:S},zoomSpeed:{number:b},__type__:{object:B}},layout:{randomSeed:{undefined:"undefined",number:b,string:I},improvedLayout:{boolean:S},clusterThreshold:{number:b},hierarchical:{enabled:{boolean:S},levelSeparation:{number:b},nodeSpacing:{number:b},treeSpacing:{number:b},blockShifting:{boolean:S},edgeMinimization:{boolean:S},parentCentralization:{boolean:S},direction:{string:["UD","DU","LR","RL"]},sortMethod:{string:["hubsize","directed"]},shakeTowards:{string:["leaves","roots"]},__type__:{object:B,boolean:S}},__type__:{object:B}},manipulation:{enabled:{boolean:S},initiallyActive:{boolean:S},addNode:{boolean:S,function:"function"},addEdge:{boolean:S,function:"function"},editNode:{function:"function"},editEdge:{editWithoutDrag:{function:"function"},__type__:{object:B,boolean:S,function:"function"}},deleteNode:{boolean:S,function:"function"},deleteEdge:{boolean:S,function:"function"},controlNodeStyle:xd,__type__:{object:B,boolean:S}},nodes:xd,physics:{enabled:{boolean:S},barnesHut:{theta:{number:b},gravitationalConstant:{number:b},centralGravity:{number:b},springLength:{number:b},springConstant:{number:b},damping:{number:b},avoidOverlap:{number:b},__type__:{object:B}},forceAtlas2Based:{theta:{number:b},gravitationalConstant:{number:b},centralGravity:{number:b},springLength:{number:b},springConstant:{number:b},damping:{number:b},avoidOverlap:{number:b},__type__:{object:B}},repulsion:{centralGravity:{number:b},springLength:{number:b},springConstant:{number:b},nodeDistance:{number:b},damping:{number:b},__type__:{object:B}},hierarchicalRepulsion:{centralGravity:{number:b},springLength:{number:b},springConstant:{number:b},nodeDistance:{number:b},damping:{number:b},avoidOverlap:{number:b},__type__:{object:B}},maxVelocity:{number:b},minVelocity:{number:b},solver:{string:["barnesHut","repulsion","hierarchicalRepulsion","forceAtlas2Based"]},stabilization:{enabled:{boolean:S},iterations:{number:b},updateInterval:{number:b},onlyDynamicEdges:{boolean:S},fit:{boolean:S},__type__:{object:B,boolean:S}},timestep:{number:b},adaptiveTimestep:{boolean:S},wind:{x:{number:b},y:{number:b},__type__:{object:B}},__type__:{object:B,boolean:S}},autoResize:{boolean:S},clickToUse:{boolean:S},locale:{string:I},locales:{__any__:{any:Pfe},__type__:{object:B}},height:{string:I},width:{string:I},__type__:{object:B}},FO={nodes:{borderWidth:[1,0,10,1],borderWidthSelected:[2,0,10,1],color:{border:["color","#2B7CE9"],background:["color","#97C2FC"],highlight:{border:["color","#2B7CE9"],background:["color","#D2E5FF"]},hover:{border:["color","#2B7CE9"],background:["color","#D2E5FF"]}},opacity:[0,0,1,.1],fixed:{x:!1,y:!1},font:{color:["color","#343434"],size:[14,0,100,1],face:["arial","verdana","tahoma"],background:["color","none"],strokeWidth:[0,0,50,1],strokeColor:["color","#ffffff"]},hidden:!1,labelHighlightBold:!0,physics:!0,scaling:{min:[10,0,200,1],max:[30,0,200,1],label:{enabled:!1,min:[14,0,200,1],max:[30,0,200,1],maxVisible:[30,0,200,1],drawThreshold:[5,0,20,1]}},shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:[10,0,20,1],x:[5,-30,30,1],y:[5,-30,30,1]},shape:["ellipse","box","circle","database","diamond","dot","square","star","text","triangle","triangleDown","hexagon"],shapeProperties:{borderDashes:!1,borderRadius:[6,0,20,1],interpolation:!0,useImageSize:!1},size:[25,0,200,1]},edges:{arrows:{to:{enabled:!1,scaleFactor:[1,0,3,.05],type:"arrow"},middle:{enabled:!1,scaleFactor:[1,0,3,.05],type:"arrow"},from:{enabled:!1,scaleFactor:[1,0,3,.05],type:"arrow"}},endPointOffset:{from:[0,-10,10,1],to:[0,-10,10,1]},arrowStrikethrough:!0,color:{color:["color","#848484"],highlight:["color","#848484"],hover:["color","#848484"],inherit:["from","to","both",!0,!1],opacity:[1,0,1,.05]},dashes:!1,font:{color:["color","#343434"],size:[14,0,100,1],face:["arial","verdana","tahoma"],background:["color","none"],strokeWidth:[2,0,50,1],strokeColor:["color","#ffffff"],align:["horizontal","top","middle","bottom"]},hidden:!1,hoverWidth:[1.5,0,5,.1],labelHighlightBold:!0,physics:!0,scaling:{min:[1,0,100,1],max:[15,0,100,1],label:{enabled:!0,min:[14,0,200,1],max:[30,0,200,1],maxVisible:[30,0,200,1],drawThreshold:[5,0,20,1]}},selectionWidth:[1.5,0,5,.1],selfReferenceSize:[20,0,200,1],selfReference:{size:[20,0,200,1],angle:[Math.PI/2,-6*Math.PI,6*Math.PI,Math.PI/8],renderBehindTheNode:!0},shadow:{enabled:!1,color:"rgba(0,0,0,0.5)",size:[10,0,20,1],x:[5,-30,30,1],y:[5,-30,30,1]},smooth:{enabled:!0,type:["dynamic","continuous","discrete","diagonalCross","straightCross","horizontal","vertical","curvedCW","curvedCCW","cubicBezier"],forceDirection:["horizontal","vertical","none"],roundness:[.5,0,1,.05]},width:[1,0,30,1]},layout:{hierarchical:{enabled:!1,levelSeparation:[150,20,500,5],nodeSpacing:[100,20,500,5],treeSpacing:[200,20,500,5],blockShifting:!0,edgeMinimization:!0,parentCentralization:!0,direction:["UD","DU","LR","RL"],sortMethod:["hubsize","directed"],shakeTowards:["leaves","roots"]}},interaction:{dragNodes:!0,dragView:!0,hideEdgesOnDrag:!1,hideEdgesOnZoom:!1,hideNodesOnDrag:!1,hover:!1,keyboard:{enabled:!1,speed:{x:[10,0,40,1],y:[10,0,40,1],zoom:[.02,0,.1,.005]},bindToWindow:!0,autoFocus:!0},multiselect:!1,navigationButtons:!1,selectable:!0,selectConnectedEdges:!0,hoverConnectedEdges:!0,tooltipDelay:[300,0,1e3,25],zoomView:!0,zoomSpeed:[1,.1,2,.1]},manipulation:{enabled:!1,initiallyActive:!1},physics:{enabled:!0,barnesHut:{theta:[.5,.1,1,.05],gravitationalConstant:[-2e3,-3e4,0,50],centralGravity:[.3,0,10,.05],springLength:[95,0,500,5],springConstant:[.04,0,1.2,.005],damping:[.09,0,1,.01],avoidOverlap:[0,0,1,.01]},forceAtlas2Based:{theta:[.5,.1,1,.05],gravitationalConstant:[-50,-500,0,1],centralGravity:[.01,0,1,.005],springLength:[95,0,500,5],springConstant:[.08,0,1.2,.005],damping:[.4,0,1,.01],avoidOverlap:[0,0,1,.01]},repulsion:{centralGravity:[.2,0,10,.05],springLength:[200,0,500,5],springConstant:[.05,0,1.2,.005],nodeDistance:[100,0,500,5],damping:[.09,0,1,.01]},hierarchicalRepulsion:{centralGravity:[.2,0,10,.05],springLength:[100,0,500,5],springConstant:[.01,0,1.2,.005],nodeDistance:[120,0,500,5],damping:[.09,0,1,.01],avoidOverlap:[0,0,1,.01]},maxVelocity:[50,0,150,1],minVelocity:[.1,.01,.5,.01],solver:["barnesHut","forceAtlas2Based","repulsion","hierarchicalRepulsion"],timestep:[.5,.01,1,.01],wind:{x:[0,-10,10,.1],y:[0,-10,10,.1]}}},kfe=function(n,e,t){var i;return!!(Hr(n).call(n,"physics")&&Hr(i=FO.physics.solver).call(i,e)&&t.physics.solver!==e&&e!=="wind")},Cfe=function(){function r(){C(this,r)}return x(r,[{key:"getDistances",value:function(e,t,i){for(var a={},o=e.edges,s=0;s<t.length;s++){var u=t[s],l={};a[u]=l;for(var h=0;h<t.length;h++)l[t[h]]=s==h?0:1e9}for(var d=0;d<i.length;d++){var c=o[i[d]];c.connected===!0&&a[c.fromId]!==void 0&&a[c.toId]!==void 0&&(a[c.fromId][c.toId]=1,a[c.toId][c.fromId]=1)}for(var f=t.length,v=0;v<f;v++)for(var p=t[v],g=a[p],y=0;y<f-1;y++)for(var m=t[y],w=a[m],$=y+1;$<f;$++){var E=t[$],k=a[E],D=Math.min(w[E],w[p]+g[E]);w[E]=D,k[m]=D}return a}}]),r}(),xfe=function(){function r(n,e,t){C(this,r),this.body=n,this.springLength=e,this.springConstant=t,this.distanceSolver=new Cfe}return x(r,[{key:"setOptions",value:function(e){e&&(e.springLength&&(this.springLength=e.springLength),e.springConstant&&(this.springConstant=e.springConstant))}},{key:"solve",value:function(e,t){var i=arguments.length>2&&arguments[2]!==void 0?arguments[2]:!1,a=this.distanceSolver.getDistances(this.body,e,t);this._createL_matrix(a),this._createK_matrix(a),this._createE_matrix();for(var o=.01,s=1,u=0,l=Math.max(1e3,Math.min(10*this.body.nodeIndices.length,6e3)),h=5,d=1e9,c=0,f=0,v=0,p=0,g=0;d>o&&u<l;){u+=1;var y=this._getHighestEnergyNode(i),m=be(y,4);for(c=m[0],d=m[1],f=m[2],v=m[3],p=d,g=0;p>s&&g<h;){g+=1,this._moveNode(c,f,v);var w=this._getEnergy(c),$=be(w,3);p=$[0],f=$[1],v=$[2]}}}},{key:"_getHighestEnergyNode",value:function(e){for(var t=this.body.nodeIndices,i=this.body.nodes,a=0,o=t[0],s=0,u=0,l=0;l<t.length;l++){var h=t[l];if(i[h].predefinedPosition!==!0||i[h].isCluster===!0&&e===!0||i[h].options.fixed.x!==!0||i[h].options.fixed.y!==!0){var d=this._getEnergy(h),c=be(d,3),f=c[0],v=c[1],p=c[2];a<f&&(a=f,o=h,s=v,u=p)}}return[o,a,s,u]}},{key:"_getEnergy",value:function(e){var t=be(this.E_sums[e],2),i=t[0],a=t[1],o=Math.sqrt(Math.pow(i,2)+Math.pow(a,2));return[o,i,a]}},{key:"_moveNode",value:function(e,t,i){for(var a=this.body.nodeIndices,o=this.body.nodes,s=0,u=0,l=0,h=o[e].x,d=o[e].y,c=this.K_matrix[e],f=this.L_matrix[e],v=0;v<a.length;v++){var p=a[v];if(p!==e){var g=o[p].x,y=o[p].y,m=c[p],w=f[p],$=1/Math.pow(Math.pow(h-g,2)+Math.pow(d-y,2),1.5);s+=m*(1-w*Math.pow(d-y,2)*$),u+=m*(w*(h-g)*(d-y)*$),l+=m*(1-w*Math.pow(h-g,2)*$)}}var E=s,k=u,D=t,j=l,R=i,M=(D/E+R/k)/(k/E-j/k),W=-(k*M+D)/E;o[e].x+=W,o[e].y+=M,this._updateE_matrix(e)}},{key:"_createL_matrix",value:function(e){var t=this.body.nodeIndices,i=this.springLength;this.L_matrix=[];for(var a=0;a<t.length;a++){this.L_matrix[t[a]]={};for(var o=0;o<t.length;o++)this.L_matrix[t[a]][t[o]]=i*e[t[a]][t[o]]}}},{key:"_createK_matrix",value:function(e){var t=this.body.nodeIndices,i=this.springConstant;this.K_matrix=[];for(var a=0;a<t.length;a++){this.K_matrix[t[a]]={};for(var o=0;o<t.length;o++)this.K_matrix[t[a]][t[o]]=i*Math.pow(e[t[a]][t[o]],-2)}}},{key:"_createE_matrix",value:function(){var e=this.body.nodeIndices,t=this.body.nodes;this.E_matrix={},this.E_sums={};for(var i=0;i<e.length;i++)this.E_matrix[e[i]]=[];for(var a=0;a<e.length;a++){for(var o=e[a],s=t[o].x,u=t[o].y,l=0,h=0,d=a;d<e.length;d++){var c=e[d];if(c!==o){var f=t[c].x,v=t[c].y,p=1/Math.sqrt(Math.pow(s-f,2)+Math.pow(u-v,2));this.E_matrix[o][d]=[this.K_matrix[o][c]*(s-f-this.L_matrix[o][c]*(s-f)*p),this.K_matrix[o][c]*(u-v-this.L_matrix[o][c]*(u-v)*p)],this.E_matrix[c][a]=this.E_matrix[o][d],l+=this.E_matrix[o][d][0],h+=this.E_matrix[o][d][1]}}this.E_sums[o]=[l,h]}}},{key:"_updateE_matrix",value:function(e){for(var t=this.body.nodeIndices,i=this.body.nodes,a=this.E_matrix[e],o=this.K_matrix[e],s=this.L_matrix[e],u=i[e].x,l=i[e].y,h=0,d=0,c=0;c<t.length;c++){var f=t[c];if(f!==e){var v=a[c],p=v[0],g=v[1],y=i[f].x,m=i[f].y,w=1/Math.sqrt(Math.pow(u-y,2)+Math.pow(l-m,2)),$=o[f]*(u-y-s[f]*(u-y)*w),E=o[f]*(l-m-s[f]*(l-m)*w);a[c]=[$,E],h+=$,d+=E;var k=this.E_sums[f];k[0]+=$-p,k[1]+=E-g}}this.E_sums[e]=[h,d]}}]),r}();function F(r,n,e){var t,i,a,o,s=this;if(!(this instanceof F))throw new SyntaxError("Constructor must be called with the new operator");this.options={},this.defaultOptions={locale:"en",locales:Pne,clickToUse:!1},Ae(this.options,this.defaultOptions),this.body={container:r,nodes:{},nodeIndices:[],edges:{},edgeIndices:[],emitter:{on:O(t=this.on).call(t,this),off:O(i=this.off).call(i,this),emit:O(a=this.emit).call(a,this),once:O(o=this.once).call(o,this)},eventListeners:{onTap:function(){},onTouch:function(){},onDoubleTap:function(){},onHold:function(){},onDragStart:function(){},onDrag:function(){},onDragEnd:function(){},onMouseWheel:function(){},onPinch:function(){},onMouseMove:function(){},onRelease:function(){},onContext:function(){}},data:{nodes:null,edges:null},functions:{createNode:function(){},createEdge:function(){},getPointer:function(){}},modules:{},view:{scale:1,translation:{x:0,y:0}},selectionBox:{show:!1,position:{start:{x:0,y:0},end:{x:0,y:0}}}},this.bindEventListeners(),this.images=new Cne(function(){return s.body.emitter.emit("_requestRedraw")}),this.groups=new Kae,this.canvas=new hde(this.body),this.selectionHandler=new ece(this.body,this.canvas),this.interactionHandler=new gde(this.body,this.canvas,this.selectionHandler),this.view=new cde(this.body,this.canvas),this.renderer=new ade(this.body,this.canvas),this.physics=new Yhe(this.body),this.layoutEngine=new Efe(this.body),this.clustering=new ide(this.body),this.manipulation=new Tfe(this.body,this.canvas,this.selectionHandler,this.interactionHandler),this.nodesHandler=new Ale(this.body,this.images,this.groups,this.layoutEngine),this.edgesHandler=new Lhe(this.body,this.images,this.groups),this.body.modules.kamadaKawai=new xfe(this.body,150,.05),this.body.modules.clustering=this.clustering,this.canvas._create(),this.setOptions(e),this.setData(n)}M_(F.prototype);F.prototype.setOptions=function(r){var n=this;if(r===null&&(r=void 0),r!==void 0){var e=nne.validate(r,Ife);e===!0&&console.error("%cErrors have been found in the supplied options object.",LS);var t=["locale","locales","clickToUse"];if(sa(t,this.options,r),r.locale!==void 0&&(r.locale=Ine(r.locales||this.options.locales,r.locale)),r=this.layoutEngine.setOptions(r.layout,r),this.canvas.setOptions(r),this.groups.setOptions(r.groups),this.nodesHandler.setOptions(r.nodes),this.edgesHandler.setOptions(r.edges),this.physics.setOptions(r.physics),this.manipulation.setOptions(r.manipulation,r,this.options),this.interactionHandler.setOptions(r.interaction),this.renderer.setOptions(r.interaction),this.selectionHandler.setOptions(r.interaction),r.groups!==void 0&&this.body.emitter.emit("refreshNodes"),"configure"in r&&(this.configurator||(this.configurator=new rne(this,this.body.container,FO,this.canvas.pixelRatio,kfe)),this.configurator.setOptions(r.configure)),this.configurator&&this.configurator.options.enabled===!0){var i={nodes:{},edges:{},layout:{},interaction:{},manipulation:{},physics:{},global:{}};he(i.nodes,this.nodesHandler.options),he(i.edges,this.edgesHandler.options),he(i.layout,this.layoutEngine.options),he(i.interaction,this.selectionHandler.options),he(i.interaction,this.renderer.options),he(i.interaction,this.interactionHandler.options),he(i.manipulation,this.manipulation.options),he(i.physics,this.physics.options),he(i.global,this.canvas.options),he(i.global,this.options),this.configurator.setModuleOptions(i)}r.clickToUse!==void 0?r.clickToUse===!0?this.activator===void 0&&(this.activator=new tne(this.canvas.frame),this.activator.on("change",function(){n.body.emitter.emit("activate")})):(this.activator!==void 0&&(this.activator.destroy(),delete this.activator),this.body.emitter.emit("activate")):this.body.emitter.emit("activate"),this.canvas.setSize(),this.body.emitter.emit("startSimulation")}};F.prototype._updateVisibleIndices=function(){var r=this.body.nodes,n=this.body.edges;this.body.nodeIndices=[],this.body.edgeIndices=[];for(var e in r)Object.prototype.hasOwnProperty.call(r,e)&&!this.clustering._isClusteredNode(e)&&r[e].options.hidden===!1&&this.body.nodeIndices.push(r[e].id);for(var t in n)if(Object.prototype.hasOwnProperty.call(n,t)){var i=n[t],a=r[i.fromId],o=r[i.toId],s=a!==void 0&&o!==void 0,u=!this.clustering._isClusteredEdge(t)&&i.options.hidden===!1&&s&&a.options.hidden===!1&&o.options.hidden===!1;u&&this.body.edgeIndices.push(i.id)}};F.prototype.bindEventListeners=function(){var r=this;this.body.emitter.on("_dataChanged",function(){r.edgesHandler._updateState(),r.body.emitter.emit("_dataUpdated")}),this.body.emitter.on("_dataUpdated",function(){r.clustering._updateState(),r._updateVisibleIndices(),r._updateValueRange(r.body.nodes),r._updateValueRange(r.body.edges),r.body.emitter.emit("startSimulation"),r.body.emitter.emit("_requestRedraw")})};F.prototype.setData=function(r){if(this.body.emitter.emit("resetPhysics"),this.body.emitter.emit("_resetData"),this.selectionHandler.unselectAll(),r&&r.dot&&(r.nodes||r.edges))throw new SyntaxError('Data must contain either parameter "dot" or  parameter pair "nodes" and "edges", but not both.');if(this.setOptions(r&&r.options),r&&r.dot){console.warn("The dot property has been deprecated. Please use the static convertDot method to convert DOT into vis.network format and use the normal data format with nodes and edges. This converter is used like this: var data = vis.network.convertDot(dotString);");var n=vne(r.dot);this.setData(n);return}else if(r&&r.gephi){console.warn("The gephi property has been deprecated. Please use the static convertGephi method to convert gephi into vis.network format and use the normal data format with nodes and edges. This converter is used like this: var data = vis.network.convertGephi(gephiJson);");var e=pne(r.gephi);this.setData(e);return}else this.nodesHandler.setData(r&&r.nodes,!0),this.edgesHandler.setData(r&&r.edges,!0);this.body.emitter.emit("_dataChanged"),this.body.emitter.emit("_dataLoaded"),this.body.emitter.emit("initPhysics")};F.prototype.destroy=function(){this.body.emitter.emit("destroy"),this.body.emitter.off(),this.off(),delete this.groups,delete this.canvas,delete this.selectionHandler,delete this.interactionHandler,delete this.view,delete this.renderer,delete this.physics,delete this.layoutEngine,delete this.clustering,delete this.manipulation,delete this.nodesHandler,delete this.edgesHandler,delete this.configurator,delete this.images;for(var r in this.body.nodes)Object.prototype.hasOwnProperty.call(this.body.nodes,r)&&delete this.body.nodes[r];for(var n in this.body.edges)Object.prototype.hasOwnProperty.call(this.body.edges,n)&&delete this.body.edges[n];Rr(this.body.container)};F.prototype._updateValueRange=function(r){var n,e=void 0,t=void 0,i=0;for(n in r)if(Object.prototype.hasOwnProperty.call(r,n)){var a=r[n].getValue();a!==void 0&&(e=e===void 0?a:Math.min(a,e),t=t===void 0?a:Math.max(a,t),i+=a)}if(e!==void 0&&t!==void 0)for(n in r)Object.prototype.hasOwnProperty.call(r,n)&&r[n].setValueRange(e,t,i)};F.prototype.isActive=function(){return!this.activator||this.activator.active};F.prototype.setSize=function(){return this.canvas.setSize.apply(this.canvas,arguments)};F.prototype.canvasToDOM=function(){return this.canvas.canvasToDOM.apply(this.canvas,arguments)};F.prototype.DOMtoCanvas=function(){return this.canvas.DOMtoCanvas.apply(this.canvas,arguments)};F.prototype.findNode=function(){return this.clustering.findNode.apply(this.clustering,arguments)};F.prototype.isCluster=function(){return this.clustering.isCluster.apply(this.clustering,arguments)};F.prototype.openCluster=function(){return this.clustering.openCluster.apply(this.clustering,arguments)};F.prototype.cluster=function(){return this.clustering.cluster.apply(this.clustering,arguments)};F.prototype.getNodesInCluster=function(){return this.clustering.getNodesInCluster.apply(this.clustering,arguments)};F.prototype.clusterByConnection=function(){return this.clustering.clusterByConnection.apply(this.clustering,arguments)};F.prototype.clusterByHubsize=function(){return this.clustering.clusterByHubsize.apply(this.clustering,arguments)};F.prototype.updateClusteredNode=function(){return this.clustering.updateClusteredNode.apply(this.clustering,arguments)};F.prototype.getClusteredEdges=function(){return this.clustering.getClusteredEdges.apply(this.clustering,arguments)};F.prototype.getBaseEdge=function(){return this.clustering.getBaseEdge.apply(this.clustering,arguments)};F.prototype.getBaseEdges=function(){return this.clustering.getBaseEdges.apply(this.clustering,arguments)};F.prototype.updateEdge=function(){return this.clustering.updateEdge.apply(this.clustering,arguments)};F.prototype.clusterOutliers=function(){return this.clustering.clusterOutliers.apply(this.clustering,arguments)};F.prototype.getSeed=function(){return this.layoutEngine.getSeed.apply(this.layoutEngine,arguments)};F.prototype.enableEditMode=function(){return this.manipulation.enableEditMode.apply(this.manipulation,arguments)};F.prototype.disableEditMode=function(){return this.manipulation.disableEditMode.apply(this.manipulation,arguments)};F.prototype.addNodeMode=function(){return this.manipulation.addNodeMode.apply(this.manipulation,arguments)};F.prototype.editNode=function(){return this.manipulation.editNode.apply(this.manipulation,arguments)};F.prototype.editNodeMode=function(){return console.warn("Deprecated: Please use editNode instead of editNodeMode."),this.manipulation.editNode.apply(this.manipulation,arguments)};F.prototype.addEdgeMode=function(){return this.manipulation.addEdgeMode.apply(this.manipulation,arguments)};F.prototype.editEdgeMode=function(){return this.manipulation.editEdgeMode.apply(this.manipulation,arguments)};F.prototype.deleteSelected=function(){return this.manipulation.deleteSelected.apply(this.manipulation,arguments)};F.prototype.getPositions=function(){return this.nodesHandler.getPositions.apply(this.nodesHandler,arguments)};F.prototype.getPosition=function(){return this.nodesHandler.getPosition.apply(this.nodesHandler,arguments)};F.prototype.storePositions=function(){return this.nodesHandler.storePositions.apply(this.nodesHandler,arguments)};F.prototype.moveNode=function(){return this.nodesHandler.moveNode.apply(this.nodesHandler,arguments)};F.prototype.getBoundingBox=function(){return this.nodesHandler.getBoundingBox.apply(this.nodesHandler,arguments)};F.prototype.getConnectedNodes=function(r){return this.body.nodes[r]!==void 0?this.nodesHandler.getConnectedNodes.apply(this.nodesHandler,arguments):this.edgesHandler.getConnectedNodes.apply(this.edgesHandler,arguments)};F.prototype.getConnectedEdges=function(){return this.nodesHandler.getConnectedEdges.apply(this.nodesHandler,arguments)};F.prototype.startSimulation=function(){return this.physics.startSimulation.apply(this.physics,arguments)};F.prototype.stopSimulation=function(){return this.physics.stopSimulation.apply(this.physics,arguments)};F.prototype.stabilize=function(){return this.physics.stabilize.apply(this.physics,arguments)};F.prototype.getSelection=function(){return this.selectionHandler.getSelection.apply(this.selectionHandler,arguments)};F.prototype.setSelection=function(){return this.selectionHandler.setSelection.apply(this.selectionHandler,arguments)};F.prototype.getSelectedNodes=function(){return this.selectionHandler.getSelectedNodeIds.apply(this.selectionHandler,arguments)};F.prototype.getSelectedEdges=function(){return this.selectionHandler.getSelectedEdgeIds.apply(this.selectionHandler,arguments)};F.prototype.getNodeAt=function(){var r=this.selectionHandler.getNodeAt.apply(this.selectionHandler,arguments);return r!==void 0&&r.id!==void 0?r.id:r};F.prototype.getEdgeAt=function(){var r=this.selectionHandler.getEdgeAt.apply(this.selectionHandler,arguments);return r!==void 0&&r.id!==void 0?r.id:r};F.prototype.selectNodes=function(){return this.selectionHandler.selectNodes.apply(this.selectionHandler,arguments)};F.prototype.selectEdges=function(){return this.selectionHandler.selectEdges.apply(this.selectionHandler,arguments)};F.prototype.unselectAll=function(){this.selectionHandler.unselectAll.apply(this.selectionHandler,arguments),this.selectionHandler.commitWithoutEmitting.apply(this.selectionHandler),this.redraw()};F.prototype.redraw=function(){return this.renderer.redraw.apply(this.renderer,arguments)};F.prototype.getScale=function(){return this.view.getScale.apply(this.view,arguments)};F.prototype.getViewPosition=function(){return this.view.getViewPosition.apply(this.view,arguments)};F.prototype.fit=function(){return this.view.fit.apply(this.view,arguments)};F.prototype.moveTo=function(){return this.view.moveTo.apply(this.view,arguments)};F.prototype.focus=function(){return this.view.focus.apply(this.view,arguments)};F.prototype.releaseNode=function(){return this.view.releaseNode.apply(this.view,arguments)};F.prototype.getOptionsFromConfigurator=function(){var r={};return this.configurator&&(r=this.configurator.getOptions.apply(this.configurator)),r};export{ru as D,F as N};
